package com.tofly.xrtymis.custom.controller.attachment;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.custom.service.FileService;
import com.tofly.xrtymis.em.FileTableTypeEnum;
import com.tofly.xrtymis.entity.File;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 工单附件管理
 */
@RestController
@AllArgsConstructor
@RequestMapping("/gdAttachment")
@Api(tags="工单附件管理")
public class GdAttachmentManagementController {

    private final FileService fileService;

    @GetMapping("/getGdfiles")
    @ApiOperation(value = "获取工单文件列表")
    public ResultRespone getAttachment(Page page,String typeCode) {
        ResultRespone rest = new ResultRespone<>();
        String codeForValue = FileTableTypeEnum.getCodeForValue(typeCode);
        try {
            rest.setResult(fileService.page(page,new QueryWrapper<File>().lambda()
                    .notLike(File::getFileFormat,"amr")
                    .eq(StringUtils.isNotBlank(codeForValue),File::getTableName,codeForValue)));
        }catch (Exception e){
            e.printStackTrace();
        }
        return rest;
    }



    @GetMapping("/getGdAudios")
    @ApiOperation(value = "获取工单录音列表")
    public ResultRespone getGdAudios(Page page ,String typeCode) {
        ResultRespone rest = new ResultRespone<>();
        String codeForValue = FileTableTypeEnum.getCodeForValue(typeCode);
        try {
            rest.setResult(fileService.page(page,new QueryWrapper<File>().lambda()
                    .like(File::getFileFormat,"amr")
                    .eq(StringUtils.isNotBlank(codeForValue),File::getTableName,codeForValue)));
        }catch (Exception e){
            e.printStackTrace();
        }
        return rest;
    }

}
