package com.tofly.scada;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.scada.common.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.sql.DataSource;

/**
 * @author HaiQiu
 * @date 2022/5/9
 */
@ToflyWebColudApplication
@EnableScheduling
@EnableAsync
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
@ComponentScan({"com.tofly.*"})
@MapperScan({"com.tofly.*.mapper"})
public class ScadaApplication {

    public static void main(String[] args) {
        SpringApplication.run(ScadaApplication.class, args);
    }

}
