package com.tofly.scada.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

import org.hibernate.validator.constraints.*;

/**
 * 用水量统计(StatisticsScadaNew)表实体类
 *
 * @author HaiQiu
 * @since 2022-10-31 13:22:33
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "StatisticsScadaNew对象", description = "用水量统计")
public class StatisticsScadaNewDto implements Serializable {

    private static final long serialVersionUID = 434148380506856629L;

    /**
     * 主键ID
     */
    @Size(max = 2147483646, message = "主键ID长度不能超过2147483646")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 指标编码
     */
    @Size(max = 500, message = "指标编码长度不能超过500")
    @ApiModelProperty(value = "指标编码")
    private String code;

    /**
     * 累计最新值
     */
    @Size(max = 255, message = "累计最新值长度不能超过255")
    @ApiModelProperty(value = "累计最新值")
    private String value;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    @Size(max = 5, message = "统计类型：0小时统计 1天统计 2月统计 3年统计长度不能超过5")
    @ApiModelProperty(value = "统计类型：0小时统计 1天统计 2月统计 3年统计")
    private Integer statisticsType;

    /**
     * 统计开始时间
     */
    @ApiModelProperty(value = "统计开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 统计结束时间
     */
    @ApiModelProperty(value = "统计结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 最大值
     */
    @Size(max = 255, message = "最大值长度不能超过255")
    @ApiModelProperty(value = "最大值")
    private String max;

    /**
     * 最小值
     */
    @Size(max = 255, message = "最小值长度不能超过255")
    @ApiModelProperty(value = "最小值")
    private String min;

    /**
     * 平均值
     */
    @Size(max = 255, message = "平均值长度不能超过255")
    @ApiModelProperty(value = "平均值")
    private String ave;

    /**
     * 叠加值
     */
    @Size(max = 255, message = "叠加值长度不能超过255")
    @ApiModelProperty(value = "叠加值")
    private String fold;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @Size(max = 100, message = "指标归属(字典码表关联 例如:01 瞬时流量)长度不能超过100")
    @ApiModelProperty(value = "指标归属(字典码表关联 例如:01 瞬时流量)")
    private String dataType;

    /**
     * 合格率
     */
    @Size(max = 255, message = "合格率长度不能超过255")
    @ApiModelProperty(value = "合格率")
    private String pass;

    /**
     * 超标次数
     */
    @Size(max = 255, message = "超标次数长度不能超过255")
    @ApiModelProperty(value = "超标次数")
    private String errorCount;

    /**
     * 不合格超标时长
     */
    @Size(max = 255, message = "不合格超标时长长度不能超过255")
    @ApiModelProperty(value = "不合格超标时长")
    private String errorTimeTotal;

    /**
     * 超标总时长
     */
    @Size(max = 255, message = "超标总时长长度不能超过255")
    @ApiModelProperty(value = "超标总时长")
    private String timeTotal;

    /**
     * 差值
     */
    @Size(max = 255, message = "差值长度不能超过255")
    @ApiModelProperty(value = "差值")
    private String difference;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}

