package com.tofly.scada.handle;

import com.tofly.scada.service.impl.ScadaServiceImpl;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author HaiQiu
 * @since 2023/3/24
 */
@Component
public class ScadaHandle {

    @Autowired
    private ScadaServiceImpl scadaService;


    /**
     * 每月最后28日凌晨2点执行创建下个月的数据表
     * @return
     */
    @XxlJob("createMonths")
    public ReturnT<String> createMonths(){
        scadaService.createMonths();
        return ReturnT.SUCCESS;
    }

    /**
     * 同步24小时数据，支持自定义时间添加
     * @return
     */
    @XxlJob("syncHourData")
    public ReturnT<String> syncHourData(){
        scadaService.insert24H();
        return ReturnT.SUCCESS;
    }

    /**
     *  同步每天数据，每天6半同步昨天的数据
     * @return
     */

    @XxlJob("syncDayData")
    public ReturnT<String> syncDayData(){
        //每月最后28日凌晨2点执行创建下个月的数据表
        scadaService.syncDaysData();
        return ReturnT.SUCCESS;
    }


    /**
     *每月1号凌晨1点同步更新历史数据与上个月表数据，支持自定义时间添加
     * @return
     */
    @XxlJob("syncMonthData")
    public ReturnT<String> syncMonthData(){
        //每月最后28日凌晨2点执行创建下个月的数据表
        scadaService.syncDataIntoMonths();
        return ReturnT.SUCCESS;
    }


    /**
     * 	获取历史数据进行报警和监控表更新每分钟10执行一次
     * @return
     */
    @XxlJob("timingInsertData")
    public ReturnT<String> timingInsertData(){
        scadaService.timingInsertData();
        return ReturnT.SUCCESS;
    }
}
