package com.tofly.scada.mapper;


import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.scada.entity.vo.StatisticsScadaNewVo;
import org.apache.ibatis.annotations.Param;
import com.tofly.scada.entity.StatisticsScadaNew;
import org.apache.poi.hpsf.Decimal;

/**
 * 用水量统计(StatisticsScadaNew)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-10-31 13:22:32
 */
public interface StatisticsScadaNewMapper extends BaseMapper<StatisticsScadaNew> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<StatisticsScadaNew> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<StatisticsScadaNew> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<StatisticsScadaNew> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<StatisticsScadaNew> entities);

    /**
     * 分页查询
     * @param page
     * @param statisticsScadaNewQueryWrapper
     * @return
     */
    Page<StatisticsScadaNewVo> pageList(Page<StatisticsScadaNewVo> page,
                                        @Param(Constants.WRAPPER) QueryWrapper<StatisticsScadaNewVo> statisticsScadaNewQueryWrapper);

    Map<String,String> pageListToal(@Param(Constants.WRAPPER) QueryWrapper<StatisticsScadaNewVo> statisticsScadaNewQueryWrapper);

    List<StatisticsScadaNewVo> listAll(@Param(Constants.WRAPPER) QueryWrapper<StatisticsScadaNewVo> statisticsScadaNewQueryWrapper);
}

