package com.tofly.scada.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.scada.entity.StatisticsScadaNew;
import com.tofly.scada.entity.dto.StatisticsScadaNewDto;

import com.tofly.scada.entity.vo.StatisticsScadaNewVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 用水量统计(StatisticsScadaNew)表服务接口
 *
 * @author HaiQiu
 * @since 2022-10-31 13:22:33
 */
public interface StatisticsScadaNewService extends IService<StatisticsScadaNew> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    StatisticsScadaNew get(Serializable id);

    /**
     * 新增
     *
     * @param statisticsScadaNewDto 实体
     */
    void insert(StatisticsScadaNewDto statisticsScadaNewDto);

    /**
     * 修改
     *
     * @param statisticsScadaNewDto 实体
     */
    void edit(StatisticsScadaNewDto statisticsScadaNewDto);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page               分页
     * @param statisticsScadaNew 查询wrapper
     * @return 数据集合
     */
    Page<StatisticsScadaNewVo> pageList(Page<StatisticsScadaNewVo> page, StatisticsScadaNewVo statisticsScadaNew);

    Map<String,String> pageListToal(StatisticsScadaNewVo statisticsScadaNew);

    /**
     * 数据导出
     *
     * @param page               分页
     * @param statisticsScadaNew 查询模型
     * @param isAll              是否导出全部数据，true是，false否
     */
    void export(Page page, StatisticsScadaNewVo statisticsScadaNew, Boolean isAll);

    /**
     * 查询所有数据
     *
     * @param statisticsScadaNew 查询条件
     * @return 查询所有数据
     */
    List<StatisticsScadaNewVo> allList(StatisticsScadaNewVo statisticsScadaNew);
}

