/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.flow.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.flow.common.BaseController;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.dto.EmergencyFacilitiesDTO;
import com.tofly.flow.dto.EmergencyFacilitiesQuery;
import com.tofly.flow.entity.EmergencyFacilities;
import com.tofly.flow.service.EmergencyFacilitiesService;
import io.swagger.annotations.*;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
import java.util.Set;

/**
 * 事故设施-
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/emergencyfacilities")
@Api(tags="事故设施-接口")
public class EmergencyFacilitiesController extends BaseController {

    private final  EmergencyFacilitiesService emergencyFacilitiesService;

    @ToFlyAppLog(title = "事故设施-新增")
    @PostMapping
    @ApiOperation(value = "事故设施-新增")
    public  ResultRespone insert(@RequestBody @Validated EmergencyFacilitiesDTO dto){
        emergencyFacilitiesService.insert(dto);
        return decide(FlowConstant.ADD_SUCCESS);
    }

    @ToFlyAppLog(title = "事故设施-修改")
    @PutMapping
    @ApiOperation(value = "事故设施-修改")
    public  ResultRespone edit(@RequestBody @Validated(value = EmergencyFacilitiesDTO.Update.class) EmergencyFacilitiesDTO dto){
        emergencyFacilitiesService.edit(dto);
        return decide(FlowConstant.UPDATE_SUCCESS);
    }

    @ToFlyAppLog(title = "事故设施-删除")
    @ApiOperation(value = "事故设施-批量删除")
    @DeleteMapping
    public ResultRespone delete(@ApiParam(value ="多个ID以数组形式进行传入") @RequestBody Set<Long> ids){
        emergencyFacilitiesService.delete(ids);
        return decide(FlowConstant.DELETE_SUCCESS);
    }

    @ToFlyAppLog(title = "事故设施-模糊-分页查询")
    @ApiOperation(value = "事故设施-模糊-分页查询")
    @GetMapping("/list")
    public ResultRespone pageList(Page page, EmergencyFacilitiesQuery query){
        return decide(emergencyFacilitiesService.pageList(page,query));
    }

    @ToFlyAppLog(title = "事故设施-模糊-查询所有")
    @ApiOperation(value = "事故设施-模糊-查询所有")
    @PostMapping("/all")
    public ResultRespone all(EmergencyFacilitiesQuery query){
        return decide(emergencyFacilitiesService.all(query));
    }

    @ToFlyAppLog(title = "事故设施-根据ID查询")
    @ApiOperation(value = "事故设施-根据ID查询")
    @GetMapping("/get")
    public ResultRespone all(@ApiParam(value = "事故设施-ID") @RequestParam Long id){
        return decide(emergencyFacilitiesService.getById(id));
    }
}
