package com.tofly.flow.custom.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.StepStaffDto;
import com.tofly.flow.custom.service.ConfigStepStaffService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 审批流程人员配置
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/configstepstaff")
@Api(tags="审批流程人员配置接口")
public class ConfigStepStaffController {


    private final ConfigStepStaffService staffService;

    /**
     * 修改流程步骤人员配置信息
     * @param dto 修改流程步骤人员配置信息
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改流程步骤人员配置信息" )
    @ApiOperation(value = "修改流程步骤人员配置信息")
    @PostMapping("/update")
    public ResultRespone updateProcessConfig(@RequestBody @Valid StepStaffDto dto){
        Object obj = staffService.updateConfigStepStaff(dto);
        if(obj instanceof Boolean){
            if((boolean) obj){
                return ResultRespone.success(true, FlowConstant.SUCCESS);
            }else {
                return ResultRespone.failed(false,FlowConstant.FAILED);
            }
        }else {
            return ResultRespone.failed(false,String.valueOf(obj));
        }
    }


}
