package com.tofly.flow.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author HaiQiu
 * @date 2022-04-14
 */
@Data
@ApiModel
public class AssetsQueryDTO {
    @ApiModelProperty(value = "搜素关键字")
    private String search;

    @ApiModelProperty(value = "资产类型ID")
    private Long typeId;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "物料ID")
    private Long matterId;

    @ApiModelProperty(value = "管理部门")
    private String deptName;

    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;


    @ApiModelProperty(value = "是否为资产:true是，false否")
    private Boolean isAssets;


    @ApiModelProperty(value = "是否只查询设备车辆:true是，false否")
    private Boolean isDevice;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("入库开始时间")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "入库结束时间")
    private Date endTime;


    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("采购开始时间")
    private Date startBuyTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "采购结束时间")
    private Date endBuyTime;
}
