package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class BatchDeviceExWarehouseDto implements Serializable {

    /**
     * 数据类型0:导入入库;-1:旧料入库;流程类型ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "数据类型0:导入入库;流程类型ID")
    private Long dataType;
    /**
     * 流程出入/退库设备对象集合
     */
    @Valid
    @NotEmpty
    @ApiModelProperty(value = "流程出入/退库设备对象集合")
    private List<DeviceExWarehouseDto> datas;

}
