package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
@Data
@EqualsAndHashCode
public class ConferenceRoomDto implements Serializable {

    /**
     * 房间名称
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "房间名称")
    private String roomName;
    /**
     * 房间编号
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "房间编号")
    private String roomNumber;
    /**
     * 地址
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 容量
     */
    @ApiModelProperty(value = "容量")
    private Long capacity;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
