package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
public class DeviceExWarehouseDto {


    /**
     * 流程物料ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程物料ID")
    private Long processStuffId;

    /**
     * 仓库设备ID集合
     */
    @NotEmpty
    @ApiModelProperty(value = "仓库设备ID集合")
    private List<Long> keepGrainDeviceIds;


}
