package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class DocumentDto implements Serializable {
    /**
     * 文档类型/文件夹
     */
    @ApiModelProperty(value = "文档类型/文件夹")
    private Long documentType;
    /**
     * 字号
     */
    @ApiModelProperty(value = "字号")
    private String fontSize;
    /**
     * 密级
     */
    @ApiModelProperty(value = "密级")
    private Long degreeSecrets;
    /**
     * 紧急程度
     */
    @ApiModelProperty(value = "紧急程度")
    private Long degreeUrgency;
    /**
     * 主题
     */
    @NotEmpty(message = "主题"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "主题")
    private String theme;
    /**
     * 内容概要、会议议程
     */
    @NotEmpty(message = "内容概要、会议议程"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "内容概要、会议议程")
    private String content;
    /**
     * 决议
     */
    @ApiModelProperty(value = "决议")
    private String resolution;

    /**
     * 状态0:草稿、1:提交（发布）
     */
    @ApiModelProperty(value = "状态0:草稿、1:提交（发布）")
    private Short documentState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
