package com.tofly.flow.custom.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * @author HaiQiu
 * @date 2022/4/8
 */
@Data
@EqualsAndHashCode
public class ImportInfoExcelDTO implements Serializable {

    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    @Excel(name = "物资类型编码")
    private String matterNumber;
    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    @Excel(name = "物资类型")
    private String matterName;

    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    @Excel(name = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    @Excel(name = "单位")
    private String unit;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    @Excel(name = "采购单价")
    private Double unitPrice;

    //TODO 表里暂无采购总价，待核实...
    //TODO 表暂无库存数量，待核实...


    /**
     * 位置（货架位置）
     */
    @ApiModelProperty(value = "位置（货架位置）")
    @Excel(name = "具体位置")
    private String position;

    /**
     * 到期日期
     */
    @ApiModelProperty(value = "到期日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期日期")
    private Date expireDate;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    @Excel(name = "采购数量")
    private Integer quantity;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人", hidden = true)
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人", hidden = true)
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
