/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 仓储物料信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@ApiModel
public class KeepGrainMatterImportExcelDTO {
    private static final long serialVersionUID = 1L;

    /**
     * 物资类型编码
     */
    @ApiModelProperty(value = "物资类型编码")
    @Excel(name = "*物资类型编码")
    private String codeNum;

    /**
     * 物资类型
     */
    @ApiModelProperty(value = "物资类型")
    @Excel(name = "物资类型")
    private String typeName;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    @Excel(name = "规格型号")
    private String standards;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String unit;

    /**
     * 采购单价
     */
    @ApiModelProperty(value = "采购单价")
    @Excel(name = "采购单价")
    private Double unitPrice;

    /**
     * 到期时间
     */
    @ApiModelProperty(value = "到期时间")
    @Excel(name = "到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 入库库房
     */
    @ApiModelProperty(value = "入库库房")
    @Excel(name = "入库库房")
    private String location;

    /**
     * 具体位置
     */
    @ApiModelProperty(value = "具体位置")
    @Excel(name = "具体位置")
    private String locationDetail;


    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @Excel(name = "入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;

    /**
     * 入库备注
     */
    @ApiModelProperty(value = "入库备注")
    @Excel(name = "入库备注")
    private String inRemark;


    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    @Excel(name = "入库数量")
    private Integer count;

}
