package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
public class LevelStaffDto {
    /**
     * 层级序号 从1开始
     */
    @NotNull(message = "levelNumber"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "层级序号,从1开始")
    private Short levelNumber;

    /**
     * 是否必须
     */
    @ApiModelProperty(value = "是否必须，1 是，0 否")
    private Short must;

    /**
     * 处理人员集合
     */
    @Valid
    @NotEmpty(message = "staffDtos 不能为空")
    @ApiModelProperty(value = "处理人员集合，层级必填")
    private List<PCStaffDto> staffDtos;
}
