package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class LoadFolderDocumentDto implements Serializable {

    /**
     * 文档类型
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "文档类型")
    private Long documentType;

    /**
     * 密级
     */
    @ApiModelProperty(value = "密级")
    private Long degreeSecrets;
    /**
     * 紧急程度
     */
    @ApiModelProperty(value = "紧急程度")
    private Long degreeUrgency;
    /**
     * 模糊查询内容
     */
    @ApiModelProperty(value = "模糊查询内容")
    private String content;


    /**
     * 模块类型0文档;1公告
     */
    @ApiModelProperty(value = "模块类型0文档;1公告")
    private Short moduleType;

    /**
     * 区分类别0 公共; 1个人私有;2部门私有
     */
    @ApiModelProperty(value = "区分类别0 公共; 1个人私有;2部门私有")
    private Long dataType;
}
