/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 物资信息表
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@ApiModel
public class MatterImportDTO {
    private static final long serialVersionUID = 1L;

    /**
     * 物资名称
     */
    @Excel(name = "物资名称")
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 规格型号
     */
    @Excel(name = "规格型号")
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @Excel(name = "计量单位")
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @Excel(name = "物资类别类型")
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private String categoryType;
    /**
     * 是否资产1:是;0:否
     */
    @Excel(name = "是否资产")
    @ApiModelProperty(value = "是否资产1:是;0:否")
    private String isAssets;

}
