package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class PConfigInfoDto implements Serializable {
    /**
     * 流程CODE
     */
    @NotEmpty(message = "processCode 不能为空")
    @ApiModelProperty(value = "流程CODE")
    private String processCode;
    /**
     * 部门ID集合；用逗号分隔
     */
    @NotEmpty(message = "depts"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "部门ID集合；用逗号分隔")
    private String depts;
    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;
    /**
     * 流程步骤数（主步骤）
     */
    @ApiModelProperty(value = "流程步骤数（主步骤）")
    private Integer stepNumber;
    /**
     * 流程完结推送数据（完结信息推送到队列） 0:不推送;1推送
     */
    @ApiModelProperty(value = "流程完结推送数据（完结信息推送到队列） 0:不推送;1推送")
    private Short isendTidings;
    /**
     * 是否催办 0:否；1是（是必须指定督办人）
     */
    @ApiModelProperty(value = "是否催办 0:否；1是（是必须指定督办人）")
    private Short isurge;
    /**
     * 驳回方式1:逐步驳回；2主流程驳回
     */
    @NotNull(message = "reiectMode"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "驳回方式1:逐步驳回；2主流程驳回")
    private Short reiectMode;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
}
