package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class PConfigStepDto implements Serializable {
    /**
     * 步骤序号从1开始
     */
    @NotNull(message = "stepOrder"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤序号，从1开始")
    private Integer stepOrder;
    /**
     * 步骤名称
     */
    @NotEmpty(message = "stepName"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 步骤类型1:填充；2审核
     */
    @NotNull(message = "stepType"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤类型1:填充；2审核")
    private Short stepType;
    /**
     * 处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)
     */
    @NotEmpty(message = "handleModel"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)")
    private String handleModel;
    /**
     * 处理人员一致步骤序号
     */
    @ApiModelProperty(value = "处理人员一致步骤序号")
    private Short unanimousOrder;
    /**
     * 处理子层级默认1
     */
    @NotNull(message = "nodeNumber" +FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "处理子层级默认1")
    private Short nodeNumber;
    /**
     * 强制处理层级默认1 小于等于处理层级
     */
    @NotNull(message = "coerceLevel" + FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "强制处理层级默认1 小于等于处理层级")
    private Short coerceLevel;
    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用 1启用 0不启用")
    private Short isEnable;

    /**
     * 下一步骤序号多个用逗号分隔
     */
    @ApiModelProperty(value = "下一步骤序号多个用逗号分隔")
    private String nextStep;

    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;

    /**
     * 是否允许重复0不允许;1允许
     */
    @ApiModelProperty(value = "是否允许重复0不允许;1允许")
    private Short isRepeat;

    /**
     * 是否并行处理
     */
    @ApiModelProperty(value = "是否并行处理")
    private Short isParallel;

    /**
     * 处理人员集合
     */
    @Valid
    @NotEmpty
    @ApiModelProperty(value = "处理人员集合，层级必填")
    private List<LevelStaffDto> staffDtos;

}
