package com.tofly.flow.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
@ToString
public class ProcessChargeDto implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 流程ID
     */
    @NotNull(message = "工程ID"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 收费金额
     */
    @ApiModelProperty(value = "收费金额")
    private Double chargeMoney;
    /**
     * 收费方式
     */
    @ApiModelProperty(value = "收费方式")
    private Short chargeType;
    /**
     * 收费方式名称
     */
    @ApiModelProperty(value = "收费方式名称")
    private String chargeTypeName;
    /**
     * 收费比例
     */
    @ApiModelProperty(value = "收费比例")
    private Float chargeRatio;
    /**
     * 收费人员
     */
    @ApiModelProperty(value = "收费人员")
    private Long chargeStaff;
    /**
     * 收费人员名称
     */
    @ApiModelProperty(value = "收费人员名称")
    private String chargeStaffName;
    /**
     * 收费时间
     */
    @ApiModelProperty(value = "收费时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date chargeTime;
    /**
     * 付款人
     */
    @ApiModelProperty(value = "付款人")
    private String paymentStaff;
    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String telephone;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String chargeExplain;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;
}
