package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class ProcessConfigAllDto extends ProcessConfigDto{

    /**
     * 配置流程基础信息
     */
    @Valid
    @NotNull(message = "infoDto 不能为空")
    @ApiModelProperty(value = "配置流程基础信息")
    private PConfigInfoDto infoDto;

    /**
     * 配置流程步骤集合信息
     */
    @Valid
    @NotEmpty(message = "stepDtos 不能为空")
    @ApiModelProperty(value = "配置流程步骤集合信息")
    private List<PConfigStepDto> stepDtos;

    /**
     * 督办人员信息
     */
    @Valid
    @ApiModelProperty(value = "督办人员信息 ，层级为空")
    private List<PCStaffDto> dbrs;

}
