package com.tofly.flow.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProcessJournalDto implements Serializable {

    /**
     * 施工单位
     */
    @ApiModelProperty(value = "施工单位")
    private String company;
    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String telephone;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 最终日期
     */
    @ApiModelProperty(value = "最终日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finalDate;
    /**
     * 人数
     */
    @ApiModelProperty(value = "人数")
    private Long numberPeople;
    /**
     * 工期
     */
    @ApiModelProperty(value = "工期")
    private Long schedule;
    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private String staff;
    /**
     * 数据类型1施工信息、2验收信息
     */
    @ApiModelProperty(value = "数据类型1施工信息、2验收信息")
    private Short dataType;
    /**
     * 数据状态1分段;2完成
     */
    @ApiModelProperty(value = "数据状态1分段;2完成")
    private Short dataState;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String projectContent;

    /**
     * 事项
     */
    @ApiModelProperty(value = "事项")
    private String projectMatter;

    /**
     * 填报人
     */
    @ApiModelProperty(value = "填报人")
    private String projectStaff;

    /**
     * 填报时间
     */
    @ApiModelProperty(value = "填报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date projectTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 公告文件名称；一次提交不允许重名
     */
    @ApiModelProperty(value = "公告文件名称；一次提交不允许重名")
    private List<String> fileNames;

    //TODO 2023/03/21 根据要求新增字段

    /**
     * 是否审计批复 isAudit  0：是，1：否
     */
    @ApiModelProperty(value = "是否审计批复 isAudit  0：是，1：否")
    private Short isAudit;

    /**
     * 审计后价格
     */
    @ApiModelProperty(value = "审计后价格")
    private BigDecimal auditedPrice;

}
