package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ProcessStaffDto implements Serializable {
    /**
     * 部门
     */
    @NotNull(message = "dept"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "部门")
    private Long dept;
    /**
     * 人员类型1:通知人员；2督办人员
     */
    @NotNull(message = "staffType"+ FlowConstant.ISNOTNUL)
    @Min(value = 1,message = "staffType"+FlowConstant.NOT_LESS_THAN+1)
    @Max(value = 2,message = "staffType"+FlowConstant.NOT_GREATER_THAN+2)
    @ApiModelProperty(value = "人员类型1:通知人员；2督办人员")
    private Short staffType;
    /**
     * 人员
     */
    @NotNull(message = "deptStaff"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "人员")
    private Long deptStaff;
}
