package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
@Data
@EqualsAndHashCode
public class ProcessSuperviseDto implements Serializable {

    /**
     * 流程ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程节点
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 督办部门
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "督办部门")
    private Long superviseDept;

    /**
     * 督办人
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "督办人")
    private Long superviseStaff;

    /**
     * 意见
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "意见")
    private String opinion;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


}
