package com.tofly.flow.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 工程勘测dto
 */
@Data
@EqualsAndHashCode
public class ProcessSurveyDto implements Serializable {

    /**
     * 预算费用
     */
    @ApiModelProperty(value = "预算费用")
    private Double planCost;
    /**
     * 计划人数
     */
    @ApiModelProperty(value = "计划人数")
    private Long planNumber;
    /**
     * 计划时间
     */
    @ApiModelProperty(value = "计划时间")
    private Long planDate;
    /**
     * 勘测人员
     */
    @NotNull(message = "勘测人员"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "勘测人员")
    private String surveyStaff;
    /**
     * 勘测时间
     */
    @ApiModelProperty(value = "勘测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveyDate;
    /**
     * 数据1
     */
    @ApiModelProperty(value = "数据1")
    private String dataOne;
    /**
     * 数据1
     */
    @ApiModelProperty(value = "数据1")
    private String dateTwo;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 公告文件名称；一次提交不允许重名
     */
    @ApiModelProperty(value = "公告文件名称；一次提交不允许重名")
    private List<String> fileNames;

}
