package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 工程流程中费用预算明细
 */
@Data
@EqualsAndHashCode
public class ProjectDetailedDto implements Serializable {

    /**
     * 费用类型
     */
    @ApiModelProperty(value = "费用类型")
    private Long costType;

    /**
     * 费用名称
     */
    @NotEmpty(message = "costName"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "费用名称")
    private String costName;

    /**
     * 费用说明
     */
    @ApiModelProperty(value = "费用说明")
    private String explain;
    /**
     * 数量/长度
     */
    @ApiModelProperty(value = "数量/长度")
    private Long quantity;
    /**
     * 单价
     */
    @NotNull(message = "unitPrice"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "单价")
    private Double unitPrice;
    /**
     * 金额
     */
    @ApiModelProperty(value = "金额")
    private Double amountMoney;
}
