package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
public class StepStaffDto {
    /**
     * 流程配置步骤ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;

    /**
     * 层级处理人员
     */
    @Valid
    @NotEmpty
    @ApiModelProperty(value = "层级处理人员")
    private List<LevelStaffDto> levelDtos;
}
