/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程配置步骤配置的人员
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CONFIG_STEP_STAFF_W", resultMap = "configStepStaffMap")
@KeySequence("TF_YWPN_CONFIG_STEP_STAFF_W")
@ApiModel
public class ConfigStepStaff extends Model<ConfigStepStaff> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Short levelNumber;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private Long staffId;


    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private String staffIdName;
    /**
     * 人员类型1处理；2督办
     */
    @ApiModelProperty(value = "人员类型1处理；2督办")
    private Short staffType;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

}
