/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 物资导入详情
 *
 * @author xqf
 * @date Fri Apr 08 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_IMPORT_INFO_W", resultMap = "importInfoMap")
@KeySequence("TF_YWPN_IMPORT_INFO_W")
@ApiModel
public class ImportInfo extends Model<ImportInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 导入ID
     */
    @ApiModelProperty(value = "导入ID")
    private Long importId;

    /**
     * 物资模版ID
     */
    @ApiModelProperty(value = "物资模版ID")
    private Long matterId;

    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;
    /**
     * 唯一编号
     */
    @ApiModelProperty(value = "唯一编号")
    private String uniqueNumber;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice;
    /**
     * 库房
     */
    @ApiModelProperty(value = "库房")
    private String storageRoom;
    /**
     * 位置（货架位置）
     */
    @ApiModelProperty(value = "位置（货架位置）")
    private String position;
    /**
     * 购买日期
     */
    @ApiModelProperty(value = "购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;
    /**
     * 到期日期
     */
    @ApiModelProperty(value = "到期日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expireDate;

    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer quantity;
    /**
     * 供应商
     */
    @ApiModelProperty(value = "供应商")
    private String supplier;
    /**
     * 设备厂家
     */
    @ApiModelProperty(value = "设备厂家")
    private String factoryId;
    /**
     * 生产日期
     */
    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;
    /**
     * 出库日期
     */
    @ApiModelProperty(value = "出库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outDate;
    /**
     * 物资管理部门
     */
    @ApiModelProperty(value = "物资管理部门")
    private String dept;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 入库备注
     */
    @ApiModelProperty(value = "入库备注")
    private String inRemark;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "物资类型")
    @Transient
    private String baseTypeName;


    @ApiModelProperty(value = "入库年限")
    @TableField(exist = false)
    @Transient
    private Integer inYear;


    @ApiModelProperty(value = "入库月限")
    @TableField(exist = false)
    @Transient
    private Integer inMouth;


}
