/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 仓储物料信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_KEEP_GRAIN_MATTER_W", resultMap = "keepGrainMatterMap")
@KeySequence("TF_YWPN_KEEP_GRAIN_MATTER_W")
@ApiModel
public class KeepGrainMatter extends Model<KeepGrainMatter> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 仓储编码
     */
    @ApiModelProperty(value = "仓储编码")
    private String keepGrainNumber;
    /**
     * 物料ID
     */
    @ApiModelProperty(value = "物料ID")
    private Long matterId;
    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Long inQuantity;
    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Long outQuantity;
    /**
     * 现存数量
     */
    @ApiModelProperty(value = "现存数量")
    private Long quantity;
    /**
     * 采购总价
     */
    @ApiModelProperty(value = "采购总价")
    private Double purchaseTotal;
    /**
     * 最新单价
     */
    @ApiModelProperty(value = "最新单价")
    private Double unitPrice;
    /**
     * 库房
     */
    @ApiModelProperty(value = "库房")
    private String storageRoom;
    /**
     * 位置（货架位置）
     */
    @ApiModelProperty(value = "位置（货架位置）")
    private String position;
    /**
     * 物料状态1:新；2:旧
     */
    @ApiModelProperty(value = "物料状态1:新；2:旧")
    private Short matterState;
    /**
     * 是否应急物资1:是；0:否
     */
    @ApiModelProperty(value = "是否应急物资1:是；0:否")
    private Short isEmergency;
    /**
     * 最新入库时间
     */
    @ApiModelProperty(value = "最新入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date newTime;
    /**
     * 最近到期时间
     */
    @ApiModelProperty(value = "最近到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recentlyExpired;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 数据来源:1导入；2入库
     */
    @ApiModelProperty(value = "数据来源:1导入；2入库")
    private Short dataSource;

    /**
     * 购买日期（采购时间）
     */
    @ApiModelProperty(value = "购买日期（采购时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
