/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.*;
import java.util.Date;


/**
 * 物资信息表
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_MATTER_W", resultMap = "matterMap")
@KeySequence("TF_YWPN_MATTER_W")
@ApiModel
public class Matter extends Model<Matter> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;
    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;
    /**
     * 别名（简称）
     */
    @ApiModelProperty(value = "别名（简称）")
    private String alias;
    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称")
    private String englishName;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;
    /**
     * 是否资产1:是;0:否
     */
    @ApiModelProperty(value = "是否资产1:是;0:否")
    private Short isAssets;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人",hidden = true)
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人",hidden = true)
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间",hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
