/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程配置步骤
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_CONFIG_STEP_W", resultMap = "processConfigStepMap")
@KeySequence("TF_YWPN_PROCESS_CONFIG_STEP_W")
@ApiModel
public class ProcessConfigStep extends Model<ProcessConfigStep> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 步骤序号
     */
    @ApiModelProperty(value = "步骤序号")
    private Integer stepOrder;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 步骤类型1:填充；2审核
     */
    @ApiModelProperty(value = "步骤类型1:填充；2审核")
    private Short stepType;
    /**
     * 处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)
     */
    @ApiModelProperty(value = "处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)")
    private String handleModel;
    /**
     * 处理人员一致步骤序号
     */
    @ApiModelProperty(value = "处理人员一致步骤序号")
    private Short unanimousOrder;
    /**
     * 处理子层级默认1
     */
    @ApiModelProperty(value = "处理子层级默认1")
    private Short nodeNumber;
    /**
     * 强制处理层级默认1 小于等于处理层级
     */
    @ApiModelProperty(value = "强制处理层级默认1 小于等于处理层级")
    private Short coerceLevel;
    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用")
    private Short isEnable;

    /**
     * 是否允许重复0不允许;1允许
     */
    @ApiModelProperty(value = "是否允许重复0不允许;1允许")
    private Short isRepeat;

    /**
     * 是否并行处理
     */
    @ApiModelProperty(value = "是否并行处理")
    private Short isParallel;
    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 下一步骤序号多个用逗号分隔
     */
    @ApiModelProperty(value = "下一步骤序号多个用逗号分隔")
    private String nextStep;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
