/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程出入/退库设备
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_DEVICE_W", resultMap = "processDeviceMap")
@KeySequence("TF_YWPN_PROCESS_DEVICE_W")
@ApiModel
public class ProcessDevice extends Model<ProcessDevice> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程物料ID
     */
    @ApiModelProperty(value = "流程物料ID")
    private Long processStuffId;
    /**
     * 仓库设备ID
     */
    @ApiModelProperty(value = "仓库设备ID")
    private Long keepGrainDeviceId;
    /**
     * 设备唯一编号
     */
    @ApiModelProperty(value = "设备唯一编号")
    private String uniqueId;

    /**
     * 出厂唯一编号
     */
    @ApiModelProperty(value = "出厂唯一编号")
    private String uniqueNumber;
    /**
     * 编号1
     */
    @ApiModelProperty(value = "编号1")
    private String partsNumberOne;
    /**
     * 编号2
     */
    @ApiModelProperty(value = "编号2")
    private String partsNumberTwo;
    /**
     * 编号3
     */
    @ApiModelProperty(value = "编号3")
    private String partsNumberThree;
    /**
     * 铭牌信息
     */
    @ApiModelProperty(value = "铭牌信息")
    private String nameplate;
    /**
     * 设备厂家ID
     */
    @ApiModelProperty(value = "设备厂家ID")
    private Long factoryId;
    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;
    /**
     * 生产日期
     */
    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;
    /**
     * 购买日期
     */
    @ApiModelProperty(value = "购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 设备状态1:新；2:旧；3:损坏；4:出库；5:报废
     */
    @ApiModelProperty(value = "设备状态1:新；2:旧；3:损坏；4:出库；5:报废")
    private Short deviceState;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
