/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 工程施工日志
 *
 * @author xqf
 * @date Wed May 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_JOURNAL_W", resultMap = "processJournalMap")
@KeySequence("TF_YWPN_PROCESS_JOURNAL_W")
@ApiModel
public class ProcessJournal extends Model<ProcessJournal> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 施工单位
     */
    @ApiModelProperty(value = "施工单位")
    private String company;
    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String telephone;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 最终日期
     */
    @ApiModelProperty(value = "最终日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finalDate;
    /**
     * 人数
     */
    @ApiModelProperty(value = "人数")
    private Long numberPeople;
    /**
     * 工期
     */
    @ApiModelProperty(value = "工期")
    private Long schedule;
    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private String staff;
    /**
     * 数据类型1施工信息、2验收信息
     */
    @ApiModelProperty(value = "数据类型1施工信息、2验收信息")
    private Short dataType;
    /**
     * 数据状态1分段;2完成
     */
    @ApiModelProperty(value = "数据状态1分段;2完成")
    private Short dataState;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String projectContent;

    /**
     * 事项
     */
    @ApiModelProperty(value = "事项")
    private String projectMatter;

    /**
     * 填报人
     */
    @ApiModelProperty(value = "填报人")
    private String projectStaff;

    /**
     * 填报时间
     */
    @ApiModelProperty(value = "填报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date projectTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    //TODO 2023/03/21 根据要求新增字段

    /**
     * 是否审计批复 isAudit  0：是，1：否
     */
    @ApiModelProperty(value = "是否审计批复 isAudit  0：是，1：否")
    private Short isAudit;

    /**
     * 审计后价格
     */
    @ApiModelProperty(value = "审计后价格")
    private BigDecimal auditedPrice;

}
