/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程关联信息表（会议室、车辆、文档等）
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_RELATION_W", resultMap = "processRelationMap")
@KeySequence("TF_YWPN_PROCESS_RELATION_W")
@ApiModel
public class ProcessRelation extends Model<ProcessRelation> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 设施关联表
     */
    @ApiModelProperty(value = "设施关联表")
    private String relationTable;

    /**
     * 设施关联表编号
     */
    @ApiModelProperty(value = "设施关联表编号")
    private Integer tableId;
    /**
     * 设施ID
     */
    @ApiModelProperty(value = "设施ID")
    private Long relationId;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

}
