/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程处理关联人员（会议、报文）
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_STAFF_W", resultMap = "processStaffMap")
@KeySequence("TF_YWPN_PROCESS_STAFF_W")
@ApiModel
public class ProcessStaff extends Model<ProcessStaff> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long dept;
    /**
     * 人员类型1:通知人员；2督办人员
     */
    @ApiModelProperty(value = "人员类型1:通知人员；2督办人员")
    private Short staffType;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long deptStaff;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

}
