/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 勘测信息
 *
 * @author xqf
 * @date Fri May 20 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROCESS_SURVEY_W", resultMap = "processSurveyMap")
@KeySequence("TF_YWPN_PROCESS_SURVEY_W")
@ApiModel
public class ProcessSurvey extends Model<ProcessSurvey> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 预算费用
     */
    @ApiModelProperty(value = "预算费用")
    private Double planCost;
    /**
     * 计划人数
     */
    @ApiModelProperty(value = "计划人数")
    private Long planNumber;
    /**
     * 计划时间
     */
    @ApiModelProperty(value = "计划时间")
    private Long planDate;
    /**
     * 勘测人员
     */
    @ApiModelProperty(value = "勘测人员")
    private String surveyStaff;
    /**
     * 勘测时间
     */
    @ApiModelProperty(value = "勘测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveyDate;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 数据1
     */
    @ApiModelProperty(value = "数据1")
    private String dataOne;
    /**
     * 数据1
     */
    @ApiModelProperty(value = "数据1")
    private String dateTwo;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
