/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程合同信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PROJECT_CONTRACT_W", resultMap = "projectContractMap")
@KeySequence("TF_YWPN_PROJECT_CONTRACT_W")
@ApiModel
public class ProjectContract extends Model<ProjectContract> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long projectId;
    /**
     * 流程步骤节点ID
     */
    @ApiModelProperty(value = "流程步骤节点ID")
    private Long projectNodeId;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 合同类型1:采购；2:工程；3:工程施工
     */
    @ApiModelProperty(value = "合同类型1:采购；2:工程；3:工程施工")
    private Long contractType;
    /**
     * 合同名称
     */
    @ApiModelProperty(value = "合同名称")
    private String contractName;
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String contractNumber;
    /**
     * 对方负责人
     */
    @ApiModelProperty(value = "对方负责人")
    private String otherPartyStaff;
    /**
     * 对方负责人电话
     */
    @ApiModelProperty(value = "对方负责人电话")
    private String otherPartyPhone;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;
    /**
     * 合同实际金额
     */
    @ApiModelProperty(value = "合同实际金额")
    private Double actualSum;
    /**
     * 合同概要
     */
    @ApiModelProperty(value = "合同概要")
    private String outline;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 附件2id用逗号分隔
     */
    @ApiModelProperty(value = "附件2id用逗号分隔")
    private String annexTwo;
    /**
     * 附件3id用逗号分隔
     */
    @ApiModelProperty(value = "附件3id用逗号分隔")
    private String annexThree;
    /**
     * 合同签订时间
     */
    @ApiModelProperty(value = "合同签订时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date signTime;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 甲方单位组织名称
     */
    @ApiModelProperty(value = "甲方单位组织名称")
    private String firstCompany;
    /**
     * 甲方人员
     */
    @ApiModelProperty(value = "甲方人员")
    private String firstStaff;
    /**
     * 甲方ID
     */
    @ApiModelProperty(value = "甲方ID")
    private Long firstId;
    /**
     * 甲方电话
     */
    @ApiModelProperty(value = "甲方电话")
    private String firstPhone;
    /**
     * 乙方单位组织名称
     */
    @ApiModelProperty(value = "乙方单位组织名称")
    private String secondCompany;
    /**
     * 乙方人员
     */
    @ApiModelProperty(value = "乙方人员")
    private String secondStaff;
    /**
     * 乙方ID
     */
    @ApiModelProperty(value = "乙方ID")
    private Long secondId;
    /**
     * 乙方电话
     */
    @ApiModelProperty(value = "乙方电话")
    private String secondPhone;
    /**
     * 合同状态1：有效；0：作废
     */
    @ApiModelProperty(value = "合同状态1：有效；0：作废")
    private Short contractState;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
