/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.AssetsQueryDTO;
import com.tofly.flow.custom.entity.KeepGrainDevice;
import com.tofly.flow.custom.vo.KeepGrainDeviceVO;
import com.tofly.flow.custom.vo.KeepGrainMatterVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 仓储仪器设备
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface KeepGrainDeviceMapper extends BaseMapper<KeepGrainDevice> {

    /**
     * 分页查询
     * @param page
     * @param queryWrapper
     * @return
     */
    @Select("SELECT device.*, " +
            "matter.MATTER_NAME matterName,matter.STANDARDS standards, " +
            "matter.MATTER_NUMBER matterNumber, " +
            "base.TYPE_NAME minTypeName,base.id baseTypeId " +
            "FROM TF_YWPN_KEEP_GRAIN_DEVICE_W device " +
            "LEFT JOIN TF_YWPN_KEEP_GRAIN_MATTER_W grain ON grain.ID = device.KEEP_GRAIN_MATTER_ID " +
            "LEFT JOIN TF_YWPN_MATTER_W matter ON matter.ID = grain.MATTER_ID " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W base ON base.ID = matter.MATTER_TYPE" +
            "   ${ew.customSqlsegment}")
    Page<KeepGrainDeviceVO> pageList(Page<KeepGrainMatterVO> page, @Param(Constants.WRAPPER)  QueryWrapper<AssetsQueryDTO> queryWrapper);


    /**
     * 列表查询
     * @param queryWrapper
     * @return
     */
    @Select("SELECT device.*, " +
            "matter.MATTER_NAME matterName,matter.STANDARDS standards, " +
            "base.TYPE_NAME minTypeName,base.id baseTypeId " +
            "FROM TF_YWPN_KEEP_GRAIN_DEVICE_W device " +
            "LEFT JOIN TF_YWPN_KEEP_GRAIN_MATTER_W grain ON grain.ID = device.KEEP_GRAIN_MATTER_ID " +
            "LEFT JOIN TF_YWPN_MATTER_W matter ON matter.ID = grain.MATTER_ID " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W base ON base.ID = matter.MATTER_TYPE" +
            "   ${ew.customSqlsegment}")
    List<KeepGrainDeviceVO> voList(@Param(Constants.WRAPPER)  QueryWrapper<AssetsQueryDTO> queryWrapper);

    Boolean saveBatchKeepGrainDevice(@Param("lists") List<KeepGrainDevice> lists);


    /**
     * 根据导入ID查询设备列表
     * @param importId 导入记录ID
     * @return 设备列表
     */
    @Select("SELECT * FROM TF_YWPN_KEEP_GRAIN_DEVICE_W " +
            "WHERE KEEP_GRAIN_MATTER_ID IN  " +
            "( " +
            "SELECT ID FROM TF_YWPN_KEEP_GRAIN_MATTER_W  " +
            "WHERE " +
            "MATTER_ID " +
            "IN  " +
            "( " +
            "SELECT ID FROM TF_YWPN_MATTER_W  " +
            "WHERE MATTER_NUMBER IN  " +
            "( " +
            "SELECT MATTER_NUMBER FROM TF_YWPN_IMPORT_INFO_W WHERE IMPORT_ID IN (#{importId}) " +
            ")  " +
            ") " +
            ")")
    List<KeepGrainDevice> selectMatterIdByMaterialImportId(Long importId);
}
