/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.AssetsQueryDTO;
import com.tofly.flow.custom.entity.KeepGrainMatter;
import com.tofly.flow.custom.vo.KeepGrainMatterVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 仓储物料信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface KeepGrainMatterMapper extends BaseMapper<KeepGrainMatter> {

    /**
     * 分页查询
     * @param page
     * @param queryWrapper
     * @return
     */
    @Select("SELECT grain.*, " +
            "matter.MATTER_NUMBER matterNumber,matter.MATTER_NAME matterName, " +
            "matter.STANDARDS standards,matter.CATEGORY_TYPE categoryType, " +
            "matter.IS_ASSETS isAssets,matter.UNIT unit,base.TYPE_NAME baseTypeName,(grain.QUANTITY * grain.UNIT_PRICE) marketTotal " +
            "from TF_YWPN_KEEP_GRAIN_MATTER_W grain " +
            "LEFT JOIN TF_YWPN_MATTER_W matter ON matter.ID = grain.MATTER_ID " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W base ON base.ID = matter.MATTER_TYPE " +
            "   ${ew.customSqlSegment}")
    Page<KeepGrainMatterVO> pageList(Page<KeepGrainMatterVO> page,@Param(Constants.WRAPPER) QueryWrapper<AssetsQueryDTO> queryWrapper);


    /**
     * 列表查询
     * @param queryWrapper
     * @return
     */
    @Select("SELECT grain.*, " +
            "matter.MATTER_NUMBER matterNumber,matter.MATTER_NAME matterName, " +
            "matter.STANDARDS standards,matter.CATEGORY_TYPE categoryType, " +
            "matter.IS_ASSETS isAssets,matter.UNIT unit,base.TYPE_NAME baseTypeName,(grain.QUANTITY * grain.UNIT_PRICE) marketTotal " +
            "from TF_YWPN_KEEP_GRAIN_MATTER_W grain " +
            "LEFT JOIN TF_YWPN_MATTER_W matter ON matter.ID = grain.MATTER_ID " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W base ON base.ID = matter.MATTER_TYPE " +
            "   ${ew.customSqlSegment}")
    List<KeepGrainMatterVO> voList(@Param(Constants.WRAPPER) QueryWrapper<AssetsQueryDTO> queryWrapper);

    Boolean insertBatch(@Param("lists") List<KeepGrainMatter> lists);
}
