/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.MatterQuerySmall;
import com.tofly.flow.custom.entity.Matter;
import com.tofly.flow.custom.vo.MatterVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 物资信息表
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface MatterMapper extends BaseMapper<Matter> {

    /**
     * 根据物资编码查询仓储物料 ID TF_YWPN_KEEP_GRAIN_MATTER_W id
     * @param codeNum 物资编码
     * @return id
     */
    Long selectGrainMatterByMatterNum(String codeNum);


    /**
     * 资产分类分页查询
     * @param page
     * @param queryWrapper
     * @return
     */
    @Select("SELECT m.*, t.TYPE_NAME typeName, " +
            "CASE WHEN (g.QUANTITY IS NULL OR g.QUANTITY <= 0) THEN 0 ELSE g.QUANTITY END quantity " +
            "from TF_YWPN_MATTER_W m  " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W t on t.ID = m.MATTER_TYPE " +
            "LEFT JOIN TF_YWPN_KEEP_GRAIN_MATTER_W g ON g.MATTER_ID = m.ID " +
            "${ew.customSqlSegment}")
    Page<MatterVO> pageList(Page page,@Param(Constants.WRAPPER) QueryWrapper<MatterQuerySmall> queryWrapper);


    /**
     * 资产分类分页查询
     * @param queryWrapper
     * @return
     */
    @Select("SELECT m.*, t.TYPE_NAME typeName, " +
            "CASE WHEN (g.QUANTITY IS NULL OR g.QUANTITY <= 0) THEN 0 ELSE g.QUANTITY END quantity " +
            "from TF_YWPN_MATTER_W m  " +
            "LEFT JOIN TF_YWPN_BASE_TYPE_W t on t.ID = m.MATTER_TYPE " +
            "LEFT JOIN TF_YWPN_KEEP_GRAIN_MATTER_W g ON g.MATTER_ID = m.ID " +
            "${ew.customSqlSegment}")
    List<MatterVO> list(@Param(Constants.WRAPPER) QueryWrapper<MatterQuerySmall> queryWrapper);

    /**
     * 根据导入记录ID查询关联的物资模版
     * @param id 导入ID
     * @return 物资模版
     */
    @Select("SELECT * FROM TF_YWPN_MATTER_W WHERE MATTER_NUMBER IN ( " +
            "SELECT MATTER_NUMBER FROM TF_YWPN_IMPORT_INFO_W WHERE IMPORT_ID = #{id} " +
            ")")
    List<Matter> selectMatterByMatterImportId(Long id);
}
