/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.LoadProcessDto;
import com.tofly.flow.custom.entity.Process;
import com.tofly.flow.custom.vo.ProcessListVO;
import com.tofly.flow.custom.vo.ProcessVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;
import java.util.Map;

/**
 * 流程信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessMapper extends BaseMapper<Process> {

    String getProcessNumber(@Param("dateTime") DateTime dateTime,@Param("processType") Long processType);

    ProcessVo getProcessById(@Param("id") Long id);

    Page<ProcessListVO> getProcessList(Page page, @Param("dto") LoadProcessDto dto,@Param("userId") Long userId);


    List<Map<String, Object>> getProcesss(Map map);

    int getCount(Map map);

    /**
     * 根据流程id获取需要通知的会议名称（流程名称）
     * @param id 流程ID
     * @return 会议名称（流程名称）
     */
    Process getProcessMeeting(@Param("id") Long id);
}
