/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.AssetsDTO;
import com.tofly.flow.custom.dto.AssetsQueryDTO;
import com.tofly.flow.custom.entity.Assets;
import com.tofly.flow.custom.entity.KeepGrainDevice;
import com.tofly.flow.custom.vo.AssetsStattisticsVo;
import com.tofly.flow.custom.vo.AssetsVO;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 资产管理
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface AssetsService extends IService<Assets> {

    /**
     * 车辆设备资产管理-分页查询
     * @param page 分页参数
     * @param dto 查询参数
     * @return
     */
    Page<AssetsVO> pageList(Page page, AssetsQueryDTO dto);

    /**
     * 固定资产台账导出
     * @param request
     * @param response
     */
    void fixedExport(HttpServletRequest request, HttpServletResponse response,AssetsQueryDTO dto);

    /**
     * 物资台账-数据导出
     * @param request
     * @param response
     */
    void export(HttpServletRequest request, HttpServletResponse response,AssetsQueryDTO dto);


    /**
     * 新增资产
     * @param assetsDTO
     */
    void insert(AssetsDTO assetsDTO);

    /**
     * 修改资产
     * @param assetsDTO
     */
    void edit(AssetsDTO assetsDTO);

    /**
     * 统计可视化接口
     * @return
     */
    Map<String,Object> statistics();

    /**
     * 出入库流程设备保存资产
     * @param start 操作类型0入库，1出库
     * @param zcs 设备信息
     * @return
     */
    Boolean saveAssetes( int start, List<Assets> zcs);

    /**
     * 批量修改资产状态信息
     * @param lists 设备对象信息
     * @return
     */
    Boolean updateBatchByDeviceId(List<KeepGrainDevice> lists);

    /**
     * 获取资产编码
     * @param code 资产类型编码
     * @return 资产编码
     */
    String getAssetsNumber(String code);
    /**
     * 获取资产编码
     * @param zc 资产前缀
     * @param code 资产类型编码
     * @return 资产编码
     */
    String getAssetsNumber(String zc,String code);

    /**
     * 设备资产类型统计
     * @return 设备资产类型统计
     */
    Map<String,Object> statisticsDevice();
}
