/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.BaseTypeDto;
import com.tofly.flow.custom.dto.UpdateBaseTypeDto;
import com.tofly.flow.custom.entity.BaseType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 基础类型表
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface BaseTypeService extends IService<BaseType> {

    Object saveBaseType(BaseTypeDto dto);

    Object updateBaseType(UpdateBaseTypeDto dto);

    boolean removeUpdateById(Long id);

    Object removeUpdateByIds(String ids);

    Object getTypeTree(String datatypes, Long id, Integer type);

    Object updateValid(Long id, Short valid);

    /**
     * 根据父级ID查询本身和拥有的子集ID
     * @param id 父级ID
     * @return ID集合
     */
    List<Long> selectTypeChildById(Long id);

    /**
     * 根据子集ID查询本身和拥有的父级ID
     * @param id 父级ID
     * @return ID集合
     */
    List<BaseType> selectTypeParentById(Long id);
}
