/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.*;
import com.tofly.flow.custom.entity.Document;
import com.tofly.flow.custom.vo.DocumentVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 文档管理
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface DocumentService extends IService<Document> {
    /**
     * 保存文档
     * @param dto 数据
     * @return
     */
    Long saveDocument(DocumentDto dto, List<MultipartFile> fileList);
    /**
     * 保存文档
     * @param dto 数据
     * @param processId 流程id
     * @param processNode 流程步骤
     * @param nodeBranch 步骤分支
     * @return
     */
    Long saveDocument(DocumentDto dto,Long processId,Integer processNode,Integer nodeBranch,List<MultipartFile> fileList);
    /**
     * 校验文档、公告
     * @param dto 文档、公共信息
     * @param processId 流程ID
     * @return
     */
    String check(DocumentDto dto,Long processId);
    /**
     * 修改文档信息
     * @param dto 文档对象
     * @param fileList 文件
     * @return
     */
    Object updateDocument(UpdateDocumentDto dto, List<MultipartFile> fileList);
    /**
     * 修改数据验证
     * @param dto 文档数据
     * @return
     */
    String updateCheck(UpdateDocumentDto dto);
    /**
     * 删除文档
     * @param id 主键id
     * @return
     */
    boolean removeUpdateById(Long id);
    /**
     * 批量删除文档
     * @param lids id主键
     * @return
     */
    int removeUpdateByIds(List<Long> lids);

    Page<DocumentVo> loadTypeDocumentPage(Page page, LoadFolderDocumentDto dto);

    /**
     * 保存校验文档、公告
     * @param dto 文档、公告信息
     * @param map 文件信息
     * @return
     */
    String saveCheck(DocumentFileDto dto, Map<String, MultipartFile> map);

    /**
     * 会议消息通知
     * @param id 流程ID
     */
    void meetingTidings(Long id);

    DocumentVo getDocumentById(Long id);
}
