/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ImportInfoDTO;
import com.tofly.flow.custom.dto.MatterDTO;
import com.tofly.flow.custom.dto.SearchImportInfoVo;
import com.tofly.flow.custom.entity.ImportInfo;
import com.tofly.flow.custom.vo.MatterVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Set;

/**
 * 物资导入详情
 *
 * @author xqf
 * @date Fri Apr 08 00:00:00 CST 2022
 */
public interface ImportInfoService extends IService<ImportInfo> {

    /**
     * 新增
     * @param dto
     */
    void insert(ImportInfoDTO dto);

    /**
     * 修改
     * @param dto
     */
    void edit(ImportInfoDTO dto);

    /**
     * 删除
     * @param ids 数据ID集合
     */
    void delete(Set<Long> ids);

    /**
     * 分页查询
     * @param page 分页参数
     * @param search 查询参数
     * @return 分页列表
     */
    Page<ImportInfo> pageList(Page<ImportInfo> page, SearchImportInfoVo search );

    /**
     * 模板下载
     */
    void template(HttpServletResponse response);

    /**
     * 数据导入
     * @param importId 导入ID
     * @param file 文件数据
     */
    void importMatter(Long importId, MultipartFile file);

    /**
     * 导出数据
     */
    void export(HttpServletRequest request, HttpServletResponse response);

}
