/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.AssetsQueryDTO;
import com.tofly.flow.custom.dto.KeepGrainDeviceDTO;
import com.tofly.flow.custom.entity.KeepGrainDevice;
import com.tofly.flow.custom.vo.KeepGrainDeviceVO;
import com.tofly.flow.custom.vo.KeepGrainMatterVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Set;

/**
 * 仓储仪器设备
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface KeepGrainDeviceService extends IService<KeepGrainDevice> {

    /**
     * 新增
     * @param dto
     */
    void insert(KeepGrainDeviceDTO dto);

    /**
     * 修改
     * @param dto
     */
    void edit(KeepGrainDeviceDTO dto);

    /**
     * 删除
     * @param ids 数据ID集合
     */
    void delete(Set<Long> ids);


    /**
     * 分页查询
     * @param page 分页参数
     * @param search 查询参数
     * @return 分页列表
     */
    Page<KeepGrainDeviceVO> pageList(Page<KeepGrainMatterVO> page, AssetsQueryDTO search );

    /**
     * 模板下载
     */
    void template(HttpServletResponse response);

    /**
     * 数据导入
     * @param file 文件数据
     */
    void importMatter(MultipartFile file);

    /**
     * 数据导出
     * @param request
     * @param response
     * @param dto 条件查询参数
     */
    void export(HttpServletRequest request, HttpServletResponse response,AssetsQueryDTO dto);

    /**
     * 批量存储或修改仓库设备数据
     * @param start 出入库状态0入库，1出库
     * @param kgds 设备信息数据
     * @return Boolean
     */
    Boolean insertOrUpdateDevice(int start,  List<KeepGrainDevice> kgds);


    /**
     * 修改设备退库状态
     * @param ukgds 设备信息
     * @return
     */
    Boolean updateDevice(List<KeepGrainDevice> ukgds);

    /**
     * 根据导入ID查询设备列表
     * @param importId 导入记录ID
     * @return 设备列表
     */
    List<KeepGrainDevice> selectMatterIdByMaterialImportId(Long importId);
}
