/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.AssetsQueryDTO;
import com.tofly.flow.custom.dto.KeepGrainDeviceDTO;
import com.tofly.flow.custom.entity.KeepGrainMatter;
import com.tofly.flow.custom.vo.KeepGrainMatterVO;
import com.tofly.flow.custom.vo.ProcessStuffVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Set;

/**
 * 仓储物料信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface KeepGrainMatterService extends IService<KeepGrainMatter> {
    /**
     * 新增
     * @param dto
     */
    void insert(KeepGrainDeviceDTO dto);

    /**
     * 修改
     * @param dto
     */
    void edit(KeepGrainDeviceDTO dto);

    /**
     * 删除
     * @param ids 数据ID集合
     */
    void delete(Set<Long> ids);

    /**
     * 分页查询
     * @param page 分页参数
     * @param search 查询参数
     * @return 分页列表
     */
    Page<KeepGrainMatterVO> pageList(Page<KeepGrainMatterVO> page, AssetsQueryDTO search );

    /**
     * 模板下载
     */
    void template(HttpServletResponse response);

    /**
     * 数据导入
     * @param file 文件数据
     */
    void importMatter(MultipartFile file);

    /**
     * 导出数据
     */
    void export(HttpServletRequest request, HttpServletResponse response,AssetsQueryDTO queryDTO);

    /**
     * 根据物资模版ID查询物料信息库存
     * @param matterId 物资模版ID
     * @return
     */
    KeepGrainMatter getBymatterId(Long matterId);

    /**
     * 同步流程出入库物资数据
     * @param stuffVos 物资信息
     * @param start 出入库状态0入库，1出库
     * @param processId 工单ID
     * @return
     */
    Boolean synchroKeepGrainMatter(List<ProcessStuffVo> stuffVos, int start, Long processId);

    /**
     * 根据ID查询数据
     * @param keepGrainMatterId id
     * @return 数据
     */
    KeepGrainMatterVO get(Long keepGrainMatterId);


    /**
     * 获取物资编码
     * @param wztype 物资类型
     * @return 物资编码
     */
    String getProcessNumber(String wztype);


    /**
     * 获取物资编码
     * @param wz 物资前缀
     * @param wztype 物资类型
     * @return 物资编码
     */
    String getProcessNumber(String wz,String wztype);

}
