/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.PConfigStepDto;
import com.tofly.flow.custom.entity.ProcessConfigStep;

import java.util.List;

/**
 * 流程配置步骤
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface ProcessConfigStepService extends IService<ProcessConfigStep> {

    /**
     * 流程步骤校验
     * @param stepDtos 流程步骤数据
     * @return 校验信息
     */
    String checkingStep(List<PConfigStepDto> stepDtos);

    /**
     * 保存流程步骤信息
     * @param stepDtos 流程步骤数据
     * @param id 流程配置ID
     * @param edition 流程配置版本
     * @return 保存结果
     */
    Boolean saveStepService(List<PConfigStepDto> stepDtos, Long id, Integer edition);

    /**
     * 删除流程配置
     * @param oldId 配置ID
     * @param oldEdition 配置版本
     * @return
     */
    Boolean delUpdateStep(Long oldId, Integer oldEdition);
}
