/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.BatchDeviceExWarehouseDto;
import com.tofly.flow.custom.dto.ProcessDeviceDto;
import com.tofly.flow.custom.entity.ProcessDevice;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 流程出入/退库设备
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessDeviceService extends IService<ProcessDevice> {

    /**
     * 保存流程出入库设备信息
     * @param dtos 流程出入库设备
     * @param processStuffId  流程输入框物资id
     * @param factoryId 厂家ID
     * @param price 价格
     * @param oldId
     * @param deviceFiles
     * @return 保存结果
     */
    boolean saveProcessDevice(List<ProcessDeviceDto> dtos, Long processStuffId, Long factoryId, Double price, Long oldId, Map<String, List<MultipartFile>> deviceFiles);
    /**
     * 流程设备出库
     * @param dto 出库设备信息
     * @return
     */
    Object deviceExWarehouse(BatchDeviceExWarehouseDto dto);

    /**
     * 逻辑删除关联出入库设备
     * @param keySet 物资id集合
     */
    void delProcessDevice(Set<Long> keySet);
}
