/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessJournalDto;
import com.tofly.flow.custom.dto.ProcessJournalSaveDto;
import com.tofly.flow.custom.entity.ProcessJournal;
import com.tofly.flow.custom.vo.ProcessJournalVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 工程施工日志
 *
 * @author xqf
 * @date Wed May 25 00:00:00 CST 2022
 */
public interface ProcessJournalService extends IService<ProcessJournal> {

    /**
     * 工程施工信息
     * @param processJournalDto 工程信息
     * @param processId 流程ID
     * @param processStep 步骤
     * @param stepNode 节点
     * @param pjfiles 文件
     * @return
     */
    Boolean saveProcessJournal(ProcessJournalDto processJournalDto, Long processId, Integer processStep, Integer stepNode, List<MultipartFile> pjfiles);

    /**
     * 保存施工信息
     * @param dto 施工信息
     * @param fileList 文件
     * @return
     */
    Object saveProcessJournal(ProcessJournalSaveDto dto, List<MultipartFile> fileList);

    ProcessJournalVO getProcessJournalById(Long id);
}
