/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.LoadProcessDto;
import com.tofly.flow.custom.dto.ProcessDto;
import com.tofly.flow.custom.dto.ProcessLDto;
import com.tofly.flow.custom.entity.Process;
import com.tofly.flow.custom.vo.ProcessListVO;
import com.tofly.flow.custom.vo.ProcessVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 流程信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessService extends IService<Process> {

    Object saveProcess(ProcessDto dto, List<MultipartFile> fileList);

    boolean removeUpdateById(Long id);

    ProcessVo getProcessById(Long id);

    /**
     * 停止流程
     * @param id 流程id
     * @param processStep 流程步骤
     * @param stepNode 步骤节点
     * @return 停止结果
     */
    Object stopProcess(Long id, Integer processStep, Integer stepNode);

    /**
     * 查询流程
     * @param page 分页
     * @param dto 条件
     * @return 流程信息
     */
    Page<ProcessListVO> getProcessList(Page page, LoadProcessDto dto);

    Page<Map<String,Object>> getProcesss(Page page,ProcessLDto dto);

    /**
     * 根据ID查询会议流程通知
     * @param id 流程ID
     * @return 会议名称
     */
    Process getProcessMeeting(Long id);
}
