/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.DeviceFactoryDto;
import com.tofly.flow.custom.entity.DeviceFactory;
import com.tofly.flow.custom.entity.ProcessJournal;
import com.tofly.flow.custom.service.DeviceFactoryService;
import com.tofly.flow.custom.vo.DeviceFactoryVo;
import com.tofly.flow.service.FileService;
import com.tofly.flow.util.UploadFiles;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.DeviceFactoryMapper;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设备厂家信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Service("deviceFactoryService")
public class DeviceFactoryServiceImpl extends ServiceImpl<DeviceFactoryMapper, DeviceFactory> implements DeviceFactoryService {
    /**
     * 文件保存
     */
    @Autowired
    private FileService fileService;



    @Value("${ftp.flow.devicefactory}")
    private String deviceFactoryFile;
    @Override
    public Object saveDeviceFactory(DeviceFactoryDto dto, List<MultipartFile> fileList) {
        DeviceFactory df = new DeviceFactory();
        BeanUtils.copyProperties(dto,df);
        DeviceFactory pj_db= null;
        if(dto.getId()!=null){
            pj_db= this.getById(dto.getId());
            if(pj_db==null){
                return FlowConstant.DATA_NOTHINGNESS;
            }
        }
        if(CollUtil.isNotEmpty(fileList)) {
            String filepath = UploadFiles.saveFiles(fileService, fileList, pj_db ==null?"": pj_db.getAnnex(), dto.getAnnex(), deviceFactoryFile, FlowConstant.TF_YWPN_PROCESS_JOURNAL_W);
            df.setAnnex(filepath);
            if(dto.getId()!=null&& StringUtils.isEmpty(filepath)){
                this.update(new UpdateWrapper<DeviceFactory>().lambda().eq(DeviceFactory::getId,dto.getId()).set(DeviceFactory::getAnnex,""));
            }
        }
        return this.saveOrUpdate(df);
    }

    @Override
    public DeviceFactoryVo getDeviceFactoryById(Long id) {
        return this.baseMapper.getDeviceFactoryById(id);
    }
}
