/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.ProcessChargeDto;
import com.tofly.flow.custom.entity.ProcessCharge;
import com.tofly.flow.custom.entity.ProcessJournal;
import com.tofly.flow.custom.service.ProcessChargeService;
import com.tofly.flow.custom.vo.ProcessChargeVO;
import com.tofly.flow.service.FileService;
import com.tofly.flow.util.UploadFiles;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.ProcessChargeMapper;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 工程收费
 *
 * @author xqf
 * @date Thu Jun 09 00:00:00 CST 2022
 */
@Service("processChargeService")
public class ProcessChargeServiceImpl extends ServiceImpl<ProcessChargeMapper, ProcessCharge> implements ProcessChargeService {
    /**
     * 文件保存
     */
    @Autowired
    private FileService fileService;



    @Value("${ftp.flow.processcharge}")
    private String processChargeFile;
    @Override
    public Object saveProcessCharge(ProcessChargeDto dto, List<MultipartFile> fileList) {
        ProcessCharge pc = new ProcessCharge();
        BeanUtils.copyProperties(dto,pc);
        ProcessCharge old = null;
        if(dto.getId()!=null){
            old = this.getById(dto.getId());
            if(old==null||old.getIsDel()== FlowConstant.SHORT_ONE){
                return FlowConstant.DATA_NOTHINGNESS;
            }
        }

        if(CollUtil.isNotEmpty(fileList)) {
            String filepath = UploadFiles.saveFiles(fileService, fileList, old ==null?"": old.getAnnex(), dto.getAnnex(), processChargeFile, FlowConstant.TF_YWPN_PROCESS_JOURNAL_W);
            pc.setAnnex(filepath);
            if(dto.getId()!=null&& StringUtils.isEmpty(filepath)){
                this.update(new UpdateWrapper<ProcessCharge>().lambda().eq(ProcessCharge::getId,dto.getId()).set(ProcessCharge::getAnnex,""));
            }
        }

        if(pc.getIsDel()==null){
            pc.setIsDel(FlowConstant.SHORT_ZERO);
        }

        return this.saveOrUpdate(pc);
    }

    @Override
    public ProcessChargeVO getProcessChargeById(Long id) {
        return this.baseMapper.getProcessChargeById(id);
    }
}
