/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.ProcessStaffDto;
import com.tofly.flow.custom.entity.ProcessRelation;
import com.tofly.flow.custom.entity.ProcessStaff;
import com.tofly.flow.custom.service.ProcessStaffService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.ProcessStaffMapper;

import java.util.ArrayList;
import java.util.List;

/**
 * 流程处理关联人员（会议、报文）
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
@Service("processStaffService")
public class ProcessStaffServiceImpl extends ServiceImpl<ProcessStaffMapper, ProcessStaff> implements ProcessStaffService {

    /**
     * 保存流程处理关联人员（会议、报文）
     * @param staffDtos 关联人员信息
     * @param processId 流程ID
     * @param processStep 流程步骤
     * @param stepNode 步骤节点
     * @return
     */
    @Override
    public Boolean saveListpStaffService(List<ProcessStaffDto> staffDtos, Long processId, Integer processStep, Integer stepNode) {
        this.remove(new UpdateWrapper<ProcessStaff>().lambda().eq(ProcessStaff::getProcessId,processId)
                .eq(ProcessStaff::getProcessNode,processStep).eq(ProcessStaff::getNodeBranch,stepNode));
        if(CollUtil.isNotEmpty(staffDtos)) {
            List<ProcessStaff> pss = new ArrayList<>();
            Long index = this.getObj(new QueryWrapper<ProcessStaff>().select("MAX(ID) as ID")
                    , (o) -> { return Long.parseLong(String.valueOf(o)); });
            if(index==null){
                index = 0l;
            }
            for (ProcessStaffDto dto : staffDtos) {
                ProcessStaff ps = new ProcessStaff();
                BeanUtils.copyProperties(dto, ps);
                ps.setProcessId(processId);
                ps.setProcessNode(processStep);
                ps.setNodeBranch(stepNode);
                ps.setId(++index);
                ps.setIsDel(FlowConstant.SHORT_ZERO);
                pss.add(ps);
            }
            return this.baseMapper.saveProcessStaff(pss);
        }
        return true;
    }
}
