/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.ProcessSurveyDto;
import com.tofly.flow.custom.entity.ProcessNode;
import com.tofly.flow.custom.entity.ProcessSurvey;
import com.tofly.flow.custom.service.ProcessSurveyService;
import com.tofly.flow.service.FileService;
import com.tofly.flow.util.UploadFiles;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.ProcessSurveyMapper;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 勘测信息
 *
 * @author xqf
 * @date Fri May 20 00:00:00 CST 2022
 */
@Service("processSurveyService")
public class ProcessSurveyServiceImpl extends ServiceImpl<ProcessSurveyMapper, ProcessSurvey> implements ProcessSurveyService {
    /**
     * 文件保存
     */
    @Autowired
    private FileService fileService;


    @Value("${ftp.flow.processsurvey}")
    private String processSurveyfile;
    /**
     * 保存或修改工程勘测信息
     * @param dto 工程勘测信息
     * @param processId 流程ID
     * @param processStep 步骤
     * @param stepNode 节点
     * @param fileList 文件集合
     * @return
     */
    @Override
    public Boolean saveProcessSurvey(ProcessSurveyDto dto, Long processId, Integer processStep, Integer stepNode, List<MultipartFile> fileList) {
        ProcessSurvey ps = new ProcessSurvey();
        ProcessSurvey pn = this.getOne(new QueryWrapper<ProcessSurvey>().lambda().eq(ProcessSurvey::getProcessId,processId)
                .eq(ProcessSurvey::getProcessNode,processStep).eq(ProcessSurvey::getNodeBranch,stepNode).eq(ProcessSurvey::getIsDel,FlowConstant.SHORT_ZERO));
        BeanUtils.copyProperties(dto,ps);
        ps.setProcessId(processId);
        ps.setProcessNode(processStep);
        ps.setNodeBranch(stepNode);
        ps.setIsDel(FlowConstant.SHORT_ZERO);
        if(CollUtil.isNotEmpty(fileList)) {
            String filepath = UploadFiles.saveFiles(fileService, fileList, pn ==null?"": pn.getAnnex(), dto.getAnnex(), processSurveyfile, FlowConstant.TF_YWPN_PROCESS_SURVEY_W);

            ps.setAnnex(filepath);
        }
        this.remove(new QueryWrapper<ProcessSurvey>().lambda().eq(ProcessSurvey::getProcessId,processId)
                .eq(ProcessSurvey::getProcessNode,processStep).eq(ProcessSurvey::getNodeBranch,stepNode).eq(ProcessSurvey::getIsDel,FlowConstant.SHORT_ZERO));

        return this.save(ps);
    }
}
