/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.ProjectDetailedDto;
import com.tofly.flow.custom.entity.ProcessDevice;
import com.tofly.flow.custom.entity.ProjectDetailed;
import com.tofly.flow.custom.service.ProjectDetailedService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.ProjectDetailedMapper;

import java.util.ArrayList;
import java.util.List;

/**
 * 工程流程中费用预算明细
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
@Service("projectDetailedService")
public class ProjectDetailedServiceImpl extends ServiceImpl<ProjectDetailedMapper, ProjectDetailed> implements ProjectDetailedService {

    /**
     * 保存
     * @param dto
     * @return
     */
    @Override
    public Object saveProjectDetailed(ProjectDetailedDto dto) {
        return null;
    }

    /**
     * 批量保存费用预算明细
     * @param detailedDtos 费用预算信息
     * @param processId 流程id
     * @param processStep 流程步骤
     * @param stepNode 流程步骤节点
     * @return
     */
    @Override
    public Boolean saveListProjectDetailed(List<ProjectDetailedDto> detailedDtos, Long processId, Integer processStep, Integer stepNode) {

        Long index = this.getObj(new QueryWrapper<ProjectDetailed>().select("MAX(ID) as ID")
                ,(o)->{return Long.parseLong(String.valueOf(o));} );

        if(index==null){
            index = 0l;
        }
        List<ProjectDetailed> pds = new ArrayList<>();
        for (ProjectDetailedDto dto:detailedDtos) {
            ProjectDetailed pd = new ProjectDetailed();
            BeanUtils.copyProperties(dto,pd);
            pd.setProcessId(processId);
            pd.setProcessNode(processStep);
            pd.setNodeBranch(stepNode);
            pd.setId(++index);
            pd.setIsDel(FlowConstant.SHORT_ZERO);
            pds.add(pd);
        }
        this.update(new UpdateWrapper<ProjectDetailed>().lambda().eq(ProjectDetailed::getProcessId,processId)
                .eq(ProjectDetailed::getProcessNode,processStep).eq(ProjectDetailed::getNodeBranch,stepNode)
                .eq(ProjectDetailed::getIsDel,FlowConstant.SHORT_ZERO).set(ProjectDetailed::getIsDel,FlowConstant.SHORT_ONE));

        return this.baseMapper.saveListProjectDetailed(pds);
    }
}
