/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.custom.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.dto.StorageRoomDto;
import com.tofly.flow.custom.entity.StorageRoom;
import com.tofly.flow.custom.service.StorageRoomService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import com.tofly.flow.custom.mapper.StorageRoomMapper;

/**
 * 库房管理
 *
 * @author xqf
 * @date Thu Jun 09 00:00:00 CST 2022
 */
@Service("storageRoomService")
public class StorageRoomServiceImpl extends ServiceImpl<StorageRoomMapper, StorageRoom> implements StorageRoomService {

    @Override
    public Object saveStorageRoom(StorageRoomDto dto) {
        StorageRoom sr = new StorageRoom();
        BeanUtils.copyProperties(dto,sr);
        StorageRoom old = null;
        if(sr.getId()!=null){
            old = this.getById(dto.getId());
            if(old==null||old.getIsDel()== FlowConstant.SHORT_ONE){
                return FlowConstant.DATA_NOTHINGNESS;
            }
        }
        if(sr.getIsDel()==null){
            sr.setIsDel(FlowConstant.SHORT_ZERO);
        }
        if(sr.getIsValid()==null&&sr.getId()==null){
            sr.setIsValid(FlowConstant.SHORT_ONE);
        }

        return this.saveOrUpdate(sr);
    }
}
