package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class DocumentVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 文档编号
     */
    @ApiModelProperty(value = "文档编号")
    private String documentNumber;
    /**
     * 文档类型
     */
    @ApiModelProperty(value = "文档类型")
    private Long documentType;

    /**
     * 文档类型
     */
    @ApiModelProperty(value = "文档类型")
    private String documentTypeName;
    /**
     * 字号
     */
    @ApiModelProperty(value = "字号")
    private String fontSize;
    /**
     * 密级
     */
    @ApiModelProperty(value = "密级")
    private Long degreeSecrets;
    /**
     * 紧急程度
     */
    @ApiModelProperty(value = "紧急程度")
    private Long degreeUrgency;
    /**
     * 主题
     */
    @ApiModelProperty(value = "主题")
    private String theme;
    /**
     * 内容概要、会议议程
     */
    @ApiModelProperty(value = "内容概要、会议议程")
    private String content;
    /**
     * 决议
     */
    @ApiModelProperty(value = "决议")
    private String resolution;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 状态0:草稿、1:提交（发布）
     */
    @ApiModelProperty(value = "状态0:草稿、1:提交（发布）")
    private Short documentState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 关联文件信息
     */
    @ApiModelProperty(value = "关联文件信息")
    private List<File> files;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
