/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.tofly.flow.custom.entity.BaseType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 仓储仪器设备
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@ApiModel
public class KeepGrainDeviceVO extends Model<KeepGrainDeviceVO> {
    private static final long serialVersionUID = 1L;

    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 入库备注
     */
    @ApiModelProperty(value = "入库备注")
    private String inRemark;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long keepGrainMatterId;
    /**
     * 设备唯一编号（系统生成）
     */
    @ApiModelProperty(value = "设备唯一编号（系统生成）")
    private String uniqueId;

    /**
     * 出厂唯一编号
     */
    @ApiModelProperty(value = "出厂唯一编号")
    private String uniqueNumber;

    /**
     * 部件唯一编号1
     */
    @ApiModelProperty(value = "部件唯一编号1")
    private String partsNumberOne;
    /**
     * 部唯一件编号2
     */
    @ApiModelProperty(value = "部唯一件编号2")
    private String partsNumberTwo;
    /**
     * 部唯一件编号3
     */
    @ApiModelProperty(value = "部唯一件编号3")
    private String partsNumberThree;
    /**
     * 铭牌信息
     */
    @ApiModelProperty(value = "铭牌信息")
    private String nameplate;
    /**
     * 供应商
     */
    @ApiModelProperty(value = "供应商")
    private String supplier;
    /**
     * 设备厂家
     */
    @ApiModelProperty(value = "设备厂家")
    private String factoryId;
    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;
    /**
     * 生产日期
     */
    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;
    /**
     * 购买日期
     */
    @ApiModelProperty(value = "购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;
    /**
     * 出库日期
     */
    @ApiModelProperty(value = "出库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outDate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inDate;
    /**
     * 到期日期
     */
    @ApiModelProperty(value = "到期日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expireDate;

    /**
     * 编号（出入库编码）
     */
    @ApiModelProperty(value = "编号（出入库编码）")
    private String stuffNumber;

    /**
     * 采购工单ID
     */
    @ApiModelProperty(value = "采购工单ID")
    private Long purchaseId;
    /**
     * 出库工单ID
     */
    @ApiModelProperty(value = "出库工单ID")
    private Long streamId;
    /**
     * 折旧数值
     */
    @ApiModelProperty(value = "折旧数值")
    private Double depreciation;
    /**
     * 折旧类型1:固定年折旧；2:固定月折旧；3:年折旧率；4:月折旧率
     */
    @ApiModelProperty(value = "折旧类型1:固定年折旧；2:固定月折旧；3:年折旧率；4:月折旧率")
    private Short depreciationType;
    /**
     * 数据来源:1导入；2入库
     */
    @ApiModelProperty(value = "数据来源:1导入；2入库")
    private Short dataSource;
    /**
     * 设备状态1:新；2:旧；3:损坏；4:出库；5:报废
     */
    @ApiModelProperty(value = "设备状态1:新；2:旧；3:损坏；4:出库；5:报废")
    private Short deviceState;
    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;

    @ApiModelProperty(value = "资产分类")
    private String bigTypeName;

    @ApiModelProperty(value = "资产小类")
    private String minTypeName;


    @ApiModelProperty(value = "树形分类数组")
    List<BaseType> baseTypes;

    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;

    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;

    /**
     * BaseTypeId
     */
    @ApiModelProperty(value = "BaseTypeId",hidden=true)
    @JsonIgnore
    private Long baseTypeId;

}
