/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 物资导入
 *
 * @author xqf
 * @date Fri Apr 08 00:00:00 CST 2022
 */
@Data
@ApiModel
public class MaterialImportVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 入库编号
     */
    @ApiModelProperty(value = "入库编号")
    private String importNumber;
    /**
     * 导入类型1:物资入库;2:物资明细
     */
    @ApiModelProperty(value = "导入类型1:物资入库;2:物资明细")
    private Short importType;
    /**
     * 数据条数
     */
    @ApiModelProperty(value = "数据条数")
    private Integer dataCount;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
