/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 物资信息表
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
@Data
@ApiModel
public class MatterExportVo  {
    private static final long serialVersionUID = 1L;

    /**
     * 物资编码
     */
    @Excel(name = "物资编码")
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;

    /**
     * 物资名称
     */
    @Excel(name = "物资名称")
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 规格型号
     */
    @Excel(name = "规格型号")
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @Excel(name = "计量单位")
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @Excel(name = "物资类别类型")
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;
    /**
     * 是否资产1:是;0:否
     */
    @Excel(name = "是否资产")
    @ApiModelProperty(value = "是否资产1:是;0:否")
    private Short isAssets;


    /**
     * 物资一级分类
     */
    @Excel(name = "level1")
    @ApiModelProperty(value = "物资一级分类")
    private String level1;


    /**
     * 物资二级分类
     */
    @Excel(name = "level2")
    @ApiModelProperty(value = "物资二级分类")
    private String level2;


    /**
     * 物资三级分类
     */
    @Excel(name = "level3")
    @ApiModelProperty(value = "物资三级分类")
    private String level3;

}
