package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 物资信息
 */
@Data
@EqualsAndHashCode
public class MatterNodeVo implements Serializable {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资所属类型 名称
     */
    @ApiModelProperty(value = "物资所属类型 名称")
    private String typeName;

    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;
    /**
     * 别名（简称）
     */
    @ApiModelProperty(value = "别名（简称）")
    private String alias;
    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称")
    private String englishName;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;

    /**
     * 是否资产1:是;0:否
     */
    @ApiModelProperty(value = "是否资产1:是;0:否")
    private Short isAssets;


}
