package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @date 2022-04-06
 */
@Data
@ApiModel
public class MatterVO {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;

    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;
    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;


    /**
     * 物资类别类型1设备类;2车辆类;3耗材类
     */
    @ApiModelProperty(value = "物资类别类型1设备类;2车辆类;3耗材类")
    private Short categoryType;

    /**
     * 是否资产1:是;0:否
     */
    @ApiModelProperty(value = "是否资产1:是;0:否")
    private Short isAssets;


    /**
     * 物资等级数组数据
     */
    @ApiModelProperty(value = "物资等级数组数据")
    private List<BaseTypeSmallVO> baseTypeSmallVOList;

    /**
     * 物资一级分类
     */
    @ApiModelProperty(value = "物资一级分类")
    private String level1;


    /**
     * 物资二级分类
     */
    @ApiModelProperty(value = "物资二级分类")
    private String level2;


    /**
     * 物资三级分类
     */
    @ApiModelProperty(value = "物资三级分类")
    private String level3;

    /**
     * 树形绑定类型名称
     */
    @ApiModelProperty(value = "树形绑定类型名称")
    private String typeName;

    /**
     * 现存数量
     */
    @ApiModelProperty(value = "现存数量")
    private Long quantity;
}
