package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode
public class OutMatterVO {

    /**
     * 流程编号(工程、办公、采购、入库、出库等) 出库工单号
     */
    @ApiModelProperty(value = "流程编号- 出库工单号")
    private String processNumber;

    /**
     * 业务类型，基础类型表
     */
    @ApiModelProperty(value = "业务类型，基础类型表")
    private Long ywType;

    /**
     * 业务类型名称
     */
    @ApiModelProperty(value = "业务类型名称")
    private String ywTypeName;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long quantity;

    /**
     * 登记部门
     */
    @ApiModelProperty(value = "登记部门")
    private Long registerDept;

    /**
     * 登记部门名称
     */
    @ApiModelProperty(value = "登记部门名称")
    private String registerDeptName;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;

    /**
     * 登记人名称
     */
    @ApiModelProperty(value = "登记人名称")
    private String registerStaffName;

    /**
     * 出库日期
     */
    @ApiModelProperty(value = "出库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outDate;

    /**
     * 申请部门
     */
    @ApiModelProperty(value = "申请部门")
    private Long applyDept;

    /**
     * 申请部门名称
     */
    @ApiModelProperty(value = "申请部门名称")
    private String applyDeptName;

    /**
     * 申请人
     */
    @ApiModelProperty(value = "申请人")
    private Long applyId;

    /**
     * 申请人名称
     */
    @ApiModelProperty(value = "申请人名称")
    private String applyName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
