package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
@Data
@EqualsAndHashCode
public class ProcessChargeVO implements Serializable {
    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 收费金额
     */
    @ApiModelProperty(value = "收费金额")
    private Double chargeMoney;
    /**
     * 收费方式
     */
    @ApiModelProperty(value = "收费方式")
    private Short chargeType;
    /**
     * 收费方式名称
     */
    @ApiModelProperty(value = "收费方式名称")
    private String chargeTypeName;
    /**
     * 收费比例
     */
    @ApiModelProperty(value = "收费比例")
    private Float chargeRatio;
    /**
     * 收费人员
     */
    @ApiModelProperty(value = "收费人员")
    private Long chargeStaff;
    /**
     * 收费人员名称
     */
    @ApiModelProperty(value = "收费人员名称")
    private String chargeStaffName;
    /**
     * 收费时间
     */
    @ApiModelProperty(value = "收费时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date chargeTime;
    /**
     * 付款人
     */
    @ApiModelProperty(value = "付款人")
    private String paymentStaff;
    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String telephone;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String chargeExplain;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;

    /**
     * 关联文件信息
     */
    @ApiModelProperty(value = "关联文件信息")
    private List<File> files;
}
