package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class ProcessConfigStepVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 步骤序号
     */
    @ApiModelProperty(value = "步骤序号")
    private Integer stepOrder;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 步骤类型1:填充；2审核
     */
    @ApiModelProperty(value = "步骤类型1:填充；2审核")
    private Short stepType;
    /**
     * 处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)
     */
    @ApiModelProperty(value = "处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)")
    private String handleModel;
    /**
     * 处理人员一致步骤序号
     */
    @ApiModelProperty(value = "处理人员一致步骤序号")
    private Short unanimousOrder;
    /**
     * 处理子层级默认1
     */
    @ApiModelProperty(value = "处理子层级默认1")
    private Short nodeNumber;
    /**
     * 强制处理层级默认1 小于等于处理层级
     */
    @ApiModelProperty(value = "强制处理层级默认1 小于等于处理层级")
    private Short coerceLevel;
    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用")
    private Short isEnable;
    /**
     * 是否并行处理
     */
    @ApiModelProperty(value = "是否并行处理")
    private Short isParallel;
    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;

    /**
     * 下一步骤序号多个用逗号分隔
     */
    @ApiModelProperty(value = "下一步骤序号多个用逗号分隔")
    private String nextStep;

    /**
     * 人员集合
     */
    @ApiModelProperty(value = "人员集合")
    List<ConfigStepStaffVo> staffs;

    /**
     * 层级人员
     */
    @ApiModelProperty(value = "层级人员")
    List<LevleStepStaffVo> Levelstaffs;
}
