package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class ProcessConfigVo implements Serializable {

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;
    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String processNumber;
    /**
     * 流程类型1:文档;2:用车;3:会议.TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "流程类型1:文档;2:用车;3:会议.TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;

    /**
     * 流程类型名称
     */
    @ApiModelProperty(value = "流程类型名称")
    private String processTypeName;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;

    /**
     * 全类型名称
     */
    @ApiModelProperty(value = "全类型名称")
    private String allTypeName;

    /**
     * 1级类型名称
     */
    @ApiModelProperty(value = "1级类型名称")
    private String typeName;
    /**
     * 子级类型名称
     */
    @ApiModelProperty(value = "子级类型名称")
    private String childLevelName;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 流程配置信息
     */
    @ApiModelProperty(value = "流程配置信息")
    private ProcessConfigInfoVo info;

    /**
     * 督办人员集合
     */
    @ApiModelProperty(value = "督办人员集合")
    private List<ConfigStepStaffVo> staffs;

    /**
     * 流程步骤集合
     */
    @ApiModelProperty(value = "流程步骤集合")
    private List<ProcessConfigStepVo> steps;

}
