package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 出入库设备
 */
@Data
@EqualsAndHashCode
public class ProcessDeviceVo implements Serializable {

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程物料ID
     */
    @ApiModelProperty(value = "流程物料ID")
    private Long processStuffId;
    /**
     * 仓库设备ID
     */
    @ApiModelProperty(value = "仓库设备ID")
    private Long keepGrainDeviceId;
    /**
     * 设备唯一编号
     */
    @ApiModelProperty(value = "设备唯一编号")
    private String uniqueId;

    /**
     * 出厂唯一编号
     */
    @ApiModelProperty(value = "出厂唯一编号")
    private String uniqueNumber;
    /**
     * 编号1
     */
    @ApiModelProperty(value = "编号1")
    private String partsNumberOne;
    /**
     * 编号2
     */
    @ApiModelProperty(value = "编号2")
    private String partsNumberTwo;
    /**
     * 编号3
     */
    @ApiModelProperty(value = "编号3")
    private String partsNumberThree;
    /**
     * 铭牌信息
     */
    @ApiModelProperty(value = "铭牌信息")
    private String nameplate;
    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;
    /**
     * 生产日期
     */
    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;
    /**
     * 购买日期
     */
    @ApiModelProperty(value = "购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;
    /**
     * 设备状态1:新；2:旧；3:损坏；4:出库；5:报废
     */
    @ApiModelProperty(value = "设备状态1:新；2:旧；3:损坏；4:出库；5:报废")
    private Short deviceState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 文件信息集合
     */
    @ApiModelProperty(value = "文件信息集合")
    private List<File> files;

}
