package com.tofly.flow.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProcessNodeVo implements Serializable {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long dept;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long deptStaff;

    /**
     * 人员名称
     */
    @ApiModelProperty(value = "人员名称")
    private String deptStaffName;
    /**
     * 类型1（关联基础类型表ID）
     */
    @ApiModelProperty(value = "类型1（关联基础类型表ID）")
    private Long typeOne;
    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeOneName;
    /**
     * 类型2（关联基础类型表ID）
     */
    @ApiModelProperty(value = "类型2（关联基础类型表ID）")
    private Long typeTwo;

    /**
     * 类型2名称
     */
    @ApiModelProperty(value = "类型2名称")
    private String typeTwoName;
    /**
     * 条件（判断选择条件多个用逗号分隔）
     */
    @ApiModelProperty(value = "条件（判断选择条件多个用逗号分隔）")
    private String condition;
    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String opinionOne;
    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String opinionTwo;
    /**
     * 处理结果0:不处理；1:同意；2:不同意；
     */
    @ApiModelProperty(value = "处理结果0:不处理；1:同意；2:不同意；")
    private Short handleResults;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String addre;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 文件信息集合
     */
    @ApiModelProperty(value = "文件信息集合")
    private List<File> files;
    /**
     * 上步骤ID
     */
    @ApiModelProperty(value = "上步骤ID")
    private Long upStep;
    /**
     * 上步骤节点ID
     */
    @ApiModelProperty(value = "上节点ID")
    private Long upStepNode;

    /**
     * 上游处理ID(前一步流程无论驳回、转派)
     */
    @ApiModelProperty(value = "上游处理ID(前一步流程无论驳回、转派)")
    private Long upHandleId;
    /**
     * 完成时限
     */
    @ApiModelProperty(value = "完成时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeLimit;

    /**
     * 当前处理部门
     */
    @ApiModelProperty(value = "当前处理部门")
    private Long handleDept;

    /**
     * 当前处理部门名称
     */
    @ApiModelProperty(value = "当前处理部门名称")
    private String handleDeptName;

    /**
     * 当前处理人
     */
    @ApiModelProperty(value = "当前处理人")
    private Long handleStaff;

    /**
     * 当前处理人名称
     */
    @ApiModelProperty(value = "当前处理人名称")
    private String handleStaffName;

    /**
     * 时间（处理时间等）
     */
    @ApiModelProperty(value = "时间（处理时间等）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;
    /**
     * 是否有效1有效；0无效(转派、驳回、被驳回为无效)
     */
    @ApiModelProperty(value = "是否有效1有效；0无效(转派、驳回、被驳回为无效)")
    private Short isValid;
    /**
     * 是否超时
     */
    @ApiModelProperty(value = "是否超时")
    private Short isOvertime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 节点状态 0:待处理;1处理中;2提交;3:驳回;4:转派;5:终止;6:被驳回;
     */
    @ApiModelProperty(value = "节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:终止;6:被驳回;")
    private Integer nodeState;

    /**
     * 处理状态 处理状态 1提交;2:驳回;3:转派;4:终止;
     */
    @ApiModelProperty(value = "处理状态 处理状态 1提交;2:驳回;3:转派;4:终止;")
    private Integer handleState;


    /**
     * 出入库物资
     */
    @ApiModelProperty(value = "出入库物资")
    private List<ProcessStuffVo> stuffVos;

    /**
     * 费用
     */
    @ApiModelProperty(value = "费用")
    private List<ProjectDetailedVo> detailedVos;

    /**
     * 督办信息
     */
    @ApiModelProperty(value = "督办信息")
    private List<ProcessSuperviseVo> superviseVos;

    /**
     * 文档、公告
     */
    @ApiModelProperty(value = "文档、公告")
    private DocumentVo documentVo;

    /**
     * 合同信息集合
     */
    @ApiModelProperty(value = "合同信息集合")
    private List<ProjectContractVo> contractVos;

    /**
     * 关联设施信息
     */
    @ApiModelProperty(value = "关联设施信息")
    private List<RelationInfoVo> relationInfoVo;

    /**
     * 工程勘测
     */
    @ApiModelProperty(value = "工程勘测")
    private ProcessSurveyVO processSurveyVO;

    /**
     * 工程施工日志
     */
    @ApiModelProperty(value = "工程施工日志")
    private ProcessJournalVO processJournalVO;
    /**
     * 关联人员信息
     */
    @ApiModelProperty(value = "关联人员信息")
    private List<ProcessStaffVo> processStaffVos;


}
