package com.tofly.flow.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 出入库物资
 */
@Data
@EqualsAndHashCode
public class ProcessStuffVo implements Serializable {

    /**
     * IN_DEPOT
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private Integer processNode;
    /**
     * 流程节点分支
     */
    @ApiModelProperty(value = "流程节点分支")
    private Integer nodeBranch;
    /**
     * 物料ID
     */
    @ApiModelProperty(value = "物料ID")
    private Long matterId;

    /**
     * 物料信息
     */
    @ApiModelProperty(value = "物料信息")
    private MatterNodeVo matterNodeVo;
    /**
     * 设备厂家ID
     */
    @ApiModelProperty(value = "设备厂家ID")
    private Long factoryId;
    /**
     * 设备厂家
     */
    @ApiModelProperty(value = "设备厂家")
    private String factoryName;
    /**
     * 编号（出入库编码）
     */
    @ApiModelProperty(value = "编号（出入库编码）")
    private String stuffNumber;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long quantity;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice;
    /**
     * 金额
     */
    @ApiModelProperty(value = "金额")
    private Double amountMoney;
    /**
     * 数据类型0:导入入库;-1:旧料入库;流程类型ID
     */
    @ApiModelProperty(value = "数据类型0:导入入库;-1:旧料入库;流程类型ID")
    private Long dataType;
    /**
     * 库房
     */
    @ApiModelProperty(value = "库房")
    private String storageRoom;
    /**
     * 到期日期
     */
    @ApiModelProperty(value = "到期日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expireDate;

    /**
     * 位置（货架位置）
     */
    @ApiModelProperty(value = "位置（货架位置）")
    private String position;
    /**
     * 安装位置、使用位置
     */
    @ApiModelProperty(value = "位置（安装位置、使用位置）")
    private String installLocation;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 文件信息集合
     */
    @ApiModelProperty(value = "文件信息集合")
    private List<File> files;
    /**
     * 物料状态1:新；2:旧
     */
    @ApiModelProperty(value = "物料状态1:新；2:旧")
    private Short matterState;
    /**
     * 旧料是否退库1:退库，0不退库
     */
    @ApiModelProperty(value = "旧料是否退库1:退库，0不退库")
    private Short oldReturn;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 出入库日期
     */
    @ApiModelProperty(value = "出入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inDate;

    /**
     * 购买日期
     */
    @ApiModelProperty(value = "购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date emptionDate;

    /**
     * 出入库设备信息
     */
    @ApiModelProperty(value = "出入库设备信息")
    private List<ProcessDeviceVo> deviceVos;

}
