package com.tofly.flow.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.flow.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 合同信息
 */
@Data
@EqualsAndHashCode
public class ProjectContractVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 合同类型1:采购；2:工程；3:工程施工
     */
    @ApiModelProperty(value = "合同类型1:采购；2:工程；3:工程施工")
    private Long contractType;
    /**
     * 合同名称
     */
    @ApiModelProperty(value = "合同名称")
    private String contractName;
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String contractNumber;
    /**
     * 对方负责人
     */
    @ApiModelProperty(value = "对方负责人")
    private String otherPartyStaff;
    /**
     * 对方负责人电话
     */
    @ApiModelProperty(value = "对方负责人电话")
    private String otherPartyPhone;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;
    /**
     * 合同实际金额
     */
    @ApiModelProperty(value = "合同实际金额")
    private Double actualSum;
    /**
     * 合同概要
     */
    @ApiModelProperty(value = "合同概要")
    private String outline;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 合同文件信息集合
     */
    @ApiModelProperty(value = "合同文件信息集合")
    private List<File> files;

    /**
     * 合同签订时间
     */
    @ApiModelProperty(value = "合同签订时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date signTime;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 甲方单位组织名称
     */
    @ApiModelProperty(value = "甲方单位组织名称")
    private String firstCompany;
    /**
     * 甲方人员
     */
    @ApiModelProperty(value = "甲方人员")
    private String firstStaff;
    /**
     * 甲方ID
     */
    @ApiModelProperty(value = "甲方ID")
    private Long firstId;
    /**
     * 甲方电话
     */
    @ApiModelProperty(value = "甲方电话")
    private String firstPhone;
    /**
     * 乙方单位组织名称
     */
    @ApiModelProperty(value = "乙方单位组织名称")
    private String secondCompany;
    /**
     * 乙方人员
     */
    @ApiModelProperty(value = "乙方人员")
    private String secondStaff;
    /**
     * 乙方ID
     */
    @ApiModelProperty(value = "乙方ID")
    private Long secondId;
    /**
     * 乙方电话
     */
    @ApiModelProperty(value = "乙方电话")
    private String secondPhone;
    /**
     * 合同状态1：有效；0：作废
     */
    @ApiModelProperty(value = "合同状态1：有效；0：作废")
    private Short contractState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


}
