/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 事故设施
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_FACILITIES_W", resultMap = "emergencyFacilitiesMap")
@KeySequence("TF_YWPN_EMERGENCY_FACILITIES_W")
@ApiModel
public class EmergencyFacilitiesQuery extends Model<EmergencyFacilitiesQuery> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 事故ID
     */
    @ApiModelProperty(value = "事故ID")
    private Long emergencyId;
    /**
     * 资产ID（应急设施）
     */
    @ApiModelProperty(value = "资产ID（应急设施）")
    private Long assetsId;
    /**
     * 需要数量
     */
    @ApiModelProperty(value = "需要数量")
    private Integer quantity;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;
    /**
     * 状态1:库存；2:采购；3：库存+采购（事故处理）
     */
    @ApiModelProperty(value = "状态1:库存；2:采购；3：库存+采购（事故处理）")
    private Short facilitiesState;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
