/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 应急事件（处置预案、事件分析）
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_W", resultMap = "emergencyMap")
@KeySequence("TF_YWPN_EMERGENCY_W")
@ApiModel
public class EmergencyQuery extends Model<EmergencyQuery> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 类型1:应急处置措施(预案)；2:事故分析
     */
    @ApiModelProperty(value = "类型1:应急处置措施(预案)；2:事故分析")
    private Short emergencyType;
    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    private Long eventType;
    /**
     * 事件等级
     */
    @ApiModelProperty(value = "事件等级")
    private Long eventGrade;
    /**
     * 事件名称
     */
    @ApiModelProperty(value = "事件名称")
    private String eventName;
    /**
     * 是否需要分析0否;1是
     */
    @ApiModelProperty(value = "是否需要分析0否;1是")
    private Short isAnalysis;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


}
