package com.tofly.flow.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class FolderTypeDto implements Serializable {
    /**
     * 类型名称
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "类型名称")
    private String folderName;
    /**
     * 类型CODE
     */
    @ApiModelProperty(value = "类型CODE")
    private String folderCode;
    /**
     * 父级ID默认0
     */
    @ApiModelProperty(value = "父级ID默认0")
    private Long parentId;

    /**
     * 区分类别0 公共; 1个人私有;2部门私有
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "区分类别0 公共; 1个人私有;2部门私有")
    private Long dataType;

    /**
     * 模块类型0文档 默认为0;1公告
     */
    @ApiModelProperty(value = "模块类型 0文档 默认为0;1公告")
    private Short moduleType;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
