/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Transient;


/**
 * 事故人员
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_STAFF_W", resultMap = "emergencyStaffMap")
@KeySequence("TF_YWPN_EMERGENCY_STAFF_W")
@ApiModel
public class EmergencyStaff extends Model<EmergencyStaff> {
    private static final long serialVersionUID = 1L;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 事故ID
     */
    @ApiModelProperty(value = "事故ID")
    private Long emergencyId;
    /**
     * 通讯录ID
     */
    @ApiModelProperty(value = "通讯录ID")
    private Long addressBookId;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String company;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private String dept;
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 职责
     */
    @ApiModelProperty(value = "职责")
    private String duty;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;


    @Transient
    @ApiModelProperty("通讯录绑定")
    private AddressBook addressBook;

}
