/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 文件夹表
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_FOLDER_TYPE_W", resultMap = "folderTypeMap")
@KeySequence("TF_YWPN_FOLDER_TYPE_W")
@ApiModel
public class FolderType extends Model<FolderType> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String folderName;
    /**
     * 类型CODE
     */
    @ApiModelProperty(value = "类型CODE")
    private String folderCode;
    /**
     * 父级ID默认0
     */
    @ApiModelProperty(value = "父级ID默认0")
    private Long parentId;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long deptId;
    /**
     * 区分类别0 公共; 1个人私有;2部门私有
     */
    @ApiModelProperty(value = "区分类别0 公共; 1个人私有;2部门私有")
    private Long dataType;

    /**
     * 模块类型0文档;1公告
     */
    @ApiModelProperty(value = "模块类型0文档;1公告")
    private Short moduleType;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
