/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.entity.AddressBook;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;

/**
 * 通讯录
 *
 * @author qf
 * @date Thu Apr 21 00:00:00 CST 2022
 */
public interface AddressBookMapper extends BaseMapper<AddressBook> {



    /**
     * 根据事件事故ID查询关联的通讯录
     * @param emergencyId 事件事故ID
     * @return 通讯录
     */
    @Select("SELECT b.* FROM TF_YWPN_EMERGENCY_STAFF_W s " +
            "INNER JOIN TF_YWPN_ADDRESS_BOOK_W b ON b.ID = s.ADDRESS_BOOK_ID " +
            "WHERE s.IS_DEL != 1 and s.EMERGENCY_ID  = #{emergencyId}")
    List<AddressBook> getListByEmergencyId(Long emergencyId);

    @Select("SELECT NAME FROM TF_XRTY_UDB.TF_SMPN_DEPARTMENT_X WHERE ID = #{id}")
    String getDeptName(long id);
}
