/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.entity.EmergencyFacilities;
import com.tofly.flow.vo.EmergencyFacilitiesVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;
/**
 * 事故设施
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyFacilitiesMapper extends BaseMapper<EmergencyFacilities> {


    /**
     * 根据事故ID查询
     * @param emergencyId 事故ID
     * @return 事故设施列表
     */
    @Select("SELECT f.*,a.ASSETS_NAME as assetsName FROM TF_YWPN_EMERGENCY_FACILITIES_W f " +
            "INNER JOIN TF_YWPN_ASSETS_W a ON a.ID = f.ASSETS_ID " +
            "WHERE f.IS_DEL != 1 AND f.EMERGENCY_ID  = #{emergencyId}")
    List<EmergencyFacilitiesVO> getListByEmergencyId(Long emergencyId);
}
