/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.entity.Hazard;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;

/**
 * 危险源
 *
 * @author qf
 * @date Thu Apr 21 00:00:00 CST 2022
 */
public interface HazardMapper extends BaseMapper<Hazard> {


    /**
     * 根据EmergencyId查询危险源
     * @param emergencyId 事件事故ID
     * @return 危险源列表
     */
    @Select("SELECT h.* FROM TF_YWPN_EMERGENCY_HAZARD_W eh " +
            "INNER JOIN TF_YWPN_HAZARD_W h ON h.ID = eh.HAZARD_ID " +
            "WHERE eh.IS_DEL != 1 and eh.EMERGENCY_ID  = #{emergencyId}")
    List<Hazard> getListByEmergencyId(Long emergencyId);

}
