package com.tofly.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.entity.Scada;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author HaiQiu
 * @date 2022/4/25
 * //TODO 临时接口
 */
@Repository
public interface ScadaHistoryTempMapper extends BaseMapper<Scada> {

    /**
     * 临时接口，查询历史数据
     * @return
     */
    @Select("select * " +
            "  from (select t1.*, " +
            "               row_number() over(partition by t1.CODE order by SCADA_TIME DESC) rn " +
            "          from SCADA_HISTORY t1) t1 " +
            " where t1.rn = 1")
    List<Map<String,Object>> getListData();


    /**
     * 创建表
     * @param tableName 表名
     */
    void createTableMonths(String tableName);

    /**
     * 判断表是否存在
     * @param tableName 表名
     * @return 条数大于1为存在
     */
    int verifyTableMonthsIsExits(String tableName);

    /**
     * 根据时间段查询历史scada数据
     * @param tableName 表名
     * @param start 开始时间
     * @param end 结束时间
     * @return 历史数据列表
     */
    List<Scada> selectHistoryByTime(@Param("tableName") String tableName,
                                 @Param("start") String start,@Param("end") String end);

    /**
     * 添加月份数据
     * @param scadas 数据
     * @param tableName 表名
     * @return 影响条数
     */
    int insertMouth(@Param("scadas") List<Scada> scadas,@Param("tableName") String tableName);

}
