/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.dto.AddressBookQuery;
import com.tofly.flow.dto.AddressBookDTO;
import com.tofly.flow.entity.AddressBook;

import java.util.List;
import java.util.Set;

/**
 * 通讯录
 *
 * @author qf
 * @date Thu Apr 21 00:00:00 CST 2022
 */
public interface AddressBookService extends IService<AddressBook> {

    /**
     * 新增通讯录
     * @param addressBookDTO
     */
    void insert(AddressBookDTO addressBookDTO);

    /**
     * 修改通讯录
     * @param addressBookDTO
     */
    void edit(AddressBookDTO addressBookDTO);

    /**
     * 批量删除通讯录
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);

    /**
     * 分页查询
     * @param query 查询条件
     * @return 分页列表
     */
    Page<AddressBook> pageList(Page page,AddressBookQuery query);

    /**
     * 查询所有通讯录，支持模糊搜索
     * @param query 查询条件
     * @return 通讯录列表
     */
    List<AddressBook> all(AddressBookQuery query);

    /**
     * 根据事件事故ID查询关联的通讯录
     * @param emergencyId 事件事故ID
     * @return 通讯录
     */
    List<AddressBook> getListByEmergencyId(Long emergencyId);

}
