/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.dto.EmergencyDTO;
import com.tofly.flow.dto.EmergencyFacilitiesDTO;
import com.tofly.flow.dto.EmergencyFacilitiesQuery;
import com.tofly.flow.dto.EmergencyQuery;
import com.tofly.flow.entity.Emergency;
import com.tofly.flow.entity.EmergencyFacilities;
import com.tofly.flow.entity.EmergencyMaterial;
import com.tofly.flow.vo.EmergencyFacilitiesVO;
import com.tofly.flow.vo.EmergencyMaterialVO;
import com.tofly.flow.vo.EmergencyVO;

import java.util.List;
import java.util.Set;

/**
 * 事故设施
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyFacilitiesService extends IService<EmergencyFacilities> {


    /**
     * 新增-事故设施
     * @param dto
     */
    void insert(EmergencyFacilitiesDTO dto);

    /**
     * 新增-事故设施
     * @param dtos
     */
    void batchInsert(List<EmergencyFacilitiesDTO> dtos);

    /**
     * 修改-事故设施
     * @param dto
     */
    void edit(EmergencyFacilitiesDTO dto);

    /**
     * 批量删除-事故设施
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);

    /**
     * 批量删除-事故设施
     * @param emergencyIds 事故ID
     */
    void deleteEmergencyIds(Set<Long> emergencyIds);

    /**
     * 分页查询
     * @param page 分页条件
     * @param query 查询条件
     * @return 分页列表
     */
    Page<EmergencyFacilities> pageList(Page page, EmergencyFacilitiesQuery query);

    /**
     * 查询所有-事故设施，支持模糊搜索
     * @param query 查询条件
     * @return -事故设施列表
     */
    List<EmergencyFacilities> all(EmergencyFacilitiesQuery query);

    /**
     * 根据事故ID查询
     * @param emergencyId 事故ID
     * @return 事故设施列表
     */
    List<EmergencyFacilitiesVO> getListByEmergencyId(Long emergencyId);
}
