/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.dto.AddressBookDTO;
import com.tofly.flow.dto.AddressBookQuery;
import com.tofly.flow.entity.AddressBook;
import com.tofly.flow.entity.EmergencyHazard;

import java.util.List;
import java.util.Set;

/**
 * 事故危险源
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyHazardService extends IService<EmergencyHazard> {


    /**
     * 新增事故危险源
     * @param dto
     */
    void insert(EmergencyHazard dto);



    /**
     * 批量-新增事故危险源
     * @param dtos
     */
    void batchInsert(List<EmergencyHazard> dtos);

    /**
     * 修改事故危险源
     * @param dto
     */
    void edit(EmergencyHazard dto);

    /**
     * 批量删除事故危险源
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);


    /**
     * 批量删除-事故危险源
     * @param hazardId 危险源ID
     */
    void deleteHazardId(Set<Long> hazardId);

    /**
     * 批量删除-事故危险源
     * @param emergencyId 事故ID
     */
    void deleteEmergencyId(Set<Long> emergencyId);

    /**
     * 分页查询
     * @param page 分页条件
     * @param query 查询条件
     * @return 分页列表
     */
    Page<EmergencyHazard> pageList(Page page, EmergencyHazard query);

    /**
     * 查询所有事故危险源，支持模糊搜索
     * @param query 查询条件
     * @return 事故危险源列表
     */
    List<EmergencyHazard> all(EmergencyHazard query);

    /**
     * 根据EmergencyId查询数据
     * @param emergencyId 事故ID
     * @return 事故危险源列表
     */
    List<EmergencyHazard> selectByEmergencyId(Long emergencyId);
}
