/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.entity.AddressBook;
import com.tofly.flow.entity.EmergencyHazard;
import com.tofly.flow.entity.EmergencyMaterial;
import com.tofly.flow.vo.EmergencyMaterialVO;

import java.util.List;
import java.util.Set;

/**
 * 事故应用的物资
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyMaterialService extends IService<EmergencyMaterial> {


    /**
     * 新增事故应用的物资
     * @param dto
     */
    void insert(EmergencyMaterial dto);



    /**
     * 批量-新增事故应用的物资
     * @param dtos
     */
    void batchInsert(List<EmergencyMaterial> dtos);

    /**
     * 修改事故应用的物资
     * @param dto
     */
    void edit(EmergencyMaterial dto);

    /**
     * 批量删除事故应用的物资
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);


    /**
     * 批量删除-事故应用的物资
     * @param keepGrainMatterId 仓库物资ID
     */
    void deletekeepGrainMatterId(Set<Long> keepGrainMatterId);

    /**
     * 批量删除-事故应用的物资
     * @param emergencyId 事故ID
     */
    void deleteEmergencyId(Set<Long> emergencyId);

    /**
     * 分页查询
     * @param page 分页条件
     * @param query 查询条件
     * @return 分页列表
     */
    Page<EmergencyMaterial> pageList(Page page, EmergencyMaterial query);

    /**
     * 查询所有事故应用的物资，支持模糊搜索
     * @param query 查询条件
     * @return 事故应用的物资列表
     */
    List<EmergencyMaterial> all(EmergencyMaterial query);


    /**
     * 根据事件事故ID查询关联的事故应用的物资列表
     * @param emergencyId 事件事故ID
     * @return 事故应用的物资列表
     */
    List<EmergencyMaterialVO> getListByEmergencyId(Long emergencyId);
}
