/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.entity.EmergencyHazard;
import com.tofly.flow.entity.EmergencyStaff;

import java.util.List;
import java.util.Set;

/**
 * 事故人员
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyStaffService extends IService<EmergencyStaff> {
    /**
     * 新增事故人员
     * @param dto
     */
    void insert(EmergencyStaff dto);



    /**
     * 批量-新增事故人员
     * @param dtos
     */
    void batchInsert(List<EmergencyStaff> dtos);

    /**
     * 修改事故人员
     * @param dto
     */
    void edit(EmergencyStaff dto);

    /**
     * 批量删除事故人员
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);


    /**
     * 批量删除-通讯录ID
     * @param addressBookId 通讯录ID
     */
    void deleteAddressBookId(Set<Long> addressBookId);

    /**
     * 批量删除-事故人员
     * @param emergencyId 事故ID
     */
    void deleteEmergencyId(Set<Long> emergencyId);

    /**
     * 分页查询
     * @param page 分页条件
     * @param query 查询条件
     * @return 分页列表
     */
    Page<EmergencyStaff> pageList(Page page, EmergencyStaff query);

    /**
     * 查询所有事故人员，支持模糊搜索
     * @param query 查询条件
     * @return 事故人员列表
     */
    List<EmergencyStaff> all(EmergencyStaff query);

    /**
     * 事故事件ID查询关联数据
     * @param emergencyId 事故事件ID
     * @return 事故人员列表
     */
    List<EmergencyStaff> getListByEmergencyId(Long emergencyId);
}
