//package com.tofly.flow.service.impl;
//
//import cn.hutool.core.date.DateUtil;
//import com.tofly.flow.common.FlowConstant;
//import com.tofly.flow.entity.Scada;
//import com.tofly.flow.mapper.ScadaHistoryTempMapper;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.scheduling.annotation.EnableScheduling;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.util.CollectionUtils;
//
//import java.text.SimpleDateFormat;
//import java.util.*;
//import java.util.stream.Collectors;
//
///**
// * @author HaiQiu
// * @date 2022/4/25
// */
//@Configuration
//@EnableScheduling
//public class ScadaHistoryImpl {
//
//    private final Logger logger = LoggerFactory.getLogger(ScadaHistoryImpl.class);
//
//    @Autowired
//    private ScadaHistoryTempMapper scadaHistoryTempMapper;
//
//
//    /**
//     * 根据当前时间动态自动创建月份表，创建完成之后返回表名
//     *
//     * @param next 往后往前推迟月份，1即创建下一月的表，-1表示创建上个月表
//     * @return 月份表名
//     */
//    //每月最后一日凌晨4点执行创建下个月的数据表
////    @Scheduled(cron = "0 15 04 L * ? ")
////    @Scheduled(cron = "0/5 * * * * ? ")
//    public String createMonths(Integer next) {
//        Calendar cal = Calendar.getInstance();
//        cal.setTime(new Date());
//        cal.add(Calendar.MONTH, next == null ? 0 : next);
//        SimpleDateFormat format = new SimpleDateFormat("yyyy_MM");
//        String date = format.format(cal.getTime());
//        String tableName = "SCADA_MONTH_" + date;
//        logger.info("开始检测Scada月份表状态");
//        if (scadaHistoryTempMapper.verifyTableMonthsIsExits(tableName) <= 0) {
//            logger.info("Scada月份表状态：不存在，开始创建");
//            scadaHistoryTempMapper.createTableMonths(tableName);
//            logger.info("Scada月份表状态：创建完成");
//        }
//        logger.info("结束检测Scada月份表状态");
//        return tableName;
//    }
//
//
//    //每小时执行一次（整点整分）
////    @Scheduled(cron = "0 0 * * *  ? ")
////    @Scheduled(cron = "0/5 * * * * ? ")
//    public void insert24H() {
//        //整个日历调整时间
//        Calendar calendar = Calendar.getInstance();
//        Date date = new Date();
//        calendar.setTime(date);
//        //延迟一个小时
//        calendar.add(Calendar.HOUR_OF_DAY, -1);
//        calendar.set(Calendar.MINUTE, 0);
//        calendar.set(Calendar.SECOND, 0);
//        calendar.set(Calendar.MILLISECOND, 0);
//        String start = DateUtil.format(calendar.getTime(), "yyyy-MM-dd HH:mm:ss");
//        //拉长时间到59分59秒
//        calendar.set(Calendar.MINUTE, 59);
//        calendar.set(Calendar.SECOND, 59);
//        calendar.set(Calendar.MILLISECOND, 999);
//        String end = DateUtil.format(calendar.getTime(), "yyyy-MM-dd HH:mm:ss");
//        //查询历史数据
//        List<Scada> scadas = scadaHistoryTempMapper.selectHistoryByTime(FlowConstant.SCADA_HISTORY, start, end);
//        if (!CollectionUtils.isEmpty(scadas)) {
//            //有数据就分组
//            Map<String, List<Scada>> listMap = scadas.stream().filter(scada -> scada.getCode() != null && scada.getValue() != null)
//                    .collect(Collectors.groupingBy(Scada::getCode));
//            //分组循环计算添加
//            for (Map.Entry<String, List<Scada>> entity : listMap.entrySet()) {
//                List<Scada> scadaList = entity.getValue();
//                double asDouble = scadaList.stream().map(scada -> Double.parseDouble(scada.getValue()))
//                        .mapToDouble(Double::shortValue).average().getAsDouble();
//                Scada scada = new Scada();
//                scada.setScadaTime(calendar.getTime());
//                scada.setUpdateTime(new Date());
//                scada.setValue(String.valueOf(asDouble));
//                scada.setCode(scadaList.get(0).getCode());
//                //添加24小时数据
//                scadaHistoryTempMapper.insert(scada);
//            }
//        }
//    }
//
//
//    /**
//     * 每月1号凌晨1点同步更新历史数据与上个月表数据
//     */
////    @Scheduled(cron = "0 0 1 1 * ? ")
//    @Scheduled(cron = "0/5 * * * * ? ")
//    public void syncDataIntoMonths() {
//        logger.info("同步scada历史数据到月份表：正在进行时间调整");
//        //整个日历调整时间
//        Calendar calendar = Calendar.getInstance();
//        Date date = new Date();
//        calendar.setTime(date);
//        //倒退一个月
//        calendar.add(Calendar.MONTH, -1);
//        calendar.set(Calendar.HOUR, 0);
//        calendar.set(Calendar.MINUTE, 0);
//        calendar.set(Calendar.SECOND, 0);
//        calendar.set(Calendar.MILLISECOND, 0);
//        String start = DateUtil.format(calendar.getTime(), "yyyy-MM-dd HH:mm:ss");
//        //拉长时间到59分59秒
//        calendar.set(Calendar.HOUR, 23);
//        calendar.set(Calendar.MINUTE, 59);
//        calendar.set(Calendar.SECOND, 59);
//        calendar.set(Calendar.MILLISECOND, 999);
//        String end = DateUtil.format(calendar.getTime(), "yyyy-MM-dd HH:mm:ss");
//        logger.info("同步scada历史数据到月份表：正在进行历史数据查询....");
//        List<Scada> scadas = scadaHistoryTempMapper.selectHistoryByTime(FlowConstant.SCADA_HISTORY, start, end);
//        logger.info("同步scada历史数据到月份表：历史数据查询完成，数据存在" + !CollectionUtils.isEmpty(scadas));
//        if (!CollectionUtils.isEmpty(scadas)) {
//            logger.info("同步scada历史数据到月份表：正在进行检查月份数据表....");
//            String tableName = createMonths(-1);
//            logger.info("同步scada历史数据到月份表：正在进行月份数据批量添加中");
//            scadaHistoryTempMapper.insertMouth(scadas, tableName);
//            logger.info("同步scada历史数据到月份表：正在进行月份数据批量复制完成");
//        }
//    }
//
//
//}
