/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.flow.custom.vo.AssetsVO;
import com.tofly.flow.custom.vo.KeepGrainMatterVO;
import com.tofly.flow.custom.vo.MatterVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 事故应用的物资
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_MATERIAL_W", resultMap = "emergencyMaterialMap")
@KeySequence("TF_YWPN_EMERGENCY_MATERIAL_W")
@ApiModel
public class EmergencyMaterialVO extends Model<EmergencyMaterialVO> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 事故ID
     */
    @ApiModelProperty(value = "事故ID")
    private Long emergencyId;
    /**
     * 仓库物资ID
     */
    @ApiModelProperty(value = "仓库物资ID")
    private Long keepGrainMatterId;
    /**
     * 需要数量
     */
    @ApiModelProperty(value = "需要数量")
    private Integer quantity;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long personLiable;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;
    /**
     * 状态1:库存；2:采购；3：库存+采购（事故处理）
     */
    @ApiModelProperty(value = "状态1:库存；2:采购；3：库存+采购（事故处理）")
    private Short materialState;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


    /**
     * 物资模板类型
     */
    @ApiModelProperty(value = "物资模板类型")
    private MatterVO MatterVO;

}
