package com.tofly.watermeter.custom.service.meterBusiness.impl;


import com.tofly.watermeter.custom.mapper.meterBusiness.ConfigManageMapper;
import com.tofly.watermeter.custom.service.meterBusiness.ConfigManageService;
import com.tofly.watermeter.custom.service.meterBusiness.export.ExportCommonCodeService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

@Service
@AllArgsConstructor
public class ConfigMangeServiceImpl implements ConfigManageService {

    private final ConfigManageMapper configManageMapper;
    private final ExportCommonCodeService exportCommonCodeService;

    @Override
    public List<Map> vendorConfig(HttpServletResponse response, Long export) {
        List<Map> maps = configManageMapper.codeConfig(2L);
        if (export == 1) {
            exportCommonCodeService.exportCode(response, "vendorConfigService", maps);
        }
        return maps;
    }

    @Override
    public List<Map> calConfig(HttpServletResponse response, Long export) {
        List<Map> maps = configManageMapper.codeConfig(1L);
        if (export == 1) {
            exportCommonCodeService.exportCode(response, "calConfigService", maps);
        }
        return maps;
    }

    @Override
    public List<Map> typeConfig(HttpServletResponse response, Long export) {
        List<Map> maps = configManageMapper.codeConfig(3L);
        if (export == 1) {
            exportCommonCodeService.exportCode(response, "typeConfigService", maps);
        }
        return maps;
    }
}