package com.tofly.reveal.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.reveal.common.RevealConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class PortalModuleDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 模块类型
     */
    @NotNull(message = RevealConstant.ISNOTNUL)
    @ApiModelProperty(value = "模块类型")
    private Short moduleType;
    /**
     * 模块功能
     */
    @ApiModelProperty(value = "模块功能")
    private Short moduleFunction;
    /**
     * 主题
     */
    @NotEmpty(message = RevealConstant.ISNOTNUL)
    @ApiModelProperty(value = "主题")
    private String theme;
    /**
     * 概要
     */
    @ApiModelProperty(value = "概要")
    private String outline;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 栏目类型
     */
    @ApiModelProperty(value = "栏目类型")
    private String columnType;


    /**
     * 栏目
     */
    @ApiModelProperty(value = "栏目")
    private String functionColumn;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer serialNumber;



    /**
     * 到期时间
     */
    @ApiModelProperty(value = "到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expireDate;

    /**
     * 链接地址
     */
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    /**
     * 是否发布（1发布；0不发布）
     */
    @NotNull(message = RevealConstant.ISNOTNUL)
    @ApiModelProperty(value = "是否发布（1发布；0不发布）")
    private Short isRelease;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
