/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.reveal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 门户模块信息
 *
 * @author xqf
 * @date Fri Mar 11 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PORTAL_MODULE_W", resultMap = "portalModuleMap")
@KeySequence("TF_YWPN_PORTAL_MODULE_W")
@ApiModel
public class PortalModule extends Model<PortalModule> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 模块类型
     */
    @ApiModelProperty(value = "模块类型")
    private Short moduleType;
    /**
     * 模块功能
     */
    @ApiModelProperty(value = "模块功能")
    private Short moduleFunction;
    /**
     * 主题
     */
    @ApiModelProperty(value = "主题")
    private String theme;
    /**
     * 概要
     */
    @ApiModelProperty(value = "概要")
    private String outline;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 链接地址
     */
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;
    /**
     * 是否发布（1发布；0不发布）
     */
    @ApiModelProperty(value = "是否发布（1发布；0不发布）")
    private Short isRelease;


    /**
     * 栏目类型
     */
    @ApiModelProperty(value = "栏目类型")
    private String columnType;


    /**
     * 栏目
     */
    @ApiModelProperty(value = "栏目")
    private String functionColumn;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer serialNumber;



    /**
     * 到期时间
     */
    @ApiModelProperty(value = "到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expireDate;



    /**
     * 是否删除（1删除；0未删除）
     */
    @ApiModelProperty(value = "是否删除（1删除；0未删除）")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
