package com.tofly.pojo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class UserInfoVo {

    /** 序号*/
    @JSONField(name = "RO")
    @ApiModelProperty("序号")
    private Integer ro;

    /** 用户编号*/
    @JSONField(name = "YHBH")
    @ApiModelProperty("用户编号")
    private String yhbh;


    /** 用户姓名*/
    @JSONField(name = "YHXM")
    @ApiModelProperty("用户姓名")
    private String yhxm;

    /** 用户地址*/
    @JSONField(name = "YHDZ")
    @ApiModelProperty("用户地址")
    private String yhdz;

    /** 联系电话*/
    @JSONField(name = "LXDH")
    @ApiModelProperty("联系电话")
    private String lxdh;

    /** 手机号码*/
    @JSONField(name = "SJ")
    @ApiModelProperty("手机号码")
    private String sj;


    /** 用户数*/
    @JSONField(name = "YHS")
    @ApiModelProperty("用户数")
    private Integer yhs;


    /** 通水日期*/
    @JSONField(name = "TSRQ")
    @ApiModelProperty("通水日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tsrq;

    /** 所属片区*/
    @JSONField(name = "CBPQMC")
    @ApiModelProperty("所属片区")
    private String cbpqmc;

    /** 所属抄表本*/
    @JSONField(name = "CBBMC")
    @ApiModelProperty("所属抄表本")
    private String cbbmc;

    /** 水表卡号*/
    @JSONField(name = "CBKID")
    @ApiModelProperty("水表卡号")
    private String cbkid;

    /** 水表编号*/
    @JSONField(name = "SBBH")
    @ApiModelProperty("水表编号")
    private String sbbh;

    /** 水表类型*/
    @JSONField(name = "SBLB")
    @ApiModelProperty("水表类型")
    private String sblb;

    /** 水表口径*/
    @JSONField(name = "SBKJ")
    @ApiModelProperty("水表口径")
    private String sbkj;


    /** 水表厂家*/
    @JSONField(name = "SBSCCJ")
    @ApiModelProperty("水表厂家")
    private String sbsccj;

    /** 登记日期*/
    @JSONField(name = "DJRQ")
    @ApiModelProperty("登记日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date djrq;


    /** x坐标*/
    @JSONField(name = "X")
    @ApiModelProperty("x坐标")
    private Double x;


    /** y坐标*/
    @JSONField(name = "Y")
    @ApiModelProperty("y坐标")
    private Double y;


    /** 用户状态*/
    @JSONField(name = "YHZT")
    @ApiModelProperty("用户状态")
    private String yhzt;

    /** 性质细分*/
    @JSONField(name = "XZXF")
    @ApiModelProperty("性质细分")
    private String xzxf;

    /** 用水性质*/
    @JSONField(name = "YSXZ")
    @ApiModelProperty("用水性质")
    private String ysxz;

}
