/*
 Navicat Premium Data Transfer

 Source Server         : TF_ORACLE_242
 Source Server Type    : Oracle
 Source Server Version : 110200
 Source Host           : 192.168.2.242:1521
 Source Schema         : TF_XRTY_SMS

 Target Server Type    : Oracle
 Target Server Version : 110200
 File Encoding         : 65001

 Date: 25/09/2020 15:52:25
*/


-- ----------------------------
-- Table structure for TF_BASE_ROLESYS
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_BASE_ROLESYS";
CREATE TABLE "TF_XRTY_SMS"."TF_BASE_ROLESYS" (
  "ID" NUMBER(15,0) NOT NULL,
  "SYSID" NVARCHAR2(255),
  "SYSIDS" NCLOB,
  "ROLE_ID" NUMBER(15,0)
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_ROLESYS"."ID" IS '主键id';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_ROLESYS"."SYSID" IS '系统id';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_ROLESYS"."SYSIDS" IS '系统ids';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_ROLESYS"."ROLE_ID" IS '角色id';

-- ----------------------------
-- Records of TF_BASE_ROLESYS
-- ----------------------------

-- ----------------------------
-- Table structure for TF_BASE_SYS
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_BASE_SYS";
CREATE TABLE "TF_XRTY_SMS"."TF_BASE_SYS" (
  "ID" NUMBER(15,0) NOT NULL,
  "SYSID" NVARCHAR2(255),
  "CREATE_TIME" DATE,
  "TYPE" NVARCHAR2(255),
  "NOTES" NCLOB,
  "SYSNAME" NVARCHAR2(255)
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."ID" IS '主键id';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."SYSID" IS '系统id';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."TYPE" IS '类型';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."NOTES" IS '内容';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYS"."SYSNAME" IS '系统名称';

-- ----------------------------
-- Records of TF_BASE_SYS
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYS" VALUES ('3', '1', NULL, 'tofly-master', '使用与当前系统。', 'sys');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYS" VALUES ('2', '2', NULL, 'tofly-test', '测试', '测试');

-- ----------------------------
-- Table structure for TF_BASE_SYSMENU
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_BASE_SYSMENU";
CREATE TABLE "TF_XRTY_SMS"."TF_BASE_SYSMENU" (
  "ID" NUMBER(15,0) NOT NULL,
  "SYSID" NVARCHAR2(255),
  "META" NVARCHAR2(255),
  "COMPONENT" NVARCHAR2(255),
  "LABEL" NVARCHAR2(255),
  "TYPE" NVARCHAR2(255),
  "REDIRECT" NVARCHAR2(255),
  "WIDGETID" NVARCHAR2(255),
  "PATH_ID" NVARCHAR2(255),
  "NAME" NVARCHAR2(255),
  "PATH" NVARCHAR2(255),
  "PARENT_PATHID" NVARCHAR2(255)
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYSMENU"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_BASE_SYSMENU"."SYSID" IS '系统id';

-- ----------------------------
-- Records of TF_BASE_SYSMENU
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('115', '1', '{"title":"水表流转管理"}', 'circulation', '水表流转管理', 'sys', NULL, NULL, 'circulation', 'Circulation', '/meter/circulation', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('136', '1', '{"title":"迁移统计"}', 'migrationStats', '迁移统计', 'sys', NULL, NULL, 'migrationStats', 'MigrationStats', 'migrationStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('137', '1', '{"title":"拆表统计"}', 'dismantleStats', '拆表统计', 'sys', NULL, NULL, 'dismantleStats', 'DismantleStats', 'dismantleStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('138', '1', '{"title":"复表统计"}', 'recoverStats', '复表统计', 'sys', NULL, NULL, 'recoverStats', 'RecoverStats', 'recoverStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('139', '1', '{"title":"废表统计"}', 'scrapStats', '废表统计', 'sys', NULL, NULL, 'scrapStats', 'ScrapStats', 'scrapStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('140', '1', '{"title":"表位统计"}', 'siteStats', '表位统计', 'sys', NULL, NULL, 'siteStats', 'siteStats', 'siteStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('141', '1', '{"title":"表务编码"}', 'meterCode', '表务编码', 'sys', NULL, NULL, 'meterCode', 'MeterCode', '/meter/meterCode', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('142', '1', '{"title":"水表生产厂家"}', 'sbcj', '水表生产厂家', 'sys', NULL, NULL, 'sbcj', 'sbcj', 'sbcj', 'meterCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('143', '1', '{"title":"水表型号"}', 'sbxh', '水表型号', 'sys', NULL, NULL, 'sbxh', 'sbxh', 'sbxh', 'meterCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('144', '1', '{"title":"库存仓库"}', 'ccck', '库存仓库', 'sys', NULL, NULL, 'ccck', 'ccck', 'ccck', 'meterCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('175', '1', '{"title":"用水稽查管理"}', 'waterInspection', '用水稽查管理', 'sys', NULL, NULL, 'waterInspection', 'WaterInspection', 'waterInspection', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('176', '1', '{"title":"违章上报管理"}', 'lllegalReporting', '违章上报管理', 'sys', NULL, NULL, 'lllegalReporting', 'LllegalReporting', 'lllegalReporting', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('177', '1', '{"title":"考核统计及数据分析"}', 'meterReading', '考核统计及数据分析', 'sys', NULL, NULL, 'census', 'Census', 'census', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('178', '1', '{"title":"考核统计"}', 'surface', '考核统计', 'sys', NULL, NULL, 'surface', 'Surface', 'surface', 'census');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('179', '1', '{"title":"数据分析"}', 'business', '数据分析', 'sys', NULL, NULL, 'business', 'Business', 'business', 'census');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('180', '1', '{"title":"水量报表管理"}', 'reportForm', '水量报表管理', 'sys', NULL, NULL, 'reportForm', 'ReportForm', 'reportForm', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('87', '1', '{"title":"角色权限"}', 'rolePermission', '角色权限', 'sys', NULL, NULL, 'RoleManagement', 'RoleManagement', 'RoleManagement', 'rightsManagement');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('88', '1', '{"title":"用户管理"}', 'userRights', '用户管理', 'sys', NULL, NULL, 'UserManagement', 'UserManagement', 'UserManagement', 'rightsManagement');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('89', '1', '{"title":"部门管理"}', 'section', '部门管理', 'sys', NULL, NULL, 'section', 'Section', 'section', 'rightsManagement');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('90', '1', '{"title":"操作日志管理"}', 'journal', '操作日志管理', 'sys', NULL, NULL, 'journal', 'Journal', 'journal', 'rightsManagement');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('92', '1', '{"title":"施工人员管理"}', 'builder', '施工人员管理', 'sys', NULL, NULL, 'builder', 'Builder', 'builder', 'code');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('95', '1', '{"title":"1.工单登记"}', 'register', '1.工单登记', 'sys', NULL, NULL, 'register', 'Register', 'register', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('96', '1', '{"title":"2.工单审核"}', 'check', '2.工单审核', 'sys', NULL, NULL, 'check', 'Check', 'check', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('97', '1', '{"title":"3.工单派发"}', 'sell', '3.工单派发', 'sys', NULL, NULL, 'sell', 'Sell', 'sell', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('98', '1', '{"title":"4.工单处理情况"}', 'handle', '4.工单处理情况', 'sys', NULL, NULL, 'handle', 'Handle', 'handle', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('99', '1', '{"title":"5.工单回访"}', 'returnVisit', '5.工单回访', 'sys', NULL, NULL, 'returnVisit', 'ReturnVisit', 'returnVisit', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('100', '1', '{"title":"6.工单销单"}', 'writeOff', '6.工单销单', 'sys', NULL, NULL, 'writeOff', 'WriteOff', 'writeOff', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('101', '1', '{"title":"A-工单监控"}', 'monitor', 'A-工单监控', 'sys', NULL, NULL, 'monitor', 'Monitor', 'monitor', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('102', '1', '{"title":"外业人员管理"}', 'fieldWorkers', '外业人员管理', 'sys', NULL, NULL, 'fieldWorkers', 'FieldWorkers', 'fieldWorkers', 'work');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('104', '1', '{"title":"工单类别编码管理"}', 'workOrderType', '工单类别编码管理', 'sys', NULL, NULL, 'workOrderType', 'WorkOrderType', 'workOrderType', 'workCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('105', '1', '{"title":"接警来源编码管理"}', 'workOrderSource', '接警来源编码管理', 'sys', NULL, NULL, 'workOrderSource', 'WorkOrderSource', 'workOrderSource', 'workCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('106', '1', '{"title":"故障编码管理"}', 'fault', '故障编码管理', 'sys', NULL, NULL, 'fault', 'Fault', 'fault', 'workCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('107', '1', '{"title":"施工单位管理"}', 'companyInfo', '施工单位管理', 'sys', NULL, NULL, 'companyInfo', 'CompanyInfo', 'companyInfo', 'workCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('108', '1', '{"title":"施工班组管理"}', 'buildTeam', '施工班组管理', 'sys', NULL, NULL, 'buildTeam', 'BuildTeam', 'buildTeam', 'workCode');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('110', '1', '{"title":"水表检定管理"}', 'verification', '水表检定管理', 'sys', NULL, NULL, 'verification', 'Verification', '/meter/verification', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('111', '1', '{"title":"首检水表"}', 'first', '首检水表', 'sys', NULL, NULL, 'first', 'First', 'first', 'verification');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('112', '1', '{"title":"周期检测"}', 'cycle', '周期检测', 'sys', NULL, NULL, 'cycle', 'Cycle', 'cycle', 'verification');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('113', '1', '{"title":"争议检定"}', 'dispute', '争议检定', 'sys', NULL, NULL, 'dispute', 'Dispute', 'dispute', 'verification');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('114', '1', '{"title":"异常水表"}', 'exception', '异常水表', 'sys', NULL, NULL, 'exception', 'Exception', 'exception', 'verification');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('116', '1', '{"title":"入库"}', 'store', '入库', 'sys', NULL, NULL, 'store', 'Store', 'store', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('117', '1', '{"title":"出库"}', 'deliver', '出库', 'sys', NULL, NULL, 'deliver', 'Deliver', 'deliver', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('118', '1', '{"title":"退库"}', 'sendBack ', '退库', 'sys', NULL, NULL, 'sendBack ', 'SendBack ', 'sendBack ', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('119', '1', '{"title":"调库"}', 'adjustment', '调库', 'sys', NULL, NULL, 'adjustment', 'Adjustment', 'adjustment', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('120', '1', '{"title":"装表"}', 'install', '装表', 'sys', NULL, NULL, 'install', 'Install', 'install', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('121', '1', '{"title":"废表"}', 'scrapMeter', '废表', 'sys', NULL, NULL, 'scrapMeter', 'ScrapMeter', 'scrapMeter', 'circulation');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('122', '1', '{"title":"表务工单管理"}', 'workOrder', '表务工单管理', 'sys', NULL, NULL, 'workOrder', 'WorkOrder', '/meter/workOrder', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('123', '1', '{"title":"拆表"}', 'dismantleOrder', '拆表', 'sys', NULL, NULL, 'dismantleOrder', 'DismantleOrder', 'dismantleOrder', 'workOrder');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('124', '1', '{"title":"复表"}', 'recoverOrder', '复表', 'sys', NULL, NULL, 'recoverOrder', 'RecoverOrder', 'recoverOrder', 'workOrder');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('125', '1', '{"title":"迁表"}', 'migrationOrder', '迁表', 'sys', NULL, NULL, 'migrationOrder', 'MigrationOrder', 'migrationOrder', 'workOrder');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('126', '1', '{"title":"换表"}', 'exchangeOrder', '换表', 'sys', NULL, NULL, 'exchangeOrder', 'ExchangeOrder', 'exchangeOrder', 'workOrder');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('127', '1', '{"title":"改表"}', 'alterOrder', '改表', 'sys', NULL, NULL, 'alterOrder', 'AlterOrder', 'alterOrder', 'workOrder');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('128', '1', '{"title":"表位资料管理"}', 'epitopeData', '表位资料管理', 'sys', NULL, NULL, 'epitopeData', 'EpitopeData', '/meter/epitopeData', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('129', '1', '{"title":"水表位置明细"}', 'meterSite', '水表位置明细', 'sys', NULL, NULL, 'meterSite', 'MeterSite', 'meterSite', 'epitopeData');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('130', '1', '{"title":"表位变更"}', 'meterTransposition', '表位变更', 'sys', NULL, NULL, 'meterTransposition', 'MeterTransposition', 'meterTransposition', 'epitopeData');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('131', '1', '{"title":"水表周期管理"}', 'period', '水表周期管理', 'sys', NULL, NULL, 'period', 'Period', '/meter/period', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('132', '1', '{"title":"数据导入管理"}', 'importingData', '数据导入管理', 'sys', NULL, NULL, 'importingData', 'ImportingData', '/meter/importingData', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('133', '1', '{"title":"统计查询管理"}', 'reports', '统计查询管理', 'sys', NULL, NULL, 'reports', 'reports', '/meter/reports', 'meter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('134', '1', '{"title":"换表统计"}', 'exchangeStats', '换表统计', 'sys', NULL, NULL, 'exchangeStats', 'ExchangeStats', 'exchangeStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('135', '1', '{"title":"改表统计"}', 'alterStats', '改表统计', 'sys', NULL, NULL, 'alterStats', 'AlterStats', 'alterStats', 'reports');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('83', '2', '{"icon":"el-icon-setting","title":"系统管理"}', 'Layout', '系统管理', 'sys', NULL, NULL, 'sys', 'sys', '/sys', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('84', '2', '{"title":"权限管理"}', 'currentSystem', '权限管理', 'sys', '/sys/widgets/RoleManagement', NULL, 'rightsManagement', 'rightsManagement', '/sys/widgets', 'sys');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('85', '1', '{"icon":"el-icon-setting","title":"系统管理"}', 'Layout', '系统管理', 'sys', NULL, NULL, 'sys', 'sys', '/sys', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('86', '1', '{"title":"权限管理"}', 'currentSystem', '权限管理', 'sys', '/sys/widgets/RoleManagement', NULL, 'rightsManagement', 'rightsManagement', '/sys/widgets', 'sys');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('91', '1', '{"title":"编码维护"}', 'currentSystem', '编码维护', 'sys', '/sys/code', NULL, 'code', 'code', '/sys/code', 'sys');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('93', '1', '{"icon":"el-icon-platform-eleme","title":"营销业务管理系统"}', 'Layout', '营销业务管理系统', 'sys', NULL, NULL, 'market', 'market', '/market', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('94', '1', '{"title":"表务工单管理"}', 'currentSystem', '表务工单管理', 'sys', '/market/work/register', NULL, 'work', 'work', 'work', 'market');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('103', '1', '{"title":"工单编码管理"}', 'currentSystem', '工单编码管理', 'sys', '/market/workCode/workOrderType', NULL, 'workCode', 'workCode', 'workCode', 'market');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('109', '1', '{"icon":"el-icon-odometer","title":"表务管理系统"}', 'Layout', '表务管理系统', 'sys', NULL, NULL, 'meter', 'Meter', '/meter', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('145', '1', '{"icon":"el-icon-phone-outline","title":"供水服务热线系统"}', 'Layout', '供水服务热线系统', 'sys', NULL, NULL, 'hotline', 'hotline', '/hotline', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('146', '1', '{"title":"服务热线监控"}', 'waterHotline', '服务热线监控', 'sys', NULL, NULL, 'serviceHotline', 'ServiceHotline', 'serviceHotline', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('147', '1', '{"title":"话务信息统计"}', 'control', '话务信息统计', 'sys', NULL, NULL, 'control', 'Control', 'control', 'serviceHotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('148', '1', '{"title":"工单系统"}', 'waterHotline', '工单系统', 'sys', NULL, NULL, 'workTwo', 'WorkTwo', 'workTwo', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('149', '1', '{"title":"工单回访"}', 'returnVisit', '工单回访', 'sys', NULL, NULL, 'returnVisitTwo', 'ReturnVisitTwo', 'returnVisitTwo', 'workTwo');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('150', '1', '{"title":"工单查询"}', 'monitor', '工单查询', 'sys', NULL, NULL, 'workOrderQuery', 'WorkOrderQuery', 'workOrderQuery', 'workTwo');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('151', '1', '{"title":"班长监控"}', 'waterHotline', '班长监控', 'sys', NULL, NULL, 'monitorT', 'monitorT', 'monitorT', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('152', '1', '{"title":"班长监控"}', 'classMonitor', '班长监控', 'sys', NULL, NULL, 'classMonitor', 'ClassMonitor', 'classMonitor', 'monitorT');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('153', '1', '{"title":"知识库"}', 'waterHotline', '知识库', 'sys', NULL, NULL, 'knowledge', 'Knowledge', 'knowledge', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('154', '1', '{"title":"知识库管理"}', 'manage', '知识库管理', 'sys', NULL, NULL, 'manage', 'Manage', 'manage', 'knowledge');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('155', '1', '{"title":"知识库查看"}', 'knowledgeCheck', '知识库查看', 'sys', NULL, NULL, 'knowledgeCheck', 'knowledgeCheck', 'knowledgeCheck', 'knowledge');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('156', '1', '{"title":"呼叫中心设置"}', 'waterHotline', '呼叫中心设置', 'sys', NULL, NULL, 'callCenter', 'CallCenter', 'callCenter', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('157', '1', '{"title":"IVR流程设计"}', 'IVRflowPathSet', 'IVR流程设计', 'sys', NULL, NULL, 'IVRflowPathSet', 'IVRflowPathSet', 'IVRflowPathSet', 'callCenter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('158', '1', '{"title":"IVR流程定义"}', 'IVRflowPathDefine', 'IVR流程定义', 'sys', NULL, NULL, 'IVRflowPathDefine', 'IVRflowPathDefine', 'IVRflowPathDefine', 'callCenter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('159', '1', '{"title":"语音库"}', 'voices', '语音库', 'sys', NULL, NULL, 'voices', 'Voices', 'voices', 'callCenter');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('160', '1', '{"title":"停水公告SMS"}', 'waterHotline', '停水公告SMS', 'sys', NULL, NULL, 'waterOff', 'WaterOff', 'waterOff', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('161', '1', '{"title":"用户停水通知"}', 'SMSMsg', '用户停水通知', 'sys', NULL, NULL, 'SMSMsg', 'SMSMsg', 'SMSMsg', 'waterOff');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('162', '1', '{"title":"SMS已发送信息"}', 'SMSInfo', 'SMS已发送信息', 'sys', NULL, NULL, 'SMSInfo', 'SMSInfo', 'SMSInfo', 'waterOff');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('163', '1', '{"title":"综合资料查询"}', 'waterHotline', '综合资料查询', 'sys', NULL, NULL, 'rushRepair', 'RushRepair', 'rushRepair', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('164', '1', '{"title":"综合资料查询"}', 'comprehensiveData', '综合资料查询', 'sys', NULL, NULL, 'comprehensiveData', 'ComprehensiveData', 'comprehensiveData', 'rushRepair');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('165', '1', '{"title":"统计报表"}', 'waterHotline', '统计报表', 'sys', NULL, NULL, 'userSearch', 'UserSearch', 'userSearch', 'hotline');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('166', '1', '{"title":"通话记录"}', 'callLog', '通话记录', 'sys', NULL, NULL, 'callLog', 'CallLog', 'callLog', 'userSearch');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('167', '1', '{"title":"坐席状态统计"}', 'seatStatus', '坐席状态统计', 'sys', NULL, NULL, 'seatStatus', 'SeatStatus', 'seatStatus', 'userSearch');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('168', '1', '{"title":"客户满意度报表"}', 'customerSatisfaction', '客户满意度报表', 'sys', NULL, NULL, 'customerSatisfaction', 'CustomerSatisfaction', 'customerSatisfaction', 'userSearch');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('169', '1', '{"icon":"el-icon-platform-eleme","title":"抄表管理系统"}', 'Layout', '抄表管理系统', 'sys', NULL, NULL, 'meterReading', 'meterReading', '/meterReading', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('170', '1', '{"title":"抄表设备管理"}', 'device', '抄表设备管理', 'sys', NULL, NULL, 'device', 'Device', 'device', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('171', '1', '{"title":"抄表计划管理"}', 'plan', '抄表计划管理', 'sys', NULL, NULL, 'plan', 'Plan', 'plan', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('172', '1', '{"title":"复核计划管理"}', 'reviewPlan', '复核计划管理', 'sys', NULL, NULL, 'reviewPlan', 'ReviewPlan', 'reviewPlan', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('173', '1', '{"title":"抄表人员管理"}', 'meterReader', '抄表人员管理', 'sys', NULL, NULL, 'meterReader', 'MeterReader', 'meterReader', 'meterReading');
INSERT INTO "TF_XRTY_SMS"."TF_BASE_SYSMENU" VALUES ('174', '1', '{"title":"抄表数据管理"}', 'meterReadingData', '抄表数据管理', 'sys', NULL, NULL, 'meterReadingData', 'MeterReadingData', 'meterReadingData', 'meterReading');

-- ----------------------------
-- Table structure for TF_SMPN_CODE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "KEY" VARCHAR2(32 BYTE),
  "VALUE" VARCHAR2(32 BYTE),
  "NOTES" VARCHAR2(200 BYTE),
  "ULEVEL" CHAR(1 BYTE),
  "SORT" NUMBER(4,0),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."KEY" IS '字段信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."VALUE" IS '值信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."NOTES" IS '值说明描述';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."ULEVEL" IS '级别  1字典类级别，2系统类级别';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."SORT" IS '排序号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CODE_X"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X" IS '系统码表';

-- ----------------------------
-- Records of TF_SMPN_CODE_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('347', '0005', 'SUBTYPE', '特征', '2', '4', TO_DATE('2019-12-04 19:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('345', '0005', 'INDRAWINGNO', '图上点号', '2', '2', TO_DATE('2019-12-04 19:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('346', '0005', 'DISTNO', '图幅号', '2', '3', TO_DATE('2019-12-04 19:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('348', '0005', 'ADJUNCT', '附属物', '2', '5', TO_DATE('2019-12-04 19:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('349', '0005', 'HEIGHT', '地面高程', '2', '6', TO_DATE('2019-12-04 19:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('350', '0005', 'FEATURECODE', '管点点号', '2', '7', TO_DATE('2019-12-04 19:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('351', '0005', 'X', 'X坐标', '2', '8', TO_DATE('2019-12-04 19:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('352', '0005', 'Y', 'Y坐标', '2', '9', TO_DATE('2019-12-04 19:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('353', '0005', 'ECCENTRICLOCATION', '偏心井位', '2', '10', TO_DATE('2019-12-04 19:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('354', '0005', 'WELLLIDTYPE', '井盖形状', '2', '11', TO_DATE('2019-12-04 19:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('355', '0005', 'WELLLIDSIZE', '井盖直径', '2', '12', TO_DATE('2019-12-04 19:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('356', '0005', 'WELLLIDMATERIAL', '井盖材质', '2', '13', TO_DATE('2019-12-04 19:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('357', '0005', 'WELLMATERIAL', '井室材质', '2', '14', TO_DATE('2019-12-04 19:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('358', '0005', 'WELLDEPTH', '井底埋深', '2', '15', TO_DATE('2019-12-04 19:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('359', '0005', 'WELLSIZE', '井室直径', '2', '16', TO_DATE('2019-12-04 19:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('360', '0005', 'LANE_WAY', '所在道路', '2', '17', TO_DATE('2019-12-04 19:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('361', '0005', 'BURYYEAR', '埋设年份', '2', '18', TO_DATE('2019-12-04 19:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('362', '0005', 'MANUFACTURER', '生产厂家', '2', '19', TO_DATE('2019-12-04 19:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('364', '0005', 'DETECTUNIT', '勘测单位', '2', '21', TO_DATE('2019-12-04 19:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('365', '0005', 'SUPERVISEUNIT', '监理单位', '2', '22', TO_DATE('2019-12-04 19:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('366', '0005', 'WRITEPERSON', '录入人', '2', '23', TO_DATE('2019-12-04 19:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('367', '0005', 'WRITEDATE', '入库日期', '2', '24', TO_DATE('2019-12-04 19:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('368', '0005', 'CHANGEDATE', '修改日期', '2', '25', TO_DATE('2019-12-04 19:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('369', '0005', 'BURYTYPE', '敷设方式', '2', '26', TO_DATE('2019-12-04 19:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('370', '0005', 'DEPTH', '埋深', '2', '27', TO_DATE('2019-12-04 19:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('371', '0005', 'ADDR', '地址', '2', '28', TO_DATE('2019-12-04 19:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('372', '0005', 'FINISHDATE', '竣工日期', '2', '29', TO_DATE('2019-12-04 19:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('373', '0005', 'MANAGEDEPT', '管辖单位', '2', '30', TO_DATE('2019-12-04 19:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('374', '0005', 'DETECTDATE', '勘测日期', '2', '31', TO_DATE('2019-12-04 19:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('375', '0005', 'CHANGEPERSON', '修改人', '2', '32', TO_DATE('2019-12-04 19:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('376', '0005', 'ENTITY', '实体类型', '2', '33', TO_DATE('2019-12-04 19:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('377', '0005', 'REFNAME', '块名称', '2', '34', TO_DATE('2019-12-04 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('378', '0005', 'ANGLE', '块旋转', '2', '35', TO_DATE('2019-12-04 19:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('379', '0005', 'ACCURACYGRADE', '精度级别', '2', '36', TO_DATE('2019-12-04 19:52:05', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('381', '0005', 'WELLBUTTOMHEIGHT', '井底高程', '2', '38', TO_DATE('2019-12-04 19:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('382', '0005', 'PDIRECTION', '管点旋转角', '2', '39', TO_DATE('2019-12-04 19:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('383', '0005', 'WELLLIDENGTH', '井盖长', '2', '40', TO_DATE('2019-12-04 19:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('384', '0005', 'WELLIDWIDTH', '井盖宽', '2', '41', TO_DATE('2019-12-04 19:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('385', '0005', 'WELLTYPE', '井室类型', '2', '42', TO_DATE('2019-12-04 19:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('386', '0005', 'WELLNECKDEPTH', '井脖深', '2', '43', TO_DATE('2019-12-04 19:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('387', '0005', 'WELLLENGTH', '井室长', '2', '44', TO_DATE('2019-12-04 19:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('388', '0005', 'WELLWIDTH', '井室宽', '2', '45', TO_DATE('2019-12-04 19:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('389', '0005', 'WELLHEIGHT', '井室高', '2', '46', TO_DATE('2019-12-04 19:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('390', '0005', 'BADGELENGTH', '地面设施长', '2', '47', TO_DATE('2019-12-04 19:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('391', '0005', 'BADGEWIDTH', '地面设施宽', '2', '48', TO_DATE('2019-12-04 19:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('392', '0005', 'REMARK', '备注', '2', '49', TO_DATE('2019-12-04 19:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('393', '0005', 'NODEHEIGHT', '管点高程', '2', '50', TO_DATE('2019-12-04 19:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('394', '0005', 'POINTCODE', '点符号代码', '2', '51', TO_DATE('2019-12-04 19:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('395', '0007', 'SID', '标识码', '2', '1', TO_DATE('2019-12-04 19:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('398', '0007', 'SUBTYPE', '类型', '2', '4', TO_DATE('2019-12-04 19:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('399', '0007', 'START_HEIGHT', '起点管顶高程', '2', '5', TO_DATE('2019-12-04 19:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('452', '0013', 'map', 'map ', '2', '6', TO_DATE('2019-12-18 15:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '27');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('380', '0005', 'SUBCATEGORY', '亚级类别', '2', '37', TO_DATE('2019-12-04 19:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('396', '0007', 'START_SID', '起点编号', '2', '2', TO_DATE('2019-12-04 19:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('363', '0005', 'OWNERUNIT', '权属单位', '2', '20', TO_DATE('2019-12-04 19:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('397', '0007', 'END_SID', '止点编号', '2', '3', TO_DATE('2019-12-04 19:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('400', '0007', 'END_HEIGHT', '终点管顶高程', '2', '6', TO_DATE('2019-12-04 19:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('404', '0007', 'MATERIAL', '管线材质', '2', '10', TO_DATE('2019-12-04 19:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('405', '0007', 'VOLTAGE', '压力值', '2', '11', TO_DATE('2019-12-04 19:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('333', '0016', '0016', '标注类型', '1', '16', TO_DATE('2019-11-05 14:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('334', '0016', 'DBBZ', '地标', '2', '1', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('335', '0016', 'BGBZ', '标高标注', '2', '2', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('406', '0007', 'BURYTYPE', '敷设方式', '2', '12', TO_DATE('2019-12-04 19:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('407', '0007', 'DIAMETER', '管径', '2', '13', TO_DATE('2019-12-04 20:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('408', '0007', 'CABLECOUNT', '电缆条数', '2', '14', TO_DATE('2019-12-04 20:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('409', '0007', 'TOTLEHOLES', '总孔数', '2', '15', TO_DATE('2019-12-04 20:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('410', '0007', 'USEDHOLES', '已用孔数', '2', '16', TO_DATE('2019-12-04 20:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('411', '0007', 'BURYYEAR', '埋设年代', '2', '17', TO_DATE('2019-12-04 20:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('412', '0007', 'OWNERUNIT', '权属单位', '2', '18', TO_DATE('2019-12-04 20:01:49', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('227', '0004', 'cs', '客户端管理', '2', '3', TO_DATE('2019-10-29 16:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('413', '0007', 'SILTTHICKNESS', '淤泥厚度', '2', '19', TO_DATE('2019-12-04 20:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('414', '0007', 'LANE_WAY', '所在道路', '2', '20', TO_DATE('2019-12-04 20:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('415', '0007', 'STATUS', '使用状态', '2', '21', TO_DATE('2019-12-04 20:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('416', '0007', 'DETECTUNIT', '勘测单位', '2', '22', TO_DATE('2019-12-04 20:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('228', '0015', '0015', '用户管理权限', '1', '15', TO_DATE('2019-10-30 18:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('229', '0015', '1', '超级管理员', '2', '1', TO_DATE('2019-10-30 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('230', '0015', '2', '管理员', '2', '2', TO_DATE('2019-10-30 18:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('231', '0015', '3', '用户', '2', '3', TO_DATE('2019-10-30 18:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('447', 'postion', NULL, '职位', '1', '99', TO_DATE('2019-12-09 10:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '32');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('450', 'postion', 'secondLevel', '二级审核', '2', '2', TO_DATE('2019-12-09 13:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '32');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('448', 'postion', 'deptLevel', '部门审核', '2', '9', TO_DATE('2019-12-09 13:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '32');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('449', 'postion', 'fristLevel', '一级审核', '2', '1', TO_DATE('2019-12-09 13:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '32');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('451', 'postion', 'thridLevel', '三级审核', '2', '3', TO_DATE('2019-12-09 13:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '32');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('336', '0016', 'GJBZ', '管径标注', '2', '3', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('337', '0016', 'MSBZ', '埋深标注', '2', '4', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('338', '0016', 'ZBBZ', '坐标标注', '2', '5', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('339', '0016', 'PDBZ', '坡度标注', '2', '6', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('340', '0016', 'SDBZ', '栓点标注', '2', '7', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('341', '0016', 'CQBZ', '扯旗标注', '2', '8', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('342', '0016', 'ZDYBZ', '自定义标注', '2', '9', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('343', '0016', 'WTBZ', '弯头标注', '2', '10', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('1', '0001', '0', '错误日志', '2', '1', TO_DATE('2019-06-06 10:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('2', '0001', NULL, '日志类型：0 错误日志，1 数据操作日志 ，2 登陆日志
2 ', '1', '1', TO_DATE('2019-06-06 10:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('3', '0001', '2', '登陆日志', '2', '3', TO_DATE('2019-06-06 10:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('4', '0001', '1', '数据操作日志', '2', '2', TO_DATE('2019-06-06 10:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('5', '0002', NULL, '级别：1 字典类级别，2 系统类级别', '1', '2', TO_DATE('2019-06-06 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('6', '0002', '1', '字典类级别', '2', '1', TO_DATE('2019-06-06 10:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('7', '0002', '2', '系统类级别', '2', '2', TO_DATE('2019-06-06 10:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('8', '0003', '0003', '模式： map 地图模式，list 列表模式', '1', '3', TO_DATE('2019-06-06 10:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('9', '0003', 'map', '地图模式', '2', '1', TO_DATE('2019-06-06 10:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('10', '0003', 'list', '列表模式', '2', '2', TO_DATE('2019-06-06 10:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('11', '0004', '0004', '子系统编码', '1', '4', TO_DATE('2019-06-06 10:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('12', '0005', NULL, '管线点图层字段说明', '1', '5', TO_DATE('2019-06-06 10:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('13', '0006', '0006', '菜单类型：1 默认菜单，2 工具栏菜单，0 菜单目录', '1', '6', TO_DATE('2019-06-06 10:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('14', '0006', '1', '默认菜单', '2', '1', TO_DATE('2019-06-06 10:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('15', '0006', '2', '工具栏', '2', '2', TO_DATE('2019-06-06 10:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('16', '0007', NULL, '管线图层字段说明', '1', '7', TO_DATE('2019-06-06 10:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('17', '0010', '0', '否', '2', '1', TO_DATE('2019-06-21 16:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('19', '0009', '1', '启动', '2', '2', TO_DATE('2019-06-21 16:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('20', '0008', '财务部', '财务部', '2', '6', TO_DATE('2019-06-24 10:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('23', '0011', '0', '不启用', '2', '1', TO_DATE('2019-06-21 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('24', '0008', '工程部', '工程部', '2', '3', TO_DATE('2019-06-24 10:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('25', '0009', '0', '不启动', '2', '1', TO_DATE('2019-06-21 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('26', '0010', '0010', '是否放置在PANEL内', '1', '10', TO_DATE('2019-06-21 16:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('27', '0010', '1', '是', '2', '2', TO_DATE('2019-06-21 16:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('28', '0011', '0011', '是否启用', '1', '11', TO_DATE('2019-06-21 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('29', '0011', '1', '启用', '2', '2', TO_DATE('2019-06-21 16:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('30', '0012', '0012', 'Panel类型', '1', '12', TO_DATE('2019-06-21 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('31', '0012', 'HalfPanel', '半框', '2', '3', TO_DATE('2019-06-21 16:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('32', '0012', 'FullPanel', '全框', '2', '2', TO_DATE('2019-06-21 16:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('33', '0012', 'Panel', '浮动框', '2', '1', TO_DATE('2019-06-21 16:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('35', '0008', '人事部', '人事部', '2', '4', TO_DATE('2019-06-24 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('61', '0013', 'cia_c', 'cia_c', '2', '2', TO_DATE('2019-07-02 14:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('64', '123', '123', '11223', NULL, '123', TO_DATE('2019-06-05 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('65', '0004', 'sys', '权限管理', '2', '2', TO_DATE('2019-06-06 14:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('344', '0005', 'SID', '标识码', '2', '1', TO_DATE('2019-12-04 19:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('401', '0007', 'START_DEPTH', '起点埋深', '2', '7', TO_DATE('2019-12-04 19:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('402', '0007', 'END_DEPTH', '终点埋深', '2', '8', TO_DATE('2019-12-04 19:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('403', '0007', 'FEATURECODE', '要素编码', '2', '9', TO_DATE('2019-12-04 19:58:49', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('417', '0007', 'SUPERVISEUNIT', '监理单位', '2', '23', TO_DATE('2019-12-04 20:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('418', '0007', 'WRITEPERSON', '录入人', '2', '24', TO_DATE('2019-12-04 20:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('419', '0007', 'WRITEDATE', '入库日期', '2', '25', TO_DATE('2019-12-04 20:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('420', '0007', 'CHANGEDATE', '修改日期', '2', '26', TO_DATE('2019-12-04 20:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('421', '0007', 'DRAWNAME', '工程名称', '2', '27', TO_DATE('2019-12-04 20:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('424', '0007', 'OCCUPYSURF', '路面情况', '2', '30', TO_DATE('2019-12-04 20:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('425', '0007', 'ADDR', '地址', '2', '31', TO_DATE('2019-12-04 20:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('426', '0007', 'ROUGHNESS', '粗糙度', '2', '32', TO_DATE('2019-12-04 20:05:26', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('427', '0007', 'DETECTDATE', '勘测日期', '2', '33', TO_DATE('2019-12-04 20:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('428', '0007', 'CHANGEPERSON', '修改人', '2', '34', TO_DATE('2019-12-04 20:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('85', '0013', NULL, '服务类型', '1', '13', TO_DATE('2019-07-02 14:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('86', '0013', 'img_c', 'img_c', '2', '1', TO_DATE('2019-07-02 14:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('429', '0007', 'ANTIROTMEASURE', '防腐措施', '2', '35', TO_DATE('2019-12-04 20:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('430', '0007', 'SAFETYTIPS', '安全提示', '2', '36', TO_DATE('2019-12-04 20:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('431', '0007', 'PERIODICDETECTION', '定期检测', '2', '37', TO_DATE('2019-12-04 20:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('91', '测试字典1', '测试字典1', '1', NULL, '1', TO_DATE('2019-06-04 17:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('92', '字典2', '字典2', '123', NULL, '2', TO_DATE('2019-06-04 17:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('432', '0007', 'FLOWDIRECTION', '流向', '2', '38', TO_DATE('2019-12-04 20:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('433', '0007', 'SUBCATEGORY', '亚级类别', '2', '39', TO_DATE('2019-12-04 20:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('434', '0007', 'SUBNAME', '亚级名称', '2', '40', TO_DATE('2019-12-04 20:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('96', '0004', 'gis', '管网管理', '2', '1', TO_DATE('2019-06-06 14:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('435', '0007', 'START_POS', '起点点号', '2', '41', TO_DATE('2019-12-04 20:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('98', '0009', NULL, '是否自启动', '1', '9', TO_DATE('2019-06-21 16:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('436', '0007', 'END_POS', '终点点号', '2', '42', TO_DATE('2019-12-04 20:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('311', '0013', 'data', 'data', '2', '3', TO_DATE('2019-10-31 15:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('437', '0007', 'BURY_POS', '埋深位置', '2', '43', TO_DATE('2019-12-04 20:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('438', '0007', 'GCABLECOUNT', '光缆条数', '2', '44', TO_DATE('2019-12-04 20:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('439', '0007', 'LINECODE', '线标准代码', '2', '45', TO_DATE('2019-12-04 20:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('440', '0007', 'TGMATERIAL', '套管材质', '2', '46', TO_DATE('2019-12-04 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('441', '0007', 'LENGTH', '长度', '2', '47', TO_DATE('2019-12-04 20:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('106', '0008', '研发部', '研发部', '2', '5', TO_DATE('2019-06-24 10:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('312', '0013', 'scene', 'scene', '2', '4', TO_DATE('2019-10-31 15:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('108', '0008', '0008', '单位编码', '1', '8', TO_DATE('2019-06-11 10:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('109', '0008', '总经办', '总经办', '2', '1', TO_DATE('2019-06-24 10:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('313', '0013', 'terrain', 'terrain', '2', '5', TO_DATE('2019-10-31 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('442', '0007', 'REMARK', '备注', '2', '48', TO_DATE('2019-12-04 20:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('112', '0006', '0', '菜单目录', '2', '3', TO_DATE('2019-07-18 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('443', '0007', 'START_LGTD', '起点经度', '2', '49', TO_DATE('2019-12-04 20:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('444', '0007', 'START_LTTD', '起点纬度', '2', '50', TO_DATE('2019-12-04 20:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('445', '0007', 'END_LGTD', '终点经度', '2', '51', TO_DATE('2019-12-04 20:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('446', '0007', 'END_LTTD', '终点纬度', '2', '52', TO_DATE('2019-12-04 20:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('119', '0008', '行政部', '行政部', '2', '2', TO_DATE('2019-06-24 10:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('120', '0014', '0014', '平台类型', '1', '14', TO_DATE('2019-10-25 17:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('121', '0014', '1', 'BS平台', '2', '1', TO_DATE('2019-10-25 17:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('122', '0014', '2', 'CS平台', '2', '2', TO_DATE('2019-10-25 17:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('422', '0007', 'DESIGNDEPT', '设计单位', '2', '28', TO_DATE('2019-12-04 20:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('423', '0007', 'ASSEMBLER', '施工单位', '2', '29', TO_DATE('2019-12-04 20:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_CODE_X" VALUES ('453', '0013', 'tiled', 'tiled', '2', '7', TO_DATE('2020-01-02 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '23');

-- ----------------------------
-- Table structure for TF_SMPN_CONFIG_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "DEFAUT_VALUE" VARCHAR2(32 BYTE),
  "VALUE" VARCHAR2(32 BYTE),
  "NOTES" VARCHAR2(100 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "KEY" VARCHAR2(32 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."ID" IS '唯一UUID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."DEFAUT_VALUE" IS '默认值';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."VALUE" IS '值信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."NOTES" IS '值说明描述';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONFIG_X"."KEY" IS '字段信息';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X" IS '系统配置信息表';

-- ----------------------------
-- Records of TF_SMPN_CONFIG_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_CONNECTION_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "NAME" VARCHAR2(100 BYTE),
  "TYPE" NUMBER(4,0),
  "CONSTR" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."ID" IS '编号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."NAME" IS '数据库连接名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."TYPE" IS '连接类型，默认1 ORACLE数据库，2 SQL SERVER数据库';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."CONSTR" IS '连接信息串';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X"."CREATE_USER" IS '创建用户';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X" IS '空间库连接配置信息表';

-- ----------------------------
-- Records of TF_SMPN_CONNECTION_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_DEPARTMENTSOURCE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" (
  "DEPARTMENT_ID" NUMBER(15,0),
  "SOURCE_ID" NUMBER(15,0),
  "CREATE_TIME" DATE,
  "USER_ID" NUMBER(15,0),
  "ID" NUMBER(15,0) NOT NULL
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X"."DEPARTMENT_ID" IS '单位ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X"."SOURCE_ID" IS '资源ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X"."USER_ID" IS '创建用户';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X"."ID" IS 'ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" IS '单位资源配置关联信息表';

-- ----------------------------
-- Records of TF_SMPN_DEPARTMENTSOURCE_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '44', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '330');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '43', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '331');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '39', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '332');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '38', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '333');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '11', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '334');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '8', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '335');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '7', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '336');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '37', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '337');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '36', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '338');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '35', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '339');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '34', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '340');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '3', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '341');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '2', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '342');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('7', '1', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '43', '343');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '44', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '154');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '43', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '155');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '20', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '156');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '11', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '157');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '8', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '158');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '7', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '159');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '37', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '160');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '36', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '161');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '35', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '162');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '34', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '163');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '3', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '164');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '2', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '165');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('4', '1', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '41', '166');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '44', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '293');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '43', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '294');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '39', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '295');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '38', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '296');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '40', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '297');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '20', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '298');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '46', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '299');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '45', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '300');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '42', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '301');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '41', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '302');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '11', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '303');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '8', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '304');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '7', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '305');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '37', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '306');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '36', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '307');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '35', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '308');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '34', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '309');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '3', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '310');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '2', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '311');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('3', '1', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '312');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '44', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '313');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '44', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '253');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '43', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '254');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '39', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '255');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '38', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '256');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '40', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '257');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '20', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '258');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '46', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '259');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '45', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '260');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '42', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '261');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '41', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '262');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '11', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '263');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '8', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '264');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '7', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '265');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '37', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '266');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '36', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '267');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '35', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '268');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '34', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '269');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '3', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '270');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '2', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '271');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('1', '1', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '272');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '44', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '273');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '43', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '274');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '39', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '275');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '38', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '276');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '40', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '277');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '20', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '278');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '46', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '279');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '45', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '280');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '42', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '281');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '41', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '282');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '11', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '283');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '8', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '284');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '7', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '285');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '37', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '286');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '36', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '287');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '35', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '288');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '34', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '289');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '3', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '290');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '2', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '291');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('2', '1', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', '292');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '43', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '314');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '39', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '315');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '38', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '316');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '40', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '317');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '20', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '318');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '42', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '319');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '41', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '320');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '8', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '321');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '7', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '322');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '37', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '323');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '36', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '324');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '35', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '325');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '34', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '326');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '3', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '327');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '2', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '328');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" VALUES ('5', '1', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '329');

-- ----------------------------
-- Table structure for TF_SMPN_DEPARTMENT_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "NAME" VARCHAR2(100 BYTE),
  "SORT" NUMBER(8,0),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "PARENT_ID" NUMBER(8,0),
  "CREATE_USER" NUMBER(15,0),
  "CODE" VARCHAR2(50 BYTE),
  "SHORT_NAME" VARCHAR2(20 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 8192 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."ID" IS '部门ID，主键';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."NAME" IS '部门名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."SORT" IS '排序号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."STATUS_FLAG" IS '是否启用禁用 1启用 2禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."PARENT_ID" IS '父级部门ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."CODE" IS '机构编码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X"."SHORT_NAME" IS '单位简称';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" IS '部门表';

-- ----------------------------
-- Records of TF_SMPN_DEPARTMENT_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('1', '总经理办公室', '1', TO_DATE('2019-10-30 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '1', '总经办', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('2', '财务管理部', '1', TO_DATE('2019-10-30 10:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '1', '财务部', '财务部');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('3', '研发管理部', '2', TO_DATE('2019-10-31 17:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '1', '研发部', '研发部');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('4', '后勤部', '3', TO_DATE('2020-01-09 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '24', '后勤部', '后勤部');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('8', '测试1', '7', TO_DATE('2020-03-04 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '56', '测试1', '测试1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('6', '删除测试', '5', TO_DATE('2020-01-20 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '42', '123', '删除测试');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" VALUES ('7', '不可开挖角色', '6', TO_DATE('2020-01-20 13:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '42', '3333', '不可开挖角色');

-- ----------------------------
-- Table structure for TF_SMPN_LOG_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "TYPE" CHAR(1 BYTE),
  "SERVICE_ID" VARCHAR2(32 BYTE),
  "CREATE_BY" VARCHAR2(64 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "REMOTE_ADDR" VARCHAR2(255 BYTE),
  "USER_AGENT" VARCHAR2(1000 BYTE),
  "REQUEST_URI" VARCHAR2(255 BYTE),
  "METHOD" VARCHAR2(10 BYTE),
  "PARAMS" VARCHAR2(2000 BYTE),
  "TIME" NUMBER(16,0),
  "DEL_FLAG" CHAR(1 BYTE),
  "EXCEPTION" VARCHAR2(2000 BYTE),
  "TITLE" VARCHAR2(2000 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 3145728 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."ID" IS '日志ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."TYPE" IS '日志类型';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."SERVICE_ID" IS '服务ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."CREATE_BY" IS '创建者';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."REMOTE_ADDR" IS '操作ip';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."USER_AGENT" IS '用户代理';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."REQUEST_URI" IS '请求URI';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."METHOD" IS '操作方法';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."PARAMS" IS '操作提交数据';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."TIME" IS '响应时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."DEL_FLAG" IS '删除标记';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."EXCEPTION" IS '异常信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_LOG_X"."TITLE" IS '日志内容';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X" IS '日志信息表';

-- ----------------------------
-- Records of TF_SMPN_LOG_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1134', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '297', NULL, '密码错误。当前密码错误次数是：8,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1135', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '214', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1136', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-05 09:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '0', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1138', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '212', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1139', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '311', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1140', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '300', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1141', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '269', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1143', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 09:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["2ea6201a068c5fa0eea5d81a3863321a87f8d533"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1144', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:35:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:35:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '279', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1145', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-05 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d\",\"id\":\"\"}":[null]}', '3629', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1146', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '280', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1079', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["123456"]}', '153055', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1457', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '39285', NULL, 'BaseUserService#getInfo(String,String) failed and encountered unrecoverable error.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1484', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1548', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1485', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:25:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:25:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '201256', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('628', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '25', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('631', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '261', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('632', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '17', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('633', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '32', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('635', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '14', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('637', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '14', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('646', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('654', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('663', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '23', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('665', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '30', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('677', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["62"]}', '21', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('694', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '37', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('701', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '213', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('717', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '7405', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('719', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '33558', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('722', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('729', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["94"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1658', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '27', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1659', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1660', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1661', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 14:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '289', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1662', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1663', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '36', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('227', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '560', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1254', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '111', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1255', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '70', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1256', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '117', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1257', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '104', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1258', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '173', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1259', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '94', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1260', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '92', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1261', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '114', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1262', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '107', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1263', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '121', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1264', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '101', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1265', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["056eafe7cf52220de2df36845b8ed170c67e23e3"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qwe"]}', '185', NULL, 'ResultRespone(code=-1, message=用户信息为空qwe, result=null)用户不存在', 'content:登录 :qwe');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1266', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '331', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1267', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1314', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '6916', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1315', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '244', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1316', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '257', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1318', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '329', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1319', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '233', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('351', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["14,15,12"]}', '276', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('352', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('354', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('355', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('356', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试_3"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["(028) 87348740_"],"roleid":["undefined"],"departmentId":["2"],"id":["12"],"isupdate":["1"],"email":["429299384@qq.com_"],"username":["ceshi"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('357', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试_3"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740_"],"roleid":["undefined"],"departmentId":["2"],"id":["12"],"isupdate":["1"],"email":["429299384@qq.com_"],"username":["ceshi"]}', '6', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('358', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["1223"],"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"file":[],"notes":[""],"userLevel":["3"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["2"],"email":["429299384@qq.com"],"username":["123"]}', '68', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6', 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('192', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('193', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,29,28"]}', '29', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('194', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,29,28"]}', '30', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('195', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '107', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('196', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '9', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('199', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,26,28"]}', '38', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('816', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 10:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '720', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('817', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["11,13,18,17,16,14,19"]}', '406', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('818', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["4,5,6,7,8,9,10"]}', '44', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('819', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["403d9917c3e950798601addf7ba82cd3c83f344b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '268', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1664', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["33"]}', '200', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1665', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '294', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1666', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '42', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1667', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["345"],"ulevel":["1"]}', '84', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1668', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '44', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1669', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1670', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["345"],"ulevel":["2"]}', '6', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1671', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1672', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1673', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1675', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '366', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1677', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '372', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1678', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 15:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 15:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '259', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1682', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 16:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 16:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '387', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1723', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 18:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 18:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '3234', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('443', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '74', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1153', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-05 09:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"]}', '64797', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1155', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '369', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1156', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '264', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1157', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '248', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('854', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '66', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -5117894593278220001, local class serialVersionUID = -8192998468454537028', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('855', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '33', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -5117894593278220001, local class serialVersionUID = -8192998468454537028', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('856', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4196', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('857', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '286', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('858', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5831', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('859', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '745', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('863', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '296', NULL, 'BaseUserService#updateUserInfo(SysUser,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('888', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d\",\"id\":\"\"}":[null]}', '208', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('889', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '269', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('890', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '236', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('891', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '10', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('892', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '0', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('893', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '366', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('895', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '268', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('896', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('897', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["李顺"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["429299384@qq.com"],"username":["lishuan"]}', '9', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('898', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '225', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('730', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '31', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('737', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '355', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('740', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('742', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '15', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('743', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('748', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('750', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('756', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '488', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('765', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '92', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('771', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '34', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('773', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '251', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('780', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:23:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '47', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('781', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '19746', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('597', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:29:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:29:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('598', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '14', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('509', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["27,28"]}', '54431', NULL, '
### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/MenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,name,permission,path,parent_id,icon,sort,keep_alive,type,CREATE_TIME,UPDATE_TIME,status_flag,code,mouse_icon,inpanel,panel,autorun,sys_id,CREATE_USER FROM TF_SMPN_MENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1041', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '359', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1051', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 14:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('205', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '127', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/RoleMenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_ROLEMENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('261', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '106677', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('294', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 16:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('295', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试"],"password":["31506349dc1205e2af91cc7e882c640cdeb05a01"],"file":["undefined"],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["13"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '278', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('296', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["14"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '313', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('297', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["15"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '239', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1320', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '146', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1323', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '521', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1222', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '6606', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1223', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '29694', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1225', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '72854', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1905', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '313215', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1908', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '64494', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1132', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '209', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1137', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '274', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1142', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '215', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1151', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '219', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1152', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1171', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '1616', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1172', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-05 11:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"aa":["aa"],"bb":[""],"ids":["999"]}', '6410', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1185', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '489', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1186', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:22:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:22:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '270', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1187', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '262', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1188', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:25:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:25:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '413', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1189', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-05 13:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source/removeByIds', 'DELETE', '{"ids":["32"]}', '1465', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1190', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-05 13:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'POST', '{}', '34', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1191', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '319', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1192', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-05 13:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '583', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1193', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-05 13:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/departmentsource', 'PUT', '{}', '276', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1194', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '318', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1195', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '262', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1196', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '239', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1197', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '339', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1198', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '353', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1199', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '168', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1206', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21223"]}', '307', NULL, 'ResultRespone(code=-1, message=用户信息为空21223, result=null)用户不存在', 'content:登录 :21223');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1207', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21223"]}', '442', NULL, 'ResultRespone(code=-1, message=用户信息为空21223, result=null)用户不存在', 'content:登录 :21223');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1724', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 18:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 18:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '411', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1725', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488058.2433630878,\"y\":5215959.213516862,\"z\":3356334.0204601563},\"txt\":\"坐标：105.922890 , 31.748602 , 383.668\"}"]}', '548', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1726', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488060.3946002605,\"y\":5215959.191905061,\"z\":3356333.1481506154},\"txt\":\"坐标：105.922912 , 31.748592 , 383.693\"}"]}', '32', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1727', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488051.727477111,\"y\":5215955.652998416,\"z\":3356342.4189747763},\"txt\":\"坐标：105.922834 , 31.748691 , 383.655\"}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1728', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:03:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488056.8491802996,\"y\":5215947.894534967,\"z\":3356352.762254811},\"txt\":\"坐标：105.922909 , 31.748798 , 383.948\"}"]}', '38', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1729', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["[{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1488057.304464881,\"y\":5215958.567971392,\"z\":3356333.54095589},\"label\":{\"text\":\"\\n管线长度（m）:14.16377329657634\\n管道类型:低压\\n起点管高（m）:383.727\\n终点管高（m）:383.587\\n起点埋深（m）:0.5\\n终点埋深（m）:0.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '55', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1730', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 19:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["[{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1488060.5350098454,\"y\":5215959.178731803,\"z\":3356333.1045943922},\"label\":{\"text\":\"\\n起点管高（m）:383.727\\n起点埋深（m）:0.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '21', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1731', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-07 19:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69757543349286,\"ymax\":31.534045283036818,\"xmax\":104.70352295308443,\"ymin\":31.53808144375813,\"height\":132}"],"notes":["1223"],"file":[],"markName":["q123"],"camera":["{\"direction\":{\"x\":0.9671448474639724,\"y\":-0.17877936940179823,\"z\":-0.18074507213250704},\"up\":{\"x\":0.2465041938483574,\"y\":0.8333625308595726,\"z\":0.4947146395392999},\"position\":{\"x\":-1379936.0524475323,\"y\":5258154.845505905,\"z\":3336149.360354225}}"]}', '889', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1732', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-07 19:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/24', 'DELETE', '{"id":["24"]}', '111', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1886', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-08 12:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '32', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1887', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 12:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1490467.3650481754,\"y\":5216539.954614012,\"z\":3354353.233677593},\"label\":{\"text\":\"埋深：1.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '90', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1888', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-08 12:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1710', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3119', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1459', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 16:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '4644', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1460', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '308', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1461', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '449', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1462', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '469', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1463', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '236', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1464', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 16:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '269', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1465', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '343', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1470', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '244', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('899', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"]}', '426', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('853', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3190', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('864', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1324', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('865', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '314', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1271', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qwe"]}', '125', NULL, 'ResultRespone(code=-1, message=用户信息为空qwe, result=null)用户不存在', 'content:登录 :qwe');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1272', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '112', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1712', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '931', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1713', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '559', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1717', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '450', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1718', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '418', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1722', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '287', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1733', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-07 19:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 19:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig/removeByIds', 'DELETE', '{"ids":["4"]}', '29', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1734', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["[{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488048.0512792647,\"y\":5215963.436502248,\"z\":3356331.536281054},\"label\":{\"text\":\"坐标：105.922774 , 31.748577 , 383.436\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1735', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["[{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488048.3999565812,\"y\":5215962.863021082,\"z\":3356332.420999418},\"label\":{\"text\":\"坐标：105.922780 , 31.748586 , 383.514\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '30', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1736', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:24:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:24:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488058.3694498807,\"y\":5215944.963139568,\"z\":3356356.6584032187},\"label\":{\"text\":\"埋深：-0.11\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1739', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488065.4334997707,\"y\":5215931.695801146,\"z\":3356373.947271305},\"label\":{\"text\":\"埋深：0.01\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '29', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1746', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3575', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1748', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2605', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1753', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '14962', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1754', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1779', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('298', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["15"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '224', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('299', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["14"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '51', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('300', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["16"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '28', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('302', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '944', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('303', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 17:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 17:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('304', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '255', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('305', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '320', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('361', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '88', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('362', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{}', '65', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #2 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('222', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 08:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 08:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '669', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('223', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 09:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 09:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '795', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('224', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 09:01:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 09:01:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '95', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('225', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 09:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 09:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '135', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('226', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 09:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 09:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '28', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('866', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '76931', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('867', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4312', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('868', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '67475', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1761', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '528', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1764', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '550', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1765', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '585', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1767', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '541', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1768', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '419', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1772', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1055', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1783', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '68', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1785', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '401', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1512', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '253', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1525', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '425', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1526', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '275', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1527', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 10:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '205', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1528', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '268', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('513', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '185', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('514', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '32', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('515', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('516', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '8', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('517', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '8', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('518', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('519', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '43', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('520', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('521', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '52', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('522', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('523', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('524', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('526', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '17', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('527', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:04:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:04:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '77', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('528', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('529', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('530', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('531', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('532', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["127"],"ulevel":["2"]}', '15', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('533', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["110,100,107,66,71,67,68,69,70,72,73,74,75,76,78,77,79,80,81,82,83,84,118"],"ulevel":["2"]}', '12', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('534', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('535', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '24', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('536', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '21', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('537', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('539', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '23', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('540', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('541', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '11', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('542', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('543', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '81', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('544', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '18', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('545', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('546', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '34', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('547', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('548', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('549', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('550', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('551', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('552', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('554', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:11:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:11:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('555', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '38', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('556', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:12:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:12:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('557', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '27', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('558', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '25', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('560', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '21', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('561', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '54', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('562', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["2,3"]}', '90', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('563', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["1"]}', '14', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('565', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('566', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 15:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '9077', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('568', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '55', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('569', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '408', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1472', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8337', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1473', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1439', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1474', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '362', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1476', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["11111"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2556', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1488', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '350', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1491', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '856', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1492', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '378', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1493', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '339', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1494', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 17:51:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"isSystem":["0"],"file":["null"],"maxView":["500"],"name":["123"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["",""],"geometry":["[object Object]"],"minView":["0"]}', '617', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''21'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1495', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '576', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1466', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '68476', NULL, 'BaseUserService#getInfo(String,String) failed and encountered unrecoverable error.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1467', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:47:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:47:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '13316', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1468', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '14109', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1469', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '16680', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1657', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '6', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1742', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '8206', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1762', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '618', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1036', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '309', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1037', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '340', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1043', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '305', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1044', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:54:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:54:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '456', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1052', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '323', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1087', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '95', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1755', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2382', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1758', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3060', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1627', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 13:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'POST', '{}', '62', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''27'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1628', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'POST', '{"file":[]}', '267', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''27'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1629', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 13:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'POST', '{}', '19', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''27'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1737', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488054.3553694119,\"y\":5215952.595541832,\"z\":3356346.6920949835},\"label\":{\"text\":\"埋深：-0.18\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '29', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1496', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '680', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1497', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '711', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1501', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '557', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1504', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '8158', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1546', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '217', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1548', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '236', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1550', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1551', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1552', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d\",\"id\":\"\"}":[null]}', '210', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1553', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '256', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1554', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '225', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1555', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '239', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1556', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 11:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1557', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:08:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '334', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1559', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '445', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1560', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '255', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1561', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '557', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1562', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '247', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1786', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '263', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1787', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '35', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1788', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '42', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1789', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '378', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1797', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '339', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1798', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '398', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1799', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:24:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:24:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '282', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1800', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '465', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1801', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '384', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1802', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '354', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1803', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '117', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1804', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '25', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1805', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:25:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:25:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '746', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1806', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '687', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1608', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '377', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1609', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["2b8c53e0-1adc-44f8-9bb9-f43b900b708d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '830', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1611', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["2b8c53e0-1adc-44f8-9bb9-f43b900b708d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '373', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1614', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '537', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1616', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '547', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1655', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '31', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1656', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:12:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:12:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '60', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('252', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '354', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1486', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '108566', NULL, 'Pipeline contained one or more invalid commands; nested exception is org.springframework.data.redis.connection.RedisPipelineException: Pipeline contained one or more invalid commands; nested exception is org.springframework.dao.QueryTimeoutException: Redis command timed out', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1487', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1364', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1489', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 17:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"]}', '560', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1490', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '434', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1498', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '315', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1505', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '596', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1506', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '186', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('570', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '46', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('789', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:37:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:37:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '10367', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('815', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '233', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1229', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '228048', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1230', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '12245', NULL, 'org.springframework.security.authentication.UsernamePasswordAuthenticationToken cannot be cast to org.springframework.security.oauth2.provider.OAuth2Authentication', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1268', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["056eafe7cf52220de2df36845b8ed170c67e23e3"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qwe"]}', '89', NULL, 'ResultRespone(code=-1, message=用户信息为空qwe, result=null)用户不存在', 'content:登录 :qwe');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1324', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["94,97,96,95"]}', '135', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('228', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 10:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '271', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('229', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '204', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('230', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '15', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('231', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '14', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('232', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '14', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('233', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '20', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('234', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '61', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('235', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '24', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('236', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '75', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('263', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '263', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('264', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 14:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '344', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('265', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '209', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('266', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '205', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('274', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["111111","111111"],"file":[],"username":["aaa","bbb"]}', '317', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('275', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["111111"],"file":[],"username":["bbb"]}', '317', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('276', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:05:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["111111"],"file":[],"username":["bbb"]}', '13020', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('277', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '64661', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('278', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '22922', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('279', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"realName":["asdasdasd"],"password":["111111"],"file":[],"username":["bbb"]}', '33805', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('280', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"[object Object]":[""]}', '68545', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('281', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '82585', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('282', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '31423', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('283', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '54938', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('284', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"Authorization":["bearer 8c1118ef-38e6-427b-9ad8-002e3b7843f0"],"realName":["aasdasdasd"],"password":["11111"],"username":["asdsad"]}', '38119', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ID)

### The error may exist in com/tofly/base/mapper/UserMapper.java (best guess)
### The error may involve com.tofly.base.mapper.UserMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_USER_X  ( ID, username, password,     CREATE_TIME, UPDATE_TIME,      real_name,         CREATE_USER )  VALUES  ( ?, ?, ?,     ?, ?,      ?,         ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ID)
', 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('285', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:31:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:31:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '15456', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('286', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"Authorization":["bearer 8c1118ef-38e6-427b-9ad8-002e3b7843f0"],"realName":["aasdasdasd"],"password":["11111"],"file":[],"username":["asdsad"]}', '7596', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('287', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"password":["19187dc98dce52fa4c4e8e05b341a9b77a51fd26"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["123"],"realname":["测试3"]}', '21126', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('288', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["ceshi"],"realname":["测试"]}', '16724', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('289', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试3"],"password":["601f1889667efaebb33b8c12572835da3f027f78"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["ceshi"]}', '384', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1089', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '196', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('307', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('308', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('309', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('310', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('311', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('312', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('313', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('314', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('315', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('316', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '277', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('317', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('581', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:25:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:25:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '36435', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1763', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '754', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1766', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '631', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1769', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '522', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1770', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '517', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1771', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '500', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1451', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '11560', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1452', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '28512', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1535', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"]}', '78176', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1547', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"]}', '31215', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1549', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":[""]}', '311', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1558', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":[" "]}', '39479', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1563', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '227', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1912', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '291605', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve com.tofly.base.mapper.UserRoleMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_USERROLE_X  ( ID, user_id, role_id )  VALUES  ( ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1914', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '551781', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1158', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-05 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"]}', '24337', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1159', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-05 10:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '70', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1160', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '294', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1161', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '320', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1162', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '317', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1163', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '414', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1164', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '248', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1165', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 10:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '7487', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1166', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '273', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1167', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 11:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '230', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1168', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 11:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '233', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1173', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '239', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1174', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '264', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1175', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '271', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1176', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:16:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:16:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '268', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1177', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 13:18:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:18:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'POST', '{"realName":["王建"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["11111111111"],"roleid":[""],"departmentId":["3"],"email":[""],"username":["wangjian"]}', '340', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1178', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 13:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/userrole', 'PUT', '{}', '57', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1179', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wang"]}', '544', NULL, 'ResultRespone(code=-1, message=用户信息为空wang, result=null)用户不存在', 'content:登录 :wang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1507', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '174', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1508', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:14:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:14:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '162', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1509', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '385', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1510', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '250', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1511', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 09:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '3592', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1513', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["20"]}', '3457', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1514', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["20"]}', '7647', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1521', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '313', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1522', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '435', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1523', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '378', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1524', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 10:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '210', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1499', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '565', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1500', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 18:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 18:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1092', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1502', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 19:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 19:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '301', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1503', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 20:02:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 20:02:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '400', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('61', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c24d0a1968e339c3786751ab16411c2c24ce8a2e"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '862', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('62', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c24d0a1968e339c3786751ab16411c2c24ce8a2e"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('63', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '4245', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1055', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2985', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1057', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '24828', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1058', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '75471', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1059', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '3683', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1060', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:34:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:34:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '3625', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('363', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #2 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('364', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试"],"id":["14"],"statusFlag":["0"]}', '7', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('365', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:35:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:35:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试"],"id":["14"],"statusFlag":["1"]}', '18', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('371', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:17:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:17:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('372', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('198', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:42:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:42:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4,5"]}', '60', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('215', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 15:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 15:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '733', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('216', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 16:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 16:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '218', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('250', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["111111","111111"],"file":[],"username":["aaa","aaaa"]}', '12381', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1940', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '272', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1944', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '814', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1945', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '733', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1946', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2819', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1947', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '6379', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1955', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '96', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1956', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 09:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '17726', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1957', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '281', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1959', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '283', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1960', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '258', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1961', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '430', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1962', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/sourcedic', 'POST', '{}', '202', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.Sourcedic''', 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1963', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/sourcedic', 'POST', '{}', '63', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.Sourcedic''', 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1964', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '261', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1965', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '619', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1966', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '233', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1970', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/18', 'DELETE', '{"id":["18"]}', '1911', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1972', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 10:28:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:28:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.89921522841759,\"ymax\":31.75898350702672,\"xmax\":105.9926197856932,\"ymin\":31.720143741233176,\"height\":7656}"],"notes":["cx"],"file":[],"markName":["cx"],"camera":["{\"direction\":{\"x\":0.2336436129678743,\"y\":-0.8177239340960553,\"z\":-0.5260591504059106},\"up\":{\"x\":0.1445791691515933,\"y\":-0.5058014392351928,\"z\":0.8504479807225382},\"position\":{\"x\":-1491999.7311203578,\"y\":5221815.714559039,\"z\":3359304.801826287}}"]}', '1798', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.xnkd.entity.Files''', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1097', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '457', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1098', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '289', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1103', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:19:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:19:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '287', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1104', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '278', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1108', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '268', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1119', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '2971', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1147', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '432', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1148', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '243', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1149', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '359', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1150', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:41:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:41:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '229', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1154', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '304', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1110', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 18:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 18:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '520', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1519', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '363', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1520', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '247', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1585', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '482', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('820', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["403d9917c3e950798601addf7ba82cd3c83f344b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '309', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('834', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 11:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '177', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('835', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '156', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('836', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '306', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('837', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:18:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:18:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '281', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('838', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1275', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('839', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '287', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('840', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '272', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('844', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '365', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1180', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1181', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '327', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1182', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-05 13:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '141', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1183', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '247', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1184', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '275', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1067', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '15', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1075', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '288', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1430', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.91278930920322,\"ymax\":31.75158758952927,\"xmax\":105.92071004392987,\"ymin\":31.751365809754255,\"height\":554}"],"notes":["123"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.3716558111193525,\"y\":-0.8801930520086202,\"z\":-0.2951815530431512},\"up\":{\"x\":0.4536986514007371,\"y\":-0.10519693276357556,\"z\":0.8849243691153998},\"position\":{\"x\":-1487606.528297667,\"y\":5216141.62422475,\"z\":3356573.2755122567}}"]}', '1537', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1431', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/24', 'DELETE', '{"id":["24"]}', '29', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1273', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '374', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1274', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:01:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '508', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1275', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '270', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1276', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '272', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1277', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '96', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1278', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '292', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1279', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["e13"]}', '98', NULL, 'ResultRespone(code=-1, message=用户信息为空e13, result=null)用户不存在', 'content:登录 :e13');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1280', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["2ea6201a068c5fa0eea5d81a3863321a87f8d533"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '287', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1281', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '268', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1282', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '348', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1283', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:18:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:18:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '313', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1284', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '500', NULL, '密码错误。当前密码错误次数是：5,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1285', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:22:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:22:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '334', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1290', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '396', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1325', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 11:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '253269', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1061', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '5179', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1062', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '2933', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1063', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '51', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1064', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '50', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1065', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:48:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:48:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '63', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1066', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '861', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1081', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["123456"]}', '72720', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1084', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '3428', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1114', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '285', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1115', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '358', NULL, '密码错误。当前密码错误次数是：5,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1116', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '281', NULL, '密码错误。当前密码错误次数是：6,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1117', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '284', NULL, '密码错误。当前密码错误次数是：7,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1121', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '219', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1122', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 09:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["王海"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["tofly.cn@126.com"],"username":["wanghai"]}', '287', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1123', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '684', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1050', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 14:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '176', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1228', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '434073', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1564', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '264', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1565', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '492', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('832', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '314', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('833', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '287', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('883', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '260', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('887', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('922', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 16:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 16:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '331671', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1973', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 10:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.89921522841759,\"ymax\":31.75898350702672,\"xmax\":105.9926197856932,\"ymin\":31.720143741233176,\"height\":7656}"],"notes":["cx"],"file":[],"markName":["cx"],"camera":["{\"direction\":{\"x\":0.2336436129678743,\"y\":-0.8177239340960553,\"z\":-0.5260591504059106},\"up\":{\"x\":0.1445791691515933,\"y\":-0.5058014392351928,\"z\":0.8504479807225382},\"position\":{\"x\":-1491999.7311203578,\"y\":5221815.714559039,\"z\":3359304.801826287}}"]}', '149', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.xnkd.entity.Files''', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1974', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-11 10:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/user', 'POST', '{"realName":["邱海淋"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["13988888888"],"roleid":[""],"departmentId":["3"],"email":["123@126.com"],"username":["qiuhailin"]}', '147', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1824', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly028@126.cn"],"username":["pra"]}', '328', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1825', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '356', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('292', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 16:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '8419', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1529', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '373', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1530', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '348', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1531', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1532', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 10:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1533', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '387', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1534', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 10:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 10:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '249', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1536', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '247', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1537', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '260', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1538', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d\",\"id\":\"\"}":[null]}', '212', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1539', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '928', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1540', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '348', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1541', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '342', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1542', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '260', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1543', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '368', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1544', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '367', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1545', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '334', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1607', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '659', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('848', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '234', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('849', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '38293', NULL, 'Pipeline contained one or more invalid commands; nested exception is io.lettuce.core.RedisException: java.io.IOException: 远程主机强迫关闭了一个现有的连接。', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('850', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '25625', NULL, 'Pipeline contained one or more invalid commands; nested exception is io.lettuce.core.RedisException: java.io.IOException: 远程主机强迫关闭了一个现有的连接。', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('851', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '318', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('852', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 13:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '450', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('860', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:14:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:14:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '950', NULL, 'BaseUserService#updateUserInfo(SysUser,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('861', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '15268', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('862', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '317', NULL, 'BaseUserService#updateUserInfo(SysUser,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('825', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('826', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '232', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('827', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1217', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '255', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1219', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:41:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:41:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '320', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1220', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '251', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1221', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '274', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1224', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '274', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('253', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '14165', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('254', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '74', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('255', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '45', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('291', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 16:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '279', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('306', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '474', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1345', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3002', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1355', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["51"]}', '10', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1382', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '272', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1383', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '256', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1208', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-05 14:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/code', 'POST', '{}', '331', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1231', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '8111', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1232', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '158726', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1233', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '17224', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1681', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 16:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 16:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '249', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1683', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '417', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1684', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '378', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1685', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('209', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["3"]}', '110', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/RoleMenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_ROLEMENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('210', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["3"]}', '145', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/RoleMenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_ROLEMENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('211', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '53', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('212', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'PUT', '{}', '26', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('213', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["3,4"]}', '157', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/RoleMenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_ROLEMENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('218', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 19:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 19:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '41', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('290', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1898', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('293', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["测试2"],"password":["1a9b9508b6003b68ddfe03a9c8cbc4bd4388339b"],"file":[],"notes":[""],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["123"]}', '23725', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('318', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('319', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '567', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('320', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '343', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('321', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('322', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('930', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-01 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('931', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-01 17:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '15', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('934', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 17:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('935', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 17:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '24', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('936', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '15790', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('937', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '308', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('938', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '289', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('940', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '333', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('941', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '294', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('943', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1325', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('949', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '108', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('950', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '384', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('952', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '189', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('953', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '279', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('965', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('970', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '394', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('971', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('973', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '30', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('974', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '350', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('977', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '7', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('978', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1476', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('979', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('980', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('981', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('982', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('984', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["208"]}', '17', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('986', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1002', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '468', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1004', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '66', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1005', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '26', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1006', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '10436', NULL, 'BaseUserService#updateUserInfo(User,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('813', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '352', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('821', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '337', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('256', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '3006', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('257', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '351', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('258', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '52', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('259', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:38:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '16', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1612', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '272', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1617', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1620', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 11:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["庞荣安"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":[""],"username":["pra"]}', '327', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('86', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '256', NULL, '
### Error updating database.  Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

### The error may exist in com/tofly/base/mapper/SystemMapper.java (best guess)
### The error may involve com.tofly.base.mapper.SystemMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_SYSTEM_X  ( ID, system_name, notes, CREATE_TIME, CREATE_USER, code, icon, mouse_icon, sort, system_type,    platform )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,    ? )
### Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

; uncategorized SQLException; SQL state [72000]; error code [12899]; ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
; nested exception is java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
', 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1333', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 11:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1335', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 11:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["91,223,224"]}', '44', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1336', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1339', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '417', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1346', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1348', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1354', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69480543550422,\"ymax\":31.553126190096236,\"xmax\":104.69721986127912,\"ymin\":31.556091514664747,\"height\":207}"],"notes":["124"],"file":[],"markName":["124"],"camera":["{\"direction\":{\"x\":0.8018625627937237,\"y\":-0.4636833047855619,\"z\":-0.3768477454530164},\"up\":{\"x\":0.588520266549388,\"y\":0.7218911051560966,\"z\":0.364029021036987},\"position\":{\"x\":-1379069.7530273849,\"y\":5257369.950851909,\"z\":3337887.1173873143}}"]}', '26', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1368', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 12:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 12:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/6', 'DELETE', '{"id":["6"]}', '33', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1388', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '469', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1389', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1390', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '55995', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1400', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '4047', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1401', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 13:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/lock', 'PUT', '{}', '20', NULL, NULL, 'content:锁定用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1402', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 13:58:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/lock', 'PUT', '{}', '9', NULL, NULL, 'content:锁定用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1403', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '251', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1404', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '252', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1405', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '261', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1406', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 14:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/lock', 'PUT', '{}', '7', NULL, NULL, 'content:锁定用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1407', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 14:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/unlock', 'PUT', '{}', '12', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1408', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1409', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1419', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 15:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '384', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1420', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"file":[],"id":["25"]}', '19364', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1421', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 15:32:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '6174', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1422', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 15:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"file":[],"id":["25"]}', '8773', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1423', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 15:34:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:34:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"file":[],"id":["25"]}', '40757', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1773', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '308', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1807', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '446', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1808', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '63', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1809', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '443', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1810', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:30:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '7', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1811', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '8', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1812', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '21', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1813', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '539', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1814', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1011', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1815', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '284', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1816', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '390', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1817', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '620', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1818', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1819', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1820', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1821', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '20', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1822', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '601', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1823', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '532', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1637', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '252', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1639', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '534', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1640', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '263', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1641', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '383', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('591', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '5230', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('594', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '2832', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1586', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '425', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1587', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '266', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1588', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '276', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1589', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '288', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1590', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '255', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1591', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '283', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('323', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('324', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('325', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('326', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('327', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '428', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('214', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '223', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('251', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 13:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2143', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('788', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '14628', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1915', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1253', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1931', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 15:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '565', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1938', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '386', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1941', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 17:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 17:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '289', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1951', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '401', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1981', '1', 'tofly-xnkd', 'admin', TO_DATE('2019-11-11 10:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/views/save', 'POST', '{"Authorization":["bearer 17f0f693-4926-4549-9c0b-f82418b81686"],"extent":[""],"file":[],"notes":[""],"createTime":[""],"markName":["aaaaaa"],"updateTime":[""],"id":[""],"camera":[""],"userId":[""],"fileId":[""]}', '75443', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.xnkd.entity.Files''', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1983', '1', 'tofly-xnkd', 'admin', TO_DATE('2019-11-11 10:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/views/save', 'POST', '{"Authorization":["bearer 17f0f693-4926-4549-9c0b-f82418b81686"],"extent":[""],"file":[],"notes":[""],"createTime":[""],"markName":["aaaaaa"],"updateTime":[""],"id":[""],"camera":[""],"userId":[""],"fileId":[""]}', '3741', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1984', '1', 'tofly-xnkd', 'admin', TO_DATE('2019-11-11 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/views/25', 'DELETE', '{}', '105', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1992', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '2030', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1995', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '502', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1997', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '417', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1998', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '361', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1999', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '364', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2000', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:28:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:28:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '408', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2001', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '324', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2002', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '654', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('260', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '127', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.RoleMenuMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_ROLE_MENU_ID)
', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('262', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 13:57:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 13:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '919', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('328', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '337', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('353', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '18', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('373', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":[""]}', '48', NULL, 'For input string: ""', 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('374', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,3"]}', '373', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('375', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["2,1"]}', '16', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('376', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["1,2"]}', '34', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('378', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:25:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:25:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '27', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('379', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('380', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('381', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '9', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('382', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('383', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('384', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '36', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('385', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('386', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '13', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('388', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '24', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('389', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('390', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:29:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:29:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('391', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"level":["2"]}', '1', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('392', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"level":["2"]}', '0', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('393', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"level":["2"]}', '0', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('395', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"level":["2"]}', '0', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('396', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"ulevel":["2"]}', '6', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('397', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:34:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:34:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('398', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"ulevel":["1"]}', '49', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('399', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '20', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('400', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'PUT', '{}', '30', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('401', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'PUT', '{}', '28', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('402', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '24', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('403', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '83', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('404', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '107', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('406', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '1896', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('237', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":[""]}', '969', NULL, 'For input string: ""', 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('267', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '206', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('268', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '201', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('269', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '205', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('270', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '199', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('271', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["111111","111111"],"file":[],"username":["aaa","aaaa"]}', '969', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('272', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 14:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 14:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '220', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('273', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{}', '218', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('787', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '19617', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('790', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '30258', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('64', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '489', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('65', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '149', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('66', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '26', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('67', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '38061', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1214', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '515', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1215', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '138', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1216', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '242', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1642', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '367', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1643', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1644', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '4069', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1645', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '332', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('822', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '308', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('823', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '311', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('824', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '90779', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('841', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '206', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('842', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo02"]}', '452', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo02, result=null)用户不存在', 'content:登录 :liangluo02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('843', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '286', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('923', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '173846', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('932', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '21065', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('933', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8997', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('942', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '12225', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('944', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('945', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 09:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '348', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('946', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["49"]}', '543', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('947', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1054', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('948', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["49"]}', '394', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('951', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 09:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '200', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('954', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 09:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1275', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('955', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '233', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('957', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["64,63"]}', '24', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('958', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 09:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '569', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('959', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('960', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1630', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '353', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1631', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com123123"],"username":["liangluo2"]}', '3672', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1632', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com123123"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1633', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.comerer"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1634', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["4292__-.99384@qq.comerer"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1738', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-07 20:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 20:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488055.0769184183,\"y\":5215951.211898525,\"z\":3356348.5162779763},\"label\":{\"text\":\"埋深：-0.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '17', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1782', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '318', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1784', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '414', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1790', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '520', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1791', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '527', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1792', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '313', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1793', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '293', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1794', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '380', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1795', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '664', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1796', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["null"],"username":["pra"]}', '1535', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1635', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1646', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15882194562"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '322', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1679', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '328', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1680', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '248', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('200', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["28"]}', '30', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('217', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '64', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('238', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":[""]}', '129', NULL, 'For input string: ""', 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('239', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["5"]}', '2217', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('240', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["1,2,3,4"]}', '135', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('241', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '55', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('242', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '25', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('243', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '30', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('244', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["3"]}', '54', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2003', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/unlock', 'PUT', '{}', '138', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2004', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/unlock', 'PUT', '{}', '98', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1890', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '90', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1891', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '31', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1892', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '9281', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1895', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '33055', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1896', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '94177', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1898', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '268084', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1901', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 13:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '419156', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('571', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '38', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('572', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '27', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('573', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '33', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('576', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '93', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('577', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '49', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('578', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '39', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('579', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '36', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('580', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '48', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('582', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '23', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1433', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.91278930920322,\"ymax\":31.75158758952927,\"xmax\":105.92071004392987,\"ymin\":31.751365809754255,\"height\":554}"],"notes":["77"],"file":[],"markName":["77"],"camera":["{\"direction\":{\"x\":0.3716558111193525,\"y\":-0.8801930520086202,\"z\":-0.2951815530431512},\"up\":{\"x\":0.4536986514007371,\"y\":-0.10519693276357556,\"z\":0.8849243691153998},\"position\":{\"x\":-1487606.528297667,\"y\":5216141.62422475,\"z\":3356573.2755122567}}"]}', '26', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1434', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 16:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/24', 'DELETE', '{"id":["24"]}', '24', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1438', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '359', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1439', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '330', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1440', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '538', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1441', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '245', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1442', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '352', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1443', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '246', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1444', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '291', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1445', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '236', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1446', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '263', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1447', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["12345"]}', '82', NULL, 'ResultRespone(code=-1, message=用户信息为空12345, result=null)用户不存在', 'content:登录 :12345');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1448', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["11111"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '327', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1478', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '4735', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('68', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '225', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('69', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('70', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('71', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('72', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('76', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["120,121"]}', '76413', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error updating database.  Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property ''__frch_item_0''. It was either not specified and/or could not be found for the javaType (com.tofly.base.entity.Code) : jdbcType (null) combination.
### The error may exist in com/tofly/base/mapper/CodeMapper.java (best guess)
### The error may involve com.tofly.base.mapper.CodeMapper.deleteBatchIds
### The error occurred while executing an update
### Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property ''__frch_item_0''. It was either not specified and/or could not be found for the javaType (com.tofly.base.entity.Code) : jdbcType (null) combination.', 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('77', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["120,121"]}', '459402', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error updating database.  Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property ''__frch_item_0''. It was either not specified and/or could not be found for the javaType (com.tofly.base.entity.Code) : jdbcType (null) combination.
### The error may exist in com/tofly/base/mapper/CodeMapper.java (best guess)
### The error may involve com.tofly.base.mapper.CodeMapper.deleteBatchIds
### The error occurred while executing an update
### Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property ''__frch_item_0''. It was either not specified and/or could not be found for the javaType (com.tofly.base.entity.Code) : jdbcType (null) combination.', 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('79', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["120,121"]}', '247', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('80', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["122,123"]}', '15216', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('88', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system', 'POST', '{}', '24176', NULL, '
### Error updating database.  Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

### The error may exist in com/tofly/base/mapper/SystemMapper.java (best guess)
### The error may involve com.tofly.base.mapper.SystemMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_SYSTEM_X  ( ID, system_name, notes, CREATE_TIME, CREATE_USER, code, icon, mouse_icon, sort, system_type,    platform )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,    ? )
### Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

; uncategorized SQLException; SQL state [72000]; error code [12899]; ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
; nested exception is java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
', 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('89', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system', 'POST', '{}', '93', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('91', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('92', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('93', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '48', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('81', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('82', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '32', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('83', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('84', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('85', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:08:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('604', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '56', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('606', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('608', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '530', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('609', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('610', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '9', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('611', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '56', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('612', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '26', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('613', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('614', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('615', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '19', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('616', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '16', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('617', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '18', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('618', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '9', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('619', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '32', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('961', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '358', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('962', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 10:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '485', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('963', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('964', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('966', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 10:05:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '493', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('967', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('968', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('969', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('972', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '523', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('975', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('976', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('988', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '41', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('989', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '377', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('990', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('991', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1038', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3856', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('301', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 17:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 17:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '96', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('405', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 08:56:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2818', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('407', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["15,12"]}', '2082', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('408', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["3"]}', '64', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('409', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '587', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('410', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '784', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('411', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 08:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 08:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '1198', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('412', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 09:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 09:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '97', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('413', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["15,12"]}', '403', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('414', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '8521', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('415', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{"ids":["12,15"]}', '247', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('416', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 09:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 09:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{"ids":["12,15"]}', '91587', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('417', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 10:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2450', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('418', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["15,12"]}', '534', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('419', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 10:24:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:24:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '402', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('420', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '65', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('421', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["xx"],"password":["dd7b7b74ea160e049dd128478e074ce47254bde8"],"file":[],"notes":[""],"userLevel":["1"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["2"],"email":["429299384@qq.com"],"username":["xx"]}', '10', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('422', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["xx"],"password":["dd7b7b74ea160e049dd128478e074ce47254bde8"],"file":[],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["xx"]}', '819', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('245', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:54:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:54:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '41', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('871', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '669', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = -5117894593278220001', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('872', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:36:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:36:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '192', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = -5117894593278220001', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('873', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '100', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = -5117894593278220001', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('874', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5863', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('875', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '234', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('876', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 14:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '159', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('879', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '402', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('880', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d\",\"id\":\"\"}":[null]}', '291', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('881', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '165', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('882', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '83', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('886', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '265', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('910', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '13426', NULL, 'BaseUserService#updateUserInfo(SysUser,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('911', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '21679', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('929', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:27:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:27:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '460', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('985', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '140', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('987', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('992', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('993', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('994', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('995', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '129', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('996', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('997', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('998', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('999', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1000', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1001', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1003', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1758', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1007', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1008', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1009', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '278', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1010', '1', 'tofly-base', 'admin', TO_DATE('2019-11-04 10:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '510', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1479', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '26205', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '7640', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1481', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '17100', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1482', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '20866', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1483', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1358', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1453', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '26', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1454', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1455', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3904', NULL, 'BaseUserService#getInfo(String,String) failed and encountered unrecoverable error.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1456', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '15943', NULL, 'BaseUserService#getInfo(String,String) failed and encountered unrecoverable error.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('147', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '149', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('148', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('149', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '497', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('869', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '34351', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('870', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2358', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('894', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '203', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('900', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["李顺"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["429299384@qq.com"],"username":["lishun"]}', '215', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('901', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8522', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('902', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["田洁"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["429299384@qq.com"],"username":["tianjie"]}', '216', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('903', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '42', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('904', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('905', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '221', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('906', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '40', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('907', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '35985', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('908', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '235', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('909', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:26:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:26:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '52257', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('912', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '47775', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('913', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '29', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('914', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('915', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '111', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('916', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '52969', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1566', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '6220', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1567', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '237', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1568', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '95462', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1569', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '313', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1570', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1571', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '524', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1572', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '662', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1573', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '311', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1574', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1575', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '266', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1576', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs1"]}', '266', NULL, 'ResultRespone(code=-1, message=用户信息为空cs1, result=null)用户不存在', 'content:登录 :cs1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1577', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs1"]}', '86', NULL, 'ResultRespone(code=-1, message=用户信息为空cs1, result=null)用户不存在', 'content:登录 :cs1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1578', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs1"]}', '79', NULL, 'ResultRespone(code=-1, message=用户信息为空cs1, result=null)用户不存在', 'content:登录 :cs1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1579', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '291', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1580', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '327', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1581', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '278', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1582', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '416', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1583', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '352', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1584', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '539', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1515', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 09:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '5750', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1516', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:33:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '480', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1517', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 09:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '226', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1518', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 09:34:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 09:34:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '258', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('423', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["xx1"],"password":["12c6fc06c99a462375eeb3f43dfd832b08ca9e17"],"file":["undefined"],"notes":[""],"userLevel":["1"],"phone":["(028) 873487401"],"roleid":["undefined"],"departmentId":["1"],"id":["18"],"isupdate":["1"],"email":["429299384@qq.com1"],"username":["xx"]}', '0', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('424', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["xx1"],"password":["356a192b7913b04c54574d18c28d46e6395428ab"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["(028) 873487401"],"roleid":["undefined"],"departmentId":["1"],"id":["18"],"isupdate":["1"],"email":["429299384@qq.com1"],"username":["xx"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('425', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '61', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('426', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 10:41:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 10:41:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '29', NULL, 'java.lang.Integer cannot be cast to java.lang.String', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('197', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 10:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('219', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 20:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 20:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '18', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('220', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 20:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 20:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '11', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('221', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 20:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 20:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '29', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('249', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '11967', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1039', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '239', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1040', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '387', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('87', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '75', NULL, '
### Error updating database.  Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

### The error may exist in com/tofly/base/mapper/SystemMapper.java (best guess)
### The error may involve com.tofly.base.mapper.SystemMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_SYSTEM_X  ( ID, system_name, notes, CREATE_TIME, CREATE_USER, code, icon, mouse_icon, sort, system_type,    platform )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,    ? )
### Cause: java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)

; uncategorized SQLException; SQL state [72000]; error code [12899]; ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
; nested exception is java.sql.SQLException: ORA-12899: 列 "TF_XNKD"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" 的值太大 (实际值: 3, 最大值: 1)
', 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('90', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 17:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 17:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '10', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('95', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 09:16:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 09:16:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["e83e73c0bd162890dec69b2ad4a039002de84fb2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '264', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('96', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 09:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 09:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2226', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('97', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '367', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('98', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:17:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:17:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '179', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('99', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '30', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('100', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '455', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('101', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '111', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('102', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '302', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/base/mapper/CodeMapper.java (best guess)
### The error may involve com.tofly.base.mapper.CodeMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_CODE_X  ( ID, key, value, notes, ulevel, sort, CREATE_TIME, CREATE_USER )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度
', 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('103', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('104', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '34', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('105', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '126', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('106', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '125', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('107', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["124,123,105,126,125"]}', '483', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('108', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 10:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('109', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '44', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('110', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('111', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '812', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('112', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '342', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('113', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('114', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '117', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1011', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '450', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('605', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '86202', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('626', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '3881', NULL, '
### Error flushing statements.  Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### Cause: org.apache.ibatis.executor.BatchExecutorException: com.tofly.base.mapper.UserRoleMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('644', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('645', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('660', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '156', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('667', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('693', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '265', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('697', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('700', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('702', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('703', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '225', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('706', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('710', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '59', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('715', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '276', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('721', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '30', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('723', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '15', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('724', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('725', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('726', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('728', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '20', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('731', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '38', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('772', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '72', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('782', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["null"],"id":["10"],"statusFlag":["0"]}', '16', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('783', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '24', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('784', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '46710', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('785', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '92026', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('786', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '56200', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('525', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('538', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '25', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('553', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('559', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('564', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["1,2"]}', '50', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1049', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '213', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1068', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '1051', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('917', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('918', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('919', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '106', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('920', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '232', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('921', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 16:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 16:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '32210', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('926', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '32590', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('927', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('928', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '18917', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('828', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '266', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('829', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('830', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 10:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '30', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('831', '1', 'tofly-base', 'admin', TO_DATE('2019-11-01 10:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '8', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2519', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1490408.1274365445,\"y\":5216530.472251175,\"z\":3354394.214102316},\"label\":{\"text\":\"埋深：1.16 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '51', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('877', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 14:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 14:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '786540', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('878', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '37761', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('884', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '251', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('885', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '260', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('924', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3753', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('925', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 17:16:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '335585', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('939', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-01 17:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('956', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 09:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('983', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 10:16:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:16:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["211,212"]}', '28', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1012', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4111', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1013', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '313', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1014', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '10492', NULL, 'BaseUserService#updateUserInfo(User,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1015', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 10:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '301', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1016', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '603', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1017', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1104', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1018', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '10317', NULL, 'BaseUserService#updateUserInfo(User,String) failed and fallback failed.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1019', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '448', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1234', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '30612', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1235', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '7867', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1236', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '8790', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1237', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '16008', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1238', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '46651', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1240', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '8200', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1241', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '5700', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1242', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '5504', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1243', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '38128', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1244', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '11035', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1245', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '40138', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1246', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '37753', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1247', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '43078', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1286', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1264', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1287', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '341', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1288', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '301', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1289', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '28807', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1292', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 19:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 19:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '521', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1304', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '487', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1306', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 09:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '767', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1311', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '320', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1331', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["222"]}', '18', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1338', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1344', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '25', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1347', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '402', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1328', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '526', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1332', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 11:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '266', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1337', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1340', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["34"]}', '7', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1341', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '650', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1343', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 11:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '313', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1618', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-07 11:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{}', '21638', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('115', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '116', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('116', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('117', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{}', '128', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('118', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["131,133,132"]}', '22', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('119', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["128"]}', '10', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('206', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '262', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('207', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '266', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('208', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 13:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 13:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '60', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('649', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '20', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('650', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '37', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('656', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '47', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('662', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '50', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('666', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('671', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('672', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '15', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('699', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '399', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('704', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:43:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '503', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1647', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1648', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '10', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1649', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 13:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '6', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1650', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'POST', '{}', '274', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1651', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 14:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'PUT', '{"ID":["2"]}', '31', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1652', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'PUT', '{"id":["2"]}', '96', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00971: 缺失 SET 关键字

### The error may exist in com/tofly/xnkd/mapper/LabelinfoMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.LabelinfoMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_YWPN_LABELINFO_W    WHERE ID=?
### Cause: java.sql.SQLSyntaxErrorException: ORA-00971: 缺失 SET 关键字

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00971: 缺失 SET 关键字
', 'content:修改标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1653', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'PUT', '{"file":[],"id":["1"]}', '829', NULL, NULL, 'content:修改标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1654', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-11-07 14:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/labelinfo', 'PUT', '{"file":[],"id":["1"]}', '79', NULL, NULL, 'content:修改标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1674', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 14:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 14:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '18', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1676', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '478', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1774', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '879', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1775', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '522', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1776', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["邱海琳"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":[""],"departmentId":["3"],"email":["tofly.cn@126.com"],"username":["qiuhailin"]}', '2454', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1777', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '6513', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1778', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '835', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1779', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '301', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1780', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '278', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1069', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '80961', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('94', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["e83e73c0bd162890dec69b2ad4a039002de84fb2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2511', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('120', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["129,130"]}', '9', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('121', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["134"]}', '19', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('122', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '175', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('123', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 11:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 11:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '96', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('124', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 11:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 11:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'PUT', '{}', '45', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('125', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '66', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('126', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["128"]}', '8', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('127', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '253', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('128', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"lleavel":["1"],"ids":["222,225"]}', '401', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('129', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"lleavel":["1"],"ids":["222,225"]}', '34', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('130', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"lleavel":["1"],"ids":["222,225"]}', '224', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('131', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["222,225"],"uleavel":["1"]}', '104', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('132', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["222,225"]}', '11', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('133', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '27', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('134', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '128', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('135', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '34', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('136', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '355', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('137', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('138', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 13:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 13:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('142', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:13:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["222"]}', '3', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('143', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ids":["222"],"uleavel":["1"]}', '1', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('144', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["1"],"ids":["222"]}', '314', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('145', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '21', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('152', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '226', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('153', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 16:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 16:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '181', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('154', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('155', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('156', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('157', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 17:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '207', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('158', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '206', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #13 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('159', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:18:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:18:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '77', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #13 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('160', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '70', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #13 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('139', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '34', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('140', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '179', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('141', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '24', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('146', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('447', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:22:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:22:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1020', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '333', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1021', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '309', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1022', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '244', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1023', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '313', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1024', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '320', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1025', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '299', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1026', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '336', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1027', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '326', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 11:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 11:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1590', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1029', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '655', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1251', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '349', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1252', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '612', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('583', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '42', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('584', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '45', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('585', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '72', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('586', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '237', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('587', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '28', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('588', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '60', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('589', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '26', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('590', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '52', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('592', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '38', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('593', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '51', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('595', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '35', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('685', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '302', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('690', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '252', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('696', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('698', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '19', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('711', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '17', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('716', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('744', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '16', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('753', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '116', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('759', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '1041', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('760', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["tofly.cn@126.com"],"username":["liangluo"]}', '1895', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('766', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '463', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('770', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":[""],"departmentId":["3"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '257', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('774', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '558', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1619', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '380', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('791', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '1593', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('792', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo02"]}', '141', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo02, result=null)用户不存在', 'content:登录 :liangluo02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('793', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo02"]}', '170', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo02, result=null)用户不存在', 'content:登录 :liangluo02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('794', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '645', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('795', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '429', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('796', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:13:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:13:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '277', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('797', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '300', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('798', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('799', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '264', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('800', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '236', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('801', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '242', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('802', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '168', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('803', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '214', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('804', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '242', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('805', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '238', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('806', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('807', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '273', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('808', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '229', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('809', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '238', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('810', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '237', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('811', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '293', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('812', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 09:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 09:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('814', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 10:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 10:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '289', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1781', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:12:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:12:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '229', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1621', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-07 13:03:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"isSystem":["0"],"file":["null"],"maxView":["500"],"name":["123"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["",""],"geometry":["[object Object]"],"minView":["0"]}', '3283', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''20'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1622', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '499', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1623', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '608', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('329', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '323', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('330', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('331', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '266', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('332', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '270', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1353', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69480543550422,\"ymax\":31.553126190096236,\"xmax\":104.69721986127912,\"ymin\":31.556091514664747,\"height\":207}"],"notes":["121"],"file":[],"markName":["121"],"camera":["{\"direction\":{\"x\":0.8018625627937237,\"y\":-0.4636833047855619,\"z\":-0.3768477454530164},\"up\":{\"x\":0.588520266549388,\"y\":0.7218911051560966,\"z\":0.364029021036987},\"position\":{\"x\":-1379069.7530273849,\"y\":5257369.950851909,\"z\":3337887.1173873143}}"]}', '28', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1356', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '564', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1357', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["51"]}', '158', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1358', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '41', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1359', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1360', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '485', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1361', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '2842', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1362', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '2324', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1363', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '819', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1364', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '65375', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1365', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '7166', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1366', '1', 'tofly-base', NULL, TO_DATE('2019-11-06 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '27081', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1367', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '6613', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1369', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '460', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1370', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '389', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1371', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '276', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1372', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '341', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1373', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '342', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1374', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '350', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('448', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"ulevel":["2"]}', '25', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('449', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('450', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('451', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '37', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('452', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '124', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('453', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '221', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('454', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '50', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('246', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '17', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('247', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["1"]}', '92', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('248', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '46', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('359', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["15"],"isupdate":["1"],"email":["429299384@qq.com22"],"username":["123"]}', '7', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('360', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 19:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 19:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["15"]}', '89', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_USERROLE_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('366', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '68', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('367', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '69', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('368', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '17', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('369', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '26', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('370', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5"]}', '40', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('377', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '40', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('387', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('394', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 20:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 20:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["232"],"level":["2"]}', '0', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('427', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '91', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('428', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:03:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '76', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('429', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:03:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:03:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '72', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('430', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '47', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('431', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '361', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('432', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '688', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('433', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '20835', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('434', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('435', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["3"]}', '31', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('436', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('437', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('438', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('201', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '266', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('202', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:58:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:58:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '190', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('203', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 11:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 11:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'PUT', '{}', '45', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('845', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:03:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '304', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('775', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '47', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('776', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '75', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('777', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '53', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('778', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '70', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('779', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '67', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('442', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["3"]}', '52', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('599', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '541', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('600', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '416', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('601', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '13', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('602', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["21"]}', '20', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('603', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1053', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '293', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1054', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1056', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1076', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '373', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('150', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('151', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1672', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('161', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '86', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #13 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('162', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '105', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #13 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('163', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '12', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('164', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:24:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '27', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('165', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '19', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('166', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '34', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('167', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '52', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('168', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:27:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:27:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '23', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('169', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '43', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('170', '1', 'tofly-base', 'admin', TO_DATE('2019-10-28 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('171', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-28 17:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-28 17:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('172', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 09:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 09:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3dea7842bdaae3726936a53c2bcae02a3b4d33fd"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '896', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('173', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 09:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 09:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '26543', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('174', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '193', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('175', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system', 'POST', '{}', '10', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1253', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '115', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('620', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '27', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('621', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:34:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:34:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('622', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '562', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('623', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '13', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('624', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '31', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('627', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '25', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('629', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('630', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '24', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('634', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["28"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('638', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '27', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('639', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '14', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('640', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '14', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('641', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '26', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('643', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '19', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('648', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('651', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '53', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('652', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '200', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('653', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '1306', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('655', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('657', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '54', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('658', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '83', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('659', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:16:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:16:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '42', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('661', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '618', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('664', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '21', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('668', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('669', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('670', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('673', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '22', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('674', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '20', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('675', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '23', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('676', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '147', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('678', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('679', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('680', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:33:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:33:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '27', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('681', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('682', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '256', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('683', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('684', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '19', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('686', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '28', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('687', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '277', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('688', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '48', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('689', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('691', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('692', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '258', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('695', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '24', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('475', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('487', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '6', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('498', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '18', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('502', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('508', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '100', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('511', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 14:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 14:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["27,28"]}', '388', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('642', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '730', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('647', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '30', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1086', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '282', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1095', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '515', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1096', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '287', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1375', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '690', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1376', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '542', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1377', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '475', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1378', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '455', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1379', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '313', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1380', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '461', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1381', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '411', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1424', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 15:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"file":[],"id":["25"]}', '38735', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1432', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '119', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1435', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '21572', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1436', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:13:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '286464', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1437', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '24115', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1209', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/code', 'POST', '{}', '131', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1042', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:48:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:48:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '223', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1046', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1047', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '217', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1048', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:12:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:12:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '219', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1073', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1090', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '119', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1091', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '105', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1092', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '22', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('846', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '298', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('847', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-01 13:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 13:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '294', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1210', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '139', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1211', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/code', 'POST', '{}', '57', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1212', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '143', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1213', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '116', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1293', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 19:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 19:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '337', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1312', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/videoconfig/removeByIds', 'DELETE', '{"aa":["aa"],"bb":[""],"ids":["99,"]}', '1194', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1384', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '254', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1385', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '273', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1386', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '249', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1387', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '3240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1391', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '30567', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1392', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-06 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/lock', 'PUT', '{}', '24', NULL, NULL, 'content:锁定用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1393', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '258', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1394', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '257', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1395', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '5697', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1396', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '255', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1397', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '261', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1398', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '271', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1399', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 13:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 13:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '56019', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1410', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '670', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1411', '1', 'tofly-base', 'admin', TO_DATE('2019-11-06 14:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/unlock', 'PUT', '{}', '177', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1412', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '580', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1413', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '279', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1414', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '295', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1415', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:30:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('176', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/system/removeByIds', 'DELETE', '{"ids":["5,4"]}', '220', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('177', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["24,25,19"]}', '49', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('178', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('179', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('180', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,26,23,27"]}', '45', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('181', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,26,23,27"]}', '43', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('182', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,27,28"]}', '34', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('183', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,27,28"]}', '30', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('184', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,27"]}', '25', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('185', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["23,28"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('186', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,29"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('187', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,29,23,28"]}', '42', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('188', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '699', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('189', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-29 10:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '271', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('190', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["29,27"]}', '86', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('191', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,26,23,28"]}', '46', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5', '2', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('567', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 15:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('575', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '246', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('607', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'POST', '{}', '16', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('625', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["22,26,23,29"]}', '342', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1686', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1687', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1688', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '8', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1689', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '18', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1690', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '8', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1691', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '28', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1692', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1693', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-07 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1694', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '375', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1695', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '941', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1696', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '382', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1697', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '461', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1698', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '378', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1699', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '1238', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1700', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '420', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1701', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '558', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1128', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '420', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1130', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '216', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('12', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('13', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('14', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('15', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('16', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('17', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('18', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('19', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('20', '1', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('21', '0', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('22', '0', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('23', '0', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '3', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('24', '0', 'tofly-base', 'admin', TO_DATE('2019-10-10 13:11:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '127.0.0.1', NULL, '/test', 'GET', '{}', '8', NULL, NULL, 'title:标题,businessType功能,operatorType操作类别,isSaveRequestDatafalse');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('29', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '16166', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('30', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '16392', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('31', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '688', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('32', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '18', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('33', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('34', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('35', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '13', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('36', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('37', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('40', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('41', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:22:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:22:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('42', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('43', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:22:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('44', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:23:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '23', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('45', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('46', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:23:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:23:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('47', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:24:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:24:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('48', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('49', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('50', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('51', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('52', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '25', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('53', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '32', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('54', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('55', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('58', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('59', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('73', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{}', '10883', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('74', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"120,121":[null]}', '6386', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('75', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{}', '18846', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('27', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('28', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2036', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('38', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('39', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('56', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '11', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('57', '1', 'tofly-base', 'admin', TO_DATE('2019-10-25 15:35:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:35:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1093', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:54:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:54:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '55', NULL, 'Cannot deserialize; nested exception is org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?; nested exception is java.io.InvalidClassException: com.tofly.common.oauth.auth.ToflyUser; local class incompatible: stream classdesc serialVersionUID = -8192998468454537028, local class serialVersionUID = 1499463839668241151', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1094', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '334', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1099', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '317', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1100', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '314', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1101', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '295', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1102', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '278', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1105', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '273', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1111', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 08:59:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 08:59:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2341', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1045', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '315', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1449', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["11111"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '109847', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1450', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2953', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1458', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '325', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('705', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '257', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('707', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('708', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('709', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '12', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('712', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '27', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('713', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '257', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('714', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["84"]}', '53', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('718', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '45', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('720', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '64', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('727', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '41', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('733', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '29', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('734', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["20,21"]}', '85', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('735', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '31', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('736', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '29', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('738', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '23', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('739', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('741', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '206', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('745', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '11', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('746', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '24', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('747', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '16', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('749', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:04:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('751', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '45', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('752', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '115', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('754', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:06:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '8', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('755', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:06:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '26', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('757', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'PUT', '{}', '59', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1248', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '279556', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1249', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '32769', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1250', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '10763', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1070', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '58237', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1071', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo21"]}', '5922', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo21, result=null)用户不存在', 'content:登录 :liangluo21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1072', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '323', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1074', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '342', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1077', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-04 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'POST', '{}', '30', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1078', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '273', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1080', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '461', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1082', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '482', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1083', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '274', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1088', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '275', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1112', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '423', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1113', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:11:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:11:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mytest"]}', '313', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :mytest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1118', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:18:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:18:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '353', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1120', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:22:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1169', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/user', 'POST', '{"realName":["主席"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["028-8033088"],"roleid":[""],"departmentId":["3"],"email":["123@126.com"],"username":["hhx"]}', '1382', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1170', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 11:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 11:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/userrole', 'PUT', '{}', '183', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1200', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '156', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1201', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '325', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1202', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 13:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 13:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '292', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1203', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:03:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '279', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1204', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '806', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1205', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '327', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1033', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '444', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1702', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '164', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1703', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1704', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 17:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/unlock', 'PUT', '{}', '67', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1705', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '392', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1706', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '365', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1707', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '384', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1708', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '343', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1709', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '285', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1606', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '417', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1610', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["2b8c53e0-1adc-44f8-9bb9-f43b900b708d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '8524', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1613', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1615', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '283', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('204', '1', 'tofly-base', 'admin', TO_DATE('2019-10-29 11:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-29 11:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["2"]}', '349', NULL, '
### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/RoleMenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_SMPN_ROLEMENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1291', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 19:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 19:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["6216f8a75fd5bb3d5f22b6f9958cdede3fc086c2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '470', NULL, '密码错误。当前密码错误次数是：5,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1294', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2694', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1297', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '383', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1313', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '315', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1326', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1327', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["92,93"]}', '10', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1329', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:16:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:16:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["92,93"]}', '35', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1330', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1334', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 11:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1342', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-06 11:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["34"]}', '18', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1349', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69627980085544,\"ymax\":31.549163483493473,\"xmax\":104.69869417091742,\"ymin\":31.552128780366452,\"height\":207}"],"notes":["44"],"file":[],"markName":["44"],"camera":["{\"direction\":{\"x\":0.80188202160283,\"y\":-0.46369243328679327,\"z\":-0.37679510445695996},\"up\":{\"x\":0.5884963495118444,\"y\":0.7219253947562353,\"z\":0.3639996854631704},\"position\":{\"x\":-1379263.604900188,\"y\":5257557.754347733,\"z\":3337511.192513308}}"]}', '154', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1350', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69679846590962,\"ymax\":31.545992530282266,\"xmax\":104.69921277045312,\"ymin\":31.548957817423616,\"height\":207}"],"notes":["22"],"file":[],"markName":["22"],"camera":["{\"direction\":{\"x\":0.801891831423534,\"y\":-0.46370694596825457,\"z\":-0.3767563655162376},\"up\":{\"x\":0.588485071670544,\"y\":0.7219483756430454,\"z\":0.36397233868425094},\"position\":{\"x\":-1379358.0590354747,\"y\":5257723.92739867,\"z\":3337210.36803036}}"]}', '97', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('510', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 14:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 14:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["27,28"]}', '136759', NULL, '
### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/base/mapper/MenuMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,name,permission,path,parent_id,icon,sort,keep_alive,type,CREATE_TIME,UPDATE_TIME,status_flag,code,mouse_icon,inpanel,panel,autorun,sys_id,CREATE_USER FROM TF_SMPN_MENU_X WHERE ID IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式
', 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('512', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 14:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 14:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '5749', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1638', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '549', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1711', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '385', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1714', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '604', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1715', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '478', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1716', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '309', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1719', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '416', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1720', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '417', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1721', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 17:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '516', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1740', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '9321', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1741', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6603', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1743', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2501', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1744', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '9323', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1745', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '14503', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1747', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2126', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1749', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '6011', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1750', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1808', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1751', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '56860', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1752', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '4399', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1756', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '135311', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1757', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '8384', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1636', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '860', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('758', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/department', 'POST', '{}', '35', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('761', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '24', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('762', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '3689', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('763', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '241', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('764', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["19"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["liangluo"]}', '492', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('767', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 17:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["19"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["liangluo"]}', '90', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('768', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '125', NULL, 'ResultRespone(code=-1, message=null, result=null)用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('769', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-31 17:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('444', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('445', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '44', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('446', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '76', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1030', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '313', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1031', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:07:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:07:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '400', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1032', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '381', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1035', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 13:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 13:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '603', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('333', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('334', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-30 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('335', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '330', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('336', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '61', NULL, '0', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('337', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '54', NULL, '0', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('338', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '26', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('339', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '52', NULL, '0', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('340', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '51', NULL, '0', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('341', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '54', NULL, '0', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('342', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '14', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('343', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '14', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('344', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '94', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('345', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '99', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('346', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '15', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('347', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '56', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('348', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'POST', '{}', '50', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('349', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role/removeByIds', 'DELETE', '{"ids":["3,4"]}', '16', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('350', '1', 'tofly-base', 'admin', TO_DATE('2019-10-30 18:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-30 18:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["测试_3"],"password":["6216f8a75fd5bb3d5f22b6f9958cdede3fc086c2"],"file":[],"notes":[""],"phone":["(028) 87348740_"],"roleid":["undefined"],"departmentId":["2"],"id":["12"],"isupdate":["1"],"email":["429299384@qq.com_"],"username":["ceshi"]}', '94', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1471', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3513', NULL, 'BaseUserService#getInfo(String,String) failed and encountered unrecoverable error.', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1475', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1625', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1477', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 17:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 17:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2991', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('455', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('456', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('457', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('458', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '24', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('459', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('460', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('461', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:26:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '172', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('462', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:27:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:27:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '6', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('463', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '32', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('464', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '33', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('465', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('466', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '27', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('467', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('468', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '7', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('469', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '8', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('470', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '24', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('471', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '25', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('472', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('473', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('474', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('476', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('477', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:34:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:34:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('478', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('479', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '42', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('480', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('481', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '7', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('482', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('483', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('484', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '7', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('485', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('486', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '7', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('488', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '45', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('489', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '63', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('490', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('491', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '460', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('492', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '31', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('493', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('494', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('495', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '79', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('496', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('497', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('499', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '16', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('500', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '92', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('501', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '284', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('503', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('504', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '7', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('505', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '18', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('506', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('507', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 13:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 13:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('574', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '92', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('596', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '571', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('636', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('732', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 16:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '70', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('439', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '149', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('440', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["5,4"]}', '36', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('441', '1', 'tofly-base', 'admin', TO_DATE('2019-10-31 11:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 11:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1351', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.70032460626192,\"ymax\":31.540974459443706,\"xmax\":104.70273889295748,\"ymin\":31.543939680307517,\"height\":207}"],"notes":["123"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.801930929072187,\"y\":-0.4637003932432499,\"z\":-0.3766812051370159},\"up\":{\"x\":0.5884350521019589,\"y\":0.7220029772901727,\"z\":0.36394490000808005},\"position\":{\"x\":-1379755.8033243788,\"y\":5257921.723120454,\"z\":3336734.282046844}}"]}', '8059', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

### The error may exist in com/tofly/xnkd/mapper/FilesMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.FilesMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PAPN_FILES_P  ( ID,   file_name,          CREATE_TIME, CREATE_USER )  VALUES  ( ?,   ?,          ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1352', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69832109673966,\"ymax\":31.54337847697606,\"xmax\":104.70073538202037,\"ymin\":31.54634373550491,\"height\":207}"],"notes":["31"],"file":[],"markName":["31"],"camera":["{\"direction\":{\"x\":0.8019094604170505,\"y\":-0.4637069620510051,\"z\":-0.37671882172127064},\"up\":{\"x\":0.5884627525272388,\"y\":0.7219747012374368,\"z\":0.3639562056912617},\"position\":{\"x\":-1379536.4159418533,\"y\":5257834.539087247,\"z\":3336962.365524593}}"]}', '96', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1416', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 14:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 14:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '353', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1417', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 15:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '280', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1418', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '249', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1218', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '253', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1226', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '233', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1227', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '221', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1759', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '615', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1760', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 09:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 09:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '540', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1085', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '268', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1106', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-04 17:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '272', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1107', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:32:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:32:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '683', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1109', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-04 17:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 17:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '2635', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1124', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1125', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["2ea6201a068c5fa0eea5d81a3863321a87f8d533"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '278', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1126', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '210', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1127', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1129', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1131', '1', 'tofly-base', 'admin', TO_DATE('2019-11-05 09:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '141', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1133', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 09:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 09:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1988', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 11:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/role', 'POST', '{}', '60', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.Role''', 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1989', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/role', 'POST', '{}', '79', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.Role''', 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1990', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 11:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '243', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1991', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 11:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1993', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '412', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1994', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/unlock', 'PUT', '{}', '2448', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1996', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '362', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2005', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/unlock', 'PUT', '{}', '125', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2006', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '495', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2007', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:41:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:41:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '730', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1830', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '560', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1863', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '815', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1864', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 11:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '20', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1829', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1831', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '373', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1832', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '38', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1833', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '359', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1834', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '334', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1835', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '8', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1836', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '7', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1837', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["6"]}', '13', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1838', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '12', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1839', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '36', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1840', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'PUT', '{}', '112', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1841', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '373', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1842', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1843', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'PUT', '{}', '6', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1844', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '543', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1845', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'PUT', '{}', '7', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1846', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:27:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '59', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1847', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '7', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1848', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role', 'POST', '{}', '8', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1849', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["6"]}', '13', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1850', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:28:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:28:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4,5"]}', '12', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1851', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '12', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6189', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6190', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6191', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1954', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6192', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6193', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6194', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 10:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '467', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6195', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6196', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3452', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379549.5434425864,\"y\":5258435.985015701,\"z\":3336522.945590699},\"label\":{\"text\":\"标高：472.40 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379548.9767958312,\"y\":5258433.825125394,\"z\":3336521.5751216873},{\"x\":-1379549.5434425864,\"y\":5258435.985015701,\"z\":3336522.945590699}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3453', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379562.8036458818,\"y\":5258423.261865953,\"z\":3336536.901908604},\"label\":{\"text\":\"标高：472.15 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379562.2521332146,\"y\":5258421.15968762,\"z\":3336535.568049529},{\"x\":-1379562.8036458818,\"y\":5258423.261865953,\"z\":3336536.901908604}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2226', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2493', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1865', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '352', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1866', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '361', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1867', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '295', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1868', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-08 11:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/user', 'POST', '{"realName":["缪阳"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":[""],"roleid":[""],"departmentId":["3"],"email":[""],"username":["miaoyang"]}', '231', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1869', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '679', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1871', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '691', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1872', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488057.0726127888,\"y\":5215945.199945219,\"z\":3356351.7605029647},\"label\":{\"text\":\"埋深：-0.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '127', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1873', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '407', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1874', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '4698', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1875', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '518', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1876', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 11:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1488060.1891472582,\"y\":5215958.224750256,\"z\":3356332.827694429},\"label\":{\"text\":\"埋深：0.00 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '140', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1877', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '8', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1878', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 11:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/role', 'POST', '{}', '9', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1879', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '369', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3436', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379683.36313716,\"y\":5258640.424361638,\"z\":3336144.147762202},\"label\":{\"text\":\"标高：471.59 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379682.7618276381,\"y\":5258638.1324803,\"z\":3336142.6937653706},{\"x\":-1379683.36313716,\"y\":5258640.424361638,\"z\":3336144.147762202}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3437', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379667.463893981,\"y\":5258653.5686994,\"z\":3336129.9519734518},\"label\":{\"text\":\"标高：471.00 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379666.7393027248,\"y\":5258650.80689303,\"z\":3336128.199862416},{\"x\":-1379667.463893981,\"y\":5258653.5686994,\"z\":3336129.9519734518}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2019', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/21', 'DELETE', '{"id":["21"]}', '22', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2020', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/20', 'DELETE', '{"id":["20"]}', '21', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6144', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 18:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '241', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6145', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 18:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6146', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6147', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 18:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6148', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6149', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 19:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 19:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6150', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 19:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 19:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6151', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 19:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 19:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '227', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6152', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 19:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 19:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6153', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 19:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 19:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6154', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 08:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 08:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2514', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6155', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 08:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 08:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6156', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 08:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 08:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '229', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6157', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 08:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 08:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6158', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '225', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6159', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '226', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6160', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 09:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6161', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 09:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6162', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 09:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6163', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 09:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6164', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '235', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6165', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 09:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6166', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '267', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6167', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["6934105ad50010b814c933314b1da6841431bc8b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '689', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6168', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '355', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6169', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 09:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1904', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 13:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '30', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1906', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '474', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1907', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '14', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1909', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 13:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1910', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '16', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1916', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 14:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3040', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1917', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-08 14:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '31548', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1929', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '344', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1937', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 16:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu', 'POST', '{}', '59', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1967', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1969', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 10:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2008', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.9198221272652,\"ymax\":31.74988981442007,\"xmax\":105.92559146782474,\"ymin\":31.74749067510772,\"height\":473}"],"notes":["cx"],"file":[],"markName":["cx"],"camera":["{\"direction\":{\"x\":0.23328937025584803,\"y\":-0.8177385607648869,\"z\":-0.5261936107211883},\"up\":{\"x\":0.14435563396513412,\"y\":-0.5060051056130983,\"z\":0.8503647946828475},\"position\":{\"x\":-1488060.9542285718,\"y\":5216032.0108193215,\"z\":3356389.385786728}}"]}', '737', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2009', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '514', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2010', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '20', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2011', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '77', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2012', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '78', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2013', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '102', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2014', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '76', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2015', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '92', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1859', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '857', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1861', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '322', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1862', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '300', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1852', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '6', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1853', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/userrole', 'PUT', '{}', '26', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1854', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 11:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["[{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488054.1904995174,\"y\":5215952.807995082,\"z\":3356346.462497366},\"label\":{\"text\":\"坐标：105.922868 , 31.748731 , 384.031\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '637', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1855', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 11:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["[{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488051.616842612,\"y\":5215957.775660675,\"z\":3356340.0030679433},\"label\":{\"text\":\"坐标：105.922827 , 31.748663 , 384.094\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '74', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1856', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '12', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1857', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '375', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1858', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '25', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1870', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 11:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user', 'POST', '{"realName":["新增"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":[""],"roleid":[""],"departmentId":["2"],"email":["555"],"username":["555"]}', '247', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1893', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '202414', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1894', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '8216', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1968', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1975', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '518', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1976', '1', 'tofly-xnkd', 'admin', TO_DATE('2019-11-11 10:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/views/save', 'POST', '{"Authorization":["bearer 17f0f693-4926-4549-9c0b-f82418b81686"],"extent":[""],"file":[],"notes":["asdadasd"],"createTime":[""],"markName":["aaaaaa"],"updateTime":[""],"id":[""],"camera":[""],"userId":[""],"fileId":[""]}', '139', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.xnkd.entity.Files''', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1889', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 12:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '113', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1902', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '671', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1918', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-08 14:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '21886', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1942', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-09 12:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-09 12:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '41980', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3237', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '254', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3238', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '324', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3256', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379709.0425885427,\"y\":5258389.08833349,\"z\":3336529.8933590185},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379707.9070008865,\"y\":5258384.76034726,\"z\":3336527.14718425},{\"x\":-1379709.0425885427,\"y\":5258389.08833349,\"z\":3336529.8933590185}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3257', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 15:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '235', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3272', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3273', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379683.1891083953,\"y\":5258395.179109193,\"z\":3336531.009862874},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379682.0535420205,\"y\":5258390.851117958,\"z\":3336528.2636871925},{\"x\":-1379683.1891083953,\"y\":5258395.179109193,\"z\":3336531.009862874}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1880', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '376', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1881', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 12:00:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:00:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanjian"]}', '1313', NULL, 'ResultRespone(code=-1, message=用户信息为空wanjian, result=null)用户不存在', 'content:登录 :wanjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1882', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 12:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '546', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1883', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 12:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '445', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1884', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 12:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '513', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1885', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 12:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 12:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["[{\"name\":\"MSBZ\",\"position\":{\"x\":-1490461.143391996,\"y\":5216540.162652589,\"z\":3354355.6834604973},\"label\":{\"text\":\"埋深：1.28 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '203', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2016', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '94', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2017', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/19', 'DELETE', '{"id":["19"]}', '26', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2018', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/17', 'DELETE', '{"id":["17"]}', '38', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2308', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '449', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2104', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 13:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试地标02"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["测试地标02"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379734.4484620462,\"y\":5258067.015532574,\"z\":3336136.4949931186},\"label\":{\"text\":\"测试地标02\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379733.366851094,\"y\":5258062.893592388,\"z\":3336133.879705971},{\"x\":-1379734.4484620462,\"y\":5258067.015532574,\"z\":3336136.4949931186}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '78', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2105', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '312', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2106', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '333', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2107', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1233', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2109', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '1752', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2111', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1249', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2112', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1245', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2114', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '1777', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2115', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '1808', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2120', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 14:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '572', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2121', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 14:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '254', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2122', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '284', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6170', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 09:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6171', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 09:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '232', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6172', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 09:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6173', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6174', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 09:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6175', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 09:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 09:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '835', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6176', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6177', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3444', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379710.5506126564,\"y\":5258634.018331252,\"z\":3336143.298433029},\"label\":{\"text\":\"标高：471.75 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379709.9492913007,\"y\":5258631.726452761,\"z\":3336141.8444366036},{\"x\":-1379710.5506126564,\"y\":5258634.018331252,\"z\":3336143.298433029}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1897', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 13:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["[{\"name\":\"ZBBZ\",\"position\":{\"x\":-1490470.8586826792,\"y\":5216539.8588391775,\"z\":3354351.8388036145},\"label\":{\"text\":\"坐标：105.945710 , 31.727691 , 379.108\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '59', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1899', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '438', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1900', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '419', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1911', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1913', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '868', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1919', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-08 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.83476476672945,\"ymax\":31.604656310123463,\"xmax\":105.99276892868238,\"ymin\":31.8018639686753,\"height\":16849}"],"notes":["cx"],"file":[],"markName":["cx"],"camera":["{\"direction\":{\"x\":0.688961105948997,\"y\":-0.5913859524611058,\"z\":-0.4190408687958799},\"up\":{\"x\":0.7220177627340124,\"y\":0.6105820985418601,\"z\":0.32539184260947585},\"position\":{\"x\":-1502202.106530881,\"y\":5228701.608681373,\"z\":3361532.7457748037}}"]}', '779', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1920', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 14:54:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '519', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1921', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '348', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1922', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-08 15:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '5472624', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

### The error may exist in com/tofly/base/mapper/UserRoleMapper.java (best guess)
### The error may involve com.tofly.base.mapper.UserRoleMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_SMPN_USERROLE_X  ( ID, user_id, role_id )  VALUES  ( ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_USER_ROLE_ID)
', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1923', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system', 'POST', '{}', '1011', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1924', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:35:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:35:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu', 'POST', '{}', '625', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1925', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu', 'POST', '{}', '7', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1926', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '2078', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1927', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '7', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1928', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 15:37:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:37:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["232,231"]}', '1180', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1930', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 15:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 15:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["测试01"],"geometry":["[object Object]"],"minView":["0"]}', '258', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1932', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 16:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system', 'POST', '{}', '8', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1933', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-08 16:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":[],"maxView":["500"],"name":["测试02"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["[object Object]"],"minView":["0"]}', '151', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1934', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system', 'PUT', '{}', '43', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1935', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 16:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu', 'POST', '{}', '56', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1936', '1', 'tofly-base', 'hhx', TO_DATE('2019-11-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu', 'POST', '{}', '17', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2501', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '50', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2502', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '28', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2503', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490310.8940689932,\"y\":5217030.800496134,\"z\":3353732.499947394}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '31', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2504', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490333.369108835,\"y\":5217022.6938609565,\"z\":3353733.1507833586},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490333.369108835,\"y\":5217022.6938609565,\"z\":3353733.1507833586}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '57', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2505', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490334.0244625616,\"y\":5217022.571436982,\"z\":3353732.977834785},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490334.0244625616,\"y\":5217022.571436982,\"z\":3353732.977834785}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2440', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 17:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 17:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["1"]}', '202', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.userId'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #2 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2506', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},\"label\":{\"text\":\"长度：16.313m;坡度：千分之16.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1489930.804583396,\"y\":5216607.940143231,\"z\":3354483.098780274},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '22', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2507', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},\"label\":{\"text\":\"长度：16.313m;坡度：千分之16.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1489930.804583396,\"y\":5216607.940143231,\"z\":3354483.098780274},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.2074187906,\"y\":5216598.755950096,\"z\":3354492.809083764}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3274', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379695.919626482,\"y\":5258392.18668799,\"z\":3336530.4640324507},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379694.7840496292,\"y\":5258387.858699218,\"z\":3336527.717857219},{\"x\":-1379695.919626482,\"y\":5258392.18668799,\"z\":3336530.4640324507}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3275', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3276', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379695.8622810936,\"y\":5258392.1919087395,\"z\":3336530.498382015},\"label\":{\"text\":\"标高：469.27 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379694.7267042894,\"y\":5258387.863919971,\"z\":3336527.75220676},{\"x\":-1379695.8622810936,\"y\":5258392.1919087395,\"z\":3336530.498382015}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3163', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3169', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 10:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 10:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '272', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3170', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 10:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 10:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '318', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3277', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379785.0544121924,\"y\":5258508.888340045,\"z\":3336311.155172187},\"label\":{\"text\":\"标高：471.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379784.1567078428,\"y\":5258505.467092456,\"z\":3336308.984528999},{\"x\":-1379785.0544121924,\"y\":5258508.888340045,\"z\":3336311.155172187}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3278', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '215', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3279', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379712.6924007854,\"y\":5258388.147985966,\"z\":3336529.883094413},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379711.5568101266,\"y\":5258383.820000515,\"z\":3336527.1369196563},{\"x\":-1379712.6924007854,\"y\":5258388.147985966,\"z\":3336529.883094413}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2053', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 16:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1747', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2059', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-11 17:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1406', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.RoleMenu''', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2060', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-11 17:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '101', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.RoleMenu''', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2070', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 08:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 08:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1468', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2072', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '401', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2078', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '254', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2079', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '3131', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2090', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["1"]}', '122', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2091', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 11:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian2"]}', '764', NULL, 'ResultRespone(code=-1, message=用户信息为空wangjian2, result=null)用户不存在', 'content:登录 :wangjian2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2123', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["测试"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379639.7472084612,\"y\":5258072.2529085595,\"z\":3336167.910807895},\"label\":{\"text\":\"测试\",\"font\":\"bold 13pt fangsong\",\"fillColor\":{\"red\":\"0.941\",\"green\":\"0.000\",\"blue\":\"0.357\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379638.6656717935,\"y\":5258068.130964441,\"z\":3336165.29549623},{\"x\":-1379639.7472084612,\"y\":5258072.2529085595,\"z\":3336167.910807895}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '79', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2126', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["测试地标"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379636.133670383,\"y\":5258061.0016212985,\"z\":3336181.4040280534},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.941\",\"green\":\"0.000\",\"blue\":\"0.537\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379635.7010566453,\"y\":5258059.352846405,\"z\":3336180.3578986647},{\"x\":-1379636.133670383,\"y\":5258061.0016212985,\"z\":3336181.4040280534}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500}"],"minView":["0"]}', '76', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2131', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-12 15:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '143', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2147', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '6106', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2159', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 10:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '446', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2023', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '2187', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2467', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["1"]}', '47', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2089', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试地标"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["测试地标"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379725.478225231,\"y\":5258052.375427732,\"z\":3336163.5012626653},\"label\":{\"text\":\"测试地标\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.082\",\"green\":\"0.929\",\"blue\":\"0.365\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379724.3966213309,\"y\":5258048.2534991,\"z\":3336160.885954396},{\"x\":-1379725.478225231,\"y\":5258052.375427732,\"z\":3336163.5012626653}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '228', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2097', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 11:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '351', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2098', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1488049.915845967,\"y\":5215960.683339494,\"z\":3356335.950368064},\"label\":{\"text\":\"坡度：千分之 -1.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '77', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2099', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1488052.079391952,\"y\":5215956.905950807,\"z\":3356341.1302958103},\"label\":{\"text\":\"坡度：千分之 0.1\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '66', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2100', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 11:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '920', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2102', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 11:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '391', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2135', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 15:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["2,3,1,4"]}', '87', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1939', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 16:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 16:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '367', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1943', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-09 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-09 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '5209', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1948', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '578', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1949', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '174', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1950', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '333', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1982', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '307', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1826', '1', 'tofly-base', 'admin', TO_DATE('2019-11-08 10:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '24', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1827', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-08 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["1223"],"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["87348740"],"roleid":[""],"departmentId":["1"],"email":["429299384@qq.com"],"username":["12"]}', '240', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2024', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1446', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2025', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 13:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '24', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2026', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '316', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2027', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '870', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '431', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2029', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '422', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2030', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '533', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2031', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '381', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2032', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/user/unlock', 'PUT', '{}', '6', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2033', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '609', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2035', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '659', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2036', '1', 'tofly-base', 'admin', TO_DATE('2019-11-11 13:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '1277', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2037', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '902', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2038', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '283', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2039', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '627', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2040', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 14:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 14:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '240', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2045', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 15:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 15:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '286', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2110', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '1751', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2113', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1656', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2148', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '663', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2149', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1387', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2150', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2633', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2151', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '622', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2152', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '306', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2153', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:27:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:27:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '288', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2154', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '453', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2155', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '349', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2156', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 09:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 09:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '323', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2158', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '287', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2162', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0005"]}', '591', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2163', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0005,0006"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2164', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0005,0006"]}', '153', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2165', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0004,0006"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2166', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0004"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2167', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0004,0006"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2168', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 10:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0006"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2169', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 11:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 11:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0006"]}', '76', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2170', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 11:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 11:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0006,0004"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2184', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-13 16:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["[{\"name\":\"BGBZ\",\"position\":{\"x\":-1490469.7719620436,\"y\":5216112.426684174,\"z\":3355009.3525780602},\"label\":{\"text\":\"标高：375.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '3377', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2185', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-13 16:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["[{\"name\":\"BGBZ\",\"position\":{\"x\":-1490381.9419536514,\"y\":5216144.629073088,\"z\":3354998.3075102954},\"label\":{\"text\":\"标高：375.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}]"]}', '37', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2194', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 19:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 19:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["12345"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '369', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2195', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 19:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 19:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '542', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2196', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 08:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 08:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '6286', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2041', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 14:08:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 14:08:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '456', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2048', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '300', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2092', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:14:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试地标"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1488067.4120699626,\"y\":5215955.0458100205,\"z\":3356342.812723024},\"label\":{\"text\":\"测试地标\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1488066.2456030757,\"y\":5215950.957125064,\"z\":3356340.1817516577},{\"x\":-1488067.4120699626,\"y\":5215955.0458100205,\"z\":3356342.812723024}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '86', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2093', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1488057.5126789059,\"y\":5215959.217495216,\"z\":3356334.295731841},\"label\":{\"text\":\"标高：383.65 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '43', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2094', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1488063.3478026653,\"y\":5215959.167320663,\"z\":3356331.9167904975},\"label\":{\"text\":\"管径：63.0 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '70', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2095', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1488054.2951629492,\"y\":5215952.747295389,\"z\":3356346.5000867685},\"label\":{\"text\":\"埋深：0.93 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '64', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2096', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1488056.331155017,\"y\":5215948.883691907,\"z\":3356351.546933782},\"label\":{\"text\":\"坐标：105.922901 , 31.748785 , 383.997\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}}}"]}', '22', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2101', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 11:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 11:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '410', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2103', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '560', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2021', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/23', 'DELETE', '{"id":["23"]}', '21', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2022', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 13:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 13:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/22', 'DELETE', '{"id":["22"]}', '42', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2050', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 16:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '784', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2220', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '138', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2221', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/4', 'DELETE', '{"id":["4"]}', '49', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2222', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '101', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2223', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '65', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2225', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '32', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2312', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:11:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '531', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2313', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '389', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2314', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1846', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2315', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:31:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1143', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2317', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '516', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2318', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-15 13:50:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["[{\"name\":\"SDBZ\",\"position\":{\"x\":-1490391.862633361,\"y\":5216539.209465131,\"z\":3354387.598354267},\"label\":{\"text\":\"长度：15.827m;坡度：千分之2.3\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490393.0386147795,\"y\":5216547.539411254,\"z\":3354374.190730101},{\"x\":-1490391.862633361,\"y\":5216539.209465131,\"z\":3354387.598354267},{\"x\":-1490391.9069554638,\"y\":5216539.22670269,\"z\":3354387.599512764}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2}}]"]}', '89', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2136', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 15:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["测试地标"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379726.3962417757,\"y\":5258047.38772541,\"z\":3336161.4145115414},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379726.3962417757,\"y\":5258047.38772541,\"z\":3336161.4145115414},{\"x\":-1379726.8288839636,\"y\":5258049.036496593,\"z\":3336162.4606350157}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"1\",\"txt\":\"测试\",\"notes\":\"测试地标\",\"isshow\":true}"],"minView":["0"]}', '124', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2145', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 18:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 18:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":[],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["测试"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379682.4101955108,\"y\":5258104.927847893,\"z\":3336098.876587947},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379681.3286254064,\"y\":5258100.805878195,\"z\":3336096.2613304215},{\"x\":-1379682.4101955108,\"y\":5258104.927847893,\"z\":3336098.876587947}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"1\",\"txt\":\"测试\",\"notes\":\"测试\",\"isshow\":true}"],"minView":["0"]}', '2026', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2146', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 19:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 19:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '330', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2157', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 10:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b","7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin","admin"]}', '402', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2160', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 10:07:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:07:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '460', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2211', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-14 13:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 13:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":["新增"],"geometry":["[object Object]"],"minView":["0"]}', '1998', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2216', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '57', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2217', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '163', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2218', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '26', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2219', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '58', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2227', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2228', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:00:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:00:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '10', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2229', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2230', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2231', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-14 17:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["31"]}', '4858', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2232', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2233', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '52', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2234', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '40', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2258', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 17:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3520', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2262', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 18:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '590', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2263', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 18:37:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:37:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '23', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2264', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '14', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2265', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 18:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '88', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2266', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 18:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '20', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2267', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 18:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 18:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '8', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2268', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 19:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 19:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '347', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2271', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 08:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 08:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '842', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2272', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 08:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 08:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '445', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2273', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '353', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2046', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '753', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2047', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 15:05:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 15:05:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '382', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2049', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '312', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2051', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-11 16:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379729.8901554763,\"y\":5258058.598375084,\"z\":3336146.0491330535},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":12.5,\"y\":-20.5}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":25,\"height\":41,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379729.4575123258,\"y\":5258056.949600892,\"z\":3336145.003014719},{\"x\":-1379729.8901554763,\"y\":5258058.598375084,\"z\":3336146.0491330535}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '783', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2054', '1', 'tofly-xnkd', 'wangjian', TO_DATE('2019-11-11 16:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25"]}', '7024', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2055', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 16:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '973', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2124', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试04"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["测试04"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379640.219479972,\"y\":5258065.701719143,\"z\":3336176.2144833677},\"label\":{\"text\":\"测试04\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.859\",\"green\":\"0.063\",\"blue\":\"0.365\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379639.3542502115,\"y\":5258062.404167463,\"z\":3336174.122228516},{\"x\":-1379640.219479972,\"y\":5258065.701719143,\"z\":3336176.2144833677}],\"show\":true,\"material\":{\"red\":\"0.941\",\"green\":\"0.000\",\"blue\":\"0.224\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '93', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2125', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["10,8,9,1,2,3,4,5,6,7"]}', '200', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2144', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 18:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 18:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '5895', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2161', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 10:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 10:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '448', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2171', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0006,0004"]}', '345', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2172', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 13:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '22363', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2173', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{}', '5', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2174', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"key":["0004"]}', '3', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2175', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"keys":["0004"]}', '3', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2176', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"keys":["0004"]}', '3', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2177', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"keys":["0004"],"sorts":["2"]}', '16', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2178', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"keys":["0005"],"sorts":["2"]}', '16', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2179', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 13:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '736', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2180', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 13:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '656', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2181', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getTest', 'GET', '{"keys":["0005"],"sorts":[""]}', '2', NULL, NULL, 'content:通过key,sort查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2182', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '439', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2183', '1', 'tofly-base', 'pra', TO_DATE('2019-11-13 15:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 15:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/getByKeys', 'GET', '{"keys":["0006,0004"]}', '148', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2186', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '13837', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2187', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '4651', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2188', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6001', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2052', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2360', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2316', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '528', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2333', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '36692', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2338', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '45783', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2345', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '12306', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2347', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2173', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2359', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1614', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2366', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2260', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2369', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2437', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2373', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '320', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2377', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '384', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2378', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-15 14:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69758735929008,\"ymax\":31.533670951800108,\"xmax\":104.70330403564601,\"ymin\":31.537637802700687,\"height\":132}"],"notes":["看看"],"file":[],"markName":["校园门口"],"camera":["{\"direction\":{\"x\":0.9671444754190087,\"y\":-0.17878330338866782,\"z\":-0.18074317164398315},\"up\":{\"x\":0.24650609498480686,\"y\":0.8333658729475578,\"z\":0.49470806233747255},\"position\":{\"x\":-1379924.1601278975,\"y\":5258185.190041979,\"z\":3336106.4524790244}}"]}', '937', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2379', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["背景音乐01.mp3"]}', '33', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2391', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '918', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2392', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 15:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["C:\\fakepath\\背景音乐01.mp3"]}', '270', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2393', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1168', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2394', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'POST', '{}', '540', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2395', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '387', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2396', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:15:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:15:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '352', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2397', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:15:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:15:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '68', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2398', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/departmentsource', 'PUT', '{}', '4261', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2399', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 15:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1463', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2400', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'POST', '{}', '20', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2401', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2402', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source/removeByIds', 'DELETE', '{"ids":["22"]}', '346', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2403', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source/removeByIds', 'DELETE', '{"ids":["22"]}', '51', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2404', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '52', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2405', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '41', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2201', '1', 'tofly-xnkd', 'wangjian', TO_DATE('2019-11-14 11:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["aaaa"],"file2":[],"file3":[],"file1":[]}', '296060', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

### The error may exist in com/tofly/xnkd/mapper/SkyMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.SkyMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_YWPN_SKY_W  ( ID,  file_id1, file_id2, file_id3, file_id4, file_id5, file_id6, USER_ID, CREATE_TIME, UPDATE_TIME, name )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
', 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2319', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '12656', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2320', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '12639', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2321', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '15617', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2322', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '21819', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2323', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '18900', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2326', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '20416', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2327', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '21810', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2328', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '31004', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2330', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '31228', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2332', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '35488', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2334', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '29860', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2336', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '47183', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2341', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '13601', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2342', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '10900', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2344', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '14479', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2348', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '4499', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2457', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["d033e22ae348aeb5660fc2140aec35850c4da997"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '3816', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2210', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeSkyByIds', 'DELETE', '{"ids":["2,3"]}', '388', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2269', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 19:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 19:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '822', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2541', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490403.197269693,\"y\":5216525.643077154,\"z\":3354404.32429241},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490403.197269693,\"y\":5216525.643077154,\"z\":3354404.32429241}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2542', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490402.5058873368,\"y\":5216526.845917107,\"z\":3354402.6961264363},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490402.5058873368,\"y\":5216526.845917107,\"z\":3354402.6961264363}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2274', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '474', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2349', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5732', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2350', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5809', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2352', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5852', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2355', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6369', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2356', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '8448', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2357', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '8810', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2361', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2429', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2362', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2422', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2197', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 09:17:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 09:17:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1200', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2208', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-14 11:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["0"]}', '198', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2209', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-14 11:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["0"]}', '93', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2276', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '3571', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2277', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '465', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2278', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '408', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2309', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '442', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2311', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '269', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2368', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2681', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2390', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '3354', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2406', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '63', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2407', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source/removeByIds', 'DELETE', '{"ids":["35,36"]}', '958', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2408', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '24', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2409', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-15 15:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '11', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2410', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 15:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1084', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2411', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '20', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2412', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '198', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2413', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '42', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2414', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '55', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2415', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '18', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2416', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '21', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2417', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '35', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2418', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2419', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '14', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2420', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2421', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2422', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '13', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2423', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '17', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2189', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '3914', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2250', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '55', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2251', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '15', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2252', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:40:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '42', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2253', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '62', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2254', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '20', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2255', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '55', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2256', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '35', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2257', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '29', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2285', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '359', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2286', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '31', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2198', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 10:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 10:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '11156', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2306', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 11:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 11:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '474', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2331', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '35478', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2337', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '43906', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2343', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '14228', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2496', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490322.2757356165,\"y\":5217017.488091231,\"z\":3353746.4988606144},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490322.2757356165,\"y\":5217017.488091231,\"z\":3353746.4988606144}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2497', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490322.2757356165,\"y\":5217017.488091231,\"z\":3353746.4988606144},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490322.2757356165,\"y\":5217017.488091231,\"z\":3353746.4988606144}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2498', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490347.0125309203,\"y\":5217003.610152139,\"z\":3353754.180981517},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490347.0125309203,\"y\":5217003.610152139,\"z\":3353754.180981517}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '28', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2499', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490347.0125309203,\"y\":5217003.610152139,\"z\":3353754.180981517},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490347.0125309203,\"y\":5217003.610152139,\"z\":3353754.180981517}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '24', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2287', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '109', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2288', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '30', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2289', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '40', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2290', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/4', 'DELETE', '{"id":["4"]}', '26', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2354', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5562', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2358', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '7113', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2360', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1711', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2363', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2579', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2364', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2471', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2365', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2181', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2367', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2602', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2370', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1049', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2371', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1922', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2372', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '371', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2374', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":[""]}', '1222', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2375', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '540', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2376', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":[""]}', '105', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2380', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '34', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2381', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '11', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2382', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:25:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:25:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '35', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2383', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2384', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '978', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2385', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '125', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2386', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 14:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["C:\\fakepath\\背景音乐01.mp3"]}', '179', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2387', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '520', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2388', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-15 14:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92280619757899,\"ymax\":31.757576907344877,\"xmax\":105.92661803500877,\"ymin\":31.74906015225718,\"height\":424}"],"notes":[""],"file":[],"markName":["阀井"],"camera":["{\"direction\":{\"x\":-0.1510459793156494,\"y\":-0.9707429533863814,\"z\":0.18666341522446844},\"up\":{\"x\":-0.44348124563393093,\"y\":0.2353052047312373,\"z\":0.8648444053107863},\"position\":{\"x\":-1488037.9513814708,\"y\":5216014.636586146,\"z\":3356332.2829955537}}"]}', '156', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2389', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 14:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 14:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6416', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2212', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 14:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '3879', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2213', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 14:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '504', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2214', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '559', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2215', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '406', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2259', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2543', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490412.299205154,\"y\":5216524.638175411,\"z\":3354401.914153133},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490412.299205154,\"y\":5216524.638175411,\"z\":3354401.914153133}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2544', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490404.4394584037,\"y\":5216526.219890539,\"z\":3354402.852896912},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490404.4394584037,\"y\":5216526.219890539,\"z\":3354402.852896912}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2545', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490404.459325087,\"y\":5216526.225387925,\"z\":3354402.8340158896},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490404.459325087,\"y\":5216526.225387925,\"z\":3354402.8340158896}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '43', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2443', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 21:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 21:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '410', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2445', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 08:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 08:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '4614', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2446', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '499', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2447', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '390', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2448', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '361', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2453', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '18', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2454', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '10', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2455', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["0"]}', '7', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2456', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '28', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2461', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '40', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2462', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["0"]}', '24', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2463', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["1"]}', '7', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2464', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '18', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2465', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/videoconfig', 'POST', '{}', '118', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2466', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '48', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2520', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1490407.8161350891,\"y\":5216529.333367331,\"z\":3354396.258305801},\"label\":{\"text\":\"埋深：1.16 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2521', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1490407.8207633789,\"y\":5216525.994488892,\"z\":3354401.535031503},\"label\":{\"text\":\"标高：379.17 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2424', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2425', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '18', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2426', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '25', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2427', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '19', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2428', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '15', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2429', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '16', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2430', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '16', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2431', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'PUT', '{}', '14', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2432', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-15 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sourcedic', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2433', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 16:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1602', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2434', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{}', '224', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2435', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 16:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{}', '115', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2436', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1436', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2437', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 16:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '813', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2438', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 16:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["1"]}', '155', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2199', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 10:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 10:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '1349', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2200', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:01:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["22"],"file2":[],"file3":[],"file1":[]}', '357118', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

### The error may exist in com/tofly/xnkd/mapper/SkyMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.SkyMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_YWPN_SKY_W  ( ID,  file_id1, file_id2, file_id3, file_id4, file_id5, file_id6, USER_ID, CREATE_TIME, UPDATE_TIME, name )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
', 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2468', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["0"]}', '77', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2469', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["背景音乐01.mp3"]}', '57', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2470', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["背景音乐01.mp3"]}', '45', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2471', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/videoconfig', 'POST', '{}', '11', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2472', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["周杰伦 - 彩虹.mp3"]}', '66', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2473', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["8"],"isdefault":["1"]}', '7', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2474', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/videoconfig', 'POST', '{}', '10', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2477', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 10:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '602', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2478', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["很爱很爱你_刘若英.mp3"]}', '71', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2479', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '258', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 10:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '301', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2481', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Charlie Puth - See You Again.mp3"]}', '384', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2482', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Always Getting Over You_Angela Ammons.mp3"]}', '66', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2483', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Always Getting Over You_Angela Ammons.mp3"]}', '257', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2484', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Always Getting Over You_Angela Ammons.mp3"]}', '101', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2485', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Always Getting Over You_Angela Ammons.mp3"]}', '68', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2190', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '12297', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2191', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 19:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 19:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1168', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2192', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 19:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 19:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '4698', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2193', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-13 19:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-13 19:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2044', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-11 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":[],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["[object Object]"],"minView":["0"]}', '47', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2075', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '407', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2108', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '1717', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2279', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '500', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2280', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '410', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2281', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '541', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2282', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '317', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2283', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '367', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2291', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 10:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '407', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2292', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '523', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2293', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '25', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2294', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '108', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2295', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:32:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:32:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '92', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2296', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '73', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2297', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '73', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2298', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '250', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2299', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '37', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2300', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '37', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2301', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '65', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2302', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/4', 'DELETE', '{"id":["4"]}', '8', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2303', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '57', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2304', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '8', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2305', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:34:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:34:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '59', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2307', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 11:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 11:09:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '50', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2324', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '20395', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2325', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '21102', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2329', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '24966', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2335', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '47302', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2339', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '40484', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2340', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '42504', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2540', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490412.7231691536,\"y\":5216527.018268212,\"z\":3354397.9316591527},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490412.7231691536,\"y\":5216527.018268212,\"z\":3354397.9316591527}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2846', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '7', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2647', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '93', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2648', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '347', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2649', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:03:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '65', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2650', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '374', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2652', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '380', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2653', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '339', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2654', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '351', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2655', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '352', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2674', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '286', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2675', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '584', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2677', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 14:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 14:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '823', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2678', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 14:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 14:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '667', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2692', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 09:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 09:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '335', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2705', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '308', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2670', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '316', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2671', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:09:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:09:42', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '605', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2706', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '295', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2676', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '629', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2682', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 16:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 16:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '250', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2690', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '8641', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2693', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 10:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 10:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '284', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2697', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 11:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 11:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '363', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2698', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 11:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 11:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '262', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2522', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:17:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:17:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.94051754911555,\"ymax\":31.725483484339108,\"xmax\":105.94445246346419,\"ymin\":31.73049049777546,\"height\":428}"],"notes":[""],"file":[],"markName":["标注点"],"camera":["{\"direction\":{\"x\":0.6894392655724568,\"y\":-0.590893411723916,\"z\":-0.4189492511846537},\"up\":{\"x\":0.7215575988567706,\"y\":0.6109352089029866,\"z\":0.3257496002372311},\"position\":{\"x\":-1490447.4428260103,\"y\":5216558.643443227,\"z\":3354425.873438274}}"]}', '189', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2523', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490401.582638641,\"y\":5216527.356914331,\"z\":3354402.298956043},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490401.582638641,\"y\":5216527.356914331,\"z\":3354402.298956043}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2524', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490401.582638641,\"y\":5216527.356914331,\"z\":3354402.298956043},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490401.582638641,\"y\":5216527.356914331,\"z\":3354402.298956043}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2525', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490403.3200432877,\"y\":5216524.485923212,\"z\":3354406.555835882},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490403.3200432877,\"y\":5216524.485923212,\"z\":3354406.555835882}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '38', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2449', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["4"],"isdefault":["1"]}', '3423', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2450', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '699', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2451', '1', 'tofly-xnkd', 'qiuhailin', TO_DATE('2019-11-16 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.67375365237808,\"ymax\":31.524417732249724,\"xmax\":104.69763362032708,\"ymin\":31.541812006326122,\"height\":597}"],"notes":["pp"],"file":[],"markName":["pp"],"camera":["{\"direction\":{\"x\":0.9671143750266851,\"y\":-0.1788833994292957,\"z\":-0.1808051852833974},\"up\":{\"x\":0.24662389094476156,\"y\":0.833341828662734,\"z\":0.4946898553804363},\"position\":{\"x\":-1379980.8907503507,\"y\":5258561.043913956,\"z\":3336379.0394648514}}"]}', '3731', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2452', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 09:22:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:22:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["背景音乐01.mp3"]}', '136', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2459', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["7b52009b64fd0a2a49e6d8a939753077792b0554"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["12"]}', '896', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :12');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2460', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:51:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["12"]}', '432', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :12');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2489', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Idina Menzel - Let It Go.mp3"]}', '1214', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2683', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 16:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 16:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '310', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2684', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 16:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 16:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '270', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2685', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2492', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490279.8290501304,\"y\":5217003.3481455175,\"z\":3353784.91235658},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490279.8290501304,\"y\":5217003.3481455175,\"z\":3353784.91235658}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '62', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2493', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490279.8290501304,\"y\":5217003.3481455175,\"z\":3353784.91235658},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490279.8290501304,\"y\":5217003.3481455175,\"z\":3353784.91235658}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '52', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2494', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490318.340677057,\"y\":5217005.8851199495,\"z\":3353764.4018091066},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490318.340677057,\"y\":5217005.8851199495,\"z\":3353764.4018091066}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2495', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490318.340677057,\"y\":5217005.8851199495,\"z\":3353764.4018091066},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490318.340677057,\"y\":5217005.8851199495,\"z\":3353764.4018091066}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '91', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2892', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2895', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2526', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490403.3200432877,\"y\":5216524.485923212,\"z\":3354406.555835882},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490403.3200432877,\"y\":5216524.485923212,\"z\":3354406.555835882}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2527', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2528', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2346', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '15162', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2351', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5551', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2353', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6781', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2224', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-14 15:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 15:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3364', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2270', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 08:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 08:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '9918', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2275', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 09:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 09:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1474', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2284', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-15 10:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 10:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '43', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2260', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '36', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2261', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '27', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2310', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 13:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 13:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '413', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2202', '1', 'tofly-xnkd', 'wangjian', TO_DATE('2019-11-14 11:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["aaaa"],"file2":[],"file3":[],"file1":[]}', '188324', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

### The error may exist in com/tofly/xnkd/mapper/SkyMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.SkyMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_YWPN_SKY_W  ( ID,  file_id1, file_id2, file_id3, file_id4, file_id5, file_id6, USER_ID, CREATE_TIME, UPDATE_TIME, name )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_SKY_ID)
', 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2203', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '122', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2204', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-14 11:20:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/unlock', 'PUT', '{}', '2239', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2205', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["333"],"file2":[],"file3":[],"file1":[]}', '98', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2206', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["444"],"file2":[],"file3":[],"file1":[]}', '128', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2207', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 11:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 11:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["44412"],"file2":[],"file3":[],"file1":[]}', '101', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2235', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/4', 'DELETE', '{"id":["4"]}', '6', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2236', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2237', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '685', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #2 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2238', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '33', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2239', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '221', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2240', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2241', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2242', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '107', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2243', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '461', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2244', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '6', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2245', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '37', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2246', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '5', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2247', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '9', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2248', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky/1', 'DELETE', '{"id":["1"]}', '37', NULL, NULL, 'content:通过id删除用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2249', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-14 17:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-14 17:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '28', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2699', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '354', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2646', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '623', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2651', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '332', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2656', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '508', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2580', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490397.7787837202,\"y\":5216524.10315337,\"z\":3354409.182605224},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.948619326,\"y\":5216525.481565841,\"z\":3354402.386910242},{\"x\":-1490397.7787837202,\"y\":5216524.10315337,\"z\":3354409.182605224}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2588', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Erik Gronwall - Higher.mp3"]}', '69', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2591', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3527', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2593', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 13:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '73', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2594', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1053', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2598', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '7555', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2600', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:44:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:44:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '339', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2601', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '359', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2602', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '333', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2603', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '566', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2604', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2403', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2605', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 15:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '570', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2606', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 15:29:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:29:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '625', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2607', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '905', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2608', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 15:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["50"],"name":["1"],"labelType":["DBBZ"],"isSelect":["1"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379771.811055799,\"y\":5258527.605734383,\"z\":3336284.619454153},\"label\":{\"text\":\"1\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379771.811055799,\"y\":5258527.605734383,\"z\":3336284.619454153},{\"x\":-1379772.2436803372,\"y\":5258529.25453461,\"z\":3336285.665539151}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":10,\"maxscale\":50,\"isselect\":\"1\",\"txt\":\"1\",\"notes\":\"\",\"isshow\":true}"],"minView":["10"]}', '1525', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2595', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '502', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2596', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-16 13:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '6638', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2597', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '734', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2610', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 15:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["dibiao"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379779.032376534,\"y\":5258518.126265434,\"z\":3336300.802841496},\"label\":{\"text\":\"dibiao\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379778.5997498794,\"y\":5258516.477468752,\"z\":3336299.7567517865},{\"x\":-1379779.032376534,\"y\":5258518.126265434,\"z\":3336300.802841496}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"dibiao\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '60', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2613', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 16:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 16:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '11236', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2614', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2023', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2615', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '673', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2616', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3250', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2617', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1374', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2618', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '476', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2619', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '844', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2620', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '887', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2621', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '314', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2622', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '985', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2623', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '467', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2624', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:34:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:34:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '555', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2625', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '509', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2626', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:35:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:35:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '678', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2579', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '579', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2546', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490406.1730273862,\"y\":5216526.103237399,\"z\":3354402.26978147},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490406.1730273862,\"y\":5216526.103237399,\"z\":3354402.26978147}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '26', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2529', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490413.927665519,\"y\":5216531.705936829,\"z\":3354389.9121705685}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2530', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490430.7666350475,\"y\":5216526.409819195,\"z\":3354390.960735222},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490430.7666350475,\"y\":5216526.409819195,\"z\":3354390.960735222}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '44', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2531', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.9543387557,\"y\":5216526.927240463,\"z\":3354400.2814591536},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.9543387557,\"y\":5216526.927240463,\"z\":3354400.2814591536}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '44', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2532', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.9543387557,\"y\":5216526.927240463,\"z\":3354400.2814591536},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.9543387557,\"y\":5216526.927240463,\"z\":3354400.2814591536}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2533', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490412.6562617214,\"y\":5216526.303607628,\"z\":3354399.09019257},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490412.6562617214,\"y\":5216526.303607628,\"z\":3354399.09019257}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '21', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2548', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490405.4782328883,\"y\":5216528.203636322,\"z\":3354399.2234605043},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490405.4782328883,\"y\":5216528.203636322,\"z\":3354399.2234605043}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2549', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490405.4782328883,\"y\":5216528.203636322,\"z\":3354399.2234605043},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490405.4782328883,\"y\":5216528.203636322,\"z\":3354399.2234605043}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1592', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '306', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1593', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '341', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1594', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '287', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1595', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '258', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1596', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '279', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1597', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '376', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1598', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '323', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1599', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-07 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '711', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1600', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '369', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1601', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1107', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1602', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '49880', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1603', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '357', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1604', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-07 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{"{\"password\":\"c984aed014aec7623a54f0591da07a85fd4b762d\",\"id\":\"\"}":[null]}', '21789', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1605', '1', 'tofly-base', 'admin', TO_DATE('2019-11-07 11:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 11:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["梁罗"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["(028) 87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["20"],"isupdate":["1"],"email":["429299384@qq.com"],"username":["liangluo2"]}', '271', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1425', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '335', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1426', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '377', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1427', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '62', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1428', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '3412', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1429', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-11-06 16:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 16:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/24', 'DELETE', '{"id":["24"]}', '167', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('60', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 15:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 15:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c24d0a1968e339c3786751ab16411c2c24ce8a2e"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '15185', NULL, 'No AuthenticationProvider found for org.springframework.security.authentication.UsernamePasswordAuthenticationToken', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('78', '2', 'tofly-auth', 'tofly', TO_DATE('2019-10-25 16:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-25 16:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '212', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1295', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1288', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1296', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '726', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1298', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '26513', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1299', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '57141', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1300', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '26939', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1301', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '25168', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2599', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '930', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2609', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 15:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["2"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379767.8275765455,\"y\":5258506.707638779,\"z\":3336319.215920591},\"label\":{\"text\":\"2\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379767.8275765455,\"y\":5258506.707638779,\"z\":3336319.215920591},{\"x\":-1379768.2601998341,\"y\":5258508.35643245,\"z\":3336320.262016435}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"2\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '25', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2555', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.8366518775,\"y\":5216527.5177659495,\"z\":3354399.343113207},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.8366518775,\"y\":5216527.5177659495,\"z\":3354399.343113207}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2556', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490405.4466528313,\"y\":5216527.328977236,\"z\":3354400.631513782},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490405.4466528313,\"y\":5216527.328977236,\"z\":3354400.631513782}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2557', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490405.4466528313,\"y\":5216527.328977236,\"z\":3354400.631513782},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490405.4466528313,\"y\":5216527.328977236,\"z\":3354400.631513782}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '39', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2558', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490409.9036392055,\"y\":5216526.218917827,\"z\":3354400.6307546822},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490409.9036392055,\"y\":5216526.218917827,\"z\":3354400.6307546822}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '23', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2559', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490409.9036392055,\"y\":5216526.218917827,\"z\":3354400.6307546822},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490409.9036392055,\"y\":5216526.218917827,\"z\":3354400.6307546822}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '14', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2560', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490410.3156508852,\"y\":5216527.056160865,\"z\":3354398.923761609},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490410.3156508852,\"y\":5216527.056160865,\"z\":3354398.923761609}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '17', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2547', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490406.139525764,\"y\":5216526.101956086,\"z\":3354402.28797365},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490406.139525764,\"y\":5216526.101956086,\"z\":3354402.28797365}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '34', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2563', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490409.2293358145,\"y\":5216527.570463567,\"z\":3354398.5796109275},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490409.2293358145,\"y\":5216527.570463567,\"z\":3354398.5796109275}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '24', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2564', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490409.2295418468,\"y\":5216527.565026027,\"z\":3354398.5887952116},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490409.2295418468,\"y\":5216527.565026027,\"z\":3354398.5887952116}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '29', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2565', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.2158451255,\"y\":5216528.6472196765,\"z\":3354397.7426635455},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.2158451255,\"y\":5216528.6472196765,\"z\":3354397.7426635455}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2566', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.0448770751,\"y\":5216528.729195382,\"z\":3354397.694223787},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.0448770751,\"y\":5216528.729195382,\"z\":3354397.694223787}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2567', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490402.5488107873,\"y\":5216529.860418613,\"z\":3354397.860755364},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490402.5488107873,\"y\":5216529.860418613,\"z\":3354397.860755364}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '53', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2568', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490402.5488107873,\"y\":5216529.860418613,\"z\":3354397.860755364},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490402.5488107873,\"y\":5216529.860418613,\"z\":3354397.860755364}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2550', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490404.1700631392,\"y\":5216526.889998692,\"z\":3354401.903184387},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490404.1700631392,\"y\":5216526.889998692,\"z\":3354401.903184387}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2551', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490404.478945821,\"y\":5216526.775288191,\"z\":3354401.9480606667},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490404.478945821,\"y\":5216526.775288191,\"z\":3354401.9480606667}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '116', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)

### The error may exist in com/tofly/xnkd/mapper/LabelinfoMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.LabelinfoMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_YWPN_LABELINFO_W  ( ID, label_type, name,      remark, CREATE_TIME, CREATE_USER, geometry )  VALUES  ( ?, ?, ?,      ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)
', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2552', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.937895634,\"y\":5216526.452521216,\"z\":3354401.0160572156},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.937895634,\"y\":5216526.452521216,\"z\":3354401.0160572156}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2569', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490403.966539519,\"y\":5216529.994722953,\"z\":3354397.0274021397},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490403.966539519,\"y\":5216529.994722953,\"z\":3354397.0274021397}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2570', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490405.2644604538,\"y\":5216529.891271391,\"z\":3354396.614326212},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490405.2644604538,\"y\":5216529.891271391,\"z\":3354396.614326212}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2583', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490411.640081784,\"y\":5216526.954406251,\"z\":3354398.491717548},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.948619326,\"y\":5216525.481565841,\"z\":3354402.386910242},{\"x\":-1490411.640081784,\"y\":5216526.954406251,\"z\":3354398.491717548}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1302', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '96670', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1303', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '295', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1305', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '19683', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1307', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '6733', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1308', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '7118', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1309', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '367', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1310', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-06 09:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '355', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1317', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-06 10:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 10:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"password":["1111111"],"ulevel":["2"],"username":["aaaaaa"]}', '562', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1321', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '117', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1322', '1', 'tofly-base', 'wangjian', TO_DATE('2019-11-06 11:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/updatePassword', 'PUT', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"id":["26"]}', '1435', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1239', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 15:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 15:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '4757', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1269', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["676465d91aad816c4bdd02e1441eaa303aeb6b0e"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '99', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1270', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-05 16:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 16:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["056eafe7cf52220de2df36845b8ed170c67e23e3"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qwe"]}', '120', NULL, 'ResultRespone(code=-1, message=用户信息为空qwe, result=null)用户不存在', 'content:登录 :qwe');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1624', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-07 13:06:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:06:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"isSystem":["0"],"file":["null"],"maxView":["500"],"name":["123"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["",""],"geometry":["{\"showline\":\"0\",\"lineheight\":2,\"linecolor\":\"#000000\",\"txt\":\"123\",\"txtcolor\":\"#000000\",\"txtfont\":\"14\",\"scale\":1,\"geo\":\"{\\\"x\\\":-1488067.3131156818,\\\"y\\\":5215949.195916924,\\\"z\\\":3356342.148157151}\"}"],"minView":["0"]}', '138', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''createUser'' of ''class com.tofly.xnkd.entity.Labelinfo'' with value ''20'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1625', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '350', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1626', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-07 13:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 13:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '494', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3214', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379705.604657487,\"y\":5258389.876004791,\"z\":3336530.1372400587},\"label\":{\"text\":\"标高：469.28 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379704.469072666,\"y\":5258385.548017936,\"z\":3336527.391065104},{\"x\":-1379705.604657487,\"y\":5258389.876004791,\"z\":3336530.1372400587}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3263', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379692.8578855032,\"y\":5258392.916906416,\"z\":3336530.572184411},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379691.722311171,\"y\":5258388.588917042,\"z\":3336527.8260090887},{\"x\":-1379692.8578855032,\"y\":5258392.916906416,\"z\":3336530.572184411}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2561', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490410.3156508852,\"y\":5216527.056160865,\"z\":3354398.923761609},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490410.3156508852,\"y\":5216527.056160865,\"z\":3354398.923761609}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '25', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2562', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490408.8411834824,\"y\":5216528.663481438,\"z\":3354396.999663704},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490408.8411834824,\"y\":5216528.663481438,\"z\":3354396.999663704}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2847', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '226', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2848', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2849', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '229', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2850', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["19"]}', '2455', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2851', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["21"]}', '23', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2853', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '224', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2854', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["25"]}', '2290', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2855', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["落霞"],"file2":[],"file3":[],"file1":[]}', '34', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2856', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2864', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3695', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2866', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '458', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2867', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '82', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2868', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'POST', '{}', '45', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2869', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '20', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2870', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:09:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:09:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '12', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2871', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig/removeByIds', 'DELETE', '{"ids":["1,2,3"]}', '43', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2872', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig/removeByIds', 'DELETE', '{"ids":["4"]}', '12', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2873', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'POST', '{}', '17', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2874', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'POST', '{}', '19', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2875', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '4468', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2876', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '375', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2877', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '266', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2878', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:40:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:40:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2879', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1752', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2881', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-24 11:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '35', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2729', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 18:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 18:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '87', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2791', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["234"]}', '45', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2795', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,235,233"]}', '27', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2581', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490415.3745165968,\"y\":5216522.336646538,\"z\":3354404.23396247},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.948619326,\"y\":5216525.481565841,\"z\":3354402.386910242},{\"x\":-1490415.3745165968,\"y\":5216522.336646538,\"z\":3354404.23396247}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '21', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2582', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490411.640081784,\"y\":5216526.954406251,\"z\":3354398.491717548},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.948619326,\"y\":5216525.481565841,\"z\":3354402.386910242},{\"x\":-1490411.640081784,\"y\":5216526.954406251,\"z\":3354398.491717548}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '22', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2863', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2608', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2880', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2886', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3547', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2887', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '384', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2891', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2960', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2899', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2625', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2900', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2320', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2901', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3049', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2903', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3336', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2904', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '389', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2905', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '37', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2906', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '103', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2907', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2908', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '176855', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2909', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '105628', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2910', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '107856', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2911', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '379', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2912', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2913', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '38', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2914', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '215', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2915', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '31', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2916', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '35', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2917', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-24 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '21', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2918', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '415', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2711', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 11:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 11:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '203', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2728', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 17:05:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 17:05:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system', 'PUT', '{}', '90', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2742', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 11:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 11:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '36', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2584', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490397.5330766889,\"y\":5216524.121562766,\"z\":3354409.238095048},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.948619326,\"y\":5216525.481565841,\"z\":3354402.386910242},{\"x\":-1490397.5330766889,\"y\":5216524.121562766,\"z\":3354409.238095048}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2585', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 11:26:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:26:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '312', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2586', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-16 11:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '1874', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2587', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-16 11:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '260', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2589', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Beyond - 真的爱你.mp3"]}', '106', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2590', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["本兮 - 一个深爱的女孩 [mqms2].mp3"]}', '71', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2592', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 13:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 13:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1281', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2611', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 15:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1490413.5714415761,\"y\":5216526.737655539,\"z\":3354397.8032205002},\"label\":{\"text\":\"标高：379.16 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '318', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2612', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-16 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '1447', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2627', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '661', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2628', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '330', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2629', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 18:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 18:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4093', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2630', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 18:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 18:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5203', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2631', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 18:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 18:53:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '312', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2632', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 08:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 08:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '438', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2733', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 09:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 09:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '69', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2734', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '19', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2737', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 09:56:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 09:56:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234,235"]}', '31', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2738', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 11:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 11:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '81', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2739', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '37', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2740', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 11:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 11:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '13', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2741', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '34', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2750', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '19', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2751', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '19', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2760', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 19:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 19:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2761', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:23:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '31', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2775', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '25', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2776', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '29', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2777', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '22', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2778', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1096', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2779', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '27', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2780', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:13:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:13:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '29', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2781', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '25', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3264', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379573.0043936463,\"y\":5258421.344622658,\"z\":3336535.790624874},\"label\":{\"text\":\"标高：468.89 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379571.7369865465,\"y\":5258416.513736203,\"z\":3336532.7253654553},{\"x\":-1379573.0043936463,\"y\":5258421.344622658,\"z\":3336535.790624874}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3265', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '266', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3266', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 16:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 16:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '303', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3267', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3268', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3269', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:08:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379794.8523938255,\"y\":5258387.5452843895,\"z\":3336527.779237322},\"label\":{\"text\":\"标高：487.67 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379794.201284727,\"y\":5258385.063912641,\"z\":3336526.2047687806},{\"x\":-1379794.8523938255,\"y\":5258387.5452843895,\"z\":3336527.779237322}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3270', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 17:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["1,3,97,105,107,108,111,112,113,114,99,116,117,118,119,120,110,122,125,100,103,123,124,98,109,115,121,106,101,102,104,2"]}', '165', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3271', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 17:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 17:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3161', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3203', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 10:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 10:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3208', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 13:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 13:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3222', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '230', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3228', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 19:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 19:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3232', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 09:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 09:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '236', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3234', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 09:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 09:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3235', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 09:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 09:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3236', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '244', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2056', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 16:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["232,233,231"]}', '4309', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2941', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '571113', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2942', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '563578', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2943', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '331', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2944', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '228', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2945', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 19:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 19:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2946', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 19:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 19:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2845', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2852', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 17:25:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:25:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["朝霞"],"file2":[],"file3":[],"file1":[]}', '2571', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2857', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1565', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2858', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '322', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2859', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '958', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2860', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2855', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2861', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '271', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3229', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 19:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 19:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2063', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 17:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '614', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2064', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '4651', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2065', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '254', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2066', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 17:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '260', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2067', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-11 17:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["地标01"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379644.425372629,\"y\":5258078.6740716845,\"z\":3336155.912475959},\"label\":{\"text\":\"地标01\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379643.343832299,\"y\":5258074.55212255,\"z\":3336153.297173711},{\"x\":-1379644.425372629,\"y\":5258078.6740716845,\"z\":3336155.912475959}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2}}"],"minView":["0"]}', '625', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2068', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 18:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 18:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '373', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2069', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 18:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 18:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '298', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2129', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-12 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'POST', '{}', '1194', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2130', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 15:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '517', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2132', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-12 15:03:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:03:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '949', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2133', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 15:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["5"],"name":["地标4"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["地标04"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379683.0703890875,\"y\":5258040.876764706,\"z\":3336203.393773963},\"label\":{\"text\":\"地标4\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379681.5561906947,\"y\":5258035.106079243,\"z\":3336199.7322998745},{\"x\":-1379683.0703890875,\"y\":5258040.876764706,\"z\":3336203.393773963}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":5,\"isselect\":\"1\",\"txt\":\"地标4\",\"notes\":\"地标04\"}"],"minView":["0"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2134', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '703', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2745', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22,23,24"]}', '38', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2746', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '16', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2748', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:16:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source', 'POST', '{}', '58', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2797', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '27', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2800', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '16', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2801', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '35', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2802', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '14', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2810', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 14:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '6120', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2819', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '13', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2888', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2889', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2890', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 12:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 12:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '268', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2689', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 09:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 09:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '392', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2634', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '406', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2635', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '282', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2636', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '281', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2638', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:35:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:35:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '563', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2639', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1187', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2640', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1328', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2641', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1422', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2665', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '785', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2668', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '772', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2679', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-18 14:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 14:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '59', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2680', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-18 14:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 14:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2681', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-18 15:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 15:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '3663', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2691', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '9928', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2694', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-19 10:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 10:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["16"],"isdefault":["1"]}', '1559', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2695', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 10:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 10:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '257', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2642', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '777', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2657', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1186', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2659', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '679', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2660', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '584', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2662', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '614', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2896', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-24 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["测试01"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379510.4387843467,\"y\":5258553.557470857,\"z\":3336355.294658273},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379509.7899706548,\"y\":5258551.084259022,\"z\":3336353.7254979867},{\"x\":-1379510.4387843467,\"y\":5258553.557470857,\"z\":3336355.294658273}],\"show\":true,\"material\":{\"red\":\"0.161\",\"green\":\"0.231\",\"blue\":\"0.890\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"1\",\"txt\":\"测试\",\"notes\":\"测试01\",\"isshow\":true}"],"minView":["0"]}', '933', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2902', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3791', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2919', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 16:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 16:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '393', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2920', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 17:01:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 17:01:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '437', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2921', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 17:25:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 17:25:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '503', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2922', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '430', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2923', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '4902', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2924', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 17:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 17:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3000', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2925', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3061', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2926', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '119210', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2927', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '510855', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2928', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '718285', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2929', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '877214', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2707', '1', 'tofly-base', 'pra', TO_DATE('2019-11-19 18:27:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 18:27:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '105', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2708', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '50', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2709', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 09:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 09:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '214', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2710', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 11:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 11:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3488', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2720', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 14:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 14:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '106', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2722', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 15:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 15:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1584', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2723', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 15:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 15:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '448', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2724', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 15:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 15:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '409', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2725', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 15:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 15:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '465', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2726', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'POST', '{}', '53', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2727', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 16:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 16:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '37', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2731', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 21:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 21:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '260', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2732', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 21:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 21:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '18', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2633', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 08:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 08:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '500', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2983', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3067', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2990', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2332', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2992', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1180', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2997', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '14590', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3006', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3094', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3023', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3320', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3027', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '440', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3060', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '31', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3061', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '2277', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3062', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["28"]}', '20', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3069', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 21:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 21:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '16', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3086', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 13:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 13:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3101', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3102', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '223', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3103', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2930', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '895593', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2931', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '988286', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2985', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2958', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2994', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '4611', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2999', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.195', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1572', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3002', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '10762', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3057', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["44"],"file2":[],"file3":[],"file1":[]}', '26', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3058', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '19', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2984', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2381', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3001', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '11684', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3004', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '11226', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3007', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 14:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 14:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '224', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3013', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.195', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '253', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3014', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.195', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '416', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2137', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 15:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 15:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1488052.0279072805,\"y\":5215956.935689293,\"z\":3356341.118082465},\"label\":{\"text\":\"\\n管线长度（m）：44.83917878329357\\n起点管高（m）：384.062\\n终点管高（m）：383.779\\n起点埋深（m）：1.0\\n终点埋深（m）：0.75\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '55', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2138', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 16:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 16:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '363', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2139', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '377', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2140', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-12 16:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 16:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '454', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2141', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-12 16:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 16:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["90"]}', '324', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2142', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-12 16:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 16:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '428', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2143', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 18:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 18:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1935', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2042', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 14:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 14:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '348', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2057', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 16:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 16:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '255', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2061', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-11 17:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '100', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.RoleMenu''', 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3059', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["33"],"file2":[],"file3":[],"file1":[]}', '27', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3066', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 20:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '256', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3074', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '215', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3098', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 16:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 16:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3104', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["6934105ad50010b814c933314b1da6841431bc8b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '259', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3117', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4984', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3125', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-27 16:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 16:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '517', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3126', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 17:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 17:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '260', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3128', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '214', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3129', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3130', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3132', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '215', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3133', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 10:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 10:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3135', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 13:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 13:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '222', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3137', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3138', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3139', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3140', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3141', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3142', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '16', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3143', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3144', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3146', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3147', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2663', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '285', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2672', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '627', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2673', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '247', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2686', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 19:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 19:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '331', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2687', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 19:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 19:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '243', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3281', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 19:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3282', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 19:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3283', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/removeByIds', 'DELETE', '{"ids":["356"],"ulevel":["1"]}', '82', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2955', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '260', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2956', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '221', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2957', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4159', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2967', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-25 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2968', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-25 10:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2969', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-25 10:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2970', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2971', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 11:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 11:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["朝霞"],"file2":[],"file3":[],"file1":[]}', '2558', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2972', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 11:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 11:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2973', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 11:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 11:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '214', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2974', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 11:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 11:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2975', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 11:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 11:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3088', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 14:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 14:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3089', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 14:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 14:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3091', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:24:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:24:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '217', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3092', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '215', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3093', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3094', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3095', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3096', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '219', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3099', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 16:23:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 16:23:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '215', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3106', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '226', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3110', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '239', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2637', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1841', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2658', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2011', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2661', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 11:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 11:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '877', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2664', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '8356', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2666', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1357', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2667', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '745', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2669', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 13:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 13:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '955', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2696', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '256', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2712', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-20 11:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 11:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '7992', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2713', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:13:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:13:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '61', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2714', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '20', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2715', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '35', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2716', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:26:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:26:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role/removeByIds', 'DELETE', '{"ids":["6,4,5"]}', '92', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2717', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:47:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:47:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '34', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2718', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 13:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 13:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role', 'POST', '{}', '23', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2719', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '386', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2743', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 13:19:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 13:19:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '26', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2757', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source', 'PUT', '{}', '39', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2758', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'PUT', '{}', '21', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2759', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 19:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 19:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'PUT', '{}', '30', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2762', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '105', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2763', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2764', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '27', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2766', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '31', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2767', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '17', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2768', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:28:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:28:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '17', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2769', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'PUT', '{}', '22', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2770', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'PUT', '{}', '47', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2771', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'POST', '{}', '77', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2772', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:08:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:08:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '66', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2773', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system', 'POST', '{}', '63', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2774', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/system', 'PUT', '{}', '42', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2935', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '75501', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2936', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '545117', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2937', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '560511', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2938', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '560793', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2939', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '561042', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2940', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '561490', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6102', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3018', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 16:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 16:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '217', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3020', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '510', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '440', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3029', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '470', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3030', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '510', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3031', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '460', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3032', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '440', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3033', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 18:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 18:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '440', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 19:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '430', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3037', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 19:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3040', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '2282', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3052', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["22"],"file2":[],"file3":[],"file1":[]}', '26', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3071', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '245', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3072', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '226', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3085', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '6', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3087', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '225', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2932', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '989255', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2976', '1', 'tofly-xnkd', 'xj', TO_DATE('2019-11-25 12:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2979', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2338', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2980', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '3074', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2982', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1933', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2986', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1940', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2987', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2892', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3008', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '20', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3199', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 19:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 19:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '231', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3204', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 11:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 11:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3206', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 13:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 13:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '251', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3210', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 14:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3211', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 14:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '222', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3148', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3149', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '239', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3150', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3151', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3152', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '13', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3153', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2947', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '240', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2948', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2949', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '220', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2950', '1', 'tofly-xnkd', 'qiuhailin', TO_DATE('2019-11-25 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/usersky', 'POST', '{}', '13', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2951', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '310', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2952', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:24:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:24:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '213', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2953', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2954', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 09:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 09:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3015', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 16:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 16:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '460', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3016', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '500', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3017', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 16:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 16:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '740', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3021', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4180', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3022', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3740', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3024', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '440', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3025', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '430', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3026', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1880', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3041', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '30', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3042', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["321"],"file2":[],"file3":[],"file1":[]}', '2301', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3043', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3044', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '17', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3045', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["28"]}', '7', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3046', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["28"]}', '16', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3047', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3048', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["33"],"file2":[],"file3":[],"file1":[]}', '28', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3049', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3050', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '6', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3051', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '16', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3053', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '16', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3054', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["33"],"file2":[],"file3":[],"file1":[]}', '29', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3055', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3056', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '15', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3111', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 11:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 11:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2959', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '233', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2960', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '332', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2961', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '243', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2962', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '224', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2963', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:34:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:34:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '212', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3000', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '7045', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3003', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '13584', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4078', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 20:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2998', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '480', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3005', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '231', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3070', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 21:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 21:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '214', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3077', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '219', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3078', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '7', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3079', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '5', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3080', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'POST', '{}', '8', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3081', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '6', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3082', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '5', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3083', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-26 11:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig/removeByIds', 'DELETE', '{"ids":["2"]}', '5', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3084', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 11:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 11:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '237', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3100', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '248', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3105', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 09:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 09:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '314', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3107', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 10:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 10:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '225', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3108', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 10:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 10:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3109', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3112', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 11:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 11:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3113', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 11:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 11:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3114', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3089', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3116', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '8965', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3119', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4930', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3120', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 14:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 14:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2686', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3009', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3010', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '228', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3011', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '257', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3012', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '408', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3019', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3035', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 19:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3036', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 19:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3038', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 19:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '9', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3039', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 19:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 19:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["多云"],"file2":[],"file3":[],"file1":[]}', '2310', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3063', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:09:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '25', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3064', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3065', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 20:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 20:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3067', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig/removeByIds', 'DELETE', '{"ids":["1,2"]}', '6', NULL, NULL, 'content:通过id批量删除视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3068', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 21:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 21:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'POST', '{}', '10', NULL, NULL, 'content:新增视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3073', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo02"]}', '103', NULL, 'ResultRespone(code=-1, message=用户信息为空liangluo02, result=null)用户不存在', 'content:登录 :liangluo02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3115', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4283', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3118', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 13:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 13:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '38605', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3121', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 15:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 15:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8672', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3122', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 15:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 15:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8489', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3127', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '280', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3131', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 09:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 09:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '216', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3134', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3136', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '15', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3145', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3154', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '11', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3155', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3156', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3157', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3158', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3159', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2933', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '990248', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2958', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '3798', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2964', '1', 'tofly-base', 'lishun', TO_DATE('2019-11-25 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code', 'PUT', '{}', '70', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2965', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2966', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-25 10:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 10:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '36', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2977', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2352', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2978', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2075', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3215', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379689.23726783,\"y\":5258393.759958455,\"z\":3336530.7332212147},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379688.1016964754,\"y\":5258389.431968384,\"z\":3336527.987045758},{\"x\":-1379689.23726783,\"y\":5258393.759958455,\"z\":3336530.7332212147}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3216', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379653.9684831027,\"y\":5258402.122889186,\"z\":3336532.0960246506},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379652.8329407736,\"y\":5258397.794892217,\"z\":3336529.349848062},{\"x\":-1379653.9684831027,\"y\":5258402.122889186,\"z\":3336532.0960246506}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3217', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379633.750651841,\"y\":5258406.94603608,\"z\":3336533.0102805765},\"label\":{\"text\":\"标高：469.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379632.5718680453,\"y\":5258402.453158971,\"z\":3336530.159486993},{\"x\":-1379633.750651841,\"y\":5258406.94603608,\"z\":3336533.0102805765}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3218', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379659.495958409,\"y\":5258400.8114782525,\"z\":3336531.840069568},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379658.360411526,\"y\":5258396.48348235,\"z\":3336529.0938931825},{\"x\":-1379659.495958409,\"y\":5258400.8114782525,\"z\":3336531.840069568}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3221', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379708.9259145346,\"y\":5258388.137665493,\"z\":3336531.6127297594},\"label\":{\"text\":\"标高：471.88 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379708.341898084,\"y\":5258385.911844437,\"z\":3336530.2004106},{\"x\":-1379708.9259145346,\"y\":5258388.137665493,\"z\":3336531.6127297594}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '13', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3185', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 11:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 11:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3200', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 09:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 09:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3201', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 09:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 09:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '219', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3223', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 16:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 16:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '228', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3224', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3225', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 18:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 18:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3227', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 19:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 19:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '232', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2058', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 17:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '509', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2062', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 17:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 17:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/departmentsource', 'PUT', '{}', '786', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2071', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '403', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2073', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '380', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2074', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '343', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3075', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3076', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 09:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 09:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '219', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3090', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3097', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-26 15:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-26 15:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2934', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 18:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '991339', NULL, 'BaseUserService#getInfo(String,String) failed and fallback failed.', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2988', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2676', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2989', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '3865', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2991', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2670', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2993', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '450', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2995', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2415', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2996', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 13:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 13:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '15190', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3230', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 20:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 20:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3231', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 20:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 20:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3233', '1', 'tofly-base', 'pra', TO_DATE('2019-12-04 09:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 09:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '375', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3239', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '220', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3240', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '244', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3243', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 14:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3244', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3245', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379766.701183731,\"y\":5258463.8540918995,\"z\":3336388.763225992},\"label\":{\"text\":\"标高：471.37 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379765.9635617188,\"y\":5258461.042921953,\"z\":3336386.9795956234},{\"x\":-1379766.701183731,\"y\":5258463.8540918995,\"z\":3336388.763225992}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3246', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.7390372688,\"y\":5258448.659992449,\"z\":3336414.0005833474},\"label\":{\"text\":\"标高：471.19 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379762.0014173544,\"y\":5258445.848830544,\"z\":3336412.2169394363},{\"x\":-1379762.7390372688,\"y\":5258448.659992449,\"z\":3336414.0005833474}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3247', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379761.4208689714,\"y\":5258443.773144196,\"z\":3336422.1793608447},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379760.6832497572,\"y\":5258440.961984888,\"z\":3336420.3957125507},{\"x\":-1379761.4208689714,\"y\":5258443.773144196,\"z\":3336422.1793608447}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3123', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-27 15:51:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 15:51:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '2871', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3124', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-27 16:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 16:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '31', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3171', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 13:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 13:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '234', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3172', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '244', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3179', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-02 10:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 10:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'POST', '{}', '26', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3182', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 11:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 11:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3183', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 11:25:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 11:25:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '219', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3184', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 11:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 11:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '227', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3186', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 12:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 12:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '232', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3187', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 12:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 12:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '200', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3249', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379701.059664591,\"y\":5258401.102138434,\"z\":3336514.888316174},\"label\":{\"text\":\"标高：471.77 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379700.3999460887,\"y\":5258398.587778914,\"z\":3336513.2929266603},{\"x\":-1379701.059664591,\"y\":5258401.102138434,\"z\":3336514.888316174}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3250', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379714.3566213793,\"y\":5258397.538943811,\"z\":3336514.726785498},\"label\":{\"text\":\"标高：471.69 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379713.7098746973,\"y\":5258395.074048716,\"z\":3336513.162780737},{\"x\":-1379714.3566213793,\"y\":5258397.538943811,\"z\":3336514.726785498}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3251', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379726.1450129482,\"y\":5258395.956051551,\"z\":3336511.2891625543},\"label\":{\"text\":\"标高：471.77 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379725.6366959515,\"y\":5258394.018759835,\"z\":3336510.0599292023},{\"x\":-1379726.1450129482,\"y\":5258395.956051551,\"z\":3336511.2891625543}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3252', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '210', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3253', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379699.7638372711,\"y\":5258391.220281967,\"z\":3336530.3847359587},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379698.628257254,\"y\":5258386.892293988,\"z\":3336527.6385607887},{\"x\":-1379699.7638372711,\"y\":5258391.220281967,\"z\":3336530.3847359587}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3254', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379690.1678829438,\"y\":5258393.552434004,\"z\":3336530.667347834},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379689.032310823,\"y\":5258389.2244441,\"z\":3336527.9211724303},{\"x\":-1379690.1678829438,\"y\":5258393.552434004,\"z\":3336530.667347834}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2981', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-25 12:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-25 12:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2132', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3190', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '232', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3191', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3192', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '208', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3193', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3280', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 19:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '11786', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3292', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3293', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3295', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3296', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3297', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3298', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3299', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3300', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3301', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3302', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3303', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3304', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3306', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 19:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '213', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3307', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3308', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3309', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3313', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3314', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3315', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3316', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3317', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3318', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3319', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3320', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3321', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3322', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3324', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3325', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3326', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3327', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3328', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3332', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3333', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3334', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3335', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3336', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3337', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3338', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3168', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 10:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 10:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '256', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3173', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 17:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 17:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '263', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3174', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-29 17:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-29 17:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '327', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3176', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 09:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 09:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '236', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3178', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 10:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 10:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '230', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2076', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '319', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2077', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '433', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2081', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1232', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2082', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1467', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2083', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '484', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2084', '1', 'tofly-base', 'admin', TO_DATE('2019-11-12 10:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/user', 'POST', '{"realName":["徐健"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18683560220"],"roleid":[""],"departmentId":["3"],"email":["admin@qq.com"],"username":["xj"]}', '1311', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2085', '1', 'tofly-base', 'admin', TO_DATE('2019-11-12 10:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/userrole', 'PUT', '{}', '1876', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2086', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '1213', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2087', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["1"]}', '3278', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2088', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '419', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2116', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '2216', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2117', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2197', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2118', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '635', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2119', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 13:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 13:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '261', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2127', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:58:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:58:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试2"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["测试地标2"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379676.242287694,\"y\":5258064.194405988,\"z\":3336167.5935809882},\"label\":{\"text\":\"测试2\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379674.9444095811,\"y\":5258059.248081466,\"z\":3336164.4552078224},{\"x\":-1379676.242287694,\"y\":5258064.194405988,\"z\":3336167.5935809882}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500}"],"minView":["0"]}', '146', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2128', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-12 14:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 14:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["地标3"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["地标3"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379682.2367168716,\"y\":5258050.6553783845,\"z\":3336188.334583762},\"label\":{\"text\":\"地标3\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379680.7225193954,\"y\":5258044.8846821925,\"z\":3336184.6731262035},{\"x\":-1379682.2367168716,\"y\":5258050.6553783845,\"z\":3336188.334583762}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500}"],"minView":["0"]}', '34', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2043', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-11-11 14:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 14:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":[],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["[object Object]"],"minView":["0"]}', '105', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3438', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379679.612927325,\"y\":5258650.610965222,\"z\":3336129.708273569},\"label\":{\"text\":\"标高：470.91 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379678.8558850265,\"y\":5258647.725497533,\"z\":3336127.8777099517},{\"x\":-1379679.612927325,\"y\":5258650.610965222,\"z\":3336129.708273569}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3248', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379736.9826232826,\"y\":5258391.2524794815,\"z\":3336514.986340189},\"label\":{\"text\":\"标高：471.66 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379736.3639858633,\"y\":5258388.894756501,\"z\":3336513.490335483},{\"x\":-1379736.9826232826,\"y\":5258391.2524794815,\"z\":3336514.986340189}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3160', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3164', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3165', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '7', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3166', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3177', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '222', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3180', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-02 10:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 10:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3188', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 13:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 13:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3202', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 09:22:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 09:22:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '236', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3205', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 11:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 11:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3226', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 18:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 18:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3241', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-04 13:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 13:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '216', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1828', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 10:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 10:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2508', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},\"label\":{\"text\":\"长度：16.313m;坡度：千分之16.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1489930.804583396,\"y\":5216607.940143231,\"z\":3354483.098780274},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2509', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},\"label\":{\"text\":\"长度：16.313m;坡度：千分之16.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1489930.804583396,\"y\":5216607.940143231,\"z\":3354483.098780274},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2510', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},\"label\":{\"text\":\"长度：16.313m;坡度：千分之16.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1489930.804583396,\"y\":5216607.940143231,\"z\":3354483.098780274},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489940.1455904183,\"y\":5216598.711569134,\"z\":3354492.780491539},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423},{\"x\":-1489952.2834719743,\"y\":5216585.819963415,\"z\":3354503.112480423}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '25', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2511', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Idina Menzel - Let It Go.mp3"]}', '62', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2512', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kissin U_Miranda Cosgrove.mp3"]}', '54', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2513', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kissin U_Miranda Cosgrove.mp3"]}', '254', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3255', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379707.474125593,\"y\":5258389.448938985,\"z\":3336529.8932181178},\"label\":{\"text\":\"标高：469.20 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379706.33853922,\"y\":5258385.12095243,\"z\":3336527.147043333},{\"x\":-1379707.474125593,\"y\":5258389.448938985,\"z\":3336529.8932181178}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3162', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-28 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3167', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-28 18:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 18:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '256', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3194', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 17:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 17:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3195', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-02 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '398', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3196', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3197', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 17:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 17:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '220', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3198', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 17:49:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 17:49:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3219', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '226', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3220', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 15:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 15:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3284', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/removeByIds', 'DELETE', '{"ids":["93,94,113,114,22,115,95,116,97,99,117,18,34,36,21,37,38,39,40,41,42,43,45,44,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,101,62,89,102,103,90,63,104,88,111,128,223,224,225,226,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,315,281,282,283,284,287,288,285,286,289,314,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,344,345,346"],"ulevel":["2"]}', '17', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3285', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3286', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3287', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/removeByIds', 'DELETE', '{"ids":["290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310"],"ulevel":["2"]}', '7', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3288', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3289', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/removeByIds', 'DELETE', '{"ids":["348,349,350,351,352,353,354,355"],"ulevel":["2"]}', '5', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3290', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/removeByIds', 'DELETE', '{"ids":["347"],"ulevel":["1"]}', '13', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3291', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '28', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3294', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3305', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3310', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3311', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3312', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3323', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3329', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:52:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:52:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3330', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3331', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3339', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3340', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3341', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3342', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3343', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3344', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3345', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3346', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3347', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3348', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3349', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3350', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3351', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3352', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3353', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:58:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:58:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3181', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-02 10:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 10:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '410', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3189', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 13:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 13:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '217', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3242', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379761.1346900156,\"y\":5258442.566679975,\"z\":3336424.0887715155},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379760.3970709464,\"y\":5258439.755521287,\"z\":3336422.305122184},{\"x\":-1379761.1346900156,\"y\":5258442.566679975,\"z\":3336424.0887715155}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3258', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379668.2061622029,\"y\":5258398.738564355,\"z\":3336531.5978715927},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379667.0706081586,\"y\":5258394.410570192,\"z\":3336528.851695427},{\"x\":-1379668.2061622029,\"y\":5258398.738564355,\"z\":3336531.5978715927}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '17', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3259', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379702.247262676,\"y\":5258386.688058461,\"z\":3336536.481680653},\"label\":{\"text\":\"标高：471.43 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379701.5853805586,\"y\":5258384.165461923,\"z\":3336534.8810499134},{\"x\":-1379702.247262676,\"y\":5258386.688058461,\"z\":3336536.481680653}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3260', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379692.2878919868,\"y\":5258393.01288439,\"z\":3336530.6690826723},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379691.1523181235,\"y\":5258388.684894941,\"z\":3336527.9229072724},{\"x\":-1379692.2878919868,\"y\":5258393.01288439,\"z\":3336530.6690826723}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3261', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379666.0924388869,\"y\":5258399.156809195,\"z\":3336531.7378272424},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379664.9568865749,\"y\":5258394.828814661,\"z\":3336528.9916509455},{\"x\":-1379666.0924388869,\"y\":5258399.156809195,\"z\":3336531.7378272424}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3262', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-04 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379716.5550461516,\"y\":5258396.918272819,\"z\":3336514.8299268237},\"label\":{\"text\":\"标高：471.70 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379715.9082984424,\"y\":5258394.453378021,\"z\":3336513.265922017},{\"x\":-1379716.5550461516,\"y\":5258396.918272819,\"z\":3336514.8299268237}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3175', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-02 09:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 09:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '255', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3207', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 13:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 13:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3209', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 13:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 13:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379761.1578916316,\"y\":5258442.759365668,\"z\":3336417.399674042},\"label\":{\"text\":\"标高：471.17 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.1578916332,\"y\":5258442.759365666,\"z\":3336417.399674041},{\"x\":-1379761.5905130205,\"y\":5258444.408140013,\"z\":3336418.4458011305}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '27', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3439', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379698.6177573244,\"y\":5258646.2904768875,\"z\":3336128.8208328267},\"label\":{\"text\":\"标高：470.93 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379697.8477265602,\"y\":5258643.355546487,\"z\":3336126.958888638},{\"x\":-1379698.6177573244,\"y\":5258646.2904768875,\"z\":3336128.8208328267}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3440', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379753.2100634126,\"y\":5258633.478096566,\"z\":3336126.550481779},\"label\":{\"text\":\"标高：470.95 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379752.431349812,\"y\":5258630.5101966765,\"z\":3336124.667618168},{\"x\":-1379753.2100634126,\"y\":5258633.478096566,\"z\":3336126.550481779}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3441', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379799.2556859853,\"y\":5258623.02350893,\"z\":3336124.154763091},\"label\":{\"text\":\"标高：471.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379798.4964148987,\"y\":5258620.129812331,\"z\":3336122.318972415},{\"x\":-1379799.2556859853,\"y\":5258623.02350893,\"z\":3336124.154763091}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3442', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '211', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3443', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379720.655492977,\"y\":5258641.155886261,\"z\":3336127.9504396114},\"label\":{\"text\":\"标高：470.92 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379719.8659825423,\"y\":5258638.146761156,\"z\":3336126.041424322},{\"x\":-1379720.655492977,\"y\":5258641.155886261,\"z\":3336127.9504396114}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6023', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 10:00:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:00:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6024', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6072', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6073', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6074', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6075', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6076', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6077', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 12:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6078', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6079', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6080', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6249', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 12:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 12:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '143', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6250', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 12:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 12:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6251', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 12:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 12:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6252', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6253', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 13:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6254', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '228', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6255', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3445', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379751.8539553771,\"y\":5258623.489935263,\"z\":3336142.7212895565},\"label\":{\"text\":\"标高：471.91 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379751.2980409316,\"y\":5258621.37118851,\"z\":3336141.3771276153},{\"x\":-1379751.8539553771,\"y\":5258623.489935263,\"z\":3336142.7212895565}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2514', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kissin U_Miranda Cosgrove.mp3"]}', '48', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2515', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["7"],"isdefault":["1"]}', '7', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2516', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/update', 'PUT', '{"id":["14"],"isdefault":["1"]}', '11', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2517', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 11:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '476', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2577', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490402.0907033014,\"y\":5216528.44500717,\"z\":3354400.32766455},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490402.0907033014,\"y\":5216528.44500717,\"z\":3354400.32766455}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2458', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 09:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 09:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["d033e22ae348aeb5660fc2140aec35850c4da997"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '397', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2486', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Erik Gronwall - Higher.mp3"]}', '136', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2487', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Erik Gronwall - Higher.mp3"]}', '57', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2488', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Erik Gronwall - Higher.mp3"]}', '77', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2518', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1490417.2009351703,\"y\":5216534.199736396,\"z\":3354384.565058581},\"label\":{\"text\":\"弯管角度：170.58 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5750', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 09:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5751', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5752', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 09:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6256', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 13:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6257', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6258', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6259', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6260', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6261', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6262', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:27:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6263', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6264', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6265', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6266', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6267', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '212', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6268', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6269', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6270', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 13:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6271', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6272', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 13:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6273', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 13:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6274', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6275', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 13:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6276', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 13:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 13:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6277', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:02:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:02:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3639', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448"]}', '373', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3640', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '404', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3641', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448"]}', '45', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5674', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '257', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5675', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5676', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5677', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5678', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5679', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 16:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5680', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6081', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '142', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6082', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '281', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6083', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:13:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:13:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6084', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6098', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6099', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6100', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6101', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2080', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-12 10:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-12 10:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '487', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4089', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5805', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 11:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '174', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5818', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '140', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5823', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '95', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5824', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.65564806676404,\"ymax\":31.51131769520479,\"xmax\":104.69893347365988,\"ymin\":31.54376486768841,\"height\":1102}"],"notes":["1223"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.9638128349952331,\"y\":-0.17704535056945642,\"z\":-0.19929817595801028},\"up\":{\"x\":0.2540735887366913,\"y\":0.8363746234274596,\"z\":0.48572018775528986},\"position\":{\"x\":-1380741.0095454475,\"y\":5258918.988660795,\"z\":3336466.9032251313}}"]}', '1708', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5825', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.65564806676404,\"ymax\":31.51131769520479,\"xmax\":104.69893347365988,\"ymin\":31.54376486768841,\"height\":1102}"],"notes":["1223"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.9638128349952331,\"y\":-0.17704535056945642,\"z\":-0.19929817595801028},\"up\":{\"x\":0.2540735887366913,\"y\":0.8363746234274596,\"z\":0.48572018775528986},\"position\":{\"x\":-1380741.0095454475,\"y\":5258918.988660795,\"z\":3336466.9032251313}}"]}', '90318', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6296', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '450', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6297', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6298', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6299', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '683', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6178', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6179', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 10:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6180', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 10:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6181', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6182', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 10:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '223', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6183', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6184', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6185', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6186', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6187', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 10:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '304', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6188', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1514', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3212', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-03 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379677.517119384,\"y\":5258396.540432145,\"z\":3336531.2109248294},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379677.0845244483,\"y\":5258394.891673152,\"z\":3336530.1647626017},{\"x\":-1379677.517119384,\"y\":5258396.540432145,\"z\":3336531.2109248294}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6103', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6104', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6105', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6108', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6109', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6110', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6111', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6112', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6113', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6114', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6115', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '87', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6116', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6117', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:43:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:43:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6118', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6119', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6120', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6121', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 14:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6122', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6123', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 15:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6124', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 15:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6125', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 15:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6126', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 15:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '223', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6127', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 15:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 15:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6128', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6129', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 16:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 16:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6130', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6131', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6132', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6133', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6134', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6135', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6136', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6137', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '344', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3435', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379681.1683070548,\"y\":5258640.9257047195,\"z\":3336144.2671605893},\"label\":{\"text\":\"标高：471.60 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379680.5669984906,\"y\":5258638.633823163,\"z\":3336142.8131637066},{\"x\":-1379681.1683070548,\"y\":5258640.9257047195,\"z\":3336144.2671605893}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3446', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},\"label\":{\"text\":\"长度：0.699m;坡度：千分之-8.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379750.3115666527,\"y\":5258622.030453418,\"z\":3336140.6552349157},{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '21', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3447', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},\"label\":{\"text\":\"长度：0.699m;坡度：千分之-8.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379750.3115666527,\"y\":5258622.030453418,\"z\":3336140.6552349157},{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},{\"x\":-1379749.0661188758,\"y\":5258622.342873892,\"z\":3336140.682432303},{\"x\":-1379749.0661188758,\"y\":5258622.342873892,\"z\":3336140.682432303}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3448', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},\"label\":{\"text\":\"长度：0.699m;坡度：千分之-8.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379750.3115666527,\"y\":5258622.030453418,\"z\":3336140.6552349157},{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},{\"x\":-1379749.0661188758,\"y\":5258622.342873892,\"z\":3336140.682432303},{\"x\":-1379748.3537774603,\"y\":5258622.4334007995,\"z\":3336140.7430039523},{\"x\":-1379748.3413905003,\"y\":5258622.448269243,\"z\":3336140.74294176}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3449', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},\"label\":{\"text\":\"长度：0.699m;坡度：千分之-8.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379750.3115666527,\"y\":5258622.030453418,\"z\":3336140.6552349157},{\"x\":-1379749.6506594196,\"y\":5258622.25048,\"z\":3336140.593079526},{\"x\":-1379749.0661188758,\"y\":5258622.342873892,\"z\":3336140.682432303},{\"x\":-1379748.3537774603,\"y\":5258622.4334007995,\"z\":3336140.7430039523},{\"x\":-1379747.8832083857,\"y\":5258622.542603182,\"z\":3336140.7580652614},{\"x\":-1379747.8832083857,\"y\":5258622.542603182,\"z\":3336140.7580652614}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3450', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '245', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3451', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379555.3696387198,\"y\":5258434.63450988,\"z\":3336522.6358180763},\"label\":{\"text\":\"标高：472.41 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379554.8073151368,\"y\":5258432.491107831,\"z\":3336521.275810784},{\"x\":-1379555.3696387198,\"y\":5258434.63450988,\"z\":3336522.6358180763}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3676', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 15:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '214', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3677', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3985', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 16:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3986', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 16:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4074', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 20:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4075', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 20:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '217', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4076', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4077', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 20:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1860', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 11:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 11:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '656', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1903', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-08 13:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-08 13:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '389', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6278', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 14:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '237', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6279', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 14:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6280', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6281', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6282', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6283', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '357', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6284', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 14:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '254', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6285', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '129', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6286', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '147', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6287', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6288', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6289', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6290', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '244', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6291', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '197', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6292', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6293', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 14:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6294', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6295', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 14:43:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 14:43:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3637', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["450,451"]}', '291', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3638', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:55:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '153', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6138', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6139', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 17:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 17:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6140', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6141', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6142', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5507', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6143', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 18:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 18:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1952', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '475', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1953', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '415', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1954', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 09:49:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '263', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1958', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-11 09:56:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 09:56:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/updatePassword', 'PUT', '{}', '219', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1971', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/18', 'DELETE', '{"id":["18"]}', '1959', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1977', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '253', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1978', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '295', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1979', '1', 'tofly-base', 'wanghai', TO_DATE('2019-11-11 10:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/userrole', 'PUT', '{}', '182', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1980', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 10:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 10:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '313', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1985', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-11 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '258', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1986', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-11 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.91981365756138,\"ymax\":31.749768457177918,\"xmax\":105.92535235038224,\"ymin\":31.747466816397647,\"height\":454}"],"notes":["cx"],"file":[],"markName":["cx"],"camera":["{\"direction\":{\"x\":0.2332900122096023,\"y\":-0.817747491476065,\"z\":-0.5261794469454757},\"up\":{\"x\":0.1446121868844873,\"y\":-0.5059171662192985,\"z\":0.8503735275331193},\"position\":{\"x\":-1488046.4282759246,\"y\":5216023.8090253575,\"z\":3356372.5246298946}}"]}', '309', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.xnkd.entity.Files''', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('1987', '1', 'tofly-base', 'tianjie', TO_DATE('2019-11-11 11:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-11 11:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/role', 'POST', '{}', '363', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''userId'' in ''class com.tofly.base.entity.Role''', 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3570', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379765.6656988524,\"y\":5258459.632011375,\"z\":3336395.7013038164},\"label\":{\"text\":\"标高：471.29 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379764.928077385,\"y\":5258456.820843652,\"z\":3336393.9176697163},{\"x\":-1379765.6656988524,\"y\":5258459.632011375,\"z\":3336395.7013038164}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3584', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3585', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379765.3541285326,\"y\":5258458.63946303,\"z\":3336397.4554787227},\"label\":{\"text\":\"坐标：104.702391 , 31.537743 , 471.326\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379764.6165072364,\"y\":5258455.828295852,\"z\":3336395.671843696},{\"x\":-1379765.3541285326,\"y\":5258458.63946303,\"z\":3336397.4554787227}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3586', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3587', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3593', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 14:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3596', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 15:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 15:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3755', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:24:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:24:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5700', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:07:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:07:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '2321', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3498', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 10:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379721.7457436342,\"y\":5258389.585488017,\"z\":3336530.304782102},\"label\":{\"text\":\"标高：472.62 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379720.610146123,\"y\":5258385.257503666,\"z\":3336527.5586084467},{\"x\":-1379721.7457436342,\"y\":5258389.585488017,\"z\":3336530.304782102}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3499', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 10:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379689.351492928,\"y\":5258393.674136306,\"z\":3336530.7968462207},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379688.2159214779,\"y\":5258389.346146297,\"z\":3336528.0506707076},{\"x\":-1379689.351492928,\"y\":5258393.674136306,\"z\":3336530.7968462207}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3504', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3505', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 10:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379607.7973652992,\"y\":5258413.237357081,\"z\":3336534.07845392},\"label\":{\"text\":\"标高：468.95 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379606.5558806073,\"y\":5258408.505403884,\"z\":3336531.075965834},{\"x\":-1379607.7973652992,\"y\":5258413.237357081,\"z\":3336534.07845392}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3523', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379656.240420597,\"y\":5258395.822966967,\"z\":3336525.8009126754},\"label\":{\"text\":\"标高：461.23 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379655.104874974,\"y\":5258391.494969758,\"z\":3336523.054737827},{\"x\":-1379656.240420597,\"y\":5258395.822966967,\"z\":3336525.8009126754}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3524', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379690.150651661,\"y\":5258393.482187188,\"z\":3336530.7741136253},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379689.015079553,\"y\":5258389.154197338,\"z\":3336528.0279381303},{\"x\":-1379690.150651661,\"y\":5258393.482187188,\"z\":3336530.7741136253}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6052', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6053', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6054', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4827', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 10:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '248', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4828', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5701', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '6', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5702', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '5', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5703', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["晴天"],"file2":[],"file3":[],"file1":[]}', '2307', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5704', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5723', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:51:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '17', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5724', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6060', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6071', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '142', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6197', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6198', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 10:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '237', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6199', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6200', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6201', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6202', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 10:43:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '598', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6203', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6204', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6205', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6206', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6207', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6208', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6209', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6210', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6211', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6212', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 11:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6213', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '237', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6214', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6215', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6216', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6217', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6218', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6219', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6220', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6221', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6222', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 11:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6223', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6224', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6225', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '301', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6300', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6301', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1442', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6302', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3624', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-12-09 10:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379508.3406049688,\"y\":5258675.253294142,\"z\":3336161.6912355227},\"label\":{\"text\":\"标高：471.81 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379507.7783005023,\"y\":5258673.109793812,\"z\":3336160.3313752273},{\"x\":-1379508.3406049688,\"y\":5258675.253294142,\"z\":3336161.6912355227}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3840', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3862', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3863', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3864', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3865', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3866', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3867', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3894', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3895', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3896', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 13:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3897', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3898', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3899', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3900', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3913', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3914', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3915', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3927', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3928', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 14:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3929', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 14:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3940', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3941', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 14:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3948', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3967', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3968', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3969', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:41:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:41:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3970', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3980', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4000', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 17:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4015', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4016', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4017', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4018', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6312', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6313', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6314', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6315', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6316', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17827', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6317', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5489', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '311', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5490', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 09:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5877', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '242', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5878', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5879', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 14:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5880', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 14:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '238', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5881', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 14:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5882', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:08:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:08:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5883', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5884', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5885', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5886', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5887', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 14:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5888', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5889', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5890', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5891', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5892', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '121', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5893', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5894', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 14:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '235', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5895', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 14:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5896', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5897', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 14:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5898', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 14:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5899', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '247', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5900', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '229', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5901', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 15:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5902', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5903', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5904', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5905', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5906', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5907', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5908', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '133', NULL, 'null', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5909', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:12:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:12:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '58', NULL, 'null', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5910', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5911', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '51', NULL, 'null', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4661', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["5"],"file":[],"markName":["5"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '327', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5964', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5967', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 16:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5978', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5979', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3525', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379699.1935580787,\"y\":5258389.878253518,\"z\":3336532.5112317814},\"label\":{\"text\":\"标高：471.08 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379698.4797652068,\"y\":5258387.157804575,\"z\":3336530.785063401},{\"x\":-1379699.1935580787,\"y\":5258389.878253518,\"z\":3336532.5112317814}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3531', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '223', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3571', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4748', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '242', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4749', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4750', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '91', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4751', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3454', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379536.037477938,\"y\":5258438.686750884,\"z\":3336524.262267813},\"label\":{\"text\":\"标高：472.49 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379535.4903015045,\"y\":5258436.601054208,\"z\":3336522.9388754577},{\"x\":-1379536.037477938,\"y\":5258438.686750884,\"z\":3336524.262267813}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5914', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '6', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5915', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5916', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5917', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5918', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:19:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:19:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5919', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5920', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5921', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5922', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5923', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5924', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3738', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4412', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '389', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4413', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '425', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4414', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '112', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4415', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '109', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4416', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:25:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:25:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '97', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4419', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4420', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '352', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4422', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4424', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '216', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4437', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '390', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4438', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '330', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4439', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4440', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4441', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4443', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4444', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4445', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4446', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6303', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6304', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '182', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6305', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6306', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6307', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6308', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 15:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6309', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6310', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-23 15:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6311', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 15:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 15:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4771', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 16:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '240', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4772', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5787', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5788', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5789', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5790', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5791', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6085', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 13:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6086', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6087', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 13:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6088', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6089', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6090', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6091', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:43:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:43:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6092', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6093', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6094', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:47:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:47:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6095', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6096', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6097', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 13:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 13:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6318', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3397', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 09:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 09:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '238', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3398', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 09:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 09:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '237', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3399', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 09:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 09:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3401', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 12:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 12:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '253', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3402', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 12:33:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 12:33:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '314', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3403', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 12:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 12:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '219', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3404', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 12:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 12:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '225', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3662', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '245', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3666', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 14:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3670', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '226', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3671', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3400', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '220', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3417', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 19:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 19:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '227', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3686', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '247', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3687', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '237', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3688', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3773', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 16:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '223', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3776', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 16:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3780', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 16:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3787', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 17:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3799', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 19:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3800', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-10 19:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3850', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3852', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3853', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3854', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3855', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3856', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3857', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3858', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3889', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 13:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '217', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3890', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3910', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3924', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 14:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3925', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 14:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3937', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3938', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3939', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 14:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3946', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3961', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3962', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3989', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 16:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '224', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3990', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3991', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4010', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4011', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4012', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4372', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3691', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '224', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3765', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3972', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5981', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5982', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5983', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '241', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5984', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 16:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5985', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Groove Coverage - God is a Girl.mp3"]}', '2498', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5986', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Groove Coverage - God is a Girl.mp3"]}', '2308', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5987', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5988', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 16:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5989', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5990', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Idina Menzel - Let It Go.mp3"]}', '2312', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3704', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3847', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '96', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3848', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4417', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 11:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1607', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4418', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '320', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4421', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4423', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4425', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4426', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 11:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '275', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5200', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/40', 'DELETE', '{"id":["40"]}', '30', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5201', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/29', 'DELETE', '{"id":["29"]}', '27', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5202', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/56', 'DELETE', '{"id":["56"]}', '104', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5203', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/43', 'DELETE', '{"id":["43"]}', '40', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5204', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/44', 'DELETE', '{"id":["44"]}', '34', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5205', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/45', 'DELETE', '{"id":["45"]}', '28', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5206', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/46', 'DELETE', '{"id":["46"]}', '28', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5207', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/47', 'DELETE', '{"id":["47"]}', '29', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5208', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/48', 'DELETE', '{"id":["48"]}', '27', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5209', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/49', 'DELETE', '{"id":["49"]}', '29', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5210', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/50', 'DELETE', '{"id":["50"]}', '26', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5211', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/51', 'DELETE', '{"id":["51"]}', '25', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5212', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/52', 'DELETE', '{"id":["52"]}', '26', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5213', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/53', 'DELETE', '{"id":["53"]}', '27', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5214', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/54', 'DELETE', '{"id":["54"]}', '26', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5215', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/55', 'DELETE', '{"id":["55"]}', '27', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5216', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5217', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 12:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 12:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5218', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 12:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 12:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5219', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 13:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '235', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5220', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 13:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5221', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 13:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5222', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 13:25:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:25:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5137', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5138', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '24', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5139', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5140', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '17', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5141', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4447', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:41:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:41:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4448', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4449', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4452', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4453', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '240', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4454', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '180', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4455', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4456', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 13:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '350', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4457', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4458', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4459', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5521', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5522', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 10:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5523', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 10:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5524', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5525', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:41:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:41:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5526', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5527', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '101', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5528', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3619', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '225', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4116', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5518', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 10:28:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:28:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '238', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5519', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5520', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5542', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5543', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5,6,7,8"]}', '22', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5650', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '214', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5651', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:07:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:07:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '237', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5652', '1', 'tofly-base', 'xj', TO_DATE('2019-12-19 16:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5653', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5654', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5655', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '214', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5656', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5657', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5658', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:24:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:24:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5659', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5660', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5661', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5662', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5663', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5664', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5665', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5666', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5667', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5668', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3672', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:18:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:18:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3673', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3674', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '342', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3675', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 15:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 15:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '735', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3679', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 16:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3682', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 16:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5554', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 11:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '238', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5555', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 11:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5556', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5557', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5558', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5559', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["5"]}', '7', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5531', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5532', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5533', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 11:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '216', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5534', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5535', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5536', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:23:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:23:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '21', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5537', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5538', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 11:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '223', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5539', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5540', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5541', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:24:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3533', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 14:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 14:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '224', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3535', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 14:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 14:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '223', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3779', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5285', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2063', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5491', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 09:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:41:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.17877532661696,\"ymax\":31.377957799381473,\"xmax\":104.68804929901479,\"ymin\":31.544530860775588,\"height\":484}"],"notes":["222"],"file":[],"markName":["222"],"camera":["{\"direction\":{\"x\":0.9802864491590026,\"y\":0.19526423070032967,\"z\":-0.030172136222727085},\"up\":{\"x\":-0.15111382042223365,\"y\":0.8393279667245497,\"z\":0.5222003232011927},\"position\":{\"x\":-1379818.2037027695,\"y\":5258496.107712826,\"z\":3336332.438337199}}"]}', '2598', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5492', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 09:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5493', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5494', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 09:50:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:50:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5495', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 09:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5496', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 09:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5497', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5498', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5499', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 10:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5500', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5501', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379551.3347717868,\"y\":5258702.919773849,\"z\":3336098.8005362726},\"label\":{\"text\":\"坐标：104.699556 , 31.534602 , 471.264\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379550.8243563776,\"y\":5258700.974124613,\"z\":3336097.5662246593},{\"x\":-1379551.3347717868,\"y\":5258702.919773849,\"z\":3336098.8005362726}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3818', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 09:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '235', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3958', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 15:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3978', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4008', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4048', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4065', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4066', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4084', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4435', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 13:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试2"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379712.629861986,\"y\":5258507.95055926,\"z\":3336352.1251113974},\"label\":{\"text\":\"测试2\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379710.8994397684,\"y\":5258501.355389524,\"z\":3336347.9406908783},{\"x\":-1379712.629861986,\"y\":5258507.95055926,\"z\":3336352.1251113974}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"测试2\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4436', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 13:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["190"]}', '15', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4654', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["2412354"],"file":[],"markName":["232"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '3042', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4655', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["4646"],"file":[],"markName":["4546"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '1393', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4656', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":["1"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '172', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4657', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":["2"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '25', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4658', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":["2"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '113', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4659', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4660', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["4"],"file":[],"markName":["4"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '66', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4510', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '247', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4511', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4514', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5142', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5143', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5144', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5145', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 10:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5146', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5147', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:22:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:22:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5148', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 10:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '273', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5149', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5150', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5151', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5152', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 10:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '893', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5153', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '285', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5633', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3540', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '44040', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3606', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 17:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 17:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3692', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '216', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3693', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 09:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3694', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3760', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2409', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4091', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4789', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 16:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4790', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 16:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '238', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4791', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4792', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '73', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4842', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379483.0045799504,\"y\":5258592.948146099,\"z\":3336302.0844582557},\"label\":{\"text\":\"标高：472.05 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379482.472563194,\"y\":5258590.920096792,\"z\":3336300.797767082},{\"x\":-1379483.0045799504,\"y\":5258592.948146099,\"z\":3336302.0844582557}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4843', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["197,196"]}', '15', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4844', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379485.3492307446,\"y\":5258605.47774209,\"z\":3336281.368584437},\"label\":{\"text\":\"标高：472.06 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379484.8193757588,\"y\":5258603.457932075,\"z\":3336280.0871316716},{\"x\":-1379485.3492307446,\"y\":5258605.47774209,\"z\":3336281.368584437}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4845', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["196"]}', '11', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4846', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4887', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4894', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4895', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '428', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4896', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '97', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4897', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5669', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5670', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["123"],"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18981178620"],"roleid":[""],"departmentId":["3"],"email":["673499140@qq.com"],"username":["庞荣安2"]}', '303', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5691', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["上图员"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18900000000"],"roleid":["undefined"],"departmentId":["3"],"id":["2"],"isupdate":["1"],"email":["028@qq.com"],"username":["cs01"]}', '73', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5692', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["12332"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18981178620"],"roleid":["undefined"],"departmentId":["3"],"id":["34"],"isupdate":["1"],"email":["673499140@qq.com"],"username":["庞荣安2"]}', '2746', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5693', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '229', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5694', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 17:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4761', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 15:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3632', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:49:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{}', '14', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3633', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{}', '0', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3634', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"448,4492":[null]}', '3', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3635', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448,449"]}', '16', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '308', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5029', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '216', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4503', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '130', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4504', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4512', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-13 15:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379505.4136521055,\"y\":5258490.0101906955,\"z\":3336455.7441652697},\"label\":{\"text\":\"标高：472.29 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379504.8578369855,\"y\":5258487.8914978495,\"z\":3336454.3998772884},{\"x\":-1379505.4136521055,\"y\":5258490.0101906955,\"z\":3336455.7441652697}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '50', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4513', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-13 15:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379504.931909723,\"y\":5258487.140717933,\"z\":3336460.5022422923},\"label\":{\"text\":\"管径：450X500 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379504.3760947993,\"y\":5258485.02202625,\"z\":3336459.1579523985},{\"x\":-1379504.931909723,\"y\":5258487.140717933,\"z\":3336460.5022422923}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '40', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4516', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-13 15:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379506.7042456008,\"y\":5258496.636886808,\"z\":3336444.688451967},\"label\":{\"text\":\"管径：450X500 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379506.1484299577,\"y\":5258494.518191278,\"z\":3336443.3441684325},{\"x\":-1379506.7042456008,\"y\":5258496.636886808,\"z\":3336444.688451967}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '20', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4517', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-13 15:21:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:21:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379508.3936541444,\"y\":5258506.36670589,\"z\":3336428.527735275},\"label\":{\"text\":\"坐标：104.699644 , 31.538071 , 472.186\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379507.8378378153,\"y\":5258504.248006419,\"z\":3336427.183458238},{\"x\":-1379508.3936541444,\"y\":5258506.36670589,\"z\":3336428.527735275}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '20', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4523', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5502', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1378822.0221418622,\"y\":5258614.6341233095,\"z\":3335658.4484896464},\"label\":{\"text\":\"坐标：104.692357 , 31.532501 , 9.935\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1378821.395222775,\"y\":5258612.243150561,\"z\":3335656.9318414414},{\"x\":-1378822.0221418622,\"y\":5258614.6341233095,\"z\":3335658.4484896464}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5503', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["200,201,199"]}', '19', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5009', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '61', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5010', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5011', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5012', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4829', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 10:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '237', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4830', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '127', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4831', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4832', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4833', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4834', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4835', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4836', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4837', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4838', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:46:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:46:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4839', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4840', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4841', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379607.2186549127,\"y\":5258422.047340159,\"z\":3336520.7107373546},\"label\":{\"text\":\"管径：400X400 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379606.6671245007,\"y\":5258419.945162355,\"z\":3336519.376884781},{\"x\":-1379607.2186549127,\"y\":5258422.047340159,\"z\":3336520.7107373546}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3509', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.70', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '232', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3521', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:26:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:26:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3527', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3541', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '13742', NULL, 'argument type mismatch
HandlerMethod details: 
Bean [com.tofly.common.oauth.feign.FlowableListener$$EnhancerBySpringCGLIB$$ff2cca3a]
Method [public void com.tofly.common.oauth.feign.FlowableListener.updateUser(com.tofly.common.oauth.feign.FlowableAddUserEvent)]
Resolved arguments: 
[0] [type=com.tofly.common.oauth.feign.FlowableUpdateUserEvent] [value=com.tofly.common.oauth.feign.FlowableUpdateUserEvent[source=User(id=33, username=null, password=null, salt=null, phone=null, avatar=null, departmentId=null, createTime=null, updateTime=2019-12-06 16:30:12.838, lockFlag=null, statusFlag=null, wxOpenid=null, qqOpenid=null, email=null, realName=测试工作流1111, loginTime=null, lastIp=null, pwderrtimes=null, worknumber=null, findpwdkey=null, aliasname=null, birthday=null, belong=null, createUser=null, userLevel=null)]]
', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5504', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379530.6936378188,\"y\":5258674.1852194285,\"z\":3336153.280137335},\"label\":{\"text\":\"坐标：104.699422 , 31.535174 , 471.444\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379530.148626158,\"y\":5258672.107673232,\"z\":3336151.962122126},{\"x\":-1379530.6936378188,\"y\":5258674.1852194285,\"z\":3336153.280137335}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3470', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:19:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:19:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '220', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3482', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3483', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379733.384654429,\"y\":5258392.228011002,\"z\":3336514.835606814},\"label\":{\"text\":\"标高：471.61 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379732.7660186163,\"y\":5258389.870287563,\"z\":3336513.339602162},{\"x\":-1379733.384654429,\"y\":5258392.228011002,\"z\":3336514.835606814}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3484', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3485', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379699.9680797537,\"y\":5258391.180808899,\"z\":3336530.372081822},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379698.8324995684,\"y\":5258386.852820955,\"z\":3336527.6259066653},{\"x\":-1379699.9680797537,\"y\":5258391.180808899,\"z\":3336530.372081822}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3486', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379667.5750955336,\"y\":5258398.890521068,\"z\":3336531.5931316107},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379666.439542008,\"y\":5258394.562526771,\"z\":3336528.8469554423},{\"x\":-1379667.5750955336,\"y\":5258398.890521068,\"z\":3336531.5931316107}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3487', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4461', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '30', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4463', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4466', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4467', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4470', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4471', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4472', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4476', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '830', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4477', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '520', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4478', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4479', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4482', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4483', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4484', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4487', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:47:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:47:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '750', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4488', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '150', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4489', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-13 14:55:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:55:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/usersky', 'POST', '{}', '160', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4490', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4492', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4493', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 14:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4898', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4899', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4911', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 14:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4912', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4913', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4914', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:27:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:27:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4915', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4916', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4917', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '234', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4918', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4919', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4920', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4921', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4922', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4924', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4925', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '101', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4937', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4938', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4939', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4940', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-17 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379357.3034049014,\"y\":5258483.578657296,\"z\":3336527.6766906492},\"label\":{\"text\":\"标高：471.06 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379356.4167911983,\"y\":5258480.19864576,\"z\":3336525.5320605743},{\"x\":-1379357.3034049014,\"y\":5258483.578657296,\"z\":3336527.6766906492}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3419', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 19:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 19:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3479', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3488', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379671.2159769866,\"y\":5258398.022902657,\"z\":3336531.4850023678},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379670.0804204652,\"y\":5258393.6949090855,\"z\":3336528.738826296},{\"x\":-1379671.2159769866,\"y\":5258398.022902657,\"z\":3336531.4850023678}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3489', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4101', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '245', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4102', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:20:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:20:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4103', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '248', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4104', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4105', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 09:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4662', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["6"],"file":[],"markName":["6"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '18', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4525', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '330', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4527', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3564', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 10:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 10:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '216', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3795', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3796', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3803', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3804', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3811', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 20:00:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:00:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3812', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 20:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '216', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3813', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 20:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4873', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 13:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4874', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 13:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4875', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 13:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4876', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '232', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4877', '1', 'tofly-base', 'xj', TO_DATE('2019-12-17 13:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4878', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4879', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '703', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4880', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:38:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4881', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:39:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1694', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4882', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '240', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4883', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3455', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3466', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 21:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 21:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '213', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3715', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3731', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4055', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4056', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4057', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4058', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '217', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4059', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4060', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4061', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4062', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4063', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4079', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4080', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4081', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4627', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["32,231"]}', '35', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4628', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4629', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4630', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 09:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4631', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3542', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '4510', NULL, 'argument type mismatch
HandlerMethod details: 
Bean [com.tofly.common.oauth.feign.FlowableListener$$EnhancerBySpringCGLIB$$ff2cca3a]
Method [public void com.tofly.common.oauth.feign.FlowableListener.updateUser(com.tofly.common.oauth.feign.FlowableAddUserEvent)]
Resolved arguments: 
[0] [type=com.tofly.common.oauth.feign.FlowableUpdateUserEvent] [value=com.tofly.common.oauth.feign.FlowableUpdateUserEvent[source=User(id=33, username=null, password=null, salt=null, phone=null, avatar=null, departmentId=null, createTime=null, updateTime=2019-12-06 16:32:31.514, lockFlag=null, statusFlag=null, wxOpenid=null, qqOpenid=null, email=null, realName=测试工作流1111, loginTime=null, lastIp=null, pwderrtimes=null, worknumber=null, findpwdkey=null, aliasname=null, birthday=null, belong=null, createUser=null, userLevel=null)]]
', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3543', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '4111', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3544', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"],"username":["flowabletest"]}', '26', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3545', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '740', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3610', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 09:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '231', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3611', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3612', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3618', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3636', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3771', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 16:01:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4847', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 11:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '227', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4848', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 11:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4849', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4850', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 11:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '280', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4851', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '157', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4852', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4853', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 11:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '220', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4854', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 11:23:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:23:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4855', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '230', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4856', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 11:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4857', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4858', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4859', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 11:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 11:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4860', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 12:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 12:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '733', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4861', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4862', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:01:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:01:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4863', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 13:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4864', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 13:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4865', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '237', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4866', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4867', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4868', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '227', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4869', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:24:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4870', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 13:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4871', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5505', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199"]}', '10', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5506', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5507', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1378708.484451362,\"y\":5258274.208803747,\"z\":3336236.5102222096},\"label\":{\"text\":\"长度：937.990m;坡度：千分之493.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379589.9500564116,\"y\":5258424.033329993,\"z\":3336520.140198436},{\"x\":-1378708.484451362,\"y\":5258274.208803747,\"z\":3336236.5102222096},{\"x\":-1378708.484451362,\"y\":5258274.208803747,\"z\":3336236.5102222096}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5512', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 10:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '225', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5513', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 10:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5514', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5925', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5926', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5927', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5928', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5929', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5930', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5931', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5932', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5933', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5934', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '4', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5935', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5936', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5937', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5938', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5939', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5940', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5941', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5942', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5943', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 15:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5944', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5945', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5946', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '7', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5947', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5948', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5949', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:49:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:49:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5950', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5951', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:53:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5952', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '766', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5953', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 15:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5954', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5955', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 15:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5956', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5957', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 15:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3772', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3774', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 16:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3777', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 16:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3778', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 16:42:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:42:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4663', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["7"],"file":[],"markName":["7"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '46', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4664', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["7"],"file":[],"markName":["7"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '75', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3420', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3421', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3477', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379682.700404374,\"y\":5258395.317549776,\"z\":3336530.9919620757},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379681.564838401,\"y\":5258390.989558427,\"z\":3336528.245786409},{\"x\":-1379682.700404374,\"y\":5258395.317549776,\"z\":3336530.9919620757}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3478', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '238', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3496', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 10:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379704.845949795,\"y\":5258390.050391646,\"z\":3336530.152771556},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379703.7103655962,\"y\":5258385.722404639,\"z\":3336527.4065965833},{\"x\":-1379704.845949795,\"y\":5258390.050391646,\"z\":3336530.152771556}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3502', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3572', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379765.9875955163,\"y\":5258460.811872252,\"z\":3336393.5729096737},\"label\":{\"text\":\"标高：471.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379765.2499738685,\"y\":5258458.0007038675,\"z\":3336391.789276693},{\"x\":-1379765.9875955163,\"y\":5258460.811872252,\"z\":3336393.5729096737}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3588', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 14:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3590', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 14:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '329', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3591', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 14:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '343', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3594', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3599', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 15:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 15:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3604', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-07 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3605', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 16:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3608', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 17:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 17:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3613', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1086', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4646', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/24', 'DELETE', '{"id":["24"]}', '2385', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4647', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 10:01:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:01:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3460', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379725.890030637,\"y\":5258394.945459914,\"z\":3336513.1051194104},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379725.3817137398,\"y\":5258393.008168587,\"z\":3336511.875885401},{\"x\":-1379725.890030637,\"y\":5258394.945459914,\"z\":3336513.1051194104}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4632', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4633', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4634', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '233', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4635', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4636', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '316', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4637', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 09:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4638', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 09:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '101', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4639', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:43:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:43:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3418', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 19:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 19:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '216', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4799', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 17:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5544', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5545', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5546', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5547', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5548', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '9', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5549', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '5', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5550', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5551', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5,6"]}', '14', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5552', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 11:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5553', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5447', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 17:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '218', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5448', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5449', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 18:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5450', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 18:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 18:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5451', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 18:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 18:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4117', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379668.7071439198,\"y\":5258397.2773171775,\"z\":3336533.504973852},\"label\":{\"text\":\"标高：471.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379667.9933668207,\"y\":5258394.556864418,\"z\":3336531.778804963},{\"x\":-1379668.7071439198,\"y\":5258397.2773171775,\"z\":3336533.504973852}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '96', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4118', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379748.9621869407,\"y\":5258383.444960972,\"z\":3336521.9989732397},\"label\":{\"text\":\"坐标：104.702425 , 31.539058 , 471.046\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379748.2483683159,\"y\":5258380.724515341,\"z\":3336520.272810287},{\"x\":-1379748.9621869407,\"y\":5258383.444960972,\"z\":3336521.9989732397}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '17', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4119', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3354', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4342', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2531', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4343', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '243', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4344', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '466', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4345', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 09:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4346', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4872', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 13:25:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:25:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3374', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3375', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3376', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:05:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:05:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3377', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3378', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3379', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '20', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3380', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3381', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3382', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3383', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3384', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3385', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '33', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3386', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3387', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3388', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3389', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3390', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3391', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3392', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3413', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 18:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3414', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 18:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3467', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '239', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5560', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5561', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 11:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '12', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5562', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 11:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5563', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6,7,8,4"]}', '18', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5564', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5565', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5566', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5567', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5579', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5580', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5581', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '84', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5582', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '87', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5583', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '217', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5584', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 13:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5585', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5586', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '234', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5587', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:43:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:43:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5588', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '141', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5589', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5590', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 13:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5591', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5592', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 13:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5593', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 13:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5594', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '236', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5595', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 13:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5596', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5597', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '232', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3797', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 19:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3798', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-10 19:13:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3805', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3814', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 20:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '219', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3815', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 20:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3817', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 08:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 08:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '236', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3820', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3821', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 09:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3822', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 09:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3823', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 09:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3824', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 09:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3825', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3826', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 09:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '239', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4427', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4428', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 13:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4429', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 13:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '381', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4430', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 13:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4431', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 13:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4432', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 13:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4433', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 13:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4434', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 13:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379749.4198607462,\"y\":5258495.5429729335,\"z\":3336348.856415004},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379748.5546260262,\"y\":5258492.245393789,\"z\":3336346.764205488},{\"x\":-1379749.4198607462,\"y\":5258495.5429729335,\"z\":3336348.856415004}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"测试\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '552', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4814', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 09:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3218', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4815', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '324', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4993', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4994', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5106', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '494', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5107', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '415', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5108', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '145', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5109', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 19:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 19:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5110', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 19:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 19:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5111', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 19:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 19:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5112', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 19:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 19:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3468', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:15:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:15:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '232', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3469', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3461', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379598.2247140517,\"y\":5258415.48645074,\"z\":3336534.4268715465},\"label\":{\"text\":\"标高：468.92 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379596.9832379674,\"y\":5258410.754495495,\"z\":3336531.4243831304},{\"x\":-1379598.2247140517,\"y\":5258415.48645074,\"z\":3336534.4268715465}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3462', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379607.3119460624,\"y\":5258413.376331945,\"z\":3336533.997040953},\"label\":{\"text\":\"标高：468.92 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379606.0704618017,\"y\":5258408.6443786,\"z\":3336530.9945529248},{\"x\":-1379607.3119460624,\"y\":5258413.376331945,\"z\":3336533.997040953}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3534', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '226', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3560', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '226', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3592', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 14:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379721.3163982602,\"y\":5258496.7554941885,\"z\":3336352.133813863},\"label\":{\"text\":\"长度：34.049m;坡度：千分之-0.2\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379751.8731158383,\"y\":5258498.21656233,\"z\":3336337.1785814282},{\"x\":-1379721.3163982602,\"y\":5258496.7554941885,\"z\":3336352.133813863},{\"x\":-1379722.016940298,\"y\":5258496.750810395,\"z\":3336351.9928521444}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '190', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3603', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-07 16:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '430', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3607', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 17:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 17:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4685', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4686', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '267', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4687', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 11:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '277', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4688', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 11:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '220', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4690', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 11:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/userrole', 'PUT', '{}', '46', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4691', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 11:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4692', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 11:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4693', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 11:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4694', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 11:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4695', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '234', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4696', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4697', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 11:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4701', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4756', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4757', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 14:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4758', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4759', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4760', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 15:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '244', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4805', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '341', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4806', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 09:34:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:34:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4807', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 09:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3702', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3708', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3714', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3727', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 11:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3417', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3728', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 11:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '250', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3729', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3775', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 16:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3838', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3841', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 11:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3842', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3843', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3844', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 11:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3845', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3846', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5001', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1313', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5004', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '140', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5005', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '986', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5006', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '114', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5007', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5008', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '81', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5604', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5605', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 14:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5030', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '304', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5031', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5036', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '226', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5037', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:53:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:53:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5038', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '240', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5039', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '73', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5040', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '20', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5041', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '219', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5042', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["34"]}', '20', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5043', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4787', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4788', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4808', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4809', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '235', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4810', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4811', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '242', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5598', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5599', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 14:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5600', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5601', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5602', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4496', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 15:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4497', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '361', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4498', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4499', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4502', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4505', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '244', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4506', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4507', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/usersky', 'POST', '{}', '31', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4508', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '241', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4509', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 15:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4189', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 14:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4190', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4191', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4192', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4193', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5013', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '274', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5014', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5015', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5016', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian11"]}', '61', NULL, 'ResultRespone(code=-1, message=用户信息为空wangjian11, result=null)用户不存在', 'content:登录 :wangjian11');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5017', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5018', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5019', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5020', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5021', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '260', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5022', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian11"]}', '82', NULL, 'ResultRespone(code=-1, message=用户信息为空wangjian11, result=null)用户不存在', 'content:登录 :wangjian11');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5023', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5024', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["111111"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18981178620"],"roleid":["undefined"],"departmentId":["3"],"id":["34"],"isupdate":["1"],"email":["3499140@qq.com"],"username":["pra2"]}', '2649', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5025', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["111111"],"id":["34"],"statusFlag":["0"]}', '11', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5027', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["111111"],"id":["34"],"statusFlag":["1"]}', '10', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4665', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["8"],"file":[],"markName":["8"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '21', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4494', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4495', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4500', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '280', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4501', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 15:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4515', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 15:21:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:21:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4518', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '230', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4519', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4520', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4521', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4522', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '243', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4524', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4526', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4528', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4529', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4530', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4531', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4532', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4533', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4534', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4535', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4536', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4537', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4538', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4539', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4541', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4542', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4543', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 16:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '261', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4544', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4548', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4550', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 16:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4551', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4552', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 16:40:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4553', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4640', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 09:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.86895301209523,\"ymax\":31.131233172223276,\"xmax\":104.69636825200294,\"ymin\":31.54399499021977,\"height\":852}"],"notes":["1216-01学校主体"],"file":[],"markName":["学校主体"],"camera":["{\"direction\":{\"x\":0.9858128136848814,\"y\":0.001100781385762812,\"z\":-0.1678448231404181},\"up\":{\"x\":0.08340061343648558,\"y\":0.8645879045889889,\"z\":0.4955119503269717},\"position\":{\"x\":-1380518.5733678832,\"y\":5258656.234264356,\"z\":3336494.5097640404}}"]}', '2691', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4641', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 09:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4642', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 09:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4643', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4644', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.07837864629052,\"ymax\":31.2345390020157,\"xmax\":104.68474557576424,\"ymin\":31.53830362747567,\"height\":752}"],"notes":["学校左后侧1216~~~！"],"file":[],"markName":["学校左后侧"],"camera":["{\"direction\":{\"x\":0.9858033455431539,\"y\":0.0009533678757007551,\"z\":-0.16790132520507073},\"up\":{\"x\":0.08354327494215413,\"y\":0.8646272565586937,\"z\":0.49541924511238616},\"position\":{\"x\":-1379360.2347881207,\"y\":5259163.444170091,\"z\":3335983.5477279294}}"]}', '2296', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3664', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-09 14:14:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:14:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379577.029441705,\"y\":5258419.8308903705,\"z\":3336536.6656555156},\"label\":{\"text\":\"标高：472.29 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379576.4800861797,\"y\":5258417.736957281,\"z\":3336535.337027381},{\"x\":-1379577.029441705,\"y\":5258419.8308903705,\"z\":3336536.6656555156}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3665', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 14:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3695', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3696', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3705', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3716', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3717', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3718', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 11:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3739', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3740', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3753', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3754', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3781', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 16:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 16:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3788', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 17:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3789', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-10 17:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3790', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 17:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3794', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 18:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 18:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3801', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 19:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3802', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-10 19:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3807', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3808', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3809', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3810', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 19:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b","7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin","admin"]}', '242', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3816', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 20:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 20:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4155', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5062', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 17:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian11"]}', '10269', NULL, 'wangjian11用户不存在', 'content:登录 :wangjian11');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3663', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-09 14:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379586.672020641,\"y\":5258426.993248087,\"z\":3336521.563373093},\"label\":{\"text\":\"标高：472.37 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379586.1204984505,\"y\":5258424.891068334,\"z\":3336520.229520196},{\"x\":-1379586.672020641,\"y\":5258426.993248087,\"z\":3336521.563373093}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3745', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3746', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4088', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4156', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 11:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4157', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 11:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4158', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '259', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4159', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 11:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4812', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4813', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '660', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4816', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 09:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4817', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4818', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4819', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 09:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4820', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 10:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4821', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:07:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:07:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.67149895643048,\"ymax\":31.520964090195665,\"xmax\":104.69742532988298,\"ymin\":31.53971199076161,\"height\":572}"],"notes":[""],"file":[],"markName":["chushi"],"camera":["{\"direction\":{\"x\":0.9524965547421739,\"y\":-0.17717070442174643,\"z\":-0.2477112324845024},\"up\":{\"x\":0.2766737433960465,\"y\":0.8433430084815148,\"z\":0.46067798922953374},\"position\":{\"x\":-1379876.3207500547,\"y\":5258630.398312824,\"z\":3336264.9567274153}}"]}', '2275', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4822', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 10:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '234', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4823', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4824', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '222', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4825', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4826', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-17 10:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 10:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.68167031597487,\"ymax\":31.525565515684512,\"xmax\":104.69416495676928,\"ymin\":31.538772878321247,\"height\":591}"],"notes":[""],"file":[],"markName":["开挖"],"camera":["{\"direction\":{\"x\":0.8923465768124451,\"y\":-0.26757410926532066,\"z\":-0.3634854644989006},\"up\":{\"x\":0.4044505869337899,\"y\":0.8315038547858717,\"z\":0.3808163103192259},\"position\":{\"x\":-1379493.40459689,\"y\":5258767.800874785,\"z\":3336244.062185647}}"]}', '2274', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6954', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 14:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379747.8379763144,\"y\":5258378.657773567,\"z\":3336526.300199279},\"label\":{\"text\":\"标高：469.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379747.1241580541,\"y\":5258375.937329586,\"z\":3336524.574033576},{\"x\":-1379747.8379763144,\"y\":5258378.657773567,\"z\":3336526.300199279}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '280', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6955', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '4200', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6956', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1007', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6957', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4681', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 10:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4682', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 10:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4683', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4684', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '213', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4689', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/user', 'POST', '{"realName":["dhq"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13500000000"],"roleid":[""],"departmentId":["3"],"email":["dhaiq@qq.com"],"username":["dhq"]}', '242', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4798', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 17:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4926', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/menu', 'POST', '{}', '26', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4927', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4928', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4929', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '295', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4930', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4931', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4932', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4933', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4934', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:13:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4935', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4666', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":["9"],"file":[],"markName":["9"],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '25', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4667', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4668', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4669', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4670', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4671', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4672', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 10:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4673', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4674', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/42', 'DELETE', '{"id":["42"]}', '2304', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4675', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4676', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.6679770107373,\"ymax\":31.517969348122865,\"xmax\":104.69610045349225,\"ymin\":31.537252430312062,\"height\":491}"],"notes":["查看"],"file":[],"markName":["小径"],"camera":["{\"direction\":{\"x\":0.9654119151955929,\"y\":-0.13616350414205358,\"z\":-0.22234957642895173},\"up\":{\"x\":0.22900107372728007,\"y\":0.8505403799362569,\"z\":0.4734338077594807},\"position\":{\"x\":-1379755.423644457,\"y\":5258720.696951713,\"z\":3336017.757492486}}"]}', '2285', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4711', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4712', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4574', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 17:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379506.6662446307,\"y\":5258497.727557654,\"z\":3336442.940467699},\"label\":{\"text\":\"坐标：104.699649 , 31.538222 , 472.229\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379506.1104290008,\"y\":5258495.608861676,\"z\":3336441.5961848632},{\"x\":-1379506.6662446307,\"y\":5258497.727557654,\"z\":3336442.940467699}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5815', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-20 11:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.63635035473949,\"ymax\":31.509964497291268,\"xmax\":104.6913240306181,\"ymin\":31.543286951356507,\"height\":481}"],"notes":[""],"file":[],"markName":["试一试"],"camera":["{\"direction\":{\"x\":0.9832458278702757,\"y\":-0.04847513827967196,\"z\":-0.17572080965117065},\"up\":{\"x\":0.13047053661040678,\"y\":0.8603598510999412,\"z\":0.49270515086802136},\"position\":{\"x\":-1379378.0756121546,\"y\":5258482.502642135,\"z\":3336531.4745950485}}"]}', '205', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

### The error may exist in com/tofly/xnkd/mapper/FilesMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.FilesMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PAPN_FILES_P  ( ID,   file_name,          CREATE_TIME, CREATE_USER )  VALUES  ( ?,   ?,          ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5816', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5817', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5819', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5820', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-20 11:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.86239801169671,\"ymax\":32.902594647532545,\"xmax\":104.96325340868395,\"ymin\":31.552695540139993,\"height\":10859}"],"notes":[""],"file":[],"markName":["1220-4"],"camera":["{\"direction\":{\"x\":0.200809068128325,\"y\":-0.7571675641984588,\"z\":0.621589090865667},\"up\":{\"x\":-0.1593435444935109,\"y\":0.6008183025769528,\"z\":0.7833434764627798},\"position\":{\"x\":-1397714.7570496171,\"y\":5270201.629356695,\"z\":3330259.540381622}}"]}', '2281', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5821', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5822', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 11:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6025', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6026', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6027', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6029', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2500', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:00:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:00:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490351.057469645,\"y\":5217008.921283312,\"z\":3353745.510879225},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n4TQ504-4TQ503,200.0,PE,0.8,0.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490315.6752554537,\"y\":5217011.05985379,\"z\":3353758.024940767},{\"x\":-1490351.057469645,\"y\":5217008.921283312,\"z\":3353745.510879225}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2439', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 16:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 16:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '804', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2441', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '7341', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2442', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 19:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 19:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '448', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2444', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-15 21:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-15 21:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '512', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2475', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '391', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2476', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-16 10:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '302', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2490', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-16 10:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Idina Menzel - Let It Go.mp3"]}', '56', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2491', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 10:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 10:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1490335.574159328,\"y\":5217004.707367417,\"z\":3353761.867473245},\"label\":{\"text\":\"\\n管线长度（m）：94.1578898076769\\n管道类型：中压\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"isshow\":true}"]}', '174', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2752', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source', 'POST', '{}', '37', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2753', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '34', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2754', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '73', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2755', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["233,235"]}', '238', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2534', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490412.6562617214,\"y\":5216526.303607628,\"z\":3354399.09019257},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490412.6562617214,\"y\":5216526.303607628,\"z\":3354399.09019257}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2246', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)

### The error may exist in com/tofly/xnkd/mapper/LabelinfoMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.LabelinfoMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_YWPN_LABELINFO_W  ( ID, label_type, name,      remark, CREATE_TIME, CREATE_USER, geometry )  VALUES  ( ?, ?, ?,      ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_YWPN_LABELINFO_ID)
', 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2535', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490415.3357980775,\"y\":5216522.723827027,\"z\":3354403.6435224526},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490415.3357980775,\"y\":5216522.723827027,\"z\":3354403.6435224526}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4160', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4680', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 10:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4106', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4107', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '282', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4108', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:30:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4109', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-12 09:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4110', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 09:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4111', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4112', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 09:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4113', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4114', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '234', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4115', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 09:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4161', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4162', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 12:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 12:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4163', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 13:02:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:02:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '223', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4164', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4165', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 13:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4166', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4167', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 13:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4168', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4169', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4170', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4171', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4172', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4173', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 13:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4174', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4175', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 13:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3537', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3642', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '474', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3643', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448"]}', '20941', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3806', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 19:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 19:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4033', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4046', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '95', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4064', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:56:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4082', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 20:25:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:25:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4083', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4090', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5443', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 17:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5444', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 17:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '213', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5445', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5446', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5330', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,5,6,32"]}', '21', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5331', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,5,6,32"]}', '18', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4936', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4991', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '291', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4992', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '126', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4995', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:30:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:30:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '215', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4996', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '159', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4997', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4999', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role', 'PUT', '{}', '471', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5388', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5389', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5390', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '84', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5391', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5392', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5393', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:35:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:35:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5394', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["9"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5395', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["10"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3355', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3356', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 19:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 19:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3357', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:00:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3358', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3359', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3360', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3361', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '22', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3362', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:01:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:01:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3363', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3364', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3365', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3366', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4599', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '66', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4600', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '65', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4601', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '64', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5452', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 18:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 18:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5453', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5454', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 19:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5455', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5456', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5457', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 19:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5458', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 19:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5459', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5460', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5461', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 19:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5462', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5463', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5464', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5465', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5466', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5467', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6030', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6031', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6032', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:30:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '213', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6033', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6035', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6036', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6037', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6038', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '245', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6039', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-22 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6040', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6041', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3410', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 17:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 17:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3415', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 18:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3416', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 18:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3422', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379703.7271937432,\"y\":5258390.265943578,\"z\":3336530.2367769685},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379702.5916104615,\"y\":5258385.937956379,\"z\":3336527.4906019177},{\"x\":-1379703.7271937432,\"y\":5258390.265943578,\"z\":3336530.2367769685}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3423', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4602', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '67', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4603', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '247', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4604', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '66', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4605', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '65', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4606', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '65', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4607', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '65', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4608', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '66', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4609', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["1"]}', '65', NULL, 'ResultRespone(code=-1, message=用户信息为空1, result=null)用户不存在', 'content:登录 :1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4610', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["1"]}', '70', NULL, 'ResultRespone(code=-1, message=用户信息为空1, result=null)用户不存在', 'content:登录 :1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2536', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490415.3031643764,\"y\":5216522.7453435175,\"z\":3354403.6277418258},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490415.3031643764,\"y\":5216522.7453435175,\"z\":3354403.6277418258}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2537', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490411.7433098597,\"y\":5216520.685456608,\"z\":3354408.4865360036},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490411.7433098597,\"y\":5216520.685456608,\"z\":3354408.4865360036}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2538', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490411.7433098597,\"y\":5216520.685456608,\"z\":3354408.4865360036},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490411.7433098597,\"y\":5216520.685456608,\"z\":3354408.4865360036}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2539', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490412.7489954347,\"y\":5216527.002491678,\"z\":3354397.942089241},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490412.7489954347,\"y\":5216527.002491678,\"z\":3354397.942089241}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2578', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490408.0571730232,\"y\":5216522.524792447,\"z\":3354407.2957765954},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490408.0571730232,\"y\":5216522.524792447,\"z\":3354407.2957765954}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '24', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2571', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.6454888817,\"y\":5216529.53261491,\"z\":3354396.1406205674},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.6454888817,\"y\":5216529.53261491,\"z\":3354396.1406205674}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2572', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490406.0498840045,\"y\":5216530.02740685,\"z\":3354396.053380957},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490406.0498840045,\"y\":5216530.02740685,\"z\":3354396.053380957}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '28', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5332', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4"]}', '5', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5333', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4"]}', '5', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5334', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4"]}', '5', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5340', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5341', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,5"]}', '9', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4648', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.920777299808,\"ymax\":31.7628692437235,\"xmax\":105.92430237045812,\"ymin\":31.75363162046655,\"height\":424}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":-0.15106521316607613,\"y\":-0.9707525767050706,\"z\":0.18659779256881387},\"up\":{\"x\":-0.4434415302154641,\"y\":0.2352536267930457,\"z\":0.8648788009662892},\"position\":{\"x\":-1487766.6996943909,\"y\":5215808.114215104,\"z\":3356773.449412242}}"]}', '29', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4649', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4650', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '2298', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4651', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '47', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4652', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":105.92535702725435,\"ymax\":31.76607742350572,\"xmax\":105.92888176296997,\"ymin\":31.756839674380366,\"height\":424}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":-0.15101266957464024,\"y\":-0.9707731807667481,\"z\":0.18653312073717926},\"up\":{\"x\":-0.443471584877237,\"y\":0.23517294531407254,\"z\":0.864885332977023},\"position\":{\"x\":-1488131.981961813,\"y\":5215508.438996285,\"z\":3357077.1445904393}}"]}', '64', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4653', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '516', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4678', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 10:35:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:35:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4679', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4766', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-16 15:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69994816081365,\"ymax\":31.531267793199515,\"xmax\":104.69355152894211,\"ymin\":31.53840360329917,\"height\":513}"],"notes":[""],"file":[],"markName":["kaiwa"],"camera":["{\"direction\":{\"x\":0.287467766459377,\"y\":-0.25897301853878024,\"z\":-0.922114558455602},\"up\":{\"x\":0.00255222074354479,\"y\":0.9629557215479968,\"z\":-0.2696474819227004},\"position\":{\"x\":-1379295.4653355922,\"y\":5258510.784999864,\"z\":3336581.1205296824}}"]}', '2273', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4767', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 15:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '224', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4768', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 15:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4770', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 15:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4888', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '267', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4889', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '412', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4890', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 13:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4891', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4892', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4893', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4957', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'POST', '{}', '9', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4958', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'PUT', '{}', '6', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3558', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '232', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3559', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '254', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3747', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3839', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 11:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3923', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5247', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '236', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5248', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5468', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 19:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5469', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5470', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:49:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5471', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5472', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5473', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5474', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 19:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 19:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5475', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 20:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 20:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5476', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 21:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 21:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5477', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-18 21:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 21:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["189,195,194"]}', '26', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5478', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '2499', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4176', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 13:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '176', NULL, 'ResultRespone(code=-1, message=用户信息为空123, result=null)用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4177', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 13:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '219', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4178', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4179', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4180', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 13:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 13:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4181', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4182', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 14:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4183', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4184', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4185', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4186', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4187', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 14:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4188', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5845', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5846', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5847', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 11:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5848', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '224', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5849', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5850', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 12:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 12:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5606', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '233', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5607', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-19 14:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5608', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '230', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5609', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 14:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5610', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5611', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5612', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 14:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '227', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5613', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 14:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4611', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["1"]}', '62', NULL, 'ResultRespone(code=-1, message=用户信息为空1, result=null)用户不存在', 'content:登录 :1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4612', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["1"]}', '66', NULL, 'ResultRespone(code=-1, message=用户信息为空1, result=null)用户不存在', 'content:登录 :1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4613', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["11"]}', '67', NULL, 'ResultRespone(code=-1, message=用户信息为空11, result=null)用户不存在', 'content:登录 :11');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4614', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '349', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4615', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '312', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4616', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '265', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4617', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4800', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 17:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4801', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 08:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 08:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4802', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4803', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '227', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5000', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '101', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5396', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["6"]}', '8', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5397', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5398', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5399', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["12"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5400', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["8"]}', '8', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5401', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5402', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5403', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5404', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5405', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["13,14,16,17"]}', '19', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5406', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4194', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:22:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:22:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4195', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:23:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4196', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4197', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4198', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4199', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4200', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4206', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4207', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-12 14:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379364.1208594919,\"y\":5258481.011332977,\"z\":3336528.6150912098},\"label\":{\"text\":\"管径：500X200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379363.6018635274,\"y\":5258479.0327905575,\"z\":3336527.3596976125},{\"x\":-1379364.1208594919,\"y\":5258481.011332977,\"z\":3336528.6150912098}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4208', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 14:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '249', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4209', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4210', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 14:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4211', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2573', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490403.74333688,\"y\":5216530.664934153,\"z\":3354396.0503538395},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490403.74333688,\"y\":5216530.664934153,\"z\":3354396.0503538395}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2574', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490402.527480945,\"y\":5216529.021772011,\"z\":3354399.2154155327},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490402.527480945,\"y\":5216529.021772011,\"z\":3354399.2154155327}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '30', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2575', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490408.9661010003,\"y\":5216528.718001937,\"z\":3354396.8616243266},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490408.9661010003,\"y\":5216528.718001937,\"z\":3354396.8616243266}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2576', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490410.2065938325,\"y\":5216529.227953526,\"z\":3354395.49871612},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490410.2065938325,\"y\":5216529.227953526,\"z\":3354395.49871612}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '19', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2553', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490408.244220522,\"y\":5216526.353471879,\"z\":3354400.9646272897},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490408.244220522,\"y\":5216526.353471879,\"z\":3354400.9646272897}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '27', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2554', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-11-16 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-16 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1490407.8743530395,\"y\":5216526.647851919,\"z\":3354400.733312245},\"label\":{\"text\":\"管线编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n17TQ74-17TQ75,200.0,PE,1.15,1.17\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1490407.9265749343,\"y\":5216526.926471464,\"z\":3354400.052926718},{\"x\":-1490407.8743530395,\"y\":5216526.647851919,\"z\":3354400.733312245}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '59', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2782', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2783', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '54', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2784', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 21:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 21:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '31', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2786', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '175920', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2789', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2796', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"name":["006"],"ids":["235,233"],"id":["1"]}', '63', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2798', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:18:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:18:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '63', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2799', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '42', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2803', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'POST', '{}', '39', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2804', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '39', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2805', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2806', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '25', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2807', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source', 'POST', '{}', '24', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5249', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1059', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5251', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '266', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5603', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 14:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4225', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:15:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:15:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4598', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '60', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4793', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4794', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '105', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4795', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 17:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4796', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 17:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4797', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 17:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 17:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4973', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5573', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4979', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '220', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4980', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4981', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5298', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199,200"]}', '5689', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5369', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5370', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5371', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5372', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5373', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5374', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:19:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:19:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5375', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5376', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5377', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailing"]}', '75', NULL, 'qiuhailing用户不存在', 'content:登录 :qiuhailing');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5378', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qhl"]}', '68', NULL, 'qhl用户不存在', 'content:登录 :qhl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5379', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5380', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5381', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:26:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:26:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '50', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5382', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5383', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5384', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:28:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:28:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '54', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5807', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 11:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '219', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5808', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5809', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 11:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '230', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5810', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5811', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5812', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5813', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-20 11:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5814', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-20 11:12:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:12:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.63635035473949,\"ymax\":31.509964497291268,\"xmax\":104.6913240306181,\"ymin\":31.543286951356507,\"height\":481}"],"notes":[""],"file":[],"markName":["试一试"],"camera":["{\"direction\":{\"x\":0.9832458278702757,\"y\":-0.04847513827967196,\"z\":-0.17572080965117065},\"up\":{\"x\":0.13047053661040678,\"y\":0.8603598510999412,\"z\":0.49270515086802136},\"position\":{\"x\":-1379378.0756121546,\"y\":5258482.502642135,\"z\":3336531.4745950485}}"]}', '2308', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3743', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5614', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 14:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1378307.1717975338,\"y\":5258453.640606634,\"z\":3336124.7744616168},\"label\":{\"text\":\"标高：9.94 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1378306.5710443198,\"y\":5258451.348640822,\"z\":3336123.320367988},{\"x\":-1378307.1717975338,\"y\":5258453.640606634,\"z\":3336124.7744616168}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5615', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5616', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 14:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199"]}', '10', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5617', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 14:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5618', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 14:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 14:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5619', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5620', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5621', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 15:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '225', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5622', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5623', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5624', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5625', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5626', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5627', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5628', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '224', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5629', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-19 15:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5630', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5631', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5632', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 15:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4554', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4555', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 16:44:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:44:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4557', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4559', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 16:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4561', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '184', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4562', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4563', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4564', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4565', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 17:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4566', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 17:25:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:25:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4573', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 17:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4677', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5275', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4727', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4728', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5753', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5754', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 09:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5755', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 09:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5756', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-20 09:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '11', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5757', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 09:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5758', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5759', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 09:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '239', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4212', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4213', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4214', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4215', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4216', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4217', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4218', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4219', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4220', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3508', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '213', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3546', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:59:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:59:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '104', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3547', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '5', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3548', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '17', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3549', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{}', '5961', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3550', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{"33,":[null]}', '3780', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3551', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{"33,":[null]}', '4449', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3552', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 17:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user/removeByIds', 'DELETE', '{"ids":["33"]}', '195', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3555', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '241', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3627', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 11:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3628', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 11:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3782', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3783', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 17:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3784', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 17:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3885', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 12:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 12:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3712', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:10:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3713', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3719', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3720', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3721', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 11:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4575', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379505.4924239283,\"y\":5258490.326575285,\"z\":3336455.172088951},\"label\":{\"text\":\"标高：472.27 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379504.936608775,\"y\":5258488.207882303,\"z\":3336453.8278011954},{\"x\":-1379505.4924239283,\"y\":5258490.326575285,\"z\":3336455.172088951}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4577', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4578', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 17:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4579', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4580', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 17:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.173', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4581', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '276', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4582', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '575', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4583', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4584', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4585', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2808', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source', 'PUT', '{}', '25', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2809', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 10:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 10:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '28', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2811', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role', 'POST', '{}', '30', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2812', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role', 'PUT', '{}', '9', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2813', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '51', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2814', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["123"],"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["3213321"],"roleid":[""],"departmentId":["3"],"email":["670@qq.com"],"username":["cs007"]}', '487', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2815', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["123"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["3213321"],"roleid":["undefined"],"departmentId":["3"],"id":["33"],"isupdate":["1"],"email":["67065@qq.com"],"username":["cs007"]}', '2916', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2816', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["33"]}', '18', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2817', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '11', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2818', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'PUT', '{}', '8', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2820', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'POST', '{}', '9', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2821', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'PUT', '{}', '8', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2822', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '13', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2823', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2824', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '12', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2825', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '10', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2826', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '26', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2827', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '18', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2828', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '242', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2829', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 14:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 14:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '225', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2830', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 15:15:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 15:15:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3602', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2831', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 15:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 15:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '248', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2721', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/department', 'PUT', '{}', '20', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2730', '1', 'tofly-base', 'pra', TO_DATE('2019-11-20 20:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-20 20:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '29', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2735', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '44', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2736', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 09:53:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 09:53:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '30', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2744', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '29', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2747', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '25', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2749', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/source/removeByIds', 'DELETE', '{"ids":["34"]}', '118', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2785', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '37', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2793', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '18', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2832', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 15:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 15:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '261', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2833', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 15:59:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 15:59:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5880', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2834', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '243', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2843', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 17:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '243', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2844', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-22 17:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 17:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/role', 'PUT', '{}', '8', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2756', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,234"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2765', '1', 'tofly-base', 'pra', TO_DATE('2019-11-21 20:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-21 20:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/sourcedic', 'POST', '{}', '18', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2787', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '26', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2788', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["40,233"]}', '21', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2790', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:35:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '22', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2792', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu', 'POST', '{}', '25', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2794', '1', 'tofly-base', 'pra', TO_DATE('2019-11-22 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["236,237"]}', '65', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2835', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-22 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '253', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2836', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 16:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '43', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2837', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '9', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3744', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3748', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 14:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3749', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3750', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3751', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3752', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 14:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3756', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3757', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 14:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1107', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3430', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '219', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3431', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '241', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3432', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379599.5330949582,\"y\":5258423.965077063,\"z\":3336520.9438801166},\"label\":{\"text\":\"标高：472.33 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379598.9815676217,\"y\":5258421.862898507,\"z\":3336519.610027458},{\"x\":-1379599.5330949582,\"y\":5258423.965077063,\"z\":3336520.9438801166}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3433', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379682.2992555785,\"y\":5258640.640782981,\"z\":3336144.2585715004},\"label\":{\"text\":\"标高：471.60 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379681.6979465208,\"y\":5258638.348901552,\"z\":3336142.8045746223},{\"x\":-1379682.2992555785,\"y\":5258640.640782981,\"z\":3336144.2585715004}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3434', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-05 20:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379681.6457223888,\"y\":5258640.824505836,\"z\":3336144.1494410466},\"label\":{\"text\":\"标高：471.55 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379681.0444136115,\"y\":5258638.532624308,\"z\":3336142.6954442053},{\"x\":-1379681.6457223888,\"y\":5258640.824505836,\"z\":3336144.1494410466}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4254', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4255', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4256', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4257', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4258', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4259', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4260', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4261', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 16:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4262', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4263', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4264', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 16:14:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:14:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '241', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4265', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4266', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 16:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4267', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4268', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4269', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 16:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '242', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4270', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '76', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4271', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 16:24:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:24:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5760', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 10:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5761', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5762', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5763', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 10:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5764', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5765', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 10:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '237', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5766', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5767', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5768', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5769', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 10:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5770', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5771', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5772', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5773', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3971', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3972', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3973', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3974', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 15:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3975', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 15:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3976', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3977', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3981', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 16:13:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3982', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 16:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3983', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 16:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3984', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:25:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:25:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3995', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3996', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3997', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4001', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4002', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 17:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["20eabe5d64b0e216796e834f52d61fd0b70332fc"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '250', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4003', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["94ae0a96d83a445d72a93417b63ac90d79db5eca"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '341', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4004', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '304', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4005', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 17:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4019', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5695', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 17:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5696', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 18:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 18:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5697', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 18:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 18:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4281', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4282', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 17:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4283', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 17:28:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:28:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4284', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 17:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4285', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 17:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4586', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4587', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '114', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4588', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '64', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4589', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4590', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 09:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4591', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '70', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4592', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '86', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4593', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '63', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4959', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '221', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4960', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '10', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4961', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 15:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4962', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '102', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4963', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4965', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["34"]}', '41', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5065', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:21:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:21:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5066', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5067', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'PUT', '{}', '5', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5068', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'PUT', '{}', '5', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5069', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5073', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5074', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3870', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 11:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '249', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3871', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3872', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3873', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3874', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4020', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4021', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4022', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4023', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4024', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 18:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4025', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 18:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '249', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4026', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4027', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4028', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4029', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4030', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 18:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4031', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4032', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 18:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4036', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2838', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 16:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '8', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2839', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 16:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '7', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2840', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-22 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/videoconfig', 'PUT', '{}', '7', NULL, NULL, 'content:修改视频监控配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2841', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-22 16:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '598', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2842', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-11-22 16:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-22 16:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '397', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2862', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 09:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 09:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2682', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2865', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1449', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2882', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2883', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2884', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2885', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 11:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 11:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.147', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2893', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '766', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2894', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '984', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2897', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 13:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 13:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '426', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2898', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-24 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-24 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '448', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2688', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 09:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 09:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '6251', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2700', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '344', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2701', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '265', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2702', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:13:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:13:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '297', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2703', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-11-19 13:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '285', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2704', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-19 13:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-19 13:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '287', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2643', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '481', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2644', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '475', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('2645', '2', 'tofly-auth', 'tofly', TO_DATE('2019-11-18 10:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-18 10:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '366', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3213', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-03 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-03 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5681', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5682', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:55:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:55:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5683', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 17:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5684', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 17:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5685', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:12:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:12:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["上图员"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18900000000"],"roleid":["undefined"],"departmentId":["3"],"id":["2"],"isupdate":["1"],"email":["028tofly@qq.com"],"username":["cs01"]}', '73', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4272', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 16:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4273', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 16:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4274', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4275', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 16:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4276', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4277', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 17:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4278', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4279', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 17:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4280', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 17:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5342', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '215', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5343', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 15:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5344', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5345', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4"]}', '5', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5346', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5347', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5348', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5349', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5350', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5351', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5352', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '8', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5353', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,5,6,32"]}', '15', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5354', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '7', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5355', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["4,5,6,32"]}', '17', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5356', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5357', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:08:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:08:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5358', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5359', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5360', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5361', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5362', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5363', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '234', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5364', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5365', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5366', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5367', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '209', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5368', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '222', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5481', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5482', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 09:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5483', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 09:17:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:17:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5835', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 11:43:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:43:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '247', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5836', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '94', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5837', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 11:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5839', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:50:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:50:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4286', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4287', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 17:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4288', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 17:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4289', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 17:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 17:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4290', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 18:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 18:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4291', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 18:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 18:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4292', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 19:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4293', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4294', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4295', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 19:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4296', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4297', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:48:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4298', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 19:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4299', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3553', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 17:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 17:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '231', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3556', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '249', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3565', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 10:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 10:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '216', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3566', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4778', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4779', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '258', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4780', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 16:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3408', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 15:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 15:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["田洁"]}', '71', NULL, 'ResultRespone(code=-1, message=用户信息为空田洁, result=null)用户不存在', 'content:登录 :田洁');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3409', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 15:27:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 15:27:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '233', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3561', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '220', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3563', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 10:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 10:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '215', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3567', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3568', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3987', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3988', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 16:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3998', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 17:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '220', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3999', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 17:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4946', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/menu', 'PUT', '{}', '14', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4947', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306"]}', '329', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5166', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5167', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4037', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4038', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4039', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4040', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4041', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4042', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '220', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4043', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4044', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4045', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4047', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5774', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5775', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5776', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5777', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5778', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5779', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5780', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5781', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5782', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5783', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5784', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5785', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 10:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '396', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5786', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5958', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 15:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '487', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5959', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 15:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '385', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5960', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '34028', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5965', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 16:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '85', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5966', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '50', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5968', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '58', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5969', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 16:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '175', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5970', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '106', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5971', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '41', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5972', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 16:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5168', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 11:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5169', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5170', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5171', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5172', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5173', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5174', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5175', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5176', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5177', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5178', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5179', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5686', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["3"]}', '75', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5687', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["3"]}', '72', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5688', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["3"]}', '76', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5689', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 17:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3528', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 12:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 12:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379712.2444498953,\"y\":5258388.275753999,\"z\":3336529.891256516},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379711.1088596063,\"y\":5258383.947768453,\"z\":3336527.1450817585},{\"x\":-1379712.2444498953,\"y\":5258388.275753999,\"z\":3336529.891256516}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3609', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3667', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-09 14:46:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:46:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379614.0461021701,\"y\":5258420.375528836,\"z\":3336520.525752916},\"label\":{\"text\":\"标高：472.29 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379613.4945690297,\"y\":5258418.2733517,\"z\":3336519.1919004163},{\"x\":-1379614.0461021701,\"y\":5258420.375528836,\"z\":3336520.525752916}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3730', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3732', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 13:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '239', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3733', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 13:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '249', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3734', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3735', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '102', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3736', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3737', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:14:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:14:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3741', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 13:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3742', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 13:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 13:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5961', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5962', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5963', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 16:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6229', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '224', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6230', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '482', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4347', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4348', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '215', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4349', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4350', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4351', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:22:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:22:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '216', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4352', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 09:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5840', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 11:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '243', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5841', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 11:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5842', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5843', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5844', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-20 11:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3412', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 18:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379707.70855744,\"y\":5258389.385571569,\"z\":3336530.0143114976},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379706.572970884,\"y\":5258385.057585107,\"z\":3336527.2681366373},{\"x\":-1379707.70855744,\"y\":5258389.385571569,\"z\":3336530.0143114976}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4226', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4227', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4228', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:18:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:18:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4229', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4230', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4231', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4232', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4233', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:25:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4234', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4235', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4236', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '226', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4237', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:32:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4238', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4239', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4240', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '135', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4241', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 15:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4242', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4243', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '3389', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4244', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '261', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4618', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tiwe1"]}', '67', NULL, 'ResultRespone(code=-1, message=用户信息为空tiwe1, result=null)用户不存在', 'content:登录 :tiwe1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4619', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '364', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4620', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '320', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4621', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 09:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4622', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '958', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4623', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '240', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4624', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4625', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["28,30"]}', '38', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4626', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-16 09:30:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:30:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["232"]}', '16', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3530', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 13:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 13:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3589', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 14:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 14:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3602', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '210', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5851', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-20 12:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 12:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379382.8752313324,\"y\":5258477.819991388,\"z\":3336525.930314023},\"label\":{\"text\":\"标高：471.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379382.031851426,\"y\":5258474.60486192,\"z\":3336523.8903010753},{\"x\":-1379382.8752313324,\"y\":5258477.819991388,\"z\":3336525.930314023}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '24', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5852', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 13:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '229', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5853', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '186', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5854', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 13:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '227', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5855', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 13:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5856', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 13:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '218', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5857', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5858', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 13:09:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '241', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5859', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5860', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5861', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5862', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 13:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:24:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '214', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5863', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5864', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 13:28:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:28:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5865', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5866', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:37:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:37:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5867', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 13:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5868', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5869', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5870', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5871', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5872', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 13:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5873', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5874', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5875', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5876', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 14:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 14:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3623', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 10:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '889', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3697', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3698', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:42:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:42:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3699', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 09:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3700', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 10:08:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:08:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3701', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3706', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3707', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3709', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3710', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:07:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:07:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3711', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 11:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4752', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '233', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4753', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 14:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4754', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5180', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5181', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5182', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5183', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5184', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5185', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5186', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:42:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:42:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5187', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5188', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-18 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5189', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5190', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5191', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5192', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5193', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '281', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5194', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:51:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5195', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5196', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 11:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5197', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/57', 'DELETE', '{"id":["57"]}', '2401', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5198', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/57', 'DELETE', '{"id":["57"]}', '208', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5199', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/57', 'DELETE', '{"id":["57"]}', '756', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5339', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4442', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 13:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4450', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 13:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4451', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 13:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 13:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4460', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4462', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '76', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4464', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4465', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4468', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4469', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 14:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4473', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4474', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '250', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4475', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 14:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 14:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '237', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4481', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 14:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4485', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 14:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4486', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 14:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4491', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3722', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-10 11:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["G.E.M. 邓紫棋 - 光年之外 [mqms2].m4a"]}', '2328', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3723', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-10 11:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["G.E.M. 邓紫棋 - 光年之外 [mqms2].m4a"]}', '19', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3724', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-10 11:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/systemmusic/update', 'PUT', '{"id":["29"],"isdefault":["1"]}', '9', NULL, NULL, 'content:修改用户背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3725', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1461', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3726', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1530', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3767', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1845', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3554', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 18:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 18:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '220', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4353', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["08179d69a144dbaede8be82bb41d54c9cfc19a2c"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '265', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4354', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '342', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4355', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:26:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4356', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 09:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379753.96749627,\"y\":5258516.762071901,\"z\":3336313.507217455},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.090\",\"green\":\"0.941\",\"blue\":\"0.000\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379753.1022586962,\"y\":5258513.464479442,\"z\":3336311.415030103},{\"x\":-1379753.96749627,\"y\":5258516.762071901,\"z\":3336313.507217455}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"测试\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4357', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 09:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379370.5582842745,\"y\":5258480.354726244,\"z\":3336526.105648207},\"label\":{\"text\":\"标高：470.64 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379369.7149118355,\"y\":5258477.139594982,\"z\":3336524.0656349966},{\"x\":-1379370.5582842745,\"y\":5258480.354726244,\"z\":3336526.105648207}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4358', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379358.996585215,\"y\":5258479.145764365,\"z\":3336532.6077168416},\"label\":{\"text\":\"管径：325 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379358.1099703247,\"y\":5258475.765755304,\"z\":3336530.4630833576},{\"x\":-1379358.996585215,\"y\":5258479.145764365,\"z\":3336532.6077168416}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4359', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4360', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4361', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4362', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4363', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4364', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 09:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4365', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4366', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 09:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '217', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4367', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:47:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:47:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4368', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:47:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:47:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '82', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4369', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4370', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 09:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5113', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '217', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5114', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4373', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 09:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4374', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 10:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4375', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '227', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4376', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4377', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4378', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3617', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3678', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 16:16:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '242', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3680', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '218', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3681', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4407', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-13 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4408', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4409', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4410', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '216', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4411', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5912', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '13', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5913', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 15:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 15:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '55', NULL, 'null', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3758', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 14:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '112', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3763', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11321', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3768', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 15:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9383', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3930', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3931', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3932', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3933', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3942', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 14:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3943', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3944', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3949', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3950', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3951', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3952', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3953', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3954', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3955', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 15:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3956', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 15:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3957', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5690', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["上图员"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18980000000"],"roleid":["undefined"],"departmentId":["3"],"id":["3"],"isupdate":["1"],"email":["028tofly@qq.com"],"username":["cs02"]}', '68', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5741', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 22:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 22:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '265', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5742', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 22:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 22:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '400', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5743', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 08:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 08:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2498', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5744', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 08:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 08:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5745', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 09:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '247', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5746', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 09:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4755', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4769', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 15:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4804', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '226', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5125', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '6', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5126', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5127', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["23"]}', '7', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5128', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '7', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5129', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '5', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5130', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5131', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '247', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5132', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5133', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5134', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '222', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5135', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5136', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:50:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:50:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5156', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '892', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5157', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1589', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5158', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '910', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5159', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5160', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5161', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5162', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5163', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5164', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5165', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 11:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 11:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5479', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '214', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5508', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199"]}', '10', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3562', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 10:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 10:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3573', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3574', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.5061215728,\"y\":5258447.708499601,\"z\":3336415.4787325463},\"label\":{\"text\":\"标高：471.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.7685017744,\"y\":5258444.897338178,\"z\":3336413.6950878273},{\"x\":-1379762.5061215728,\"y\":5258447.708499601,\"z\":3336415.4787325463}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3621', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 10:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3761', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1973', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3762', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3902', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3766', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3383', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3770', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 15:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90494', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3785', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3786', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 17:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3868', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3959', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3960', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5026', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '66', NULL, 'ResultRespone(code=-1, message=用户信息为空pra2, result=null)用户不存在', 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5032', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["111111"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18981178620"],"roleid":["undefined"],"departmentId":["3"],"id":["34"],"isupdate":["1"],"email":["3499140@qq.com"],"username":["pra2"]}', '221', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5033', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '243', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '230', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5035', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '224', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5048', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5049', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.64582452655783,\"ymax\":31.48828846948155,\"xmax\":104.70021665402166,\"ymin\":31.564295865715962,\"height\":5438}"],"notes":["111"],"file":[],"markName":["111"],"camera":["{\"direction\":{\"x\":0.7772696440991975,\"y\":-0.4827911487382147,\"z\":-0.4034409585824697},\"up\":{\"x\":0.6161584258421319,\"y\":0.7138267801171332,\"z\":0.3328665231761103},\"position\":{\"x\":-1382998.4521391978,\"y\":5262183.821191192,\"z\":3338675.56410278}}"]}', '2289', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5050', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '36', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5051', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5052', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5053', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:03:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:03:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5054', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5055', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5056', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5057', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5058', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5059', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5060', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5061', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5063', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5064', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 17:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '228', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5070', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '63', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5385', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:28:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5386', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '8', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5387', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3683', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 16:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 16:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3689', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 09:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3690', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["li''shun"]}', '70', NULL, 'ResultRespone(code=-1, message=用户信息为空li''shun, result=null)用户不存在', 'content:登录 :li''shun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3875', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3876', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3877', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3878', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3879', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 11:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3880', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 11:54:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:54:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3881', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3882', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3883', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3884', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4379', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '218', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4380', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4381', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4382', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-13 10:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4383', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '218', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4384', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4385', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:15:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4386', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4387', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 10:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4388', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4389', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4390', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '270', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4391', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4392', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '228', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4393', '1', 'tofly-base', 'pra', TO_DATE('2019-12-13 10:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4394', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 10:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379748.8262221087,\"y\":5258383.174999399,\"z\":3336521.6487134304},\"label\":{\"text\":\"\\n套管材质：\\n长度：57.85\\n备注：\\n起点经度：\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379748.1124035052,\"y\":5258380.454553723,\"z\":3336519.9225505413},{\"x\":-1379748.8262221087,\"y\":5258383.174999399,\"z\":3336521.6487134304}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4395', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 10:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["195,189,128,129,130,102,104,105,106,103,101,132,133,99,100,137,97,98,145,146,151,196,190,147,148,149,150,143,138,153,154,155,156,157,158,159,160,164,139,140,141,142,161,162,163,165,166,167,168,169,170,171,172,173,174,131,134,135,197,191,144,175,198,192,176,136,193,177,194,199"]}', '416', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4396', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4397', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4398', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4399', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:41:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:41:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4400', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-13 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4401', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 10:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '225', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4402', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4403', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4404', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4405', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4406', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3411', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 18:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 18:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4884', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4885', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '229', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4886', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5486', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 09:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5487', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123"]}', '233', NULL, '123用户不存在', 'content:登录 :123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5488', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:41:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '335', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5747', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-20 09:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69005618235283,\"ymax\":31.54426190887668,\"xmax\":104.69896656356089,\"ymin\":31.539125864798713,\"height\":479}"],"notes":["看圆形范围"],"file":[],"markName":["基础-校园网络-起点编号01GB1004"],"camera":["{\"direction\":{\"x\":0.24671470885803415,\"y\":-0.9407049695692813,\"z\":0.23282184747302653},\"up\":{\"x\":-0.05906355971410617,\"y\":0.22520548078291958,\"z\":0.9725194020374259},\"position\":{\"x\":-1379171.4019234183,\"y\":5258680.931896032,\"z\":3336299.207367153}}"]}', '2746', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5748', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 09:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5749', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 09:42:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 09:42:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '246', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5223', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 13:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5224', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5225', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 13:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '217', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5226', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3764', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 15:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19993', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5515', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5516', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5517', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4371', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-13 09:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 09:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379394.3512080852,\"y\":5258462.676011261,\"z\":3336544.265903134},\"label\":{\"text\":\"坐标：104.698598 , 31.539291 , 470.565\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379393.4753831485,\"y\":5258459.337232367,\"z\":3336542.1474163705},{\"x\":-1379394.3512080852,\"y\":5258462.676011261,\"z\":3336544.265903134}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3367', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:03:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3368', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3369', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3370', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:03:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '9', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3371', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3471', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '236', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3472', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '234', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3473', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3492', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '219', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3493', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379696.016809977,\"y\":5258392.171781892,\"z\":3336530.402546546},\"label\":{\"text\":\"标高：469.23 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379694.8812330388,\"y\":5258387.843793117,\"z\":3336527.6563713565},{\"x\":-1379696.016809977,\"y\":5258392.171781892,\"z\":3336530.402546546}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3494', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379700.1903576045,\"y\":5258391.181160257,\"z\":3336530.2808576208},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379699.0547772367,\"y\":5258386.853172313,\"z\":3336527.5346825398},{\"x\":-1379700.1903576045,\"y\":5258391.181160257,\"z\":3336530.2808576208}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3495', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '229', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3510', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:01:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '220', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3869', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5529', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '218', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5530', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-19 10:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5698', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 19:04:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:04:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '27', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5699', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 19:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5991', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Groove Coverage - Far Away from Home.mp3"]}', '102', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5992', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5993', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:12:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:12:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kissin U_Miranda Cosgrove.mp3"]}', '2304', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5994', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kissin U_Miranda Cosgrove.mp3"]}', '2318', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5995', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Kelly Clarkson - Because Of You.mp3"]}', '63', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5996', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '129', NULL, 'com/baomidou/mybatisplus/core/conditions/update/LambdaUpdateWrapper', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5997', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '119', NULL, 'com/baomidou/mybatisplus/core/conditions/update/LambdaUpdateWrapper', 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5998', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:17:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5999', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '51', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6000', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6001', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '24', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6002', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6003', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:20:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:20:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6004', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Groove Coverage - Far Away from Home.mp3"]}', '2401', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6005', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Whiteeeen - ポケット.mp3"]}', '54', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6006', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 17:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '16', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6007', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6008', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6009', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 17:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 17:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6010', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 18:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 18:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6011', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["li''shu"]}', '236', NULL, 'li''shu用户不存在', 'content:登录 :li''shu');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6012', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["li''shun"]}', '66', NULL, 'li''shun用户不存在', 'content:登录 :li''shun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6013', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 09:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '2644', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6014', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 09:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6015', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 09:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '220', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6016', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 09:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6017', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6018', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 09:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6019', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 09:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6020', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 09:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6021', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '433', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6022', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 10:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6046', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '94', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6047', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '210', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6048', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6049', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6050', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:32:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6051', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3901', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3902', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3903', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:17:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:17:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3904', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:18:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:18:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '148', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3905', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3906', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3907', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3908', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3909', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3916', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3917', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3918', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3919', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3920', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3921', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '213', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3922', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5509', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1378756.8514668422,\"y\":5258387.383192673,\"z\":3336038.131886187},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS57,01YS58,300,砼,0.65,0.73\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379624.160864484,\"y\":5258416.885855891,\"z\":3336516.431859787},{\"x\":-1378756.8514668422,\"y\":5258387.383192673,\"z\":3336038.131886187}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5510', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-19 10:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199"]}', '11', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5511', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5568', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '6', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5569', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '8', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5570', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5,6"]}', '10', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5571', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5572', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5"]}', '10', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5573', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5574', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 11:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 11:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '7', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5575', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:03:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:03:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5576', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 13:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5577', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 13:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5578', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 13:14:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 13:14:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '216', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6055', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6056', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6057', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6058', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6059', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '212', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3481', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7368', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 13:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '141', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7369', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 13:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7370', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.210', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dyx"]}', '143', NULL, NULL, 'content:登录 :dyx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7371', '1', 'tofly-base', 'dyx', TO_DATE('2020-01-06 13:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.210', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7372', '1', 'tofly-base', 'dyx', TO_DATE('2020-01-06 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.210', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7373', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 14:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '126', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7374', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7375', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7376', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7377', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 14:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7378', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '137', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7379', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 14:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '132', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7380', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7381', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 14:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7382', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 14:46:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:46:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7383', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 14:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 14:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7384', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7385', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '133', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7386', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 15:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7387', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7388', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7389', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 15:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7390', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 15:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7391', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '130', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7392', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 15:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7393', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 15:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7394', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7395', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7396', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '153', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7397', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '169', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7398', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7399', '1', 'tofly-base', 'pra', TO_DATE('2020-01-06 16:01:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:01:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6551', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '672', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6661', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 16:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '728', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6662', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 16:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6663', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 16:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '182', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6664', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-26 16:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6528', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6532', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5530', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6541', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '3102', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6542', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29489', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6543', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:17:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '10029', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6546', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '4296', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6547', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:18:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:18:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '2460', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6548', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '3921', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6549', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '4921', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7161', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '319', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7304', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '210', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7305', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-06 09:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7306', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7307', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 09:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7308', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 09:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7309', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '124', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7310', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '125', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7311', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '124', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7406', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 16:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '137', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7407', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 16:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7408', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 17:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7409', '1', 'tofly-base', 'xj', TO_DATE('2020-01-06 17:02:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7410', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7411', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 17:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7412', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 17:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '133', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7413', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7414', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7415', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-06 17:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '64', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7416', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 17:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 17:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7450', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 13:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '133', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7451', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 13:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7452', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 13:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7453', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-07 13:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69893726753408,\"ymax\":31.5343584888927,\"xmax\":104.70029958392014,\"ymin\":31.541639502799377,\"height\":567}"],"notes":[""],"file":[],"markName":["quanshu"],"camera":["{\"direction\":{\"x\":0.5661278402459964,\"y\":-0.5812255458631183,\"z\":-0.5845306949464023},\"up\":{\"x\":0.7074550903240178,\"y\":0.7065448753342691,\"z\":-0.017367622563786267},\"position\":{\"x\":-1379758.8279778112,\"y\":5258455.072028091,\"z\":3336580.770200492}}"]}', '41', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7234', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 15:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7235', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 15:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379335.7733645143,\"y\":5258476.4876904115,\"z\":3336534.013900247},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01XF16,01XF30,315,钢,2.1,2.1\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379354.7905538254,\"y\":5258474.419083701,\"z\":3336531.478372283},{\"x\":-1379335.7733645143,\"y\":5258476.4876904115,\"z\":3336534.013900247}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7236', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379358.042716017,\"y\":5258476.651863163,\"z\":3336534.259140698},\"label\":{\"text\":\"坡度：千分之 0.1\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379357.1561015449,\"y\":5258473.271854963,\"z\":3336532.114505681},{\"x\":-1379358.042716017,\"y\":5258476.651863163,\"z\":3336534.259140698}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '13', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7641', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '130', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7642', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7289', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 14:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 14:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7290', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 14:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 14:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7291', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 15:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 15:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7292', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 15:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 15:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '118', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7293', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 15:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 15:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7294', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '126', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7295', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 15:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 15:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7296', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 16:44:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:44:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7297', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 16:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7298', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 16:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '136', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7299', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 16:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7300', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7301', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7302', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 17:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 17:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7303', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 17:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 17:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7335', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7336', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7337', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 10:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '124', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7338', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 10:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7339', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 10:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7340', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 10:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '134', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7341', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 10:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7342', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 10:19:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:19:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7343', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7344', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7361', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 13:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '500', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7074', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.73250523362664,\"ymax\":31.55632516796714,\"xmax\":104.69299015057278,\"ymin\":31.528978738395853,\"height\":541}"],"notes":[""],"file":[],"markName":["幼儿园"],"camera":["{\"direction\":{\"x\":-0.7299613253775045,\"y\":-0.6546119383888876,\"z\":-0.19656976769549367},\"up\":{\"x\":-0.6516702258129808,\"y\":0.5798475209051235,\"z\":0.48898135883593874},\"position\":{\"x\":-1378551.5536078324,\"y\":5259179.641223256,\"z\":3335887.965806994}}"]}', '46', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7075', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 10:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7076', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.4931667082458,\"ymax\":31.817195852399745,\"xmax\":104.69066181771655,\"ymin\":31.549244755020805,\"height\":578}"],"notes":[""],"file":[],"markName":["西科大驾校"],"camera":["{\"direction\":{\"x\":0.2880985786551713,\"y\":-0.7165651450135957,\"z\":0.6352429471694392},\"up\":{\"x\":-0.130580700777534,\"y\":0.6277755301642032,\"z\":0.7673633847868309},\"position\":{\"x\":-1378246.5472796464,\"y\":5258641.990886084,\"z\":3336931.772193939}}"]}', '40', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7077', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/80', 'DELETE', '{"id":["80"]}', '350', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6474', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 10:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6475', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6476', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6477', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 10:10:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6478', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 10:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6479', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6480', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:16:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:16:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6481', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 10:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6482', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 10:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6483', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6484', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6485', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 10:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6717', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379233.1875245355,\"y\":5258535.198779666,\"z\":3336493.7136640637},\"label\":{\"text\":\"坐标：104.696761 , 31.538767 , 470.759\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379232.6793890742,\"y\":5258533.261436341,\"z\":3336492.484436992},{\"x\":-1379233.1875245355,\"y\":5258535.198779666,\"z\":3336493.7136640637}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6718', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379241.567317751,\"y\":5258527.022742464,\"z\":3336502.806190119},\"label\":{\"text\":\"坐标：104.696869 , 31.538864 , 470.607\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379241.0635037704,\"y\":5258525.101890102,\"z\":3336501.5874212},{\"x\":-1379241.567317751,\"y\":5258527.022742464,\"z\":3336502.806190119}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6719', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379226.3161345085,\"y\":5258529.015883625,\"z\":3336497.8518869793},\"label\":{\"text\":\"长度：13.841m;坡度：千分之145.4\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379239.9279097717,\"y\":5258526.9660482,\"z\":3336499.3035496925},{\"x\":-1379226.3161345085,\"y\":5258529.015883625,\"z\":3336497.8518869793},{\"x\":-1379226.3161345085,\"y\":5258529.015883625,\"z\":3336497.8518869793}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6720', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379215.3028046263,\"y\":5258535.359364586,\"z\":3336492.5659788493},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS664,01YS663,500X200,砖混,0.35000000000000003,0.33\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379239.009684644,\"y\":5258527.68300269,\"z\":3336498.3973823404},{\"x\":-1379215.3028046263,\"y\":5258535.359364586,\"z\":3336492.5659788493}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6665', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 16:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '195', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6666', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-26 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6725', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379192.6531752185,\"y\":5258548.208911763,\"z\":3336482.0416007927},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS663,01YS662,500X200,砖混,0.33,0.34\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379226.4121774693,\"y\":5258538.747419207,\"z\":3336486.4487970434},{\"x\":-1379192.6531752185,\"y\":5258548.208911763,\"z\":3336482.0416007927}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6726', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '141', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6727', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6728', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379626.9305010554,\"y\":5258654.1513934275,\"z\":3336131.572757839},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS284,01YS280,400,PVC,1.16,1.35\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379636.5186664069,\"y\":5258656.175648295,\"z\":3336128.6691669463},{\"x\":-1379626.9305010554,\"y\":5258654.1513934275,\"z\":3336131.572757839}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6729', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379609.7575355305,\"y\":5258654.910585343,\"z\":3336137.4923559907},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS473,01YS474-1,300,砼,0.62,0.6\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379625.0052013586,\"y\":5258650.207990684,\"z\":3336143.9888215098},{\"x\":-1379609.7575355305,\"y\":5258654.910585343,\"z\":3336137.4923559907}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6730', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379632.3947131378,\"y\":5258651.604792709,\"z\":3336133.3103594813},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS284,01YS280,400,PVC,1.16,1.35\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379637.759613826,\"y\":5258655.766030711,\"z\":3336128.60335472},{\"x\":-1379632.3947131378,\"y\":5258651.604792709,\"z\":3336133.3103594813}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6731', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379618.114893047,\"y\":5258655.123877203,\"z\":3336133.692791957},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS284,01YS280,400,PVC,1.16,1.35\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379632.1980308502,\"y\":5258657.389936026,\"z\":3336128.77821807},{\"x\":-1379618.114893047,\"y\":5258655.123877203,\"z\":3336133.692791957}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6732', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379624.6671684384,\"y\":5258651.168399933,\"z\":3336137.185277668},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS473,01YS474-1,300,砼,0.62,0.6\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379630.9345798234,\"y\":5258648.831339946,\"z\":3336143.7564074863},{\"x\":-1379624.6671684384,\"y\":5258651.168399933,\"z\":3336137.185277668}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7454', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 13:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7455', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7456', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 14:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 14:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7457', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 14:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 14:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '140', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7458', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7459', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7460', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7461', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-07 15:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.64984446022687,\"ymax\":31.512060413645745,\"xmax\":104.69552984102899,\"ymin\":31.541312195767112,\"height\":501}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":0.98156493795789,\"y\":-0.059080751601109954,\"z\":-0.1817683618289264},\"up\":{\"x\":0.14257342556619687,\"y\":0.8597144347415605,\"z\":0.49047314811243176},\"position\":{\"x\":-1379816.3509891042,\"y\":5258512.051569877,\"z\":3336341.5330691133}}"]}', '24', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7462', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-07 15:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.64984446022687,\"ymax\":31.512060413645745,\"xmax\":104.69552984102899,\"ymin\":31.541312195767112,\"height\":501}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.98156493795789,\"y\":-0.059080751601109954,\"z\":-0.1817683618289264},\"up\":{\"x\":0.14257342556619687,\"y\":0.8597144347415605,\"z\":0.49047314811243176},\"position\":{\"x\":-1379816.3509891042,\"y\":5258512.051569877,\"z\":3336341.5330691133}}"]}', '17', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7463', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7464', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '133', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7465', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7503', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tiajie"]}', '110', NULL, 'tiajie用户不存在', 'content:登录 :tiajie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7504', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tiajie"]}', '60', NULL, 'tiajie用户不存在', 'content:登录 :tiajie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7505', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '160', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7506', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 09:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7507', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '130', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7514', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '130', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6733', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379634.7464843995,\"y\":5258650.234681249,\"z\":3336145.06217985},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXPSHS0000000495\\n起点编号：01YS473\\n止点编号：01YS474-1\\n类型：YS\\n起点管顶高程：471.764\\n终点管顶高程：471.653\\n起点埋深：0.62\\n终点埋深：0.6\\n要素编码：\\n管线材质：砼\\n压力值：\\n敷设方式：直埋\\n管径：300\\n电缆条数：0\\n总孔数：0\\n已用孔数：0\\n埋设年代：\\n权属单位：西南科技大学\\n淤泥厚度：\\n所在道路：西南科技大学\\n使用状态：\\n勘测单位：\\n监理单位：\\n录入人：上图员\\n入库日期：2019/12/26 14:37:53\\n修改日期：\\n工程名称：\\n设计单位：\\n施工单位：\\n路面情况：\\n地址：\\n粗糙度：\\n勘测日期：\\n修改人：\\n防腐措施：\\n安全提示：\\n定期检测：\\n流向：\\n亚级类别：YS\\n亚级名称：YS\\n起点点号：\\n终点点号：\\n埋深位置：非空管\\n光缆条数：\\n线标准代码：\\n套管材质：\\n长度：0.11\\n备注：\\n起点经度：104.70020513208802\\n起点纬度：31.535111426913396\\n终点经度：104.70059175999\\n终点纬度：31.535094781965096\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379634.1798024161,\"y\":5258648.07470206,\"z\":3336143.6918654954},{\"x\":-1379634.7464843995,\"y\":5258650.234681249,\"z\":3336145.06217985}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6437', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '672', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6438', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 09:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6439', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '156', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6440', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 09:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6441', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 09:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6442', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '157', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6443', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 09:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6444', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6445', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6446', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:38:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '125', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6447', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6448', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6449', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6450', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6496', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 14:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:54:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6497', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 14:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7466', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 15:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '132', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7467', '1', 'tofly-base', 'admin', TO_DATE('2020-01-07 15:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["帅国庆"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13855555555"],"roleid":[""],"departmentId":["3"],"email":["123@126.com"],"username":["sgq"]}', '135', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7468', '1', 'tofly-base', 'admin', TO_DATE('2020-01-07 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '21', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7469', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7470', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-07 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.17877532661696,\"ymax\":31.377957799381473,\"xmax\":104.68804929901479,\"ymin\":31.544530860775588,\"height\":484}"],"notes":[""],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.9802864491590026,\"y\":0.19526423070032967,\"z\":-0.030172136222727085},\"up\":{\"x\":-0.15111382042223365,\"y\":0.8393279667245497,\"z\":0.5222003232011927},\"position\":{\"x\":-1379818.2037027695,\"y\":5258496.107712826,\"z\":3336332.438337199}}"]}', '17', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7471', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-07 15:32:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:32:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.67297755162387,\"ymax\":31.54651783381869,\"xmax\":104.71489667891728,\"ymin\":31.530132840619235,\"height\":3404}"],"notes":[""],"file":[],"markName":["333"],"camera":["{\"direction\":{\"x\":0.23060069797205207,\"y\":-0.8749189102269482,\"z\":-0.4258406023644197},\"up\":{\"x\":0.1177792407800852,\"y\":-0.40932044283460994,\"z\":0.9047567769953125},\"position\":{\"x\":-1379729.4456069428,\"y\":5261232.854810501,\"z\":3337639.489227432}}"]}', '15', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7472', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7473', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 15:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.210', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dyx"]}', '140', NULL, NULL, 'content:登录 :dyx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7474', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 15:34:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:34:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '202', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7475', '1', 'tofly-base', 'dyx', TO_DATE('2020-01-07 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.210', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7476', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7477', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7478', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 15:41:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:41:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7479', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 15:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '129', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7480', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7481', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 16:00:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:00:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '132', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7482', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6721', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379231.9770452448,\"y\":5258524.4198413445,\"z\":3336502.674250435},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS666,01YS665,500X200,砖混,0.33,0.34\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379241.2560426537,\"y\":5258524.986312782,\"z\":3336501.691131472},{\"x\":-1379231.9770452448,\"y\":5258524.4198413445,\"z\":3336502.674250435}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6722', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379237.0184420168,\"y\":5258531.874559208,\"z\":3336497.2130811894},\"label\":{\"text\":\"\\n类型：YS\\n流向：\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379236.5103051378,\"y\":5258529.937217085,\"z\":3336495.983852813},{\"x\":-1379237.0184420168,\"y\":5258531.874559208,\"z\":3336497.2130811894}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6723', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379228.6547693398,\"y\":5258538.924866079,\"z\":3336489.717153126},\"label\":{\"text\":\"\\n淤泥厚度：\\n所在道路：西南科技大学\\n使用状态：\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379228.150960092,\"y\":5258537.004009422,\"z\":3336488.4983890215},{\"x\":-1379228.6547693398,\"y\":5258538.924866079,\"z\":3336489.717153126}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6533', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 16:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30259', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6534', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11856', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6535', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9545', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6536', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3482', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6537', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 16:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17938', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6538', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5424', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6918', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 11:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1890', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6919', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 11:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '328', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6920', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6921', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6922', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6923', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6924', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:51:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:51:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6925', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6926', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 13:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6927', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 13:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6928', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 13:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6931', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1784', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6932', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 13:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3718', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6933', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 13:55:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:55:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17212', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6935', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2921', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6936', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9982', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6937', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:22:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:22:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2390', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6938', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6517', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6939', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2598', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6940', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '3731', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3490', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379685.7622939118,\"y\":5258394.597769492,\"z\":3336530.802298655},\"label\":{\"text\":\"标高：469.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379684.6267254131,\"y\":5258390.269778714,\"z\":3336528.0561231296},{\"x\":-1379685.7622939118,\"y\":5258394.597769492,\"z\":3336530.802298655}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7421', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 09:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7422', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7423', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 09:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7424', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 09:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7425', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-07 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.68475800619923,\"ymax\":31.531502186623932,\"xmax\":104.69537127581317,\"ymin\":31.54298690505094,\"height\":602}"],"notes":[""],"file":[],"markName":["tongji"],"camera":["{\"direction\":{\"x\":0.8953282293323105,\"y\":-0.3121718794923024,\"z\":-0.31770438998369716},\"up\":{\"x\":0.4274082742778089,\"y\":0.8028704689956271,\"z\":0.4155973737809313},\"position\":{\"x\":-1379553.8526097988,\"y\":5258537.611108059,\"z\":3336603.6637326907}}"]}', '546', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7426', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '123', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7427', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7428', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 10:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7429', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7430', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7431', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7432', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 10:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7433', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '134', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7434', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7435', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 10:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7436', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 10:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7437', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 10:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '125', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7438', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 10:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7439', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7440', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7441', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 10:22:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:22:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7442', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 10:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7443', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 10:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7444', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '146', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7445', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7446', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 11:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 11:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7447', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-07 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379425.9841009693,\"y\":5258458.040387283,\"z\":3336544.875439232},\"label\":{\"text\":\"长度：36.062m;坡度：千分之-282.4\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379396.6696212864,\"y\":5258465.771910041,\"z\":3336525.343426226},{\"x\":-1379425.9841009693,\"y\":5258458.040387283,\"z\":3336544.875439232},{\"x\":-1379425.9960648376,\"y\":5258458.114536234,\"z\":3336544.913843538}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '70', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7448', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 11:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 11:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7449', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 13:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 13:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '190', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6734', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379601.3851402353,\"y\":5258656.6270596655,\"z\":3336138.2336041806},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS473,01YS474-1,300,砼,0.62,0.6\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379621.8680696106,\"y\":5258650.983126074,\"z\":3336144.278054123},{\"x\":-1379601.3851402353,\"y\":5258656.6270596655,\"z\":3336138.2336041806}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6735', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379629.806136967,\"y\":5258650.684043657,\"z\":3336146.2231423073},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXPSHS0000000520\\n止点编号：01YS477\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379629.2978553202,\"y\":5258648.746657549,\"z\":3336144.9940431085},{\"x\":-1379629.806136967,\"y\":5258650.684043657,\"z\":3336146.2231423073}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6736', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '143', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6737', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6738', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '137', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6739', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 11:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6740', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6741', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6742', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 13:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6743', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":[""],"file":[],"markName":["shuiping"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '3144', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6744', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":[""],"file":[],"markName":["shuiping"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '6143', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

### The error may exist in com/tofly/xnkd/mapper/FilesMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.FilesMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PAPN_FILES_P  ( ID,   file_name,          CREATE_TIME, CREATE_USER )  VALUES  ( ?,   ?,          ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4313', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4314', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4315', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4316', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7499', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7500', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 17:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 17:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7501', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 18:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 18:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '649', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7502', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 18:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 18:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7508', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7509', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '120', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7510', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7511', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7483', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 16:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7484', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 16:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7485', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 16:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '126', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7486', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7487', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 16:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7488', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7489', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '134', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7490', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-07 16:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7491', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-07 16:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7492', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7519', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '125', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7520', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '157', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7521', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f9baa4d565dc231a580ee873a782f34f02379758"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '193', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7522', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '118', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6746', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '4210', NULL, '
### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

### The error may exist in com/tofly/xnkd/mapper/FilesMapper.java (best guess)
### The error may involve com.tofly.xnkd.mapper.FilesMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PAPN_FILES_P  ( ID,   file_name,          CREATE_TIME, CREATE_USER )  VALUES  ( ?,   ?,          ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)

; ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_XNKD.PK_PAPN_FILES_ID)
', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6747', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '138', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6748', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '3715', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6754', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9455', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6755', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.65272161042407,\"ymax\":31.52462345532958,\"xmax\":104.67807809707881,\"ymin\":31.545005267552494,\"height\":581}"],"notes":[""],"file":[],"markName":["11"],"camera":["{\"direction\":{\"x\":0.9621977922314229,\"y\":-0.1290786018382914,\"z\":-0.23982102320782336},\"up\":{\"x\":0.2305670734310994,\"y\":0.8547492787863109,\"z\":0.46501881151594243},\"position\":{\"x\":-1378153.2464353116,\"y\":5258796.306759462,\"z\":3336733.590508656}}"]}', '6727', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6756', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13176', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6757', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20819', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6758', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:30:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22445', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6759', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '6240', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6762', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3601', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6943', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3097', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7082', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 10:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/sourcedic', 'POST', '{}', '20', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7083', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'POST', '{}', '0', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7084', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'POST', '{}', '0', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7085', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7086', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '120', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7087', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7088', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7089', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '80', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7090', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '30', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7091', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '30', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7092', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:05:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:05:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7093', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '130', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7345', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 10:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '484', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7417', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '185', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7418', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7419', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 09:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4956', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4964', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["111"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["18981178620"],"roleid":[""],"departmentId":["3"],"email":["673499140@qq.com"],"username":["庞荣安2"]}', '244', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3580', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379721.369588513,\"y\":5258382.4485726915,\"z\":3336536.1610968243},\"label\":{\"text\":\"标高：471.33 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379720.5844038045,\"y\":5258379.456083355,\"z\":3336534.2623097003},{\"x\":-1379721.369588513,\"y\":5258382.4485726915,\"z\":3336536.1610968243}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3581', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379718.1742854028,\"y\":5258385.275293614,\"z\":3336531.8794369847},\"label\":{\"text\":\"标高：471.06 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379717.460482708,\"y\":5258382.554847043,\"z\":3336530.1532689244},{\"x\":-1379718.1742854028,\"y\":5258385.275293614,\"z\":3336531.8794369847}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3582', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379712.9772665736,\"y\":5258386.560128809,\"z\":3336532.0676030917},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379712.263466572,\"y\":5258383.839681589,\"z\":3336530.3414349444},{\"x\":-1379712.9772665736,\"y\":5258386.560128809,\"z\":3336532.0676030917}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3583', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3614', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 09:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3615', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 09:24:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:24:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7493', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-07 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7494', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 16:41:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:41:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7495', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 16:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 16:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7496', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-07 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '147', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7497', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 17:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 17:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7498', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-07 17:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 17:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5294', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379705.0176270837,\"y\":5258388.444072422,\"z\":3336532.3847657447},\"label\":{\"text\":\"坐标：104.701964 , 31.539167 , 471.094\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379704.3038311985,\"y\":5258385.723624226,\"z\":3336530.6585974316},{\"x\":-1379705.0176270837,\"y\":5258388.444072422,\"z\":3336532.3847657447}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '76', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5634', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5635', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5636', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5637', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5638', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5639', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5640', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5641', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 15:57:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:57:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5642', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 15:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '252', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5643', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 15:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 15:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5644', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5645', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '299', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5646', '1', 'tofly-base', 'xj', TO_DATE('2019-12-19 16:03:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:03:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5647', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '235', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5648', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '226', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5649', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 16:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '226', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5705', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["25"]}', '4', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5706', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["25"]}', '4', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5707', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["26"]}', '2470', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5708', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:15:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:15:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["朝霞"],"file2":[],"file3":[],"file1":[]}', '2286', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5709', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:15:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:15:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '6', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5237', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '240', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5238', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 14:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5239', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 14:29:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:29:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5240', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5241', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5242', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5243', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5244', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5245', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 14:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5246', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5253', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7512', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7513', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:20:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '120', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7609', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:13:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:13:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7610', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7611', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7612', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7613', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7614', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7615', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7616', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 17:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7617', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '180', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7618', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 09:24:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:24:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7619', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '120', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7620', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7621', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7622', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjhie"]}', '80', NULL, 'tianjhie用户不存在', 'content:登录 :tianjhie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7623', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:43:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7624', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 09:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7625', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7626', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 09:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7627', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '116', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7628', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 09:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 09:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7629', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7630', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7631', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '223', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7632', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7633', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'POST', '{}', '26', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7634', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7635', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '434', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7636', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7637', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:18:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:18:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '126', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7638', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7639', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '537', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7640', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3393', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7312', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '123', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7313', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '124', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7314', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7315', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 09:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7316', '1', 'tofly-base', 'pra', TO_DATE('2020-01-06 09:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6763', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2724', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6764', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20193', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6765', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3081', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6903', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '4202', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6904', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '203', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6905', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 10:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6906', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 10:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3733', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6907', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6908', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6909', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:55:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '187', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6910', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 10:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6911', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 10:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6912', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6913', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3935', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3936', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3945', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4013', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:35:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:35:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4053', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7643', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '226', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7644', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '168', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7645', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7646', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '129', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7647', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 10:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7648', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:24:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '114', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7649', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:25:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:25:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '468', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7650', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7651', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7652', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-09 10:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.3120652440991,\"ymax\":31.418086189953776,\"xmax\":104.68787216133525,\"ymin\":31.544618936799456,\"height\":484}"],"notes":[""],"file":[],"markName":["11"],"camera":["{\"direction\":{\"x\":0.9802864491590026,\"y\":0.19526423070032967,\"z\":-0.030172136222727085},\"up\":{\"x\":-0.15111382042223365,\"y\":0.8393279667245497,\"z\":0.5222003232011927},\"position\":{\"x\":-1379818.2037027695,\"y\":5258496.107712826,\"z\":3336332.438337199}}"]}', '36', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7653', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7654', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7655', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7656', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7657', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-09 10:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/88', 'DELETE', '{"id":["88"]}', '28', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7658', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '120', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7659', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7660', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7661', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3616', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 09:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 09:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3620', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 10:27:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:27:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3625', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4782', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-16 16:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5115', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '233', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5116', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5117', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5118', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1675', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5119', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-18 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5154', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 10:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '359', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5155', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 10:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 10:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2731', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5250', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '15', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5252', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5284', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '748', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5287', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5288', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5289', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5290', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '255', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5291', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5292', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5293', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12781', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6838', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379484.650743105,\"y\":5258689.739246386,\"z\":3336139.8407006795},\"label\":{\"text\":\"埋深：0.46 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379484.0992612578,\"y\":5258687.636959908,\"z\":3336138.506999315},{\"x\":-1379484.650743105,\"y\":5258689.739246386,\"z\":3336139.8407006795}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6486', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 10:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6487', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 10:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6998', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10220', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6999', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 17:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2406', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7679', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["2222"],"file2":[],"file3":[],"file1":[]}', '34', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7680', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '18', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7681', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '297', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7682', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["7777"],"file2":[],"file3":[],"file1":[]}', '32', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7683', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["豆"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["18777777777"],"roleid":[""],"departmentId":["3"],"email":["123@qq.com"],"username":["dou"]}', '135', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7684', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["333"],"file2":[],"file3":[],"file1":[]}', '27', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7685', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["31"]}', '15', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7686', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-09 10:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7687', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '143', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7688', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '119', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7689', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '123', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7690', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5254', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '277', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5255', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1148', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5256', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5257', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5258', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '262', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5259', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6667', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 16:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6668', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 16:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '142', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6669', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 16:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6670', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 16:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 16:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6671', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 17:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '154', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6672', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 17:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6673', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 17:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '161', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6674', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-26 17:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6675', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 17:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6676', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 17:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '149', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6677', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 17:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 17:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7040', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7041', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7042', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7043', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7044', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7045', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7046', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7047', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7048', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7049', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7050', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 15:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7051', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7052', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 16:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 16:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7053', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 16:57:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 16:57:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7054', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 17:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7055', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 17:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7056', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 17:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '140', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7057', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 17:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7058', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 17:14:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7059', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 17:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 17:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7701', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '121', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7317', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '128', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7318', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '122', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7319', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '122', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7320', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7321', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 09:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7322', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '125', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7323', '1', 'tofly-base', 'pra', TO_DATE('2020-01-06 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7324', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-06 09:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7325', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '147', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7326', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '192', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7327', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '145', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7328', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '129', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7329', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '121', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7330', '1', 'tofly-base', 'pra', TO_DATE('2020-01-06 09:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7331', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '136', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7332', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '132', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7333', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 09:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7334', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 09:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 09:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '142', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5260', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5261', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '239', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5262', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5263', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["1"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379757.2417872895,\"y\":5258513.351217684,\"z\":3336309.917843725},\"label\":{\"text\":\"1\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379757.2417872895,\"y\":5258513.351217684,\"z\":3336309.917843725},{\"x\":-1379757.6744073727,\"y\":5258515.000013873,\"z\":3336310.963936929}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"1\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '39', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7515', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7516', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7517', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7518', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '123', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7523', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '27', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7524', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18222222222"],"roleid":["undefined"],"departmentId":["3"],"id":["30"],"isupdate":["1"],"email":["123@qq.com"],"username":["miaoyang"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7662', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-09 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["11"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379746.3965897292,\"y\":5258516.456405695,\"z\":3336310.3519722465},\"label\":{\"text\":\"11\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379746.3965897292,\"y\":5258516.456405695,\"z\":3336310.3519722465},{\"x\":-1379746.8292063817,\"y\":5258518.105202741,\"z\":3336311.398065514}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"11\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '44', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7586', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 15:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7587', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 15:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '150', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7588', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7589', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 15:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7590', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 15:27:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:27:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["孟佳 - 给我乖 [mqms2].m4a"]}', '31', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7591', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7592', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 15:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7593', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7594', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6375', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6376', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6377', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6378', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 14:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6379', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:18:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:18:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '141', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6380', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 14:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4054', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:35:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:35:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4729', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4730', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4731', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4732', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 14:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '372', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4733', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4734', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4735', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '242', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4736', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4737', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4738', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4739', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '74', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4740', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '226', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4741', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 14:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4742', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '401', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4743', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4744', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 14:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '235', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4745', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4746', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4747', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '393', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7691', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '76', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7692', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '123', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7693', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7694', '1', 'tofly-xnkd', 'dou', TO_DATE('2020-01-09 11:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.31543444165885,\"ymax\":31.269705773123167,\"xmax\":104.68223562418103,\"ymin\":31.543305272089086,\"height\":497}"],"notes":[""],"file":[],"markName":[" 龙溪"],"camera":["{\"direction\":{\"x\":0.9096117890251174,\"y\":0.2589163824877739,\"z\":-0.32491337329505243},\"up\":{\"x\":-0.07779082282678329,\"y\":0.8743688799875776,\"z\":0.4789860640908056},\"position\":{\"x\":-1379048.4198527776,\"y\":5258500.481780168,\"z\":3336669.021559013}}"]}', '37', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7695', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '115', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7696', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '55', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7697', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '119', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7698', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7699', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '118', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7700', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '8', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7704', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '45', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7705', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '25', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5275', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '240', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5276', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5277', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 15:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5278', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5279', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:17:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:17:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '262', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5280', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '127', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5281', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 15:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5282', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5283', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 15:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5286', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5295', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '695', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5296', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '172', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6539', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4680', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6540', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3630', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6544', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '9873', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6545', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 17:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '4811', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6550', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 17:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 17:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7346', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 10:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7347', '1', 'tofly-base', 'pra', TO_DATE('2020-01-06 10:54:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7348', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 10:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '135', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7349', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 10:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 10:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7350', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 11:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7351', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7352', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7353', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 11:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3538', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:12:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:12:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '324', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3539', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 16:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 16:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流1111"],"id":["33"]}', '29', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4125', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69324921264452,\"ymax\":31.546854939658992,\"xmax\":104.70257989067107,\"ymin\":31.54154011374045,\"height\":502}"],"notes":["阀-管线"],"file":[],"markName":["连通性"],"camera":["{\"direction\":{\"x\":0.24674510320598583,\"y\":-0.9407074679835649,\"z\":0.23277953888565456},\"up\":{\"x\":-0.059095116212951666,\"y\":0.22515346374920306,\"z\":0.9725295291154477},\"position\":{\"x\":-1379459.105898312,\"y\":5258489.164802939,\"z\":3336527.4999567834}}"]}', '2600', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4126', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4127', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '224', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4128', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 10:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3491', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379696.448518236,\"y\":5258392.068037141,\"z\":3336530.371545499},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379695.3129409426,\"y\":5258387.740048447,\"z\":3336527.6253703306},{\"x\":-1379696.448518236,\"y\":5258392.068037141,\"z\":3336530.371545499}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3497', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '225', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3500', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '228', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3501', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3503', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 10:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379707.9193094757,\"y\":5258389.34969786,\"z\":3336529.8996602},\"label\":{\"text\":\"标高：469.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379706.78372274,\"y\":5258385.021711398,\"z\":3336527.153485417},{\"x\":-1379707.9193094757,\"y\":5258389.34969786,\"z\":3336529.8996602}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3506', '1', 'tofly-xnkd', 'pra', TO_DATE('2019-12-06 10:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379408.109514684,\"y\":5258704.355301405,\"z\":3336156.635183399},\"label\":{\"text\":\"标高：471.58 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379407.5688765685,\"y\":5258702.294231885,\"z\":3336155.3276273357},{\"x\":-1379408.109514684,\"y\":5258704.355301405,\"z\":3336156.635183399}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3507', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '236', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3511', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '218', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3512', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:13:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379709.4679456812,\"y\":5258388.961258747,\"z\":3336529.9626426916},\"label\":{\"text\":\"标高：469.27 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379708.3323576788,\"y\":5258384.633272637,\"z\":3336527.2164678774},{\"x\":-1379709.4679456812,\"y\":5258388.961258747,\"z\":3336529.9626426916}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4300', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 19:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4301', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4302', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 19:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 19:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4303', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4304', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4305', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:04:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:04:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4306', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7527', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '113', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7528', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7529', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7530', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 09:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7531', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '136', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7532', '1', 'tofly-base', 'sgq', TO_DATE('2020-01-08 09:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7533', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7534', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 10:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '157', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7535', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7536', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '138', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7537', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:31:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:31:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7538', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 10:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7539', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7540', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7541', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7542', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 10:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7543', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7544', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 10:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 10:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7545', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-08 11:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 11:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '23', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7546', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 11:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 11:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7547', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 11:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 11:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '136', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7548', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 11:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7549', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 11:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 11:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7550', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7551', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 13:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7552', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 13:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7553', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 13:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '133', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7554', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 13:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6322', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6323', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6324', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6325', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6326', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6327', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6328', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6329', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6330', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6331', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6332', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '41', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6333', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:03:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:03:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6334', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '11', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4317', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 20:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '214', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4318', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 20:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7663', '1', 'tofly-xnkd', 'miaoyang', TO_DATE('2020-01-09 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '4', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7664', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7665', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7666', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 10:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7667', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7668', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '420', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7669', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7670', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '412', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7671', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:38:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7672', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '407', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7673', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7674', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'POST', '{}', '5', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7675', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 10:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7676', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 10:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '268', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7677', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7678', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4988', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '288', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4989', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-17 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6451', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6452', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6453', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6454', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6455', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6456', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '141', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6457', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6458', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6459', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 09:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6460', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 09:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6461', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 09:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6462', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6463', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 09:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6464', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-25 09:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6465', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6466', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 10:01:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:01:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6467', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6468', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6469', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '141', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6470', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-25 10:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6471', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6472', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 10:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6473', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 10:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 10:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '141', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7354', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 11:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7355', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7356', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 12:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 12:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7357', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 12:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 12:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7358', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-01-06 12:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 12:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379730.4381143556,\"y\":5258391.199906161,\"z\":3336513.9508152893},\"label\":{\"text\":\"标高：469.66 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379729.8194796767,\"y\":5258388.842182463,\"z\":3336512.454810578},{\"x\":-1379730.4381143556,\"y\":5258391.199906161,\"z\":3336513.9508152893}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '82', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7359', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 12:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 12:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7360', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-06 12:15:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 12:15:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7595', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7596', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7597', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7598', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7599', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7600', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7601', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 16:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '168', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7602', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7603', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7604', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 16:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 16:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7605', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7606', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7607', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7608', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 17:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 17:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6416', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 16:34:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:34:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2999', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6417', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 16:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '718', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6418', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 16:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10670', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6419', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 16:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2609', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6421', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 16:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9529', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6422', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 17:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10123', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4966', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:58:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:58:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '223', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3405', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 13:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 13:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '222', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3513', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379715.2764343268,\"y\":5258383.982391644,\"z\":3336536.3330317982},\"label\":{\"text\":\"标高：471.37 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379714.4912530917,\"y\":5258380.989901453,\"z\":3336534.434244588},{\"x\":-1379715.2764343268,\"y\":5258383.982391644,\"z\":3336536.3330317982}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3514', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379705.5691399265,\"y\":5258389.871260954,\"z\":3336530.129132387},\"label\":{\"text\":\"标高：469.26 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379704.4335551318,\"y\":5258385.5432740925,\"z\":3336527.382957432},{\"x\":-1379705.5691399265,\"y\":5258389.871260954,\"z\":3336530.129132387}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4307', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4308', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4309', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4310', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:19:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4311', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 20:20:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:20:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4312', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 20:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6856', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 17:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 17:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '574', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6880', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '207', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6881', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6882', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '187', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4335', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379602.1096046746,\"y\":5258412.895355005,\"z\":3336535.962201528},\"label\":{\"text\":\"标高：470.88 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379601.4001877154,\"y\":5258410.191381702,\"z\":3336534.2464929386},{\"x\":-1379602.1096046746,\"y\":5258412.895355005,\"z\":3336535.962201528}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4336', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379595.9976339596,\"y\":5258414.365771787,\"z\":3336536.2189737507},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379595.2882201485,\"y\":5258411.66179774,\"z\":3336534.5032650363},{\"x\":-1379595.9976339596,\"y\":5258414.365771787,\"z\":3336536.2189737507}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4337', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379617.6632781376,\"y\":5258409.1065222155,\"z\":3336535.304715065},\"label\":{\"text\":\"坐标：104.701018 , 31.539200 , 470.841\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379616.9668304569,\"y\":5258406.452013709,\"z\":3336533.6203916953},{\"x\":-1379617.6632781376,\"y\":5258409.1065222155,\"z\":3336535.304715065}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4338', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1378650.1751958479,\"y\":5258043.156087006,\"z\":3336624.416424694},\"label\":{\"text\":\"长度：1040.251m;坡度：千分之443.3\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379621.0752531122,\"y\":5258405.504159191,\"z\":3336533.6137639107},{\"x\":-1378650.1751958479,\"y\":5258043.156087006,\"z\":3336624.416424694},{\"x\":-1378650.1751958479,\"y\":5258043.156087006,\"z\":3336624.416424694}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4339', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:27:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:27:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1378457.355280089,\"y\":5258086.0198184345,\"z\":3336636.504832246},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01JS6,01JS9,150,PVC,1.22,1.28\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379619.6531104508,\"y\":5258405.8343608435,\"z\":3336533.49045434},{\"x\":-1378457.355280089,\"y\":5258086.0198184345,\"z\":3336636.504832246}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4340', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4341', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4540', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '200', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4545', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4546', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4547', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4549', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4319', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 20:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.56567559398972,\"ymax\":31.23546984702152,\"xmax\":104.68922931646085,\"ymin\":31.536943758850693,\"height\":519}"],"notes":["西南科大_湖泊2"],"file":[],"markName":["西南科大_湖泊"],"camera":["{\"direction\":{\"x\":0.6670472328897663,\"y\":0.2945363106061053,\"z\":-0.6843218181737668},\"up\":{\"x\":-0.04477533104609167,\"y\":0.9327224503796631,\"z\":0.3578044162492548},\"position\":{\"x\":-1379532.4994277658,\"y\":5258521.567039942,\"z\":3336478.088239516}}"]}', '2312', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4320', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 20:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4321', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 20:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 20:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4322', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4323', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 21:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4324', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4325', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:03:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:03:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4326', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:05:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:05:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4327', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4328', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4329', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '36', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4330', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4331', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 21:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '215', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4332', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4333', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-12 21:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["测试"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379745.5839648927,\"y\":5258453.316559261,\"z\":3336413.1693526935},\"label\":{\"text\":\"测试\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379745.1513486,\"y\":5258451.66778241,\"z\":3336412.1232274417},{\"x\":-1379745.5839648927,\"y\":5258453.316559261,\"z\":3336413.1693526935}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"测试\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4334', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 21:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 21:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3536', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 15:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 15:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '215', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3557', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 09:18:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 09:18:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3597', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3648', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '1080', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3649', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448"]}', '4081', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3650', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '233', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3651', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code/removeByIds', 'DELETE', '{"ulevel":["2"],"ids":["448"]}', '80', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3652', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '33', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3653', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '27', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3654', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '41', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3655', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '30', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3656', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '87', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3657', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3658', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '56', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3659', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 13:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '106', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3668', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 14:59:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:59:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '278', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3669', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'PUT', '{}', '17', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3819', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3849', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6552', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 09:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6553', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3394', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3395', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3396', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4052', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4067', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 19:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4068', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4069', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4070', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 20:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4085', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4086', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 20:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4087', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4120', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379749.0182136411,\"y\":5258383.771285523,\"z\":3336521.3359002243},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379748.3043949793,\"y\":5258381.050839696,\"z\":3336519.6097375974},{\"x\":-1379749.0182136411,\"y\":5258383.771285523,\"z\":3336521.3359002243}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4121', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 10:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7525', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 09:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '10', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7526', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 09:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 09:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["d033e22ae348aeb5660fc2140aec35850c4da997"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '155', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7555', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 13:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7556', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 13:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7557', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 13:20:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:20:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7558', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-08 13:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7559', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 13:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7560', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 13:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7561', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 13:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7562', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7563', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 14:01:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '155', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7564', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 14:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7565', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7566', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["12"],"file2":[],"file3":[],"file1":[]}', '520', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7567', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 14:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '29', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7568', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 14:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7569', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 14:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7570', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-08 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7571', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 14:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7572', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-08 14:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7573', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-08 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["嗨皮"],"file2":[],"file3":[],"file1":[]}', '38', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7574', '1', 'tofly-xnkd', 'hhx', TO_DATE('2020-01-08 14:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '18', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7575', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7576', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 14:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7577', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-08 14:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '8', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7578', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 14:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 14:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7579', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 15:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7580', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-08 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7581', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7582', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-08 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '143', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7583', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-08 15:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7584', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-08 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7585', '1', 'tofly-base', 'xj', TO_DATE('2020-01-08 15:12:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-08 15:12:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3515', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379714.5916983157,\"y\":5258397.467693132,\"z\":3336514.7231324534},\"label\":{\"text\":\"标高：471.68 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379713.9449515233,\"y\":5258395.0027980665,\"z\":3336513.1591276913},{\"x\":-1379714.5916983157,\"y\":5258397.467693132,\"z\":3336514.7231324534}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3516', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379682.5094059177,\"y\":5258395.300571762,\"z\":3336531.0691266577},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379681.3738401004,\"y\":5258390.972580417,\"z\":3336528.3229509215},{\"x\":-1379682.5094059177,\"y\":5258395.300571762,\"z\":3336531.0691266577}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3517', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379693.975358952,\"y\":5258392.651131555,\"z\":3336530.461150408},\"label\":{\"text\":\"标高：469.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379692.8397836918,\"y\":5258388.323142376,\"z\":3336527.7149751615},{\"x\":-1379693.975358952,\"y\":5258392.651131555,\"z\":3336530.461150408}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3518', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379698.4899392563,\"y\":5258391.578755616,\"z\":3336530.3456963324},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379697.3543602875,\"y\":5258387.250767341,\"z\":3336527.599521196},{\"x\":-1379698.4899392563,\"y\":5258391.578755616,\"z\":3336530.3456963324}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3519', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379687.5233688501,\"y\":5258392.6549776755,\"z\":3336532.964835867},\"label\":{\"text\":\"标高：471.09 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379686.809582016,\"y\":5258389.9345272975,\"z\":3336531.2386672515},{\"x\":-1379687.5233688501,\"y\":5258392.6549776755,\"z\":3336532.964835867}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3520', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3522', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 11:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6839', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 16:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6840', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 16:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6841', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 16:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6842', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-27 16:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379764.9651984351,\"y\":5258457.165828444,\"z\":3336396.1224867986},\"label\":{\"text\":\"坐标：104.702391 , 31.537740 , 469.330\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379764.2275771152,\"y\":5258454.354661174,\"z\":3336394.3388519255},{\"x\":-1379764.9651984351,\"y\":5258457.165828444,\"z\":3336396.1224867986}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6843', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-27 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379759.6688520766,\"y\":5258436.309586388,\"z\":3336431.128231635},\"label\":{\"text\":\"坐标：104.702393 , 31.538109 , 469.161\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379758.9009501275,\"y\":5258433.383016219,\"z\":3336429.2713488587},{\"x\":-1379759.6688520766,\"y\":5258436.309586388,\"z\":3336431.128231635}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4556', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4558', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4560', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 16:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 16:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4567', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 17:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '2690', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4568', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 17:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '910', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4569', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-13 17:26:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:26:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '620', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4570', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 17:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4571', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 17:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4572', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 17:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '130', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4576', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-13 17:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-13 17:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4781', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 16:19:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:19:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '238', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6583', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 11:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '5956', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6749', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1029', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6750', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3298', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6751', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '2072', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6752', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 13:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2481', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6753', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2417', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6891', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1175', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6892', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 10:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6893', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 10:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6894', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6895', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6896', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6897', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6898', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 10:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6899', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6900', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6901', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '250', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6902', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '547', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6941', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '4155', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6942', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '3877', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6944', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7595', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6945', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3006', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6946', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3346', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6947', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 14:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11360', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3463', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379717.416464153,\"y\":5258390.046475657,\"z\":3336530.832876457},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379716.2808701538,\"y\":5258385.7184907375,\"z\":3336528.0867022476},{\"x\":-1379717.416464153,\"y\":5258390.046475657,\"z\":3336530.832876457}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3464', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379708.0914971626,\"y\":5258389.326037283,\"z\":3336529.946871017},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379706.9559102918,\"y\":5258384.998050869,\"z\":3336527.2006962127},{\"x\":-1379708.0914971626,\"y\":5258389.326037283,\"z\":3336529.946871017}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3465', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379691.8872673288,\"y\":5258388.927131208,\"z\":3336514.0698543023},\"label\":{\"text\":\"长度：15.991m;坡度：千分之436.6\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379700.006301169,\"y\":5258386.645349296,\"z\":3336527.6567138247},{\"x\":-1379691.8872673288,\"y\":5258388.927131208,\"z\":3336514.0698543023},{\"x\":-1379691.8872673288,\"y\":5258388.927131208,\"z\":3336514.0698543023}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3595', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 15:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 15:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3598', '1', 'tofly-base', 'pra', TO_DATE('2019-12-07 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3622', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3685', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 09:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 09:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '229', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3703', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3769', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-10 15:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 15:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1962', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3792', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 18:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 18:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5838', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4923', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4967', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4968', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:59:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:59:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '232', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4969', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-17 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4970', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4971', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:01:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:01:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4972', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '290', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4974', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:02:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:02:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '27', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4975', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4976', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '647', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4977', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4978', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4982', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 16:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '246', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4983', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4984', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4985', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4986', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4987', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4645', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 10:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 10:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3886', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 12:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 12:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3887', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 12:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 12:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3888', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 12:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 12:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4009', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 18:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4713', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:14:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:14:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '222', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4714', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4715', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:17:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '230', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4716', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4717', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 13:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '346', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4718', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 13:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4719', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 13:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '500', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4720', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4721', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '368', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4722', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '232', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4723', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4724', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4725', '1', 'tofly-base', 'admin', TO_DATE('2019-12-16 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '480', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4726', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '248', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4762', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 15:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '252', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4763', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 15:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4764', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 15:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4765', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 15:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 15:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4773', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4774', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 16:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'POST', '{}', '30', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4777', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4783', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 16:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4784', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4785', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4786', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-16 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3407', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 14:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 14:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '229', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3456', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379324.7850629538,\"y\":5258482.18140659,\"z\":3336543.35741737},\"label\":{\"text\":\"标高：472.80 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379324.2704066448,\"y\":5258480.219351642,\"z\":3336542.1124799172},{\"x\":-1379324.7850629538,\"y\":5258482.18140659,\"z\":3336543.35741737}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3457', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3458', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379730.5459271558,\"y\":5258392.989458855,\"z\":3336514.9260043553},\"label\":{\"text\":\"标高：471.67 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379729.9272926224,\"y\":5258390.631735099,\"z\":3336513.4299996775},{\"x\":-1379730.5459271558,\"y\":5258392.989458855,\"z\":3336514.9260043553}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6844', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-27 16:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379758.5303973884,\"y\":5258441.25283566,\"z\":3336419.0475297077},\"label\":{\"text\":\"坐标：104.702368 , 31.537996 , 466.810\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379757.792779218,\"y\":5258438.441675786,\"z\":3336417.2638818747},{\"x\":-1379758.5303973884,\"y\":5258441.25283566,\"z\":3336419.0475297077}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6845', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 16:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12404', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6846', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 16:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '18726', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6847', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 16:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4780', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6848', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 16:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6849', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6850', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 16:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"]}', '15', NULL, NULL, 'content:登录 :null');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6851', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 16:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6852', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 16:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6853', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '152', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6854', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 17:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 17:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6855', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6884', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6560', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6885', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '771', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6886', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '1366', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6887', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 10:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1015', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6888', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '452', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6889', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 10:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '771', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6890', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 10:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 10:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1111', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7252', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 17:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 17:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7253', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 09:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '170', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7254', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 09:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5297', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1034', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5299', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199,200"]}', '593', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5300', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199,200"]}', '11542', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5301', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '754', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5302', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '237', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5303', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5304', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5305', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5306', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6948', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 14:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379746.469853681,\"y\":5258376.783375605,\"z\":3336529.774100926},\"label\":{\"text\":\"标高：469.08 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379745.7560361263,\"y\":5258374.0629325835,\"z\":3336528.0479334183},{\"x\":-1379746.469853681,\"y\":5258376.783375605,\"z\":3336529.774100926}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '231', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6949', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 14:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5027', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6950', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2427', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6951', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2453', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6952', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 14:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '4976', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6953', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 14:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 14:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379743.8088275685,\"y\":5258377.464473476,\"z\":3336529.8478961266},\"label\":{\"text\":\"标高：469.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379743.0950113924,\"y\":5258374.744030112,\"z\":3336528.1217285893},{\"x\":-1379743.8088275685,\"y\":5258377.464473476,\"z\":3336529.8478961266}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '808', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7781', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '126', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4129', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 10:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4130', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4131', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4132', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4133', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4134', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4135', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4136', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4137', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4138', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4139', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4140', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4141', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4142', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4143', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4144', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4145', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4146', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4147', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4148', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4149', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4150', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4151', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 11:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4152', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:43:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:43:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '221', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4153', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 11:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4154', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '227', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4245', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4246', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5264', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379714.977681843,\"y\":5258384.0510333255,\"z\":3336536.381251127},\"label\":{\"text\":\"标高：471.39 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379714.1925007794,\"y\":5258381.058543102,\"z\":3336534.482463894},{\"x\":-1379714.977681843,\"y\":5258384.0510333255,\"z\":3336536.381251127}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '53', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5265', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["199,200"]}', '21', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5266', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379712.9187081296,\"y\":5258386.591247489,\"z\":3336532.0616560807},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379712.204908159,\"y\":5258383.870800256,\"z\":3336530.335487938},{\"x\":-1379712.9187081296,\"y\":5258386.591247489,\"z\":3336532.0616560807}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5267', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '241', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5268', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '143', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5269', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5270', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5271', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '227', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5272', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 15:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3661', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 13:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3791', '1', 'tofly-base', 'pra', TO_DATE('2019-12-10 17:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 17:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3793', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 18:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 18:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3827', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3828', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 09:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3829', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3830', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3831', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 09:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 09:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3832', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3833', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3834', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3835', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3836', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 10:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3837', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3851', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3979', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4006', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4007', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4034', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '211', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4035', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:03:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:03:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6680', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 09:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6681', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 09:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '138', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6682', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 09:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6683', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 09:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '134', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6684', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 09:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6685', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 09:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6686', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 09:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '138', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3459', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379718.538719607,\"y\":5258396.418562331,\"z\":3336514.7513208296},\"label\":{\"text\":\"标高：471.68 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379717.8919709658,\"y\":5258393.953667759,\"z\":3336513.1873160545},{\"x\":-1379718.538719607,\"y\":5258396.418562331,\"z\":3336514.7513208296}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5075', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5076', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3529', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 12:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 12:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379721.4420023097,\"y\":5258384.483116855,\"z\":3336531.7580521535},\"label\":{\"text\":\"标高：471.05 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379720.7281979234,\"y\":5258381.76267069,\"z\":3336530.0318841534},{\"x\":-1379721.4420023097,\"y\":5258384.483116855,\"z\":3336531.7580521535}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3684', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '171', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3934', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 14:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4201', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 14:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4202', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 14:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4203', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4204', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 14:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4205', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-12 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379372.065634554,\"y\":5258479.152078268,\"z\":3336528.283865348},\"label\":{\"text\":\"管径：500X200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379371.546635601,\"y\":5258477.173536554,\"z\":3336527.0284718773},{\"x\":-1379372.065634554,\"y\":5258479.152078268,\"z\":3336528.283865348}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6061', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6062', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '81', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6063', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '99', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6064', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '221', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6065', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6066', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6067', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 11:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6068', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6069', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6070', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 12:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6042', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '219', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3474', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '221', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3475', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-06 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '232', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3476', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 09:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379706.7517590441,\"y\":5258389.628227799,\"z\":3336530.01089577},\"label\":{\"text\":\"标高：469.25 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379705.616173275,\"y\":5258385.300241133,\"z\":3336527.26472091},{\"x\":-1379706.7517590441,\"y\":5258389.628227799,\"z\":3336530.01089577}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3600', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-07 16:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '224', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3601', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 16:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 16:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5307', '1', 'tofly-xnkd', 'hhx', TO_DATE('2019-12-18 15:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379697.0601994556,\"y\":5258390.334697449,\"z\":3336532.6799867935},\"label\":{\"text\":\"\\n起点编号：01JS1\\n止点编号：01JS2\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379696.3464076868,\"y\":5258387.614248271,\"z\":3336530.9538183254},{\"x\":-1379697.0601994556,\"y\":5258390.334697449,\"z\":3336532.6799867935}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5308', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5309', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5310', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'POST', '{}', '29', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5311', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5312', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5313', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '220', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5314', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 15:43:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:43:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5315', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/removeByIds', 'DELETE', '{"ids":["87"],"ulevel":["2"]}', '13', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5316', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5317', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5318', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5319', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5320', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5321', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5335', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '221', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5336', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 15:54:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:54:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5337', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5338', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3532', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-06 14:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 14:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'POST', '{"Authorization":["bearer 8af75b0a-2cc6-442f-a962-b1ab0a8528f0"],"realName":["测试工作流"],"password":["000000"],"userLevel":["3"],"departmentId":["3"],"username":["flowabletest"]}', '1641', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6428', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 17:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10372', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6429', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-24 17:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["绿地标"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379488.9473188943,\"y\":5258589.507901524,\"z\":3336302.5133496723},\"label\":{\"text\":\"绿地标\",\"font\":\"bold 20pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.494\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379488.7310509442,\"y\":5258588.683491604,\"z\":3336301.9903043043},{\"x\":-1379488.9473188943,\"y\":5258589.507901524,\"z\":3336302.5133496723}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"绿地标\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '422', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6423', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 17:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3640', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6424', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 17:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10779', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6425', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 17:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '2640', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6426', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 17:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9264', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6427', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-24 17:13:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:13:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["蓝坐标"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379475.9461745298,\"y\":5258652.564427372,\"z\":3336199.0987140364},\"label\":{\"text\":\"蓝坐标\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.290\",\"green\":\"0.816\",\"blue\":\"0.816\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379475.729908451,\"y\":5258651.74000693,\"z\":3336198.5756844766},{\"x\":-1379475.9461745298,\"y\":5258652.564427372,\"z\":3336199.0987140364}],\"show\":true,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"蓝坐标\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '1858', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6584', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 11:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '4925', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4247', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 15:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '282', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4248', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4249', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4250', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4251', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-12 15:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4252', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4253', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6319', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6320', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6321', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '10', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6488', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 14:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '687', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6489', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6593', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6594', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6595', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 13:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '469', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6596', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6597', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:22:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:22:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6598', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 13:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6599', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6883', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '320', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6989', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '7181', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6990', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '7023', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6991', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '6545', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6992', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '5257', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6993', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 16:46:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:46:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '7621', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6994', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 16:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19399', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6995', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 17:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34555', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6997', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 17:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '7951', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7000', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 17:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40617', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7001', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '688', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7081', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '40', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7094', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '170', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7095', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '120', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7096', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 11:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7097', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 11:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7098', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7099', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 13:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 13:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7100', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 13:12:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 13:12:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7101', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 13:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 13:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6687', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-27 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6688', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 09:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6857', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 17:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 17:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6335', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '0', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6336', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '460', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6337', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6338', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6339', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6340', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6341', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 13:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6342', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6343', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '140', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6344', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 13:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6345', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6346', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '134', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6347', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 13:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6348', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 13:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6349', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6350', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6351', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-24 13:25:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:25:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6352', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '150', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6353', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 13:26:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:26:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6354', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2760', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6362', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6363', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '494', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6364', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '290', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6365', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 14:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6366', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6367', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '130', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6368', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 14:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6369', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6370', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '148', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6371', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6372', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '141', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6373', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6374', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6616', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["1223"],"file":[],"markName":["2222"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '14', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3644', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-09 13:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '223', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3645', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 13:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3646', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 13:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '71', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3647', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 13:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '92', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3660', '1', 'tofly-base', 'pra', TO_DATE('2019-12-09 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5973', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '50', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5974', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '30', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5975', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '35', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5976', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '47', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5407', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["22"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5408', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5409', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5410', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["33"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5411', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'POST', '{}', '7', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5412', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:47:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:47:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5413', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 16:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5414', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5415', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["11,12,13,14,15,16,17,18,19,20,21"]}', '42', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5416', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5417', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["31"]}', '10', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5418', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["30"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5419', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["29"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5420', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["28"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5421', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["27"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5422', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["26"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5423', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["25"]}', '8', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5424', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["24"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5425', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 16:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5426', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["23"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5427', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source/removeByIds', 'DELETE', '{"ids":["21"]}', '7', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5428', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 16:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["11,13,14,15,16,17,18,19,20,21"]}', '36', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5429', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 16:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '251', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5430', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-18 16:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 16:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5431', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5432', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:06:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:06:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5433', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5435', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '225', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5436', '1', 'tofly-base', 'xj', TO_DATE('2019-12-18 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5437', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 17:28:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:28:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '77', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5438', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 17:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/departmentsource', 'PUT', '{}', '76', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5439', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 17:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5440', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 17:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5441', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5442', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 17:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4071', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 20:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '216', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4072', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 20:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4073', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 20:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 20:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6592', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 12:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 12:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4850', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6859', '1', 'tofly-base', 'pra', TO_DATE('2019-12-30 09:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6860', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '194', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6861', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '115', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6862', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '333', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6863', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 09:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '99', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6864', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '688', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6865', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 09:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6866', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6867', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '195', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6868', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '132', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6869', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6870', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6871', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '185', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6872', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 09:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6873', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '597', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6874', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '621', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6875', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '830', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6876', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '539', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6877', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '462', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6878', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '690', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6879', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 09:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6355', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10606', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6356', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10676', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6357', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 13:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9466', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6358', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '2070', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6359', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 13:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '320', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6360', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6782', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["3"]}', '51', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6783', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6784', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6785', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6786', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6787', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '145', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7102', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 13:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 13:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7103', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 13:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 13:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7104', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 14:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '129', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7105', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 14:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7106', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 14:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7362', '1', 'tofly-base', 'admin', TO_DATE('2020-01-06 13:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/user', 'POST', '{"realName":["杜艳秀"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13988888888"],"roleid":[""],"departmentId":["3"],"email":["123@126.com"],"username":["dyx"]}', '150', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7363', '1', 'tofly-base', 'admin', TO_DATE('2020-01-06 13:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/userrole', 'PUT', '{}', '40', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7364', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 13:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dyx"]}', '239', NULL, NULL, 'content:登录 :dyx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7365', '1', 'tofly-base', 'dyx', TO_DATE('2020-01-06 13:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7366', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 13:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7367', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7120', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6798', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '123', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6799', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 15:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6800', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 15:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6801', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379198.7123332636,\"y\":5258553.609143652,\"z\":3336479.402047024},\"label\":{\"text\":\"标高：469.96 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379197.9793391814,\"y\":5258550.814413176,\"z\":3336477.6288292604},{\"x\":-1379198.7123332636,\"y\":5258553.609143652,\"z\":3336479.402047024}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6802', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379128.127401844,\"y\":5258533.421440692,\"z\":3336542.169416918},\"label\":{\"text\":\"标高：469.75 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379127.1501265613,\"y\":5258529.695148236,\"z\":3336539.805082432},{\"x\":-1379128.127401844,\"y\":5258533.421440692,\"z\":3336542.169416918}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6803', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6804', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6805', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '134', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6806', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 15:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6807', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6808', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6809', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6810', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6811', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6812', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6813', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6617', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["123"],"file":[],"markName":["3123"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '11', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6554', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 09:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '125', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6555', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 09:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6556', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 09:37:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:37:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6557', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 09:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6558', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 09:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6559', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '147', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6560', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 09:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 09:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6561', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6562', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6563', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 10:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6564', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6565', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 10:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '142', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6566', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6567', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6568', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 10:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6569', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 10:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6570', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-26 10:43:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["27"]}', '18', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6571', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-26 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '5', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6572', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-26 10:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '3', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6573', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6574', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6575', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6576', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6577', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6578', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6579', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 10:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6580', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6581', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6582', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21891', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6586', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18346', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6587', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 11:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30845', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6588', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 11:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25472', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6589', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 12:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 12:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4652', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6590', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 12:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 12:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '5914', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6591', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 12:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 12:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '6742', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6689', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-27 09:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6690', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6691', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6692', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4092', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '1639', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4093', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4094', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '76', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4095', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '243', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4096', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 09:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4097', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-12 09:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '265', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4098', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-12 09:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4099', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-12 09:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '122', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4100', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 09:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 09:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4775', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'PUT', '{}', '8', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4049', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 19:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4050', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-11 19:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4051', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 19:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 19:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4702', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 12:00:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 12:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4703', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4704', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 12:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 12:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4705', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '225', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4706', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4707', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 13:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4708', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '235', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4709', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 13:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4710', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 13:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 13:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '233', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4902', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4903', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4904', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4905', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4906', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4907', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4908', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4909', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 14:17:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '372', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4910', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 14:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '435', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5120', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 09:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5121', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5122', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '6', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5123', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 09:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5124', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["22"]}', '10', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3372', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3373', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-04 20:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-04 20:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3859', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3860', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 11:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3891', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 13:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '226', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3892', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 13:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6788', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379193.788614677,\"y\":5258559.096215851,\"z\":3336472.130405344},\"label\":{\"text\":\"标高：470.01 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379193.142111845,\"y\":5258556.631244377,\"z\":3336470.5664201397},{\"x\":-1379193.788614677,\"y\":5258559.096215851,\"z\":3336472.130405344}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6789', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379200.9458547044,\"y\":5258552.853126192,\"z\":3336479.6184390215},\"label\":{\"text\":\"标高：470.82 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379200.4052977185,\"y\":5258550.792115806,\"z\":3336478.310756215},{\"x\":-1379200.9458547044,\"y\":5258552.853126192,\"z\":3336479.6184390215}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6790', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 15:01:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:01:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6791', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379244.3780747615,\"y\":5258512.654858573,\"z\":3336525.0856837863},\"label\":{\"text\":\"标高：470.12 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379243.6796531463,\"y\":5258509.992053522,\"z\":3336523.396134585},{\"x\":-1379244.3780747615,\"y\":5258512.654858573,\"z\":3336525.0856837863}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6792', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379243.1662453983,\"y\":5258507.014848756,\"z\":3336530.5229891483},\"label\":{\"text\":\"标高：468.52 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379242.5672897317,\"y\":5258504.731268423,\"z\":3336529.07405403},{\"x\":-1379243.1662453983,\"y\":5258507.014848756,\"z\":3336530.5229891483}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6793', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379272.17110172,\"y\":5258509.290578284,\"z\":3336518.1565659926},\"label\":{\"text\":\"标高：470.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379271.5764582946,\"y\":5258507.023485513,\"z\":3336516.718098211},{\"x\":-1379272.17110172,\"y\":5258509.290578284,\"z\":3336518.1565659926}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6794', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 15:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '132', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6795', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6796', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 15:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6797', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379194.0898462187,\"y\":5258764.93528451,\"z\":3336144.857241775},\"label\":{\"text\":\"标高：468.84 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379193.4952363293,\"y\":5258762.668081033,\"z\":3336143.418934621},{\"x\":-1379194.0898462187,\"y\":5258764.93528451,\"z\":3336144.857241775}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7255', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 09:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7256', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 09:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7257', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 09:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7258', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7259', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 09:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 09:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7260', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 10:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7261', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 10:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '131', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7262', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 10:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6814', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379131.4779087552,\"y\":5258541.523701474,\"z\":3336527.8555138675},\"label\":{\"text\":\"标高：470.67 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379130.7168429585,\"y\":5258538.621805497,\"z\":3336526.0142701077},{\"x\":-1379131.4779087552,\"y\":5258541.523701474,\"z\":3336527.8555138675}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '29', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6815', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:59:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:59:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379155.1725442132,\"y\":5258534.194416031,\"z\":3336527.873545771},\"label\":{\"text\":\"标高：470.53 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379154.5779512601,\"y\":5258531.927312636,\"z\":3336526.4350738716},{\"x\":-1379155.1725442132,\"y\":5258534.194416031,\"z\":3336527.873545771}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6816', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 15:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 15:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379446.4586352995,\"y\":5258444.923043178,\"z\":3336541.4170113467},\"label\":{\"text\":\"标高：467.06 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379445.8747295057,\"y\":5258442.697196402,\"z\":3336540.0046869684},{\"x\":-1379446.4586352995,\"y\":5258444.923043178,\"z\":3336541.4170113467}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6817', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 16:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6958', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3858', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6959', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5066', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6960', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2511', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6961', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14848', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6962', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3295', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6963', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-30 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19781', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6964', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '5156', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6965', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8741', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6966', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 15:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11446', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6967', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["校门口"],"labelType":["DBBZ"],"isSelect":["1"],"remark":["校门口"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379751.1391244957,\"y\":5258495.574517168,\"z\":3336350.0358704147},\"label\":{\"text\":\"校门口\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.937\",\"green\":\"0.059\",\"blue\":\"0.227\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379750.05757992,\"y\":5258491.452543868,\"z\":3336347.420608011},{\"x\":-1379751.1391244957,\"y\":5258495.574517168,\"z\":3336350.0358704147}],\"show\":true,\"material\":{\"red\":\"0.906\",\"green\":\"0.063\",\"blue\":\"0.263\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"1\",\"txt\":\"校门口\",\"notes\":\"校门口\",\"isshow\":true}"],"minView":["0"]}', '1005', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6968', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3870', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6969', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13975', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6970', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3764', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6971', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20496', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6972', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8591', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6693', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 10:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6694', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6695', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 10:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6818', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379425.0006024376,\"y\":5258452.513410681,\"z\":3336544.5261212955},\"label\":{\"text\":\"标高：470.40 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379424.4383318177,\"y\":5258450.370000671,\"z\":3336543.166104652},{\"x\":-1379425.0006024376,\"y\":5258452.513410681,\"z\":3336544.5261212955}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6819', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 16:01:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:01:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6820', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379136.6385009424,\"y\":5258738.996707702,\"z\":3336214.318821504},\"label\":{\"text\":\"标高：470.54 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379135.8666216533,\"y\":5258736.05348105,\"z\":3336212.451599171},{\"x\":-1379136.6385009424,\"y\":5258738.996707702,\"z\":3336214.318821504}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6821', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 16:03:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:03:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6822', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 16:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6823', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379497.2195384337,\"y\":5258753.693503196,\"z\":3336039.100793333},\"label\":{\"text\":\"管径：1000 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379496.105751703,\"y\":5258749.447659134,\"z\":3336036.407322096},{\"x\":-1379497.2195384337,\"y\":5258753.693503196,\"z\":3336039.100793333}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6824', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379522.5703197392,\"y\":5258741.2688960545,\"z\":3336047.686587169},\"label\":{\"text\":\"管径：500 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379521.8414788812,\"y\":5258738.490554057,\"z\":3336045.924058661},{\"x\":-1379522.5703197392,\"y\":5258741.2688960545,\"z\":3336047.686587169}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6825', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379676.4477091944,\"y\":5258393.156614271,\"z\":3336532.95993594},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379675.7339278671,\"y\":5258390.4361627875,\"z\":3336531.2337667905},{\"x\":-1379676.4477091944,\"y\":5258393.156614271,\"z\":3336532.95993594}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6826', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379663.7943203484,\"y\":5258398.462817108,\"z\":3336530.037180105},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379663.2211375798,\"y\":5258396.278209961,\"z\":3336528.651015207},{\"x\":-1379663.7943203484,\"y\":5258398.462817108,\"z\":3336530.037180105}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6827', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379654.1251434532,\"y\":5258394.632212148,\"z\":3336541.5544896363},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379653.6601116913,\"y\":5258392.859796534,\"z\":3336540.42986154},{\"x\":-1379654.1251434532,\"y\":5258394.632212148,\"z\":3336541.5544896363}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3893', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-11 13:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '224', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3912', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3926', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 14:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 14:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3966', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4014', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 18:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 18:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4221', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4222', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4223', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4224', '1', 'tofly-base', 'pra', TO_DATE('2019-12-12 15:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5434', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '220', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5484', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 09:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '216', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5485', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 09:17:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 09:17:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5077', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5078', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5079', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5080', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5081', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5082', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5083', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:47:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:47:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5084', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5085', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5086', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '134', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5096', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5097', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 18:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5098', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5099', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 18:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5100', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5101', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:15:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:15:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5102', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5103', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5104', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5105', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 18:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1293', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5719', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 19:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5720', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 19:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5792', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5793', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5794', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 10:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5795', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5796', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-20 10:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '215', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5797', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-20 10:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5798', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5799', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5800', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5801', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 10:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 10:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5802', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5803', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 11:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5804', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7263', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 10:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '128', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7264', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 10:29:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:29:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7265', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '131', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7266', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '128', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7267', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 10:57:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:57:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '133', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7268', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7269', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7270', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7271', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 11:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7272', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 11:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '128', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7273', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-04 11:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7274', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 11:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '123', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7275', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 11:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["qiuhailin"]}', '123', NULL, NULL, 'content:登录 :qiuhailin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7276', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 11:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.64', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '123', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7277', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-04 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["圆心"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379363.0409692777,\"y\":5258470.895314746,\"z\":3336540.933883015},\"label\":{\"text\":\"圆心\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379363.0409692777,\"y\":5258470.895314746,\"z\":3336540.933883015},{\"x\":-1379363.473465721,\"y\":5258472.544097473,\"z\":3336541.9800485596}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"圆心\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7278', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-04 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69583495338023,\"ymax\":31.53714643473715,\"xmax\":104.70052626278017,\"ymin\":31.54135154359217,\"height\":505}"],"notes":["给水有，移动无"],"file":[],"markName":["道路统计"],"camera":["{\"direction\":{\"x\":0.21661373285210964,\"y\":-0.8243593702768578,\"z\":-0.5229819493793428},\"up\":{\"x\":0.9606966514634744,\"y\":0.08473001764334535,\"z\":0.26435349057091356},\"position\":{\"x\":-1379363.3983728492,\"y\":5258500.043301275,\"z\":3336556.054997505}}"]}', '47', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7279', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 11:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 11:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7280', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 13:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '132', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7281', '1', 'tofly-base', 'pra', TO_DATE('2020-01-04 13:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6659', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78602', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6760', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 13:32:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14186', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6761', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 13:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '785', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6430', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-24 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379505.9179519222,\"y\":5258577.490103463,\"z\":3336340.5604434907},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":24,\"y\":-24}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":48,\"height\":48,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379505.9179519222,\"y\":5258577.490103463,\"z\":3336340.5604434907},{\"x\":-1379506.3504922164,\"y\":5258579.138916003,\"z\":3336341.6065439177}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '984', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6431', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 17:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6842', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6973', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["校园湖泊"],"labelType":["DBBZ"],"isSelect":["0"],"remark":["校园湖泊"],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379450.8504701098,\"y\":5258547.273306537,\"z\":3336400.3267224636},\"label\":{\"text\":\"校园湖泊\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.922\",\"green\":\"0.067\",\"blue\":\"0.392\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379448.6878530832,\"y\":5258539.029284025,\"z\":3336395.0961220777},{\"x\":-1379450.8504701098,\"y\":5258547.273306537,\"z\":3336400.3267224636}],\"show\":true,\"material\":{\"red\":\"0.929\",\"green\":\"0.035\",\"blue\":\"0.208\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"校园湖泊\",\"notes\":\"校园湖泊\",\"isshow\":true}"],"minView":["0"]}', '562', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6979', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25810', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6980', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 15:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2962', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6981', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-30 15:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19094', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6498', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 14:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6499', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 14:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6500', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6501', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 15:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '98', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6502', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 15:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6503', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-25 15:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["多云"],"file2":[],"file3":[],"file1":[]}', '354', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6504', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 15:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6505', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 15:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6506', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '141', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6507', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6508', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6509', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6600', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6601', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 13:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6602', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6603', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6604', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["123"],"file":[],"markName":["333"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '309', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6605', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["333"],"file":[],"markName":["33"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '16', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6606', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["123"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '12', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6607', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["333"],"file":[],"markName":["333"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '12', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6608', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["1223"],"file":[],"markName":["123"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '12', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6828', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379660.4667418553,\"y\":5258402.416375093,\"z\":3336519.857624008},\"label\":{\"text\":\"管径：500X200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379659.8221828826,\"y\":5258399.959719609,\"z\":3336518.298846425},{\"x\":-1379660.4667418553,\"y\":5258402.416375093,\"z\":3336519.857624008}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7211', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:46:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:46:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6987', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 16:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17925', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6988', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 16:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379358.0908033436,\"y\":5258475.377220682,\"z\":3336528.437825765},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS96,01YS97,500X200,砖混,0.4,0.45\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379363.674742852,\"y\":5258477.306416502,\"z\":3336526.221773329},{\"x\":-1379358.0908033436,\"y\":5258475.377220682,\"z\":3336528.437825765}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '1572', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7162', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7163', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7164', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379459.7286913672,\"y\":5258460.395688802,\"z\":3336517.6592540843},\"label\":{\"text\":\"标高：470.49 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379459.1945208258,\"y\":5258458.359446225,\"z\":3336516.367248667},{\"x\":-1379459.7286913672,\"y\":5258460.395688802,\"z\":3336517.6592540843}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7165', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379469.6781130298,\"y\":5258453.267136974,\"z\":3336524.872517627},\"label\":{\"text\":\"标高：470.55 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379469.1482639387,\"y\":5258451.247384944,\"z\":3336523.5909710308},{\"x\":-1379469.6781130298,\"y\":5258453.267136974,\"z\":3336524.872517627}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7166', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379476.872602572,\"y\":5258451.486905235,\"z\":3336524.664728313},\"label\":{\"text\":\"管径：400X300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379476.3405880544,\"y\":5258449.45891,\"z\":3336523.3779509896},{\"x\":-1379476.872602572,\"y\":5258451.486905235,\"z\":3336524.664728313}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7167', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379461.830348202,\"y\":5258455.789509038,\"z\":3336524.1828293554},\"label\":{\"text\":\"管径：500X400 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379461.2832010307,\"y\":5258453.703804929,\"z\":3336522.859436618},{\"x\":-1379461.830348202,\"y\":5258455.789509038,\"z\":3336524.1828293554}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6985', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 16:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379358.0509765123,\"y\":5258476.304455107,\"z\":3336534.7167740264},\"label\":{\"text\":\"\\n起点编号：01JS32\\n止点编号：01JS81\\n起点管顶高程：470.856\\n终点管顶高程：470.71000000000004\\n终点埋深：2.1\\n要素编码：\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379357.1643620285,\"y\":5258472.924447109,\"z\":3336532.572138701},{\"x\":-1379358.0509765123,\"y\":5258476.304455107,\"z\":3336534.7167740264}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4362', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7282', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 13:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5806', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4698', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-16 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4699', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-16 11:50:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:50:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4700', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '197', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4594', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '68', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4595', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '81', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4596', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '64', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4597', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-16 09:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 09:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tainjie"]}', '61', NULL, 'ResultRespone(code=-1, message=用户信息为空tainjie, result=null)用户不存在', 'content:登录 :tainjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5671', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-19 16:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5672', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-19 16:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5673', '1', 'tofly-base', 'pra', TO_DATE('2019-12-19 16:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 16:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5977', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-20 16:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '282', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5980', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-20 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Emilia - Big Big World.mp3"]}', '3326', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6106', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6107', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-22 14:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 14:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6231', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:32:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:32:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6232', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:35:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:35:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '228', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6233', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6234', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6235', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6236', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '197', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6237', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '171', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6238', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6239', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '114', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6240', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '163', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6241', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-23 11:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '272', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6242', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '144', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6243', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-23 11:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '219', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6244', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6245', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2747', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6246', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 11:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '155', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6247', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6248', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 12:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 12:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '237', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3406', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 13:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 13:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '230', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3424', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '227', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3425', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379707.0280692065,\"y\":5258389.549176971,\"z\":3336530.049475349},\"label\":{\"text\":\"标高：469.27 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379705.8924832118,\"y\":5258385.22119038,\"z\":3336527.3033004627},{\"x\":-1379707.0280692065,\"y\":5258389.549176971,\"z\":3336530.049475349}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '48', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6432', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-24 17:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379455.699609444,\"y\":5258701.674045121,\"z\":3336138.0316290944},\"label\":{\"text\":\"标高：469.78 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379455.126513121,\"y\":5258699.489311978,\"z\":3336136.645627039},{\"x\":-1379455.699609444,\"y\":5258701.674045121,\"z\":3336138.0316290944}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6433', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 17:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13583', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6434', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 17:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1531', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6678', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '60722', NULL, 'Redis command timed out; nested exception is io.lettuce.core.RedisCommandTimeoutException: Command timed out after 1 minute(s)', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6679', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 09:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 09:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '700', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7176', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379352.4200698663,\"y\":5258471.557435555,\"z\":3336544.742434658},\"label\":{\"text\":\"\\n类型：YS\\n管径：500X200\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379351.9010781504,\"y\":5258469.578896109,\"z\":3336543.487034621},{\"x\":-1379352.4200698663,\"y\":5258471.557435555,\"z\":3336544.742434658}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7177', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["dodo"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379362.2472769832,\"y\":5258515.317972995,\"z\":3336514.309192237},\"label\":{\"text\":\"dodo\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379362.2472769832,\"y\":5258515.317972995,\"z\":3336514.309192237},{\"x\":-1379362.6797716515,\"y\":5258516.96676383,\"z\":3336515.3553457386}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"dodo\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7178', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379203.7823659542,\"y\":5258549.810942373,\"z\":3336483.148984738},\"label\":{\"text\":\"管径：50 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379203.2418078533,\"y\":5258547.749933162,\"z\":3336481.8413005383},{\"x\":-1379203.7823659542,\"y\":5258549.810942373,\"z\":3336483.148984738}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6436', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3499', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7078', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.59082015572366,\"ymax\":31.810620902671275,\"xmax\":104.68912062252215,\"ymin\":31.547625631987952,\"height\":578}"],"notes":[""],"file":[],"markName":["西科大驾校"],"camera":["{\"direction\":{\"x\":0.2880985786551715,\"y\":-0.7165651450135955,\"z\":0.6352429471694392},\"up\":{\"x\":-0.13058070077753417,\"y\":0.6277755301642032,\"z\":0.7673633847868309},\"position\":{\"x\":-1378246.5472796464,\"y\":5258641.990886084,\"z\":3336931.772193939}}"]}', '200', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7079', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 10:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7080', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 10:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6361', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 13:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 13:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6711', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379059.061070826,\"y\":5258553.594886113,\"z\":3336541.5058684135},\"label\":{\"text\":\"管径：300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379058.077358678,\"y\":5258549.843848033,\"z\":3336539.12584242},{\"x\":-1379059.061070826,\"y\":5258553.594886113,\"z\":3336541.5058684135}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6609', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["333"],"file":[],"markName":["333"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '12', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6610', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["444"],"file":[],"markName":["444"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '10', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6611', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["1223"],"file":[],"markName":["221223"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '11', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6612', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/71', 'DELETE', '{"id":["71"]}', '18', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6613', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/75', 'DELETE', '{"id":["75"]}', '14', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6614', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/72', 'DELETE', '{"id":["72"]}', '9', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6615', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 13:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 13:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/70', 'DELETE', '{"id":["70"]}', '12', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6435', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 17:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 17:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4577', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7400', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 16:09:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:09:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7401', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7402', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 16:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '130', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7403', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-06 16:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7404', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-06 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7405', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-06 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-06 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7121', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:37:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["01"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379479.5954005164,\"y\":5258692.627183836,\"z\":3336132.532760627},\"label\":{\"text\":\"01\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379479.5954005164,\"y\":5258692.627183836,\"z\":3336132.532760627},{\"x\":-1379480.0279338853,\"y\":5258694.276037537,\"z\":3336133.5787990377}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"01\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7122', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["02"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379483.8539494027,\"y\":5258680.959891324,\"z\":3336149.1462882264},\"label\":{\"text\":\"02\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379483.8539494027,\"y\":5258680.959891324,\"z\":3336149.1462882264},{\"x\":-1379484.2864841078,\"y\":5258682.60874137,\"z\":3336150.1923318473}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"02\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '20', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7123', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["03"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379433.9094140714,\"y\":5258696.705464381,\"z\":3336145.256694432},\"label\":{\"text\":\"03\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379433.9094140714,\"y\":5258696.705464381,\"z\":3336145.256694432},{\"x\":-1379434.341933108,\"y\":5258698.354319325,\"z\":3336146.3027368085}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"03\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7283', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 13:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7284', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 13:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7285', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 13:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 13:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7286', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 14:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 14:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7287', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-04 14:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 14:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7288', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-04 14:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-04 14:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6618', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":103.70084402346026,\"ymax\":34.38297416829025,\"xmax\":105.02568902559462,\"ymin\":31.91102130160685,\"height\":15116}"],"notes":["123"],"file":[],"markName":["33"],"camera":["{\"direction\":{\"x\":0.14725903284846217,\"y\":-0.5594309466429515,\"z\":0.8156909912354718},\"up\":{\"x\":-0.20764098206507972,\"y\":0.7888200148004375,\"z\":0.5784878622903741},\"position\":{\"x\":-1387479.3576800707,\"y\":5270976.425013372,\"z\":3341464.7325453595}}"]}', '14', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6619', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6620', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6621', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6622', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6623', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 14:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '137', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6624', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:17:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:17:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6625', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6626', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6627', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 14:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6628', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6629', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/79', 'DELETE', '{"id":["79"]}', '16', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6630', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/78', 'DELETE', '{"id":["78"]}', '10', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6631', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/77', 'DELETE', '{"id":["77"]}', '11', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6632', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/76', 'DELETE', '{"id":["76"]}', '13', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6633', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/74', 'DELETE', '{"id":["74"]}', '11', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6634', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/73', 'DELETE', '{"id":["73"]}', '11', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6635', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/69', 'DELETE', '{"id":["69"]}', '11', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6636', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/68', 'DELETE', '{"id":["68"]}', '10', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6637', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/67', 'DELETE', '{"id":["67"]}', '10', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6638', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/63', 'DELETE', '{"id":["63"]}', '14', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6639', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/62', 'DELETE', '{"id":["62"]}', '8', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6640', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 14:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/33', 'DELETE', '{"id":["33"]}', '10', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6641', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6642', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6643', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6644', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 14:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '133', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6645', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 14:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6646', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6647', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 14:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6648', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 14:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6649', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6650', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-26 14:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '137', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6651', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-26 14:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 14:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6652', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6653', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '56', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3426', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '228', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3427', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379679.3205796091,\"y\":5258396.123769361,\"z\":3336531.0976644205},\"label\":{\"text\":\"标高：469.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379678.185016415,\"y\":5258391.79577734,\"z\":3336528.351488661},{\"x\":-1379679.3205796091,\"y\":5258396.123769361,\"z\":3336531.0976644205}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3428', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-05 20:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379642.6573109173,\"y\":5258404.893069762,\"z\":3336532.62656091},\"label\":{\"text\":\"标高：469.14 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379641.478519518,\"y\":5258400.400194433,\"z\":3336529.775767669},{\"x\":-1379642.6573109173,\"y\":5258404.893069762,\"z\":3336532.62656091}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3429', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-05 20:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-05 20:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6226', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6227', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1357', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6228', '1', 'tofly-base', 'pra', TO_DATE('2019-12-23 11:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-23 11:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '112', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4776', '1', 'tofly-base', 'pra', TO_DATE('2019-12-16 16:09:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-16 16:09:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '11', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4998', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 16:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1979', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5002', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6694', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5003', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["111111"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["18981178620"],"roleid":[""],"departmentId":["3"],"email":["673499140@qq.com"],"username":["pra2"]}', '376', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5722', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 20:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '231', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5725', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5726', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5727', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5728', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5729', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5730', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5731', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5732', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '11', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5733', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5734', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '145', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5735', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '93', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5736', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 20:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 20:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '91', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5737', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 21:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 21:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '223', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5738', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-19 21:27:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 21:27:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '222', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5739', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 21:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 21:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '225', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5740', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 21:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 21:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '226', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5826', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-20 11:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5827', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 11:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '114', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5828', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 11:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5829', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 11:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5830', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-20 11:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/usersky', 'POST', '{}', '18', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5831', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5832', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-20 11:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5833', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 11:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6712', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379048.2192208765,\"y\":5258557.163955832,\"z\":3336541.344209625},\"label\":{\"text\":\"埋深：2.39 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379047.2333545536,\"y\":5258553.404671463,\"z\":3336538.958953112},{\"x\":-1379048.2192208765,\"y\":5258557.163955832,\"z\":3336541.344209625}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6713', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379051.6745500192,\"y\":5258556.024737314,\"z\":3336541.3753361627},\"label\":{\"text\":\"坐标：104.694855 , 31.539253 , 471.403\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379050.6886811983,\"y\":5258552.265453657,\"z\":3336538.990079563},{\"x\":-1379051.6745500192,\"y\":5258556.024737314,\"z\":3336541.3753361627}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6714', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7107', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 14:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7108', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 14:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7109', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 14:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7110', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7111', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-01-02 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '21', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7112', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7113', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 14:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7114', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 14:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 14:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7115', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-01-02 15:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 15:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379754.1600819353,\"y\":5258375.502416481,\"z\":3336528.6311811446},\"label\":{\"text\":\"标高：469.51 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379753.5371104165,\"y\":5258373.128212243,\"z\":3336527.124708204},{\"x\":-1379754.1600819353,\"y\":5258375.502416481,\"z\":3336528.6311811446}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '29', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7116', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-01-02 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379753.7602622323,\"y\":5258371.860729644,\"z\":3336524.0650207526},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS26,01YS28,400X700,砖混,1.01,0.92\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379759.1819776609,\"y\":5258371.768290572,\"z\":3336526.9419636335},{\"x\":-1379753.7602622323,\"y\":5258371.860729644,\"z\":3336524.0650207526}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7117', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 15:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 15:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7118', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-02 15:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 15:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7119', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 16:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6724', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379202.632775264,\"y\":5258541.538442302,\"z\":3336488.627845819},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS664,01YS663,500X200,砖混,0.35000000000000003,0.33\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379231.8162213033,\"y\":5258533.835492387,\"z\":3336491.987341067},{\"x\":-1379202.632775264,\"y\":5258541.538442302,\"z\":3336488.627845819}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7145', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379475.9526741994,\"y\":5258451.824775457,\"z\":3336524.5295749274},\"label\":{\"text\":\"标高：470.53 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379475.420660037,\"y\":5258449.796780095,\"z\":3336523.2427976597},{\"x\":-1379475.9526741994,\"y\":5258451.824775457,\"z\":3336524.5295749274}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7124', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["04"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379500.1258988425,\"y\":5258699.161837324,\"z\":3336113.6028239406},\"label\":{\"text\":\"04\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379500.1258988425,\"y\":5258699.161837324,\"z\":3336113.6028239406},{\"x\":-1379500.558438654,\"y\":5258700.810693093,\"z\":3336114.6488564257}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"04\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7125', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["06"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379591.061031487,\"y\":5258703.0617104005,\"z\":3336129.372976196},\"label\":{\"text\":\"06\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379591.061031487,\"y\":5258703.0617104005,\"z\":3336129.372976196},{\"x\":-1379591.4935976996,\"y\":5258704.710559346,\"z\":3336130.419008523}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"06\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7126', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":["05"],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379556.3067377748,\"y\":5258628.046456941,\"z\":3336252.1961197914},\"label\":{\"text\":\"05\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379556.3067377748,\"y\":5258628.046456941,\"z\":3336252.1961197914},{\"x\":-1379556.7392934388,\"y\":5258629.695283689,\"z\":3336253.2421914684}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"05\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '20', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7180', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379199.4396894115,\"y\":5258545.180803319,\"z\":3336483.888239262},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YX1075,01YX1083,500X200,铜/光纤,1.3900000000000001,1.23\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379202.2798852632,\"y\":5258546.66337245,\"z\":3336482.360396694},{\"x\":-1379199.4396894115,\"y\":5258545.180803319,\"z\":3336483.888239262}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7181', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7182', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7183', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7184', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '119', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7185', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7186', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 10:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7187', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7188', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 10:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7189', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7190', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7191', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 11:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '120', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6654', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 15:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '37', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6655', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '45', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6490', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 14:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '141', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6491', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 14:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6492', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 14:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '141', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6493', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6494', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '135', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6495', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 14:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 14:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6982', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379362.1467919156,\"y\":5258474.675370721,\"z\":3336525.810267035},\"label\":{\"text\":\"长度：3.968m;坡度：千分之356.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379364.487549102,\"y\":5258477.104353038,\"z\":3336523.7210256835},{\"x\":-1379362.1467919156,\"y\":5258474.675370721,\"z\":3336525.810267035},{\"x\":-1379362.1467919156,\"y\":5258474.675370721,\"z\":3336525.810267035}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3423', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6983', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 15:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '8728', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6984', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379356.6809567066,\"y\":5258477.917681986,\"z\":3336528.4668845767},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS96,01YS97,500X200,砖混,0.4,0.45\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379364.9480921254,\"y\":5258477.006170639,\"z\":3336526.168247127},{\"x\":-1379356.6809567066,\"y\":5258477.917681986,\"z\":3336528.4668845767}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '1215', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6986', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74897', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7127', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379493.8508336123,\"y\":5258714.11100173,\"z\":3336103.124953588},\"label\":{\"text\":\"标高：467.42 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379492.713260062,\"y\":5258709.77450246,\"z\":3336100.373899156},{\"x\":-1379493.8508336123,\"y\":5258714.11100173,\"z\":3336103.124953588}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7128', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379496.057011166,\"y\":5258734.89163481,\"z\":3336069.201057723},\"label\":{\"text\":\"埋深：3.17 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379494.9280865348,\"y\":5258730.588095625,\"z\":3336066.47095156},{\"x\":-1379496.057011166,\"y\":5258734.89163481,\"z\":3336069.201057723}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '20', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7129', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["55,56,49"]}', '20', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7130', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 16:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["50,51,52,53,54"]}', '30', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7131', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 16:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 16:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7132', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379468.3310767221,\"y\":5258443.75163186,\"z\":3336528.029392404},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS517,01YS87-1,300,塑料,0.47000000000000003,0.47000000000000003\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379459.1875826542,\"y\":5258459.04373795,\"z\":3336515.3194924844},{\"x\":-1379468.3310767221,\"y\":5258443.75163186,\"z\":3336528.029392404}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5834', '1', 'tofly-base', 'pra', TO_DATE('2019-12-20 11:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-20 11:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3759', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-10 14:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-10 14:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '113', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3861', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-11 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3911', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 13:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 13:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3947', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3963', '1', 'tofly-base', 'pra', TO_DATE('2019-12-11 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3964', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3965', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 15:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 15:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3992', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3993', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 16:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3994', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-11 16:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-11 16:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5322', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5323', '1', 'tofly-base', 'pra', TO_DATE('2019-12-18 15:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5324', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5325', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '218', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5326', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5327', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '233', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5328', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5329', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7005', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 10:29:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:29:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7006', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 10:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7007', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 11:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 11:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7008', '1', 'tofly-base', 'pra', TO_DATE('2019-12-31 11:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 11:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7009', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 11:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 11:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7010', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 13:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 13:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7011', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 13:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 13:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7012', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 13:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 13:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7013', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 13:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 13:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7014', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7015', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 14:27:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7016', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7017', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 14:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7018', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:28:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:28:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7019', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 14:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '139', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7020', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7021', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 14:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7022', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7023', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 14:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7024', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-31 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7025', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 14:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7026', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7027', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7028', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7146', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379482.227270174,\"y\":5258450.231683363,\"z\":3336524.442005367},\"label\":{\"text\":\"标高：470.51 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379481.690928254,\"y\":5258448.187200853,\"z\":3336523.144766527},{\"x\":-1379482.227270174,\"y\":5258450.231683363,\"z\":3336524.442005367}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7147', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379489.495422039,\"y\":5258448.469187339,\"z\":3336524.2173580923},\"label\":{\"text\":\"标高：470.51 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379488.959077292,\"y\":5258446.424705513,\"z\":3336522.9201193415},{\"x\":-1379489.495422039,\"y\":5258448.469187339,\"z\":3336524.2173580923}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7148', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379495.330780113,\"y\":5258447.03036276,\"z\":3336523.9337606616},\"label\":{\"text\":\"标高：470.48 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379494.8030838512,\"y\":5258445.018856973,\"z\":3336522.65744521},{\"x\":-1379495.330780113,\"y\":5258447.03036276,\"z\":3336523.9337606616}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7149', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379502.8345247216,\"y\":5258437.197833798,\"z\":3336527.3559809052},\"label\":{\"text\":\"管径：400X450 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379502.293848983,\"y\":5258435.136867093,\"z\":3336526.0482783443},{\"x\":-1379502.8345247216,\"y\":5258437.197833798,\"z\":3336527.3559809052}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7150', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["49,50,51,53,54,55,56,57,58,59,60,52,61"]}', '10', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7151', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379508.7072737864,\"y\":5258435.96088097,\"z\":3336535.7143235984},\"label\":{\"text\":\"管径：50 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379508.1536198757,\"y\":5258433.850453091,\"z\":3336534.3752337922},{\"x\":-1379508.7072737864,\"y\":5258435.96088097,\"z\":3336535.7143235984}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7152', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379502.0634557616,\"y\":5258437.691820064,\"z\":3336536.592808234},\"label\":{\"text\":\"管径：500X300 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379501.5098045552,\"y\":5258435.581391638,\"z\":3336535.2537181694},{\"x\":-1379502.0634557616,\"y\":5258437.691820064,\"z\":3336536.592808234}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7153', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379477.3628036452,\"y\":5258443.4795353515,\"z\":3336536.9680305505},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379476.8091623196,\"y\":5258441.36910448,\"z\":3336535.6289402563},{\"x\":-1379477.3628036452,\"y\":5258443.4795353515,\"z\":3336536.9680305505}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7154', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["49,50,51"]}', '9', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7179', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7420', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-07 09:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-07 09:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7192', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 11:11:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:11:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '129', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7193', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 11:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '140', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7194', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 11:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7195', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7196', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7197', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 11:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7198', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7199', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 11:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7200', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 11:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7201', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 11:55:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:55:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '132', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7202', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7203', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 11:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 11:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7204', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 12:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 12:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7205', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7206', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:28:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:28:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '118', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7207', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 13:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7208', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7209', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7210', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 13:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6996', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 17:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 17:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46397', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6510', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '140', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6511', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 15:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6512', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6513', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6514', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '190', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6515', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 15:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6516', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6517', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '150', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6518', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 15:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6519', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6520', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-25 15:54:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:54:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6521', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '149', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6522', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6523', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-25 15:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 15:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6524', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6525', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6526', '1', 'tofly-base', 'pra', TO_DATE('2019-12-25 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6527', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '155', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7133', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379451.0887104375,\"y\":5258431.981234029,\"z\":3336554.576062996},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS225,01YS226,500X400,砖混,0.61,0.65\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379454.077381745,\"y\":5258444.964256322,\"z\":3336539.4242261834},{\"x\":-1379451.0887104375,\"y\":5258431.981234029,\"z\":3336554.576062996}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7134', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["49,50"]}', '0', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7135', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '130', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7136', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-02 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6745', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 13:06:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:06:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69516143074101,\"ymax\":31.541288188037804,\"xmax\":104.70420889859754,\"ymin\":31.536072956093275,\"height\":486}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.2467967472889758,\"y\":-0.940670835578483,\"z\":0.23287280781503897},\"up\":{\"x\":-0.05909702263907146,\"y\":0.22524938742393508,\"z\":0.9725072006830279},\"position\":{\"x\":-1379695.251886662,\"y\":5258736.051192165,\"z\":3336009.818005283}}"]}', '4702', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7212', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 13:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7213', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7214', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '126', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7215', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-03 13:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7216', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7217', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 13:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7218', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 13:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 13:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7219', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-03 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7220', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '138', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7221', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '132', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7222', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-03 14:13:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:13:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7223', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '136', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7224', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 14:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7225', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7226', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 14:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7227', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7228', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 14:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7229', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 14:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '133', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7230', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 14:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 14:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7231', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379356.33062606,\"y\":5258479.654658741,\"z\":3336530.2548264526},\"label\":{\"text\":\"坡度：千分之 -0.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379355.444012689,\"y\":5258476.274648618,\"z\":3336528.110194015},{\"x\":-1379356.33062606,\"y\":5258479.654658741,\"z\":3336530.2548264526}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7232', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["65"]}', '13', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7233', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '137', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7029', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7030', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379147.8776834158,\"y\":5258763.286534708,\"z\":3336170.7812581738},\"label\":{\"text\":\"坡度：千分之 0.4\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379147.2203914623,\"y\":5258760.780245971,\"z\":3336169.191263188},{\"x\":-1379147.8776834158,\"y\":5258763.286534708,\"z\":3336170.7812581738}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '90', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7031', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["47"]}', '0', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7032', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379127.5953049017,\"y\":5258749.1571615115,\"z\":3336191.2139839996},\"label\":{\"text\":\"长度：31.511m;坡度：千分之69.8\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379146.7964919058,\"y\":5258760.813335592,\"z\":3336169.1109316675},{\"x\":-1379127.5953049017,\"y\":5258749.1571615115,\"z\":3336191.2139839996},{\"x\":-1379127.9867209622,\"y\":5258749.407430847,\"z\":3336190.958974444}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3579', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.6543760353,\"y\":5258448.34515003,\"z\":3336414.533810487},\"label\":{\"text\":\"标高：471.19 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.9167561666,\"y\":5258445.533988296,\"z\":3336412.7501662895},{\"x\":-1379762.6543760353,\"y\":5258448.34515003,\"z\":3336414.533810487}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7066', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 09:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.66227864578156,\"ymax\":31.65272564635558,\"xmax\":104.7076255267527,\"ymin\":31.542019183007277,\"height\":492}"],"notes":["护城河02"],"file":[],"markName":["护城河02"],"camera":["{\"direction\":{\"x\":0.03494946797670721,\"y\":-0.8382866730087792,\"z\":0.5441084345459253},\"up\":{\"x\":-0.22174422966769652,\"y\":0.5243657876446022,\"z\":0.8221131414573883},\"position\":{\"x\":-1379804.0283339159,\"y\":5258415.561356481,\"z\":3336482.116229101}}"]}', '10', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7067', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.34493613745512,\"ymax\":31.79786036345716,\"xmax\":104.70056681742302,\"ymin\":31.551145810786423,\"height\":485}"],"notes":[""],"file":[],"markName":["体育馆"],"camera":["{\"direction\":{\"x\":0.7223907796547251,\"y\":-0.24238806836623145,\"z\":0.6476106745441476},\"up\":{\"x\":-0.20382903946825726,\"y\":0.8202958171397821,\"z\":0.5343860917468054},\"position\":{\"x\":-1379784.6182773754,\"y\":5258361.35533689,\"z\":3336561.9600748196}}"]}', '20', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7068', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.5665783477829,\"ymax\":31.480405745326483,\"xmax\":104.69455453082504,\"ymin\":31.541553294948038,\"height\":609}"],"notes":[""],"file":[],"markName":[""],"camera":["{\"direction\":{\"x\":0.9718069169441201,\"y\":-0.129738366595966,\"z\":-0.19687374739303},\"up\":{\"x\":0.21156625821338448,\"y\":0.8483969807245848,\"z\":0.4852445584269814},\"position\":{\"x\":-1379620.1191882305,\"y\":5258636.456473076,\"z\":3336433.8703250606}}"]}', '20', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7069', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.5665783477829,\"ymax\":31.480405745326483,\"xmax\":104.69455453082504,\"ymin\":31.541553294948038,\"height\":609}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.9718069169441201,\"y\":-0.129738366595966,\"z\":-0.19687374739303},\"up\":{\"x\":0.21156625821338448,\"y\":0.8483969807245848,\"z\":0.4852445584269814},\"position\":{\"x\":-1379620.1191882305,\"y\":5258636.456473076,\"z\":3336433.8703250606}}"]}', '20', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7070', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7071', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7072', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.57264820577636,\"ymax\":31.4963163580126,\"xmax\":104.69486465592988,\"ymin\":31.539208112892332,\"height\":502}"],"notes":[""],"file":[],"markName":["樱花树"],"camera":["{\"direction\":{\"x\":0.9777030584915593,\"y\":-0.18182834796484756,\"z\":-0.10504847115796187},\"up\":{\"x\":0.20978420184158675,\"y\":0.8234757644158603,\"z\":0.527141588263915},\"position\":{\"x\":-1379518.9291926855,\"y\":5258694.182333757,\"z\":3336179.8413172257}}"]}', '10', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7073', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 10:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 10:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.65592159703615,\"ymax\":31.884168105094986,\"xmax\":104.7004775893795,\"ymin\":31.57659966593944,\"height\":513}"],"notes":[""],"file":[],"markName":["梧桐道"],"camera":["{\"direction\":{\"x\":0.23417837441782322,\"y\":-0.22742324470500527,\"z\":0.9452191051406406},\"up\":{\"x\":-0.28562276601087566,\"y\":0.9132535688088483,\"z\":0.29049536071028514},\"position\":{\"x\":-1378194.156179091,\"y\":5258963.027824727,\"z\":3336324.4723743577}}"]}', '10', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7033', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379148.999125658,\"y\":5258772.793653993,\"z\":3336155.121184477},\"label\":{\"text\":\"坐标：104.695268 , 31.535195 , 470.923\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379148.4023732569,\"y\":5258770.518203487,\"z\":3336153.6776431496},{\"x\":-1379148.999125658,\"y\":5258772.793653993,\"z\":3336155.121184477}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7034', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379152.3582721434,\"y\":5258757.917454396,\"z\":3336172.7305046595},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXPSHS0000000399\\n起点编号：01YS379\\n止点编号：01YS380\\n类型：YS\\n起点管顶高程：472.487\\n终点管顶高程：472.24600000000004\\n起点埋深：0.98\\n终点埋深：1.0\\n要素编码：\\n管线材质：砖混\\n压力值：\\n敷设方式：管沟\\n管径：400X800\\n电缆条数：0\\n总孔数：0\\n已用孔数：0\\n埋设年代：\\n权属单位：西南科技大学\\n淤泥厚度：\\n所在道路：西南科技大学\\n使用状态：\\n勘测单位：\\n监理单位：\\n录入人：上图员\\n入库日期：2019/12/26 14:37:31\\n修改日期：\\n工程名称：\\n设计单位：\\n施工单位：\\n路面情况：\\n地址：\\n粗糙度：\\n勘测日期：\\n修改人：\\n防腐措施：\\n安全提示：\\n定期检测：\\n流向：\\n亚级类别：YS\\n亚级名称：YS\\n起点点号：\\n终点点号：\\n埋深位置：非空管\\n光缆条数：\\n线标准代码：\\n套管材质：\\n长度：0.24\\n备注：\\n起点经度：104.695325765811\\n起点纬度：31.535357068098296\\n终点经度：104.695435108332\\n终点纬度：31.535350744789397\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379151.7139507176,\"y\":5258755.460633453,\"z\":3336171.1718896483},{\"x\":-1379152.3582721434,\"y\":5258757.917454396,\"z\":3336172.7305046595}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7035', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:01:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:01:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379164.1854629482,\"y\":5258756.608811487,\"z\":3336168.0675784913},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379164.1854629482,\"y\":5258756.608811487,\"z\":3336168.0675784913},{\"x\":-1379164.6178972102,\"y\":5258758.257684439,\"z\":3336169.1136275297}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7036', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379167.6801215443,\"y\":5258758.403989145,\"z\":3336169.404112425},\"label\":{\"text\":\"标高：470.33 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379167.0314688082,\"y\":5258755.930680008,\"z\":3336167.8350389595},{\"x\":-1379167.6801215443,\"y\":5258758.403989145,\"z\":3336169.404112425}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7037', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-31 15:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["50,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,51,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,48,47,49"]}', '80', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7038', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hxx"]}', '80', NULL, 'hxx用户不存在', 'content:登录 :hxx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7039', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-31 15:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 15:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7155', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 09:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 09:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '174', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7156', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 09:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 09:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7157', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '170', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7158', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '140', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7159', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7160', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 10:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '150', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10375', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 13:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10376', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10377', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '124', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10378', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10379', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10415', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-27 13:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-27 13:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '167', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10416', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-27 13:59:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-27 13:59:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10417', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-27 14:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-27 14:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8978', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:26:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:26:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '681', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8979', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '134', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8980', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-03 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '124', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8981', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8982', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8983', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8984', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8985', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-03 10:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8986', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-03 10:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '118', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8987', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8988', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 10:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8989', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 10:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 10:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8990', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8991', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 11:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 11:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8992', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8993', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 13:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 13:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8994', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 16:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 16:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8995', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-03 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-03 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9098', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 15:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 15:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '129', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9099', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 15:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 15:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '123', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9125', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 09:47:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 09:47:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '93', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9126', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 10:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 10:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9127', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["t01"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13012345678"],"roleid":[""],"departmentId":["1"],"email":["123@126.com"],"username":["21101"]}', '125', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9132', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21102"]}', '175', NULL, NULL, 'content:登录 :21102');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9136', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21102"]}', '122', NULL, NULL, 'content:登录 :21102');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9137', '1', 'tofly-base', '21102', TO_DATE('2020-02-11 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55,56"]}', '29', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9138', '1', 'tofly-base', '21102', TO_DATE('2020-02-11 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55,56"]}', '27', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9139', '1', 'tofly-base', '21102', TO_DATE('2020-02-11 11:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55,56"]}', '29', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9140', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7813', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7814', '1', 'tofly-base', 'aaa', TO_DATE('2020-01-09 13:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '64', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7815', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '129', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7816', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 13:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7824', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '310', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7829', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '15', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7830', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["0"]}', '15', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7839', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["1"]}', '13', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7840', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '165', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7841', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '209', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7842', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '124', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7843', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '171', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7844', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["CS01"]}', '58', NULL, 'CS01用户不存在', 'content:登录 :CS01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7845', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["CS01"]}', '51', NULL, 'CS01用户不存在', 'content:登录 :CS01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7846', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '204', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7847', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '125', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7848', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '122', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7849', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '123', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7850', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '124', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7706', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '23', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7707', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '120', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9175', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9176', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9177', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:12:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:12:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9178', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9179', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9180', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9191', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '16', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9254', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 11:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 11:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9255', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-12 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9298', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-20 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9299', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-20 14:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 14:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '135', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9300', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-20 14:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 14:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9497', '1', 'tofly-base', 'pra', TO_DATE('2020-02-25 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '1171', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8322', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:30:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:30:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '130', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8334', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '122', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8345', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8346', '1', 'tofly-base', '兰兰', TO_DATE('2020-01-10 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '131', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8393', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-11 09:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 09:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '190', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8407', '1', 'tofly-base', 'xj', TO_DATE('2020-01-13 09:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/user', 'POST', '{"realName":["演示账户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["18457521236"],"roleid":[""],"departmentId":["3"],"email":["45236589@qq.com"],"username":["ys"]}', '596', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8408', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ys"]}', '166', NULL, NULL, 'content:登录 :ys');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8409', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ys"]}', '130', NULL, NULL, 'content:登录 :ys');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8410', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ys"]}', '129', NULL, NULL, 'content:登录 :ys');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8411', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '126', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8143', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8144', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8145', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8146', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '127', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8147', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 17:22:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8148', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 17:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '127', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8158', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8159', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'POST', '{}', '14', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8160', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'POST', '{}', '24', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8161', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8162', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '10', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8163', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '7', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8164', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8165', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8166', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8167', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["457"],"ulevel":["2"]}', '6', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8168', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["456"],"ulevel":["2"]}', '5', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8169', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '7', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8170', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'POST', '{}', '10', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8171', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '8', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8172', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["455,456"],"ulevel":["2"]}', '16', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8173', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code', 'PUT', '{}', '16', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8174', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '10', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8175', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 09:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '125', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8176', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-10 09:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8177', '1', 'tofly-xnkd', 'hh1', TO_DATE('2020-01-10 09:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.377070759672,\"ymax\":31.44511625084828,\"xmax\":104.68889372698784,\"ymin\":31.544110990313023,\"height\":484}"],"notes":[""],"file":[],"markName":["11"],"camera":["{\"direction\":{\"x\":0.9802864491590026,\"y\":0.19526423070032967,\"z\":-0.030172136222727085},\"up\":{\"x\":-0.15111382042223365,\"y\":0.8393279667245497,\"z\":0.5222003232011927},\"position\":{\"x\":-1379818.2037027695,\"y\":5258496.107712826,\"z\":3336332.438337199}}"]}', '24', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8178', '1', 'tofly-xnkd', 'hh1', TO_DATE('2020-01-10 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.48338103869496,\"ymax\":31.242644938695143,\"xmax\":104.67936612232168,\"ymin\":31.532141422830296,\"height\":482}"],"notes":[""],"file":[],"markName":["22"],"camera":["{\"direction\":{\"x\":0.5885016715419368,\"y\":0.5665933986255423,\"z\":-0.5767475212138358},\"up\":{\"x\":-0.2389194108403994,\"y\":0.8033745569722098,\"z\":0.5454418725523208},\"position\":{\"x\":-1379744.350046765,\"y\":5258501.077708008,\"z\":3336352.260403567}}"]}', '19', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7140', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379066.4985262626,\"y\":5258794.826970945,\"z\":3336157.0629125666},\"label\":{\"text\":\"管径：400X400 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379065.968832199,\"y\":5258792.807088364,\"z\":3336155.7815076523},{\"x\":-1379066.4985262626,\"y\":5258794.826970945,\"z\":3336157.0629125666}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7141', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379462.8406457605,\"y\":5258444.776324288,\"z\":3336540.663666964},\"label\":{\"text\":\"标高：468.84 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379461.9864034718,\"y\":5258441.519994529,\"z\":3336538.5974901537},{\"x\":-1379462.8406457605,\"y\":5258444.776324288,\"z\":3336540.663666964}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7142', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379475.5709677255,\"y\":5258443.236080831,\"z\":3336538.064496497},\"label\":{\"text\":\"标高：466.48 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379474.1803782315,\"y\":5258437.935272272,\"z\":3336534.7010771846},{\"x\":-1379475.5709677255,\"y\":5258443.236080831,\"z\":3336538.064496497}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7143', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379478.3361083765,\"y\":5258441.994343414,\"z\":3336539.0664311107},\"label\":{\"text\":\"标高：470.33 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379477.756514713,\"y\":5258439.784986748,\"z\":3336537.664570096},{\"x\":-1379478.3361083765,\"y\":5258441.994343414,\"z\":3336539.0664311107}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7144', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379471.2076000134,\"y\":5258452.973750142,\"z\":3336524.68738064},\"label\":{\"text\":\"标高：470.55 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379470.6777503327,\"y\":5258450.953998224,\"z\":3336523.4058341137},{\"x\":-1379471.2076000134,\"y\":5258452.973750142,\"z\":3336524.68738064}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6914', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3866', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6915', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5718', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6916', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-30 11:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '3734', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6917', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 11:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 11:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5373', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6930', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '3563', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6934', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 13:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7424', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6974', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.5521010775,\"y\":5258447.899510816,\"z\":3336411.453950269},\"label\":{\"text\":\"标高：469.19 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.81448103,\"y\":5258445.088348438,\"z\":3336409.67030716},{\"x\":-1379762.5521010775,\"y\":5258447.899510816,\"z\":3336411.453950269}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6975', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379759.2813816092,\"y\":5258450.14146965,\"z\":3336404.78922235},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379758.5437630413,\"y\":5258447.330305038,\"z\":3336403.0055821473},{\"x\":-1379759.2813816092,\"y\":5258450.14146965,\"z\":3336404.78922235}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2015', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9144', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:23:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:23:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21101"]}', '122', NULL, NULL, 'content:登录 :21101');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9145', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '76', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8775', '1', 'tofly-base', 'manager', TO_DATE('2020-01-19 16:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 16:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9301', '1', 'tofly-base', NULL, TO_DATE('2020-02-24 09:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9302', '1', 'tofly-base', NULL, TO_DATE('2020-02-24 09:12:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:12:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9303', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 09:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '165', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9304', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-24 09:16:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:16:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9305', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-24 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9306', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-24 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9307', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-24 09:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10258', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-10 14:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '139', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10259', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 14:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10260', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 14:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10261', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 14:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10262', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 15:04:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 15:04:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10263', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-10 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '189', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10264', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10315', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 14:48:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '956', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10316', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 14:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '242', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10317', '1', 'tofly-base', 'admin', TO_DATE('2020-04-15 14:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["4"]}', '28', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10391', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-26 16:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 16:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '649', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10392', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 16:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 16:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10393', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10394', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-26 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '134', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10395', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 17:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10396', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10397', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8940', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '50', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8941', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8942', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '127', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8943', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '128', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8944', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh"]}', '39', NULL, 'hh用户不存在', 'content:登录 :hh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8945', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:23:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '123', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8946', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '125', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8947', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8948', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9498', '1', 'tofly-base', 'pra', TO_DATE('2020-02-25 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '122', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9499', '1', 'tofly-base', 'pra', TO_DATE('2020-02-25 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '230', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9500', '1', 'tofly-base', 'pra', TO_DATE('2020-02-25 16:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 16:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '225', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9516', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 13:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '152', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10380', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-23 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '165', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10389', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-24 13:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-24 13:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '180', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10390', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-24 13:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-24 13:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8709', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '115', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8710', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:27:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:27:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8711', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '98', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8712', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '214', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8713', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 17:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9166', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '129', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9172', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '6', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9173', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 13:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sd"]}', '124', NULL, NULL, 'content:登录 :sd');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9190', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'POST', '{}', '18', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9192', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '4', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9193', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source/removeByIds', 'DELETE', '{"ids":["47"]}', '6', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9194', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '6', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9195', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '20', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9196', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '4', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9197', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8,9"]}', '16', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9198', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '35', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9199', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '5', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9200', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["9"]}', '12', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9201', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9259', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-12 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9260', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 13:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '125', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9261', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 13:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9262', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 13:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9234', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '6', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9235', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9236', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["7"]}', '13', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9237', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["7"]}', '5', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9238', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:24:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:24:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["8"]}', '4', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9239', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '9', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9240', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '39', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9241', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["7"]}', '8', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9242', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 10:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '124', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9243', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9244', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9250', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["56"]}', '13', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9251', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 10:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9252', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9256', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 13:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '156', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8179', '1', 'tofly-xnkd', 'hh1', TO_DATE('2020-01-10 09:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/91', 'DELETE', '{"id":["91"]}', '34', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8180', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8181', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-10 09:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8182', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '107', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8183', '1', 'tofly-xnkd', 'hh1', TO_DATE('2020-01-10 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379725.8222910718,\"y\":5258396.976910981,\"z\":3336501.579629728},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379725.8222910718,\"y\":5258396.976910981,\"z\":3336501.579629728},{\"x\":-1379726.2549014718,\"y\":5258398.625671322,\"z\":3336502.6257834337}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8184', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-10 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8185', '1', 'tofly-xnkd', 'hh1', TO_DATE('2020-01-10 10:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '9', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7973', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '391', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7974', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7980', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9107', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '155', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9108', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["0c850bf8d1d990f386030c484a3c7a59c4dd56b6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '207', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9109', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '163', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9110', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9269', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379506.168518244,\"y\":5258443.0862760665,\"z\":3336524.2549786973},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379505.677583791,\"y\":5258441.214917364,\"z\":3336523.0675866106},{\"x\":-1379506.168518244,\"y\":5258443.0862760665,\"z\":3336524.2549786973}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9270', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9271', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9272', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9273', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9274', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9275', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9276', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9277', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9278', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9279', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9280', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 15:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 15:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9281', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 16:03:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9282', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 16:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9283', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '124', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9284', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9285', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9286', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:32:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:32:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9287', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6976', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379762.0129902393,\"y\":5258446.230769038,\"z\":3336414.3479324128},\"label\":{\"text\":\"埋深：1.52 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.275370484,\"y\":5258443.419607558,\"z\":3336412.564287762},{\"x\":-1379762.0129902393,\"y\":5258446.230769038,\"z\":3336414.3479324128}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '428', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6977', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-30 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379760.7607586742,\"y\":5258441.414769504,\"z\":3336422.376524001},\"label\":{\"text\":\"坐标：104.702390 , 31.538018 , 469.168\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379760.0231395825,\"y\":5258438.603610583,\"z\":3336420.592875046},{\"x\":-1379760.7607586742,\"y\":5258441.414769504,\"z\":3336422.376524001}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '755', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6978', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 15:47:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 15:47:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '5332', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7237', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 15:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7238', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 15:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7239', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 15:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '129', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7240', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 15:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7241', '1', 'tofly-base', 'pra', TO_DATE('2020-01-03 15:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 15:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7242', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 16:00:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:00:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7243', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 16:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '131', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7244', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 16:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7245', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 16:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '132', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7246', '1', 'tofly-base', 'pra', TO_DATE('2020-01-03 16:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7247', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 16:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7248', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-03 16:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7249', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-03 16:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 16:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7250', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 17:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 17:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '136', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7251', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-03 17:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 17:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6585', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 11:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 11:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '2852', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7002', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 10:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7003', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 10:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7004', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-31 10:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-31 10:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8349', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '210', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8350', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '266', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9712', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '141', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9713', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '159', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9722', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111112"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8949', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m022"]}', '130', NULL, NULL, 'content:登录 :m022');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8950', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '125', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8951', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8952', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8953', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8954', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '143', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8955', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '132', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8956', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '143', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8957', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7787', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '178', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7788', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '298', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7789', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '125', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7790', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '359', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7882', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["333@163.com"],"username":["dou1"]}', '23', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7884', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["3"],"id":["39"],"isupdate":["1"],"email":["333@163.com"],"username":["dou1"]}', '24', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7885', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '64', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7886', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7887', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7893', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '132', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7898', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '67', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7899', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '133', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7901', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"id":["37"],"statusFlag":["0"]}', '18', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7904', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7905', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '325', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8030', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hh"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["1"],"id":["40"],"isupdate":["1"],"email":["666@162.com"],"username":["hh1"]}', '125', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9453', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9454', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '123', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9455', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9456', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9457', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 10:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9458', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9459', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9257', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-12 13:23:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9258', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10479', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 10:59:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 10:59:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '229', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10480', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 10:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 10:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10481', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10482', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '143', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10483', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10484', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 14:36:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 14:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8460', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 08:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 08:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8461', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 09:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 09:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '140', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8462', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8463', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 10:06:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:06:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '222', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8464', '1', 'tofly-base', 'm01', TO_DATE('2020-01-14 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8465', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 10:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8466', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8467', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 10:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '140', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8468', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 10:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8469', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 10:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8470', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8471', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 10:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 10:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8472', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 11:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 11:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8473', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 11:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 11:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8474', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8475', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 13:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '257', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8476', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 13:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '347', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8477', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 13:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8478', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8066', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 15:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["h2"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["17777777778"],"roleid":["undefined"],"departmentId":["3"],"id":["41"],"isupdate":["1"],"email":["77@163.com"],"username":["hh2"]}', '125', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8067', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8068', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '263', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8070', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hh"],"id":["40"],"statusFlag":["1"]}', '15', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8071', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '55', NULL, 'hh1用户不存在', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8072', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '57', NULL, 'hh1用户不存在', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8073', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '124', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8074', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hh"],"id":["40"],"statusFlag":["1"]}', '8', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9288', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '123', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9289', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9290', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '124', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9291', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9292', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9293', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9294', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9295', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 16:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '133', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9296', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 16:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 16:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9464', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '4', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9573', '1', 'tofly-base', 'manager', TO_DATE('2020-02-27 11:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 11:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9574', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 11:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 11:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9575', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9576', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 11:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 11:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9077', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["333"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777776"],"roleid":["undefined"],"departmentId":["3"],"id":["53"],"isupdate":["1"],"email":["777@126.com"],"username":["m033"]}', '10', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9078', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9079', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["333"],"id":["53"],"statusFlag":["1"]}', '10', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9080', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["333"],"id":["53"],"statusFlag":["0"]}', '11', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9081', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '11', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9082', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9083', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["53"]}', '21', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9084', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["51"]}', '23', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9085', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:27:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:27:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9086', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9087', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m03"]}', '123', NULL, NULL, 'content:登录 :m03');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9088', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9089', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '4', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9090', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '11', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9092', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["52"]}', '22', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9093', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '123', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9094', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["333"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777771"],"roleid":["undefined"],"departmentId":["3"],"id":["53"],"isupdate":["1"],"email":["777@126.com"],"username":["m033"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9095', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '122', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9096', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9097', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '126', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9122', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 09:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 09:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '156', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9123', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 09:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 09:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9165', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["444"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15666666666"],"roleid":["undefined"],"departmentId":["6"],"id":["54"],"isupdate":["1"],"email":["666@163.com"],"username":["m044"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8342', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '138', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8343', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 14:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8344', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 14:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '92', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9779', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 17:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '1068', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9786', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '125', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9787', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["4b581cdce6283495fd4934ce574ac47e92881c64"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '136', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9788', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["d9b6765dfc562d6ced8a8aa9cfcf1acda82dcaa3"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '266', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9789', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["486029455770b3a0b73a30aaa40b8725807852b8"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '185', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9790', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["d37c09183a759b544fc2c3f5f4a4beea3949e994"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '176', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9791', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '163', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9792', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-03 16:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9793', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["8aefb06c426e07a0a671a1e2488b4858d694a730"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '135', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9794', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["a031eb6d2f6330f89b937098d4439578421617df"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '188', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9956', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9957', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9958', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9959', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9960', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9961', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:48:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '129', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9962', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9963', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '126', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9964', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:51:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:51:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9965', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '126', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9966', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9967', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9968', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '127', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9969', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '51', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9970', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 13:58:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:58:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8593', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8594', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8595', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8596', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8597', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8598', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:33:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8599', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8600', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9460', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9461', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9462', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 10:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9463', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9597', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '162', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9598', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-28 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9599', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9600', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-28 10:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9601', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 10:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '121', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9602', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 10:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9603', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10420', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-09 19:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-09 19:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1910', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10424', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-12 16:25:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:25:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.93', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1256', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10432', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-14 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-14 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '895', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10433', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-14 09:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-14 09:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '319', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10434', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-11 15:36:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["123"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["213"]}', '617', NULL, '213用户不存在', 'content:登录 :213');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10435', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-11 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '223', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10436', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-11 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '103', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10437', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-11 15:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '139', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10438', '1', 'tofly-base', 'xj', TO_DATE('2020-06-11 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10439', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-11 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '131', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10440', '1', 'tofly-base', 'xj', TO_DATE('2020-06-11 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10441', '1', 'tofly-base', 'xj', TO_DATE('2020-06-11 15:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-11 15:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8797', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["66"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["18888888888"],"roleid":[""],"departmentId":["2"],"email":["888@qq.com"],"username":["22"]}', '143', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8800', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["50"]}', '6', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8803', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '22', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8813', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '242', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8814', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '24', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8815', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8816', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '125', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8881', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '25', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8882', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '119', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8883', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 13:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8884', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8886', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '118', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8906', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '143', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8075', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '8', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8076', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '62', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8077', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["h2"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["17777777778"],"roleid":["undefined"],"departmentId":["4"],"id":["41"],"isupdate":["1"],"email":["77@163.com"],"username":["hh2"]}', '133', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8078', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '125', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8079', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8080', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 15:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8081', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '47', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8085', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 16:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8086', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8087', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 16:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8088', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:04:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '128', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8089', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10047', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 09:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 09:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian''jie"]}', '449', NULL, 'tian''jie用户不存在', 'content:登录 :tian''jie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10048', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 09:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 09:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian''jie"]}', '79', NULL, 'tian''jie用户不存在', 'content:登录 :tian''jie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10049', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 09:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 09:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '308', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10050', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 09:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 09:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10051', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 11:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 11:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '178', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10052', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 13:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 13:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '137', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10053', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 13:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 13:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10054', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 13:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 13:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10055', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 14:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10056', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 14:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10057', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10058', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 14:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '154', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10059', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 14:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7708', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 11:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7709', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '122', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7710', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7711', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '43', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7712', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '123', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7713', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7714', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '124', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7720', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7721', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '26', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7722', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["玩儿"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["3"],"phone":["13333333333"],"roleid":[""],"departmentId":["1"],"email":["111@qq.com"],"username":["wanerr"]}', '557', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7750', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'POST', '{}', '25', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8348', '1', 'tofly-base', '兰兰', TO_DATE('2020-01-10 15:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '11', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8010', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '146', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8011', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '64', NULL, 'dou1用户不存在', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8012', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8013', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '117', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8014', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '116', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8015', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '118', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8016', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '164', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8017', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '121', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8023', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8024', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '228', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8098', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8188', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["43"],"isupdate":["1"],"email":["666@163.com"],"username":["m02"]}', '132', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8189', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8190', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9577', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 13:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 13:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '170', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9578', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 13:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9579', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 14:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 14:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9580', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 14:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 14:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9581', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 14:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 14:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9562', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9563', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9564', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9565', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9566', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9567', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:41:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:41:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9568', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9569', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9570', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9571', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 10:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9572', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 11:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 11:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '180', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9807', '1', 'tofly-xnkd', 'pra1', TO_DATE('2020-03-04 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/romingpathfly/savePath', 'POST', '{}', '2008', NULL, NULL, 'content:新增路径');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9808', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '134', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8602', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 16:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '179', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8746', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 09:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '246', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8747', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 09:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '160', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8748', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 09:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8749', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-19 09:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8750', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '126', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8751', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 09:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 09:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8752', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 10:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '300', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8753', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-19 10:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8754', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '143', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8755', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-19 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8756', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-19 10:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8757', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 10:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '129', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8758', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-19 10:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 10:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8759', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 11:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 11:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8760', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 11:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 11:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8761', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 11:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 11:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8762', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8763', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8764', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 13:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 13:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8765', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 13:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 13:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '206', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8766', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-19 13:50:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 13:50:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '104', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8767', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 14:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 14:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8768', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8769', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8770', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 15:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 15:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8771', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 15:23:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 15:23:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8772', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8773', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-19 15:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 15:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7831', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["3"],"id":["38"],"isupdate":["1"],"email":["111@qq.com"],"username":["wanerr"]}', '128', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7832', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["1"]}', '13', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7833', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '122', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7834', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 13:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10120', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 09:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 09:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '250', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10121', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '132', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10122', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10123', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 10:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '133', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8907', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["77bce9fb18f977ea576bbcd143b2b521073f0cd6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '167', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8908', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '149', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8553', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8554', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 10:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8714', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '213', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8715', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-17 09:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8716', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '150', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8717', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-17 09:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8718', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '154', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8719', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '104', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8720', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 09:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '94', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8721', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 09:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '118', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9308', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '124', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9309', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9310', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 09:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '124', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9311', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9312', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9888', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 15:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '235', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10250', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-10 10:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 10:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '1652', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10461', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 10:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 10:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '283', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10462', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 10:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 10:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10463', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 11:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '148', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8664', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 15:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '128', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8665', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 15:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8666', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 15:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8667', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 15:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '86', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8668', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '155', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8669', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 16:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '73', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8670', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 16:05:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:05:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '137', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8671', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 16:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8672', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '157', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8673', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '98', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8674', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8675', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '146', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8676', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 16:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8677', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8678', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 16:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '71', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8679', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '129', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7751', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'PUT', '{}', '7', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7752', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'PUT', '{}', '4', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7753', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4"]}', '12', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7755', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["TR"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13111111112"],"roleid":["undefined"],"departmentId":["2"],"id":["39"],"isupdate":["1"],"email":["111@qq.com"],"username":["test"]}', '126', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7756', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '191', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7757', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '125', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7817', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 13:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '14', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7818', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 13:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '14', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7819', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 13:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '3', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7820', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 13:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["0"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7821', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '125', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7822', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '166', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7823', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '351', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7825', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '14', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7826', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '14', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7827', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '14', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7828', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7851', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '131', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7852', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '123', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7853', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["cs01"]}', '124', NULL, NULL, 'content:登录 :cs01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7854', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '178', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7855', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:13:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:13:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["d033e22ae348aeb5660fc2140aec35850c4da997"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '177', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7856', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '126', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8042', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '219', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8045', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/updatePassword', 'PUT', '{}', '124', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8046', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '125', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9263', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379446.5980915942,\"y\":5258460.578426646,\"z\":3336522.471502931},\"label\":{\"text\":\"角度：90.00 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379445.9276814894,\"y\":5258458.022818396,\"z\":3336520.8499552878},{\"x\":-1379446.5980915942,\"y\":5258460.578426646,\"z\":3336522.471502931}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '93', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9264', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-12 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8352', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '139', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8353', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '143', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8354', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '149', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8355', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '130', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8356', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '146', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8357', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["46"]}', '131', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8358', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '236', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8359', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '150', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8360', '1', 'tofly-base', 'admin', TO_DATE('2020-01-10 15:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48"]}', '20', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8361', '1', 'tofly-base', 'admin', TO_DATE('2020-01-10 15:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/removeByIds', 'DELETE', '{"ids":["47"]}', '20', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8362', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8363', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 15:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8364', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:28:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '210', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8366', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '136', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8416', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '195', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8417', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '219', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8418', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '146', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8421', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '245', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8422', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '191', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8423', '1', 'tofly-base', 'manager', TO_DATE('2020-01-13 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8424', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '303', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8425', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-13 09:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8426', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8427', '1', 'tofly-base', 'xj', TO_DATE('2020-01-13 09:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8428', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '140', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8429', '1', 'tofly-base', 'manager', TO_DATE('2020-01-13 09:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8430', '1', 'tofly-xnkd', 'manager', TO_DATE('2020-01-13 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8431', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 09:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8432', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-13 10:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8433', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '130', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8434', '1', 'tofly-base', 'manager', TO_DATE('2020-01-13 10:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8435', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '130', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8436', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '210', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8859', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 13:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69034009963892,\"ymax\":31.550740421346127,\"xmax\":104.70192259307323,\"ymin\":31.5426321158202,\"height\":487}"],"notes":["给水"],"file":[],"markName":["弯头"],"camera":["{\"direction\":{\"x\":0.2250157491201369,\"y\":-0.8968395632529647,\"z\":0.3808499841566693},\"up\":{\"x\":-0.10362718121260982,\"y\":0.36662938015833624,\"z\":0.924577906354377},\"position\":{\"x\":-1379363.2233930384,\"y\":5258488.895817542,\"z\":3336538.896189621}}"]}', '395', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8864', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '10', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8865', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '4', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8866', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:35:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:35:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '5', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8867', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '4', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8868', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '3', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8869', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:39:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '5', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8870', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '3', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8871', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '3', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8872', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["不可开挖用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":[""],"departmentId":["7"],"email":["6666@163.com"],"username":["bkkw"]}', '123', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8873', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8874', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:46:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:46:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '167', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8875', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '127', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8910', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8911', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 15:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '126', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8912', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8913', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8914', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8915', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 15:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '121', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8916', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-20 15:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8917', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8918', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8919', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 15:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 15:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8920', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8921', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8922', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8923', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 16:04:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:04:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8924', '1', 'tofly-xnkd', 'bkkw', TO_DATE('2020-01-20 16:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '19', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8925', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8926', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8927', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8928', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8929', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8930', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:13:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:13:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8931', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8932', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 16:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8933', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '126', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8934', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 16:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9429', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9430', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9431', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9432', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9433', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 15:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8680', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 16:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8681', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '128', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8682', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8683', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '134', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8684', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '115', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8685', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 16:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '139', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8686', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8687', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8688', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '124', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8689', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 16:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '152', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8690', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 16:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8691', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8692', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 16:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 16:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '104', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8958', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '163', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8959', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '131', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8960', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '131', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8961', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m022"]}', '122', NULL, NULL, 'content:登录 :m022');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8962', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '144', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8963', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '144', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8964', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '144', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8965', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8966', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8967', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '125', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8968', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-20 16:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8969', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8970', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 17:04:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '123', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8971', '1', 'tofly-base', 'manager', TO_DATE('2020-01-20 17:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8972', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10471', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '159', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10472', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 16:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10473', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 16:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10474', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 16:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10475', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 16:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10476', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 16:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 16:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10477', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 17:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 17:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '138', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10478', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 17:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 17:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9265', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379748.633151156,\"y\":5258382.528019413,\"z\":3336519.8721307525},\"label\":{\"text\":\"标高：469.11 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379747.919332483,\"y\":5258379.80757343,\"z\":3336518.1459683757},{\"x\":-1379748.633151156,\"y\":5258382.528019413,\"z\":3336519.8721307525}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9266', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["80"]}', '41', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9267', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379752.5110461144,\"y\":5258401.581043704,\"z\":3336488.3881737096},\"label\":{\"text\":\"管径：150 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379751.797225445,\"y\":5258398.860587898,\"z\":3336486.6620276407},{\"x\":-1379752.5110461144,\"y\":5258401.581043704,\"z\":3336488.3881737096}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9268', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-02-12 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379731.9959452236,\"y\":5258409.916305606,\"z\":3336483.5879307487},\"label\":{\"text\":\"管径：50 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379731.44436472,\"y\":5258407.814131851,\"z\":3336482.254092508},{\"x\":-1379731.9959452236,\"y\":5258409.916305606,\"z\":3336483.5879307487}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8997', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-04 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8998', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-04 10:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 10:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8999', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-04 10:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 10:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9000', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-04 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9001', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-04 16:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 16:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9002', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-04 16:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 16:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9003', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-04 17:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 17:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9004', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-05 17:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-05 17:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '166', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9005', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-05 17:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-05 17:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '76', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10235', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-31 16:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-31 16:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '242', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10236', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-31 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-31 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '147', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10237', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-31 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-31 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10238', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-31 16:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-31 16:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '131', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10239', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-31 16:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-31 16:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '132', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10240', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-03 09:24:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-03 09:24:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '187', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10241', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-03 09:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-03 09:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10242', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-03 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-03 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '126', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10243', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-03 10:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-03 10:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10244', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-07 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '1556', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8479', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8480', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8481', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8482', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8379', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 16:17:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 16:17:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '135', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8381', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '271', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8382', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '271', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8383', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 16:30:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 16:30:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '300', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8614', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 17:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 17:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9661', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9662', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '105', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9663', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9664', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 13:45:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 13:45:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9665', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '128', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9666', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 13:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 13:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9667', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9668', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 14:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 14:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9669', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9670', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9671', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9672', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9673', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9674', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9675', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7981', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '174', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7982', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '65', NULL, 'dou1用户不存在', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7983', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '126', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7984', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '61', NULL, 'dou1用户不存在', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7985', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '167', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7991', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '171', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7992', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["3ef919cac2187e7dc6efd53cbb996049079a2d30"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '240', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7993', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '193', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8001', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '499', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8005', '1', 'tofly-base', 'xj', TO_DATE('2020-01-09 15:09:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8006', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '305', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8007', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '220', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8008', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 15:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '126', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8009', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '166', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9434', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9435', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9436', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9437', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9438', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9439', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9440', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9441', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9442', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9443', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 16:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9444', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 16:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9445', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 16:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 16:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9446', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 09:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 09:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sd"]}', '178', NULL, NULL, 'content:登录 :sd');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9447', '1', 'tofly-base', 'sd', TO_DATE('2020-02-25 09:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 09:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9448', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 09:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 09:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9449', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 09:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 09:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9450', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '121', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9451', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9452', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7760', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"id":["38"],"statusFlag":["0"]}', '10', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7761', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7762', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '64', NULL, 'wanerr用户不存在', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7763', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:40:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:40:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '124', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7767', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '16', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7768', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"id":["38"],"statusFlag":["0"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7769', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '124', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7770', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '124', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7773', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '129', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7774', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '119', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7775', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '126', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7778', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '242', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7779', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '185', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7780', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '130', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7782', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '5', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9971', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 14:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 14:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '129', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9972', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 14:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 14:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10493', '1', 'tofly-base', 'xj', TO_DATE('2020-06-23 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-23 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.104', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10398', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.7183093059992,\"ymax\":31.167145492906464,\"xmax\":104.69335758972319,\"ymin\":31.531770222056913,\"height\":483}"],"notes":["大门石版画"],"file":[],"markName":["大门石版画"],"camera":["{\"direction\":{\"x\":0.33044732355649037,\"y\":0.3609878214485026,\"z\":-0.8720621303096564},\"up\":{\"x\":-0.14417412809378002,\"y\":0.9324291736093655,\"z\":0.33134522328012234},\"position\":{\"x\":-1379806.589622627,\"y\":5258508.3174398765,\"z\":3336317.3839389337}}"]}', '406', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10399', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/35', 'DELETE', '{"id":["35"]}', '21', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10400', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 17:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10401', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69596973869093,\"ymax\":31.49594193554647,\"xmax\":104.6894383309733,\"ymin\":31.53652862624004,\"height\":500}"],"notes":[""],"file":[],"markName":["实体树"],"camera":["{\"direction\":{\"x\":0.4312663636491464,\"y\":0.21432170838192605,\"z\":-0.8763991835351599},\"up\":{\"x\":-0.058797026468915395,\"y\":0.9759872109993725,\"z\":0.209742398298675},\"position\":{\"x\":-1379260.7028077154,\"y\":5258506.750689885,\"z\":3336577.138245753}}"]}', '14', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10402', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.662168085546,\"ymax\":31.526934934557787,\"xmax\":104.694559907302,\"ymin\":31.542379102207978,\"height\":593}"],"notes":[""],"file":[],"markName":["湖泊"],"camera":["{\"direction\":{\"x\":0.9707025033020026,\"y\":-0.23478373626322926,\"z\":-0.051119930257230106},\"up\":{\"x\":0.22305392367439414,\"y\":0.8013545029971533,\"z\":0.555047662511647},\"position\":{\"x\":-1379626.6602285951,\"y\":5258669.67304095,\"z\":3336346.767409622}}"]}', '18', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10403', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/39', 'DELETE', '{"id":["39"]}', '16', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9604', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 10:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '122', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9605', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9606', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9607', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9608', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9609', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-28 10:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9610', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 10:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '127', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9611', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9612', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9613', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9614', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9615', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9616', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9617', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9618', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:14:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:14:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9619', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:14:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9620', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9634', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '3', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9635', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '4', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9636', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '10', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9637', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '130', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9638', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '4', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9639', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9687', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 09:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '225', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9784', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 09:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 09:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '846', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9785', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '195', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7998', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '126', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7999', '1', 'tofly-base', 'xj', TO_DATE('2020-01-09 15:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8000', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '132', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8483', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 13:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '153', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8484', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8485', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:55:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:55:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8486', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 13:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8487', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 13:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '137', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8488', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 13:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 13:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '71', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8489', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8490', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8491', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 14:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8492', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8493', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["jpg"],"file2":[],"file3":[],"file1":[]}', '79', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8494', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8495', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8496', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["jpg"],"file2":[],"file3":[],"file1":[]}', '40', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8497', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '50', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8498', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:31:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:31:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8499', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["12323"],"file2":[],"file3":[],"file1":[]}', '40', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8500', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["33"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8501', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["32"]}', '20', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8502', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '10', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10088', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10165', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '363', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10166', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 09:47:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 09:47:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10167', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 09:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 09:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10168', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 09:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 09:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10169', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 09:56:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 09:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10170', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10171', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10172', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10173', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10174', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10175', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10176', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10177', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:27:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:27:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10178', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10179', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10180', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10181', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '82', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10182', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10183', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10184', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10185', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 10:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 10:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10186', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 11:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '160', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10060', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9809', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 11:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["5"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9812', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '127', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9813', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '131', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9814', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '2513', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9815', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '125', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9816', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '45', NULL, 'hwh用户不存在', 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9817', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '124', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9818', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '260460', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9819', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '4579', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9820', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '174357', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9823', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:37:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '10040', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9825', '1', 'tofly-base', 'wangjian', TO_DATE('2020-03-04 13:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/user', 'PUT', '{"realName":["王建"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13546545648"],"roleid":["undefined"],"departmentId":["4"],"id":["25"],"isupdate":["1"],"email":["12312@qq.com"],"username":["wangjian"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9832', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 14:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["8"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '13', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9833', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 14:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '133', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9836', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["4"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9837', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8367', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '129', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8368', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '133', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8369', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '126', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8370', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '212', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8371', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '114', NULL, '红绿灯用户不存在', 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8372', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '212', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8373', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '338', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8374', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '256', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8375', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8376', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 15:47:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:47:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8377', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 15:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["15555555555"],"roleid":["undefined"],"departmentId":["3"],"id":["42"],"isupdate":["1"],"email":["1111111@163.com"],"username":["m01"]}', '165', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9973', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '240', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10026', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 09:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '230', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10027', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 09:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10028', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo"]}', '96', NULL, 'liangluo用户不存在', 'content:登录 :liangluo');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10029', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 09:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '130', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10030', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-13 09:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10031', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 09:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10032', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10033', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '235', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10223', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 14:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '135', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10224', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '86', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10225', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '427', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10226', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-20 15:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 15:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '73', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10227', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 15:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 15:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '135', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10228', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-20 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10229', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-20 15:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 15:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10318', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 14:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10319', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 14:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["5"]}', '15', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10320', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 14:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["7"]}', '7', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10321', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '8', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10322', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 14:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 14:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9780', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '3182', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9781', '1', 'tofly-base', 'pra', TO_DATE('2020-03-03 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '30846', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9782', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 09:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 09:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '1004', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9783', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-03 09:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 09:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '44', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9824', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '135', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9826', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '125', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9827', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '138', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9828', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department', 'POST', '{}', '251', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9829', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 13:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["8"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9830', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 13:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '26', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9831', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 13:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '5', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9834', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["8"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9835', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '6', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9974', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7835', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '125', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8002', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8003', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '124', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8004', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8018', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["hh"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["16666666666"],"roleid":[""],"departmentId":["1"],"email":["666@162.com"],"username":["hh1"]}', '127', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8019', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8020', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '220', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8021', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '127', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8022', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '128', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8025', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '125', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8026', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hh"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["1"],"id":["40"],"isupdate":["1"],"email":["666@162.com"],"username":["hh1"]}', '124', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8722', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379670.4196958218,\"y\":5258396.3547198195,\"z\":3336530.5160178137},\"label\":{\"text\":\"标高：467.20 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379669.2841395906,\"y\":5258392.026726227,\"z\":3336527.7698416547},{\"x\":-1379670.4196958218,\"y\":5258396.3547198195,\"z\":3336530.5160178137}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '68', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8723', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '138', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8724', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-17 10:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 10:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8725', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-17 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8726', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-17 10:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 10:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8727', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-17 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8728', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 11:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 11:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379447.5199232209,\"y\":5258453.348855465,\"z\":3336522.8805777035},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01XF22,01XF27,250,PVC,1.8900000000000001,1.8800000000000001\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379447.5552908045,\"y\":5258457.071109055,\"z\":3336520.4469942586},{\"x\":-1379447.5199232209,\"y\":5258453.348855465,\"z\":3336522.8805777035}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '22', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8729', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["73,74"]}', '35', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8730', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-17 11:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 11:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '91', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8731', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379402.4173537188,\"y\":5258461.47129766,\"z\":3336539.571378766},\"label\":{\"text\":\"标高：470.61 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379401.9199686123,\"y\":5258459.57520093,\"z\":3336538.368288889},{\"x\":-1379402.4173537188,\"y\":5258461.47129766,\"z\":3336539.571378766}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '14', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8732', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379401.5261054866,\"y\":5258459.776446016,\"z\":3336542.7052890183},\"label\":{\"text\":\"标高：470.52 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379400.9984451109,\"y\":5258457.764935368,\"z\":3336541.4289663956},{\"x\":-1379401.5261054866,\"y\":5258459.776446016,\"z\":3336542.7052890183}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '13', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10061', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 14:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 14:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10062', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10063', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10064', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 15:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10065', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 15:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10066', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 15:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10067', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 15:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10068', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 15:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 15:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '133', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10069', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-16 16:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 16:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10070', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-16 16:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-16 16:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.104', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '127', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10147', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 13:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 13:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306"]}', '14', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10148', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 14:00:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:00:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '128', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10149', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-18 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306"]}', '6', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10150', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-18 14:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '600', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10151', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-18 14:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10152', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-18 14:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10153', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 14:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10154', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10155', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:12:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:12:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10156', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10157', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8100', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["308"]}', '25', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8102', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '10', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8103', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '6', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8104', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306,307"]}', '18', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8105', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '10', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8106', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:27:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:27:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'POST', '{}', '57', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8107', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8108', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8110', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8116', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'POST', '{}', '8', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8117', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'POST', '{}', '11', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8118', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'PUT', '{}', '4', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8119', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/removeByIds', 'DELETE', '{"ids":["455"],"ulevel":["2"]}', '4', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8120', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/removeByIds', 'DELETE', '{"ids":["456,457"],"ulevel":["2"]}', '4', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8122', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["77bce9fb18f977ea576bbcd143b2b521073f0cd6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '178', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8123', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b7c40b9c66bc88d38a59e554c639d743e77f1b65"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '282', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8124', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b7c40b9c66bc88d38a59e554c639d743e77f1b65"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '272', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8125', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '282', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4941', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-17 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379355.8391906477,\"y\":5258478.656214679,\"z\":3336536.075778035},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXJSJS0000000079\\n起点编号：01XF16\\n止点编号：01XF30\\n类型：XF\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379354.9525778878,\"y\":5258475.276206317,\"z\":3336533.9311425667},{\"x\":-1379355.8391906477,\"y\":5258478.656214679,\"z\":3336536.075778035}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4942', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '434', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4943', '1', 'tofly-xnkd', 'lishun', TO_DATE('2019-12-17 15:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379345.7280548713,\"y\":5258475.018392691,\"z\":3336545.8476055963},\"label\":{\"text\":\"标高：471.01 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379344.843611054,\"y\":5258471.646630547,\"z\":3336543.708194656},{\"x\":-1379345.7280548713,\"y\":5258475.018392691,\"z\":3336545.8476055963}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '47', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4944', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4945', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4948', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role', 'POST', '{}', '29', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4949', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 15:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4950', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4951', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4952', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4953', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-17 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '230', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4954', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 15:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '124', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4955', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 15:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 15:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6696', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 10:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6697', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 10:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6698', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-27 10:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 10:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6766', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 13:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '410', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4990', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 16:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '81', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5044', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5045', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 16:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5046', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role', 'POST', '{}', '5', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5047', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 16:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 16:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '10', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5071', '1', 'tofly-base', 'pra', TO_DATE('2019-12-17 17:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["5"]}', '9', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5072', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5087', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '86', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5088', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 17:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5089', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '161', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5090', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5091', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5092', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5093', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 17:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 17:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5094', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 18:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5095', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-17 18:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 18:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5227', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 13:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5228', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 13:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 13:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '218', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5229', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5230', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5231', '1', 'tofly-base', 'hhx', TO_DATE('2019-12-18 14:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5232', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7836', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["1"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7837', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '167', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7838', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '191', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8631', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 10:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '414', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8632', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 10:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8633', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 11:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 11:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8634', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 13:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 13:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '177', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8635', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-16 13:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 13:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8636', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '91', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8637', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '89', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8638', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8639', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 14:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '138', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8640', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '144', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8641', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 14:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8642', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8643', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 14:18:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:18:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '133', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8644', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 14:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8645', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8646', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8647', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8648', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8649', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8650', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8651', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 15:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '167', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8652', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-16 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8653', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '113', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8654', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-16 15:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8655', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8656', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-16 15:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8657', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 15:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8658', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 15:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8659', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8660', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-16 15:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '156', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8661', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 15:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '142', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8662', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-16 15:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8663', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7862', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["30"]}', '55', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7867', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["d1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":[""],"departmentId":["3"],"email":["333@163.com"],"username":["dou1"]}', '126', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7868', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '127', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7871', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"id":["39"],"statusFlag":["0"]}', '23', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8733', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:25:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:25:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379400.3131444715,\"y\":5258459.891015429,\"z\":3336543.3845258583},\"label\":{\"text\":\"标高：469.10 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379399.437315546,\"y\":5258456.552237536,\"z\":3336541.266039168},{\"x\":-1379400.3131444715,\"y\":5258459.891015429,\"z\":3336543.3845258583}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '14', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8734', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["73,74,75"]}', '34', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9465', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9466', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 10:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9467', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9468', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9469', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9470', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9471', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9472', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9473', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 11:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9474', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:25:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:25:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9475', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9476', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-25 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9477', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8693', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-16 17:00:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.68933867041628,\"ymax\":31.544049215720136,\"xmax\":104.70004224263309,\"ymin\":31.537124908096978,\"height\":563}"],"notes":["缓冲挂起"],"file":[],"markName":["shuiping-bushan"],"camera":["{\"direction\":{\"x\":0.246723286663512,\"y\":-0.9406965712710715,\"z\":0.2328466890827619},\"up\":{\"x\":-0.05907213784203357,\"y\":0.22522891277019438,\"z\":0.9725134546026231},\"position\":{\"x\":-1379278.1685429062,\"y\":5258860.785288332,\"z\":3336132.019924684}}"]}', '675', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8694', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 17:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '233', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8695', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8696', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-16 17:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8697', '1', 'tofly-base', 'pra', TO_DATE('2020-01-16 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8698', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 17:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8699', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '123', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8700', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 17:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8701', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '109', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8702', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '125', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8703', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8704', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '127', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8705', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:23:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:23:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '106', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8706', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8707', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8708', '1', 'tofly-base', 'm01', TO_DATE('2020-01-16 17:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 17:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '149', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8217', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '130', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8218', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8219', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '125', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8263', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 13:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '220', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8264', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 13:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '280', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8885', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '2', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8887', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '124', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8126', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '279', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8047', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hh"],"id":["40"],"statusFlag":["0"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8048', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '126', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8049', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '124', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8050', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '127', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8051', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '169', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8052', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '60', NULL, 'hh1用户不存在', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8053', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '122', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8054', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8055', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["273a0c7bd3c679ba9a6f5d99078e36e85d02b952"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '271', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8056', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '223', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8057', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '171', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8058', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '221', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8059', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["77bce9fb18f977ea576bbcd143b2b521073f0cd6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8060', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["273a0c7bd3c679ba9a6f5d99078e36e85d02b952"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '315', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8061', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '220', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8062', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["77bce9fb18f977ea576bbcd143b2b521073f0cd6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '176', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8063', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '274', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8064', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '217', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8065', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '123', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8069', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '218', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8082', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '131', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8083', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 15:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8084', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '124', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8092', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu', 'POST', '{}', '28', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8093', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:12:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:12:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'PUT', '{}', '11', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8101', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 16:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8109', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'POST', '{}', '11', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8111', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source/removeByIds', 'DELETE', '{"ids":["45"]}', '9', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5233', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-18 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5234', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '281', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5235', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 14:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5236', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-18 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3526', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-06 11:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-06 11:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379581.9808340333,\"y\":5258419.336776843,\"z\":3336535.1300057173},\"label\":{\"text\":\"标高：468.83 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379580.7134186765,\"y\":5258414.505892189,\"z\":3336532.0647468767},{\"x\":-1379581.9808340333,\"y\":5258419.336776843,\"z\":3336535.1300057173}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3569', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3575', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.3211850487,\"y\":5258447.081352074,\"z\":3336416.627235148},\"label\":{\"text\":\"标高：471.17 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.583565356,\"y\":5258444.2701910045,\"z\":3336414.843589827},{\"x\":-1379762.3211850487,\"y\":5258447.081352074,\"z\":3336416.627235148}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '8', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3576', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3577', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-07 13:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379762.640860357,\"y\":5258448.335647568,\"z\":3336414.573370645},\"label\":{\"text\":\"标高：471.20 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379761.9032404958,\"y\":5258445.524485842,\"z\":3336412.78972643},{\"x\":-1379762.640860357,\"y\":5258448.335647568,\"z\":3336414.573370645}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3578', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-07 13:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-07 13:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4122', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379596.1774815293,\"y\":5258414.791912642,\"z\":3336536.4595382386},\"label\":{\"text\":\"\\n起点编号：01JS9\\n止点编号：01JS13\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379595.4680676823,\"y\":5258412.087938594,\"z\":3336534.743829539},{\"x\":-1379596.1774815293,\"y\":5258414.791912642,\"z\":3336536.4595382386}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4123', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-12 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4124', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-12 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379175.8810775443,\"y\":5258521.663308567,\"z\":3336543.3270479804},\"label\":{\"text\":\"标高：470.85 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379174.8734979795,\"y\":5258517.821609309,\"z\":3336540.889481523},{\"x\":-1379175.8810775443,\"y\":5258521.663308567,\"z\":3336543.3270479804}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '9', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4900', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-17 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14421', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('4901', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-17 14:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-17 14:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5710', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["28"]}', '33', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5711', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:16:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:16:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["24"]}', '5', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5712', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["朝霞"],"file2":[],"file3":[],"file1":[]}', '30', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5713', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["28"]}', '18', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5714', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["朝霞"],"file2":[],"file3":[],"file1":[]}', '2287', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5715', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["25"]}', '4', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5716', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:18:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:18:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '7', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5717', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["25"]}', '4', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5718', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-19 19:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/usersky', 'POST', '{}', '6', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8935', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8936', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8937', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["166c0edd3b78ef755f2be1362bda256015c9ad33"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '144', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8938', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["2b194b3551b07d7b936514448d3ec938d8f6938c"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '58', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8939', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 16:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 16:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9891', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 15:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9892', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 15:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '137', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10265', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 09:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 09:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '669', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10266', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 09:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 09:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '104', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10267', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 11:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 11:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.153', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '137', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10268', '1', 'tofly-base', 'xj', TO_DATE('2020-04-14 11:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 11:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.153', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10269', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '158', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10487', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 15:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10488', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 15:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '127', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10489', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 15:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10490', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 15:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '137', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10491', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 15:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10343', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '198', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10344', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10345', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10346', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-21 17:13:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:13:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10347', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-21 17:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10348', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10349', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-21 17:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10350', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '123', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10351', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-21 17:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10352', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-21 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10353', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10354', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-21 17:23:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10355', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-21 17:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10356', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 17:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10357', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-21 17:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 17:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10442', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 10:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 10:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '224', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10443', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 10:57:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 10:57:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8888', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '15', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8889', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:24:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '120', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8890', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8891', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '20', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8892', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8893', '1', 'tofly-xnkd', 'bkkw', TO_DATE('2020-01-20 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379314.9263758091,\"y\":5258489.921441702,\"z\":3336531.146416137},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379314.9263758091,\"y\":5258489.921441702,\"z\":3336531.146416137},{\"x\":-1379315.3588571555,\"y\":5258491.570230353,\"z\":3336532.1925785854}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '13', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8894', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '122', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8895', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["不可开挖用户"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["7"],"id":["50"],"isupdate":["1"],"email":["6666@163.com"],"username":["bkkw"]}', '6', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8896', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 14:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '26', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8897', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '145', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10404', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.21821635947255,\"ymax\":31.291069783715965,\"xmax\":104.69367233586257,\"ymin\":31.541598894737753,\"height\":501}"],"notes":[""],"file":[],"markName":["大门"],"camera":["{\"direction\":{\"x\":0.9838508698737317,\"y\":0.060719810328219125,\"z\":-0.16837627648337739},\"up\":{\"x\":0.031474547971112876,\"y\":0.8673537245568803,\"z\":0.4966959525980875},\"position\":{\"x\":-1379852.013740387,\"y\":5258508.165511374,\"z\":3336332.6422844077}}"]}', '13', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10405', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/36', 'DELETE', '{"id":["36"]}', '13', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10406', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.39933102324511,\"ymax\":31.94718466238846,\"xmax\":104.69095439211209,\"ymin\":31.54581594198203,\"height\":538}"],"notes":[""],"file":[],"markName":["梧桐大道"],"camera":["{\"direction\":{\"x\":0.23258322242594234,\"y\":-0.670768618103067,\"z\":0.7042545744360251},\"up\":{\"x\":-0.16607337672721986,\"y\":0.6860867391551788,\"z\":0.708311103892797},\"position\":{\"x\":-1378197.8128358044,\"y\":5258985.278680352,\"z\":3336335.7952479487}}"]}', '12', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10407', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-26 17:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10408', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/99', 'DELETE', '{"id":["99"]}', '13', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10409', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.66889525578745,\"ymax\":31.58656901587111,\"xmax\":104.70658050252644,\"ymin\":31.541255923709638,\"height\":562}"],"notes":[""],"file":[],"markName":["建筑"],"camera":["{\"direction\":{\"x\":0.17441917779314686,\"y\":-0.7737388027139034,\"z\":0.6090207021052881},\"up\":{\"x\":-0.16490108304175435,\"y\":0.5868141457746472,\"z\":0.792752667059801},\"position\":{\"x\":-1379682.5264114852,\"y\":5258751.1602980625,\"z\":3336135.7933748295}}"]}', '16', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10410', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:56:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:56:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '135', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10411', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '6', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10412', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '8', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10413', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 17:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 17:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/systemmusic/setDefaultMusic', 'PUT', '{}', '5', NULL, NULL, 'content:设置为默认音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10414', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-26 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-26 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.130', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379370.7177401164,\"y\":5258478.993609416,\"z\":3336525.3379079653},\"label\":{\"text\":\"标高：469.15 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379369.8743673828,\"y\":5258475.778478236,\"z\":3336523.2978947484},{\"x\":-1379370.7177401164,\"y\":5258478.993609416,\"z\":3336525.3379079653}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '28', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10418', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-28 10:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-28 10:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '154', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10419', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-28 10:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-28 10:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8973', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8974', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7857', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:13:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '127', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7858', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"id":["37"],"statusFlag":["0"]}', '19', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10245', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-07 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 09:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '145', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10246', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-07 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sgq"]}', '155', NULL, NULL, 'content:登录 :sgq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10247', '1', 'tofly-base', 'sgq', TO_DATE('2020-04-07 09:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 09:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.224', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10248', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-07 14:56:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 14:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '142', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10249', '1', 'tofly-base', 'manager', TO_DATE('2020-04-07 14:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-07 14:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9517', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 13:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9518', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '122', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9519', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-26 13:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9520', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 13:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9521', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 13:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9522', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 13:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9523', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 13:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9524', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 13:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 13:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9525', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9526', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 14:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 14:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9527', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9528', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9529', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9530', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9531', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9532', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9533', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9534', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9535', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9536', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9537', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 15:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 15:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9538', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 16:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9539', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9540', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9541', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9542', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9543', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9544', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9545', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 16:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9546', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9547', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9548', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9549', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9550', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9551', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5721', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-19 19:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-19 19:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.136', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '220', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6043', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 10:58:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:58:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6044', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-22 10:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 10:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b","7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin","admin"]}', '222', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6045', '1', 'tofly-base', 'pra', TO_DATE('2019-12-22 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3626', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '819', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3629', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '247', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3630', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '43', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('3631', '1', 'tofly-base', 'wangjian2', TO_DATE('2019-12-09 11:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-09 11:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/code', 'POST', '{}', '56', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5273', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-18 15:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('5274', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-18 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-18 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '231', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7168', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379468.765120539,\"y\":5258456.289811905,\"z\":3336520.426484414},\"label\":{\"text\":\"埋深：0.46 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379468.222295909,\"y\":5258454.22059536,\"z\":3336519.1135547473},{\"x\":-1379468.765120539,\"y\":5258456.289811905,\"z\":3336520.426484414}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7169', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379479.7128850361,\"y\":5258450.815683035,\"z\":3336524.5796649433},\"label\":{\"text\":\"埋深：0.48 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379479.1765440954,\"y\":5258448.7712003,\"z\":3336523.2824260537},{\"x\":-1379479.7128850361,\"y\":5258450.815683035,\"z\":3336524.5796649433}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6381', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '140', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6382', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6383', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:21:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:21:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6384', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6385', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '141', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6386', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 14:22:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:22:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6387', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '155', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6388', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-24 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6389', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6390', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6391', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '141', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6392', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6393', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6394', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 14:59:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:59:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '132', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6395', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6396', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 15:05:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6397', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 15:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6398', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 15:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6399', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 15:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6400', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 15:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6401', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 15:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10444', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '133', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7784', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7796', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '127', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7797', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["a"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["15111111111"],"roleid":[""],"departmentId":["3"],"email":["121@qq.com"],"username":["aaa"]}', '126', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7798', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["aaa"]}', '143', NULL, NULL, 'content:登录 :aaa');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7799', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '127', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7803', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["a"],"id":["39"],"statusFlag":["0"]}', '8', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7804', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["aaa"]}', '126', NULL, NULL, 'content:登录 :aaa');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7805', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '124', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7806', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 12:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["a"],"id":["39"],"statusFlag":["1"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7807', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 12:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7988', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '141', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7989', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '126', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7990', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7994', '1', 'tofly-base', 'xj', TO_DATE('2020-01-09 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7995', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["3331112222@163.com"],"username":["dou1"]}', '134', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7996', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '70', NULL, 'dou1用户不存在', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7997', '1', 'tofly-base', 'xj', TO_DATE('2020-01-09 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8153', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '160', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8154', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8265', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 13:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '140', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8266', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["4"]}', '140', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8267', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 13:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["4"]}', '130', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8268', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["4"]}', '120', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8269', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 13:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '90', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8270', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 13:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '140', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8975', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8976', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8977', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9006', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-07 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-07 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '156', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9007', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-07 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-07 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9041', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 11:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["h2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["17777777778"],"roleid":["undefined"],"departmentId":["3"],"id":["41"],"isupdate":["1"],"email":["77@163.com"],"username":["hh2"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9111', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '169', NULL, NULL, 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9112', '1', 'tofly-base', 'm033', TO_DATE('2020-02-10 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9113', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["ccbe91b1f19bd31a1365363870c0eec2296a61c1"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '147', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9114', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["fba9f1c9ae2a8afe7815c9cdd492512622a66302"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '188', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9115', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '185', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9116', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["42cfe854913594fe572cb9712a188e829830291f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '186', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9117', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '160', NULL, NULL, 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8027', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '169', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8028', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '218', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8404', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '180', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8405', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 09:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8406', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '130', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8412', '1', 'tofly-base', 'xj', TO_DATE('2020-01-13 09:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/userrole', 'PUT', '{}', '53', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8413', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ys"]}', '134', NULL, NULL, 'content:登录 :ys');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8414', '1', 'tofly-base', 'ys', TO_DATE('2020-01-13 09:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8415', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 09:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ys"]}', '128', NULL, NULL, 'content:登录 :ys');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8419', '1', 'tofly-base', 'admin', TO_DATE('2020-01-13 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/user', 'POST', '{"realName":["manager"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["2"],"phone":["18754523658"],"roleid":[""],"departmentId":["3"],"email":["413568@qq.com"],"username":["manager"]}', '134', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8420', '1', 'tofly-base', 'admin', TO_DATE('2020-01-13 09:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 09:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/userrole', 'PUT', '{}', '10', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8452', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '158', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8453', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '125', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8454', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/departmentsource', 'PUT', '{}', '138', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8455', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8456', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 17:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 17:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8457', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 17:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 17:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8458', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 17:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 17:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8459', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 17:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 17:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '230', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8603', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source/removeByIds', 'DELETE', '{"ids":["19,18,15"]}', '52', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8604', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '275', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8605', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '100', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9552', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9553', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-26 16:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 16:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9555', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9556', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 09:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 09:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10187', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10215', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:17:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:17:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10216', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10217', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10218', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10232', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-23 15:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-23 15:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '461', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10233', '1', 'tofly-base', 'manager', TO_DATE('2020-03-23 15:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-23 15:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10381', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 14:10:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 14:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10382', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10383', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 14:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 14:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10384', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 14:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 14:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10385', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-23 15:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 15:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10386', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 15:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 15:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10387', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10388', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-23 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-23 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.71', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10425', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-12 16:25:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:25:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.93', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '287', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10426', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-12 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.164', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '418', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10427', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-12 16:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.164', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '503', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10428', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-12 16:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.164', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10429', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-12 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.164', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10430', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-12 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '221', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10431', '1', 'tofly-base', 'wanghai', TO_DATE('2020-05-12 16:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-12 16:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '378', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10485', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-17 14:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 14:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10486', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-17 15:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-17 15:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8503', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8504', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8505', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["123"],"file2":[],"file3":[],"file1":[]}', '40', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8506', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-01-14 14:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["32"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8507', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8508', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["31"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8509', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '30', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8510', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8511', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["png"],"file2":[],"file3":[],"file1":[]}', '60', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8512', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["quanpng"],"file2":[],"file3":[],"file1":[]}', '60', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8513', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky/removeByIds', 'DELETE', '{"ids":["30"]}', '28', NULL, NULL, 'content:通过ids删除天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8514', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["gif"],"file2":[],"file3":[],"file1":[]}', '51', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8515', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-14 14:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 14:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/sky', 'POST', '{"file6":[],"file4":[],"file5":[],"name":["bmp"],"file2":[],"file3":[],"file1":[]}', '250', NULL, NULL, 'content:新增天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8516', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 15:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '150', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8517', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 15:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6402', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '125', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6403', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 15:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6404', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 15:30:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '141', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6405', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 15:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6406', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 15:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 15:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '0', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6407', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 16:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10185', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6408', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '1937', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6409', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6410', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 16:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2499', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6411', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 16:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '2343', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6412', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-24 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8420', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6413', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-24 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6264', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6415', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 16:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9995', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6529', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3944', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6531', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '4781', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6656', '1', 'tofly-base', 'pra', TO_DATE('2019-12-26 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20578', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6657', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '5251', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6658', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2019-12-26 15:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/systemmusic/save', 'POST', '{"file":[],"name":["Heartbeats_Amy Diamond.mp3"]}', '2899', NULL, NULL, 'content:新增背景音乐');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6660', '1', 'tofly-base', 'liangluo2', TO_DATE('2019-12-26 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-26 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29992', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6767', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '4250', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6768', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25329', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6769', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2019-12-27 14:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379721.5040070757,\"y\":5258498.509881443,\"z\":3336348.2269649627},\"label\":{\"text\":\"长度：32.500m;坡度：千分之0.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379747.6918685986,\"y\":5258503.446398447,\"z\":3336329.6192756984},{\"x\":-1379721.5040070757,\"y\":5258498.509881443,\"z\":3336348.2269649627},{\"x\":-1379721.70754228,\"y\":5258498.505671161,\"z\":3336348.2223466034}],\"material\":{\"red\":1,\"green\":0,\"blue\":0,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2107', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6770', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6251', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6771', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["flowabletest"]}', '33578', NULL, 'flowabletest用户不存在', 'content:登录 :flowabletest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6772', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["flowabletest"]}', '58225', NULL, 'flowabletest用户不存在', 'content:登录 :flowabletest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6773', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '3694', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6774', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.102', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '1472', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6775', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6776', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6777', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '128', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8271', '1', 'tofly-base', 'pra', TO_DATE('2020-01-10 13:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8272', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 13:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '150', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9975', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 11:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '1559', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9976', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9977', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10004', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10005', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10006', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10007', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '14', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10008', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10009', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '179', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10010', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 15:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '188', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10011', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10012', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10421', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-09 19:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-09 19:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '4174', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10422', '2', 'tofly-auth', 'tofly', TO_DATE('2020-05-09 19:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-09 19:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '513', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10423', '1', 'tofly-base', 'lishun', TO_DATE('2020-05-09 19:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-09 19:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '93', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8137', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8138', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8139', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8140', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:09:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:09:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8141', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8142', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8149', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8150', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8151', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 17:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '120', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8152', '1', 'tofly-base', 'xj', TO_DATE('2020-01-09 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8231', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'POST', '{"realName":["ssss"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["15882194562"],"roleid":[""],"departmentId":["2"],"email":["000@qq.com"],"username":["liangluo3"]}', '134', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8232', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-10 11:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.39010525174825,\"ymax\":31.434585692763935,\"xmax\":104.68930695962096,\"ymin\":31.54286297029999,\"height\":477}"],"notes":[""],"file":[],"markName":["33"],"camera":["{\"direction\":{\"x\":0.9950120453019249,\"y\":0.0838316134540708,\"z\":-0.05406746054483577},\"up\":{\"x\":-0.0434452040900456,\"y\":0.8520750003376629,\"z\":0.521613561979696},\"position\":{\"x\":-1379482.883702885,\"y\":5258571.728106646,\"z\":3336338.6631463454}}"]}', '29', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8236', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '121', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8237', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["m011"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":[""],"departmentId":["3"],"email":["6@163.com"],"username":["m011"]}', '134', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8238', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8240', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '293', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8241', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '314', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8244', '1', 'tofly-base', 'm011', TO_DATE('2020-01-10 11:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m011"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["46"],"isupdate":["1"],"email":["61122@163.com"],"username":["m011"]}', '137', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8606', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '101', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8607', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8563', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 11:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '148', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8564', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:14:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:14:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '83', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8565', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8566', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8567', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8568', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 11:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8569', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-01-15 11:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379169.1788547437,\"y\":5258522.891290691,\"z\":3336540.4318629154},\"label\":{\"text\":\"\\n起点编号：01YS158\\n止点编号：01YS160\\n起点埋深：1.12\\n终点埋深：1.11\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379168.50425519,\"y\":5258520.319164478,\"z\":3336538.799845088},{\"x\":-1379169.1788547437,\"y\":5258522.891290691,\"z\":3336540.4318629154}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '48', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8570', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8622', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8623', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8625', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:39:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/user', 'POST', '{"realName":["lishun"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["6232399"],"roleid":[""],"departmentId":["3"],"email":["876330731@qq.com"],"username":["lstest"]}', '150', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8626', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/userrole', 'PUT', '{}', '30', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8627', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/role', 'POST', '{}', '12', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8628', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/userrole', 'PUT', '{}', '37', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8776', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 09:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '475', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9478', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:29:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:29:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9479', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9480', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9481', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9482', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 11:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 11:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9483', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 13:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 13:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9484', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 13:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 13:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '124', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9485', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-25 13:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 13:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9486', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-25 13:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 13:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9487', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-25 13:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 13:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9488', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 14:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 14:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9489', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-25 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9490', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 15:03:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:03:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9491', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-25 15:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9492', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-25 15:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9493', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-25 15:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9494', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 15:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '124', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9495', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-25 15:17:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:17:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9496', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-25 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '123', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9627', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '4', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9628', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '159', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8518', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 15:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8519', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 15:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '135', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8520', '1', 'tofly-base', 'm01', TO_DATE('2020-01-14 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '80', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8521', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-14 15:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8522', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 15:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8523', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8524', '1', 'tofly-base', 'm01', TO_DATE('2020-01-14 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '99', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8127', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '281', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8128', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b7c40b9c66bc88d38a59e554c639d743e77f1b65"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '284', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8129', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '226', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8130', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 17:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '231', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8131', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8132', '1', 'tofly-xnkd', 'hh2', TO_DATE('2020-01-09 17:01:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:01:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '10', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8133', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 17:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8134', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8135', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8136', '1', 'tofly-xnkd', 'hh2', TO_DATE('2020-01-09 17:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 17:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.68325895489485,\"ymax\":31.528118574208513,\"xmax\":104.69502811319033,\"ymin\":31.541197688433176,\"height\":637}"],"notes":["3#￥"],"file":[],"markName":["h糊糊"],"camera":["{\"direction\":{\"x\":0.8953177294740098,\"y\":-0.28444137389123414,\"z\":-0.3427816624447279},\"up\":{\"x\":0.41234879077361963,\"y\":0.820295913930019,\"z\":0.39633708927786304},\"position\":{\"x\":-1379598.7876862516,\"y\":5258664.263896436,\"z\":3336451.0873870687}}"]}', '25', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8288', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '126', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8298', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8302', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '50', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8308', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["308,307,312,310,315"]}', '60', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8330', '1', 'tofly-base', 'pra', TO_DATE('2020-01-10 14:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/system', 'POST', '{}', '0', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8608', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source/removeByIds', 'DELETE', '{"ids":["19,18,15"]}', '16', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8609', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/departmentsource', 'PUT', '{}', '107', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8610', '1', 'tofly-base', 'admin', TO_DATE('2020-01-15 16:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/source/removeByIds', 'DELETE', '{"ids":["19,18,15"]}', '25', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8611', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 16:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '129', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8612', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 16:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8613', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 16:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 16:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9623', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '3', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9624', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '124', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9640', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '15', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9688', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["t1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["18722222222"],"roleid":[""],"departmentId":["1"],"email":["028@tofly.com"],"username":["t1"]}', '152', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9689', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/unlock', 'PUT', '{}', '13', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9690', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["56"]}', '41', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9691', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["34"]}', '5', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9693', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:41:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:41:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9694', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/unlock', 'PUT', '{}', '6', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9695', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.154', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '124', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6778', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 14:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379195.950468784,\"y\":5258558.582683186,\"z\":3336472.559252},\"label\":{\"text\":\"标高：470.80 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379195.4164004128,\"y\":5258556.546402689,\"z\":3336471.267264111},{\"x\":-1379195.950468784,\"y\":5258558.582683186,\"z\":3336472.559252}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6779', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 14:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379191.0641473266,\"y\":5258560.695417145,\"z\":3336468.4906093013},\"label\":{\"text\":\"标高：468.84 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379190.417645652,\"y\":5258558.230444469,\"z\":3336466.926625514},{\"x\":-1379191.0641473266,\"y\":5258560.695417145,\"z\":3336468.4906093013}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6780', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["上图员"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18980000000"],"roleid":["undefined"],"departmentId":["3"],"id":["4"],"isupdate":["1"],"email":["tofly@qq.com"],"username":["cs03"]}', '15', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6781', '1', 'tofly-base', 'pra', TO_DATE('2019-12-27 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":[" 上图员"],"password":[" 7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[" undefined"],"notes":[" "],"userLevel":[" 2"],"phone":[" 18980000000"],"roleid":[" undefined"],"departmentId":[" 3"],"id":[" 4"],"isupdate":[" 1"],"email":[" tofly@qq.com"],"username":[" cs03"]}', '14', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6414', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-24 16:33:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:33:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3109', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6420', '1', 'tofly-base', 'pra', TO_DATE('2019-12-24 16:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-24 16:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9701', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6829', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379659.775258728,\"y\":5258407.423384755,\"z\":3336517.7699969695},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379659.2799437474,\"y\":5258405.53555124,\"z\":3336516.5721456883},{\"x\":-1379659.775258728,\"y\":5258407.423384755,\"z\":3336517.7699969695}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6830', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379556.8176937702,\"y\":5258432.721926155,\"z\":3336520.779992646},\"label\":{\"text\":\"管径：50 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379556.3029506921,\"y\":5258430.759888921,\"z\":3336519.535063149},{\"x\":-1379556.8176937702,\"y\":5258432.721926155,\"z\":3336520.779992646}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '26', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6831', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379509.0238040674,\"y\":5258437.442544792,\"z\":3336524.2894809814},\"label\":{\"text\":\"管径：32 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379508.5328682894,\"y\":5258435.571186917,\"z\":3336523.1020881347},{\"x\":-1379509.0238040674,\"y\":5258437.442544792,\"z\":3336524.2894809814}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '12', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6832', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:16:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:16:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379509.6143723815,\"y\":5258443.965717009,\"z\":3336522.4983187714},\"label\":{\"text\":\"管径：32 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379509.1234367455,\"y\":5258442.0943581555,\"z\":3336521.3109274125},{\"x\":-1379509.6143723815,\"y\":5258443.965717009,\"z\":3336522.4983187714}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8252', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:54:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8253', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '202', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8254', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo3"]}', '134', NULL, NULL, 'content:登录 :liangluo3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7872', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '19', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7873', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '21', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7874', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '20', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7875', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 13:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7876', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 13:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7877', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7878', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 13:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7879', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"id":["39"],"statusFlag":["0"]}', '24', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7880', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'POST', '{}', '8', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7881', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'PUT', '{}', '5', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7883', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["4"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '19', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7888', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '24', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7889', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '125', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7890', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7891', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '128', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7892', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:49:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8186', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["m管理员"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15555555555"],"roleid":[""],"departmentId":["3"],"email":["1111111@163.com"],"username":["m01"]}', '127', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8187', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["m用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["16666666666"],"roleid":[""],"departmentId":["3"],"email":["666@163.com"],"username":["m02"]}', '125', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8191', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '203', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8197', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"id":["42"],"statusFlag":["0"]}', '28', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8198', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '125', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8201', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["4"],"id":["43"],"isupdate":["1"],"email":["666@163.com"],"username":["m02"]}', '26', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8203', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-10 10:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["4"],"id":["43"],"isupdate":["1"],"email":["666@163.com"],"username":["m02"]}', '143', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8204', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '127', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8205', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 10:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8206', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-10 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["43"],"isupdate":["1"],"email":["666@163.com"],"username":["m02"]}', '138', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8208', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["m022"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["18999999999"],"roleid":[""],"departmentId":["3"],"email":["999@163.com"],"username":["m022"]}', '126', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8212', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["43"]}', '75', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8213', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '78', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8214', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '81', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8215', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '86', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8216', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '84', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9629', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '123', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9646', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '3', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9647', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '5', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9648', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '121', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9649', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '4', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9650', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '119', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9651', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '3', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9652', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '208', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9653', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '225', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9654', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '271', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9655', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '212', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9656', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '19', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8735', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379398.3781153928,\"y\":5258462.526224249,\"z\":3336539.7985597467},\"label\":{\"text\":\"管径：50 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379397.8439686145,\"y\":5258460.48998087,\"z\":3336538.506545772},{\"x\":-1379398.3781153928,\"y\":5258462.526224249,\"z\":3336539.7985597467}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8736', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379398.2756515609,\"y\":5258460.585805233,\"z\":3336542.807197848},\"label\":{\"text\":\"管径：500X200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379397.7479924306,\"y\":5258458.574294281,\"z\":3336541.530875189},{\"x\":-1379398.2756515609,\"y\":5258460.585805233,\"z\":3336542.807197848}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '15', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8898', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["273a0c7bd3c679ba9a6f5d99078e36e85d02b952"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '170', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8899', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f18f057ea44a945a083a00e6fcc11637d186042d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '164', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8900', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["93fcbf4c3221f6e6fc21e07ec6e87ad94e60bd26"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '162', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8901', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '144', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8902', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '140', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8903', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f18f057ea44a945a083a00e6fcc11637d186042d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '165', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8904', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b33b5e3e04dae7c04d1e4dc759ca5c80e26e576a"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '166', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8905', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 14:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '145', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8909', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 14:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 14:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '220', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8996', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-04 09:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 09:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '167', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9146', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '133', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9147', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou2"]}', '37', NULL, 'dou2用户不存在', 'content:登录 :dou2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9696', '1', 'tofly-base', 'xj', TO_DATE('2020-03-02 11:28:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:28:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.154', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9697', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '122', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9698', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-02 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9699', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-02 11:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 11:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9700', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 13:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 13:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '39', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9701', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 13:57:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 13:57:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '13', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9702', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-02 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9715', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9716', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '4', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7859', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '161', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7860', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '226', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7861', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '184', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7863', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["d"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":[""],"departmentId":["2"],"email":["666@163.com"],"username":["dd"]}', '127', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7864', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '12', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7865', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["37"]}', '62', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7866', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 13:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["38"]}', '63', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7869', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"id":["39"],"statusFlag":["0"]}', '20', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7870', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 13:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '21', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7916', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:24:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7917', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '74', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7919', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '131', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7920', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["333@163.com"],"username":["dou1"]}', '128', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7921', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7922', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7923', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '135', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7925', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/updatePassword', 'PUT', '{}', '125', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7926', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '127', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7927', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:29:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:29:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7939', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '11', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7951', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '168', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7952', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["77bce9fb18f977ea576bbcd143b2b521073f0cd6"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '375', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7953', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1f5523a8f535289b3401b29958d01b2966ed61d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '360', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7954', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1f5523a8f535289b3401b29958d01b2966ed61d2"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '168', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7955', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '238', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7956', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:34:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:34:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '186', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6833', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379509.3388413968,\"y\":5258444.190628357,\"z\":3336522.4218451814},\"label\":{\"text\":\"管径：32 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379508.8630448452,\"y\":5258442.376976552,\"z\":3336521.271069458},{\"x\":-1379509.3388413968,\"y\":5258444.190628357,\"z\":3336522.4218451814}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6834', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6835', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379505.0066248027,\"y\":5258443.841536807,\"z\":3336524.9122950137},\"label\":{\"text\":\"管径： mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379504.3491625497,\"y\":5258441.335399963,\"z\":3336523.322131029},{\"x\":-1379505.0066248027,\"y\":5258443.841536807,\"z\":3336524.9122950137}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6836', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379496.2919152672,\"y\":5258741.542046143,\"z\":3336058.901883504},\"label\":{\"text\":\"埋深：3.15 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379495.1629904709,\"y\":5258737.238501614,\"z\":3336056.171785833},{\"x\":-1379496.2919152672,\"y\":5258741.542046143,\"z\":3336058.901883504}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6837', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 16:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 16:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379574.1499862843,\"y\":5258721.938952818,\"z\":3336056.654177964},\"label\":{\"text\":\"埋深：0.48 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379573.622259812,\"y\":5258719.927341645,\"z\":3336055.3780411156},{\"x\":-1379574.1499862843,\"y\":5258721.938952818,\"z\":3336056.654177964}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '2', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6858', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-30 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '739', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6929', '1', 'tofly-base', 'lishun', TO_DATE('2019-12-30 13:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-30 13:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '1827', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7170', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379460.161196399,\"y\":5258463.250178962,\"z\":3336513.0028624},\"label\":{\"text\":\"坐标：104.699268 , 31.538971 , 470.497\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379459.6270256909,\"y\":5258461.213935284,\"z\":3336511.7108587874},{\"x\":-1379460.161196399,\"y\":5258463.250178962,\"z\":3336513.0028624}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7171', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379463.76262329,\"y\":5258474.516936998,\"z\":3336493.415649622},\"label\":{\"text\":\"坐标：104.699274 , 31.538766 , 470.288\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379463.2219632522,\"y\":5258472.455957141,\"z\":3336492.1079612994},{\"x\":-1379463.76262329,\"y\":5258474.516936998,\"z\":3336493.415649622}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7172', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379461.7152524788,\"y\":5258473.0936393505,\"z\":3336496.910015584},\"label\":{\"text\":\"坡度：千分之 -0.1\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379461.1659427132,\"y\":5258470.99968445,\"z\":3336495.581402899},{\"x\":-1379461.7152524788,\"y\":5258473.0936393505,\"z\":3336496.910015584}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '10', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7173', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379465.1959812318,\"y\":5258475.488812838,\"z\":3336491.488848513},\"label\":{\"text\":\"坡度：千分之 0.2\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379464.6596459264,\"y\":5258473.444320476,\"z\":3336490.1916224672},{\"x\":-1379465.1959812318,\"y\":5258475.488812838,\"z\":3336491.488848513}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8774', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-19 16:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-19 16:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '139', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8787', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 10:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '125', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8791', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15555555554"],"roleid":["undefined"],"departmentId":["3"],"id":["42"],"isupdate":["1"],"email":["1111111@163.com"],"username":["m01"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8792', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '125', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10445', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '134', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10446', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-12 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10447', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '132', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10448', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '129', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10449', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10450', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-12 11:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10451', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 11:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 11:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '136', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10452', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-12 12:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 12:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10453', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-12 12:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-12 12:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10464', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10465', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '133', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10466', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 11:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10467', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '135', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10468', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '26', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10469', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-16 14:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 14:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '141', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10470', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-16 14:20:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-16 14:20:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10124', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10125', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10126', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10127', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '72', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10128', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10129', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '137', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10130', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 10:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 10:56:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '78', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10131', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 11:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '143', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10132', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10133', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10134', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '72', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10205', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '563', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10206', '1', 'tofly-base', 'pra', TO_DATE('2020-03-20 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10207', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 13:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 13:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '433', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10230', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-20 16:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 16:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10231', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-20 16:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 16:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9148', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '154', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9149', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["8cb2237d0679ca88db6464eac60da96345513964"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '194', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9150', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '172', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9151', '1', 'tofly-base', 'hhx', TO_DATE('2020-02-11 11:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55"]}', '26', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9152', '1', 'tofly-base', 'hhx', TO_DATE('2020-02-11 11:25:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:25:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55"]}', '26', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9153', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9158', '1', 'tofly-base', 'xj', TO_DATE('2020-02-11 11:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/user', 'POST', '{"realName":["舒东"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18111111111"],"roleid":[""],"departmentId":["3"],"email":["sd@tofly.cn"],"username":["sd"]}', '119', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9159', '1', 'tofly-base', 'xj', TO_DATE('2020-02-11 11:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/userrole', 'PUT', '{}', '5', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9160', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sd"]}', '166', NULL, NULL, 'content:登录 :sd');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9161', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.43', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9162', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["sd"]}', '119', NULL, NULL, 'content:登录 :sd');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9163', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9164', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 11:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9167', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 11:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["444"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15666666666"],"roleid":["undefined"],"departmentId":["6"],"id":["54"],"isupdate":["1"],"email":["666@163.com"],"username":["m044"]}', '13', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9168', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 11:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '12', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9169', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m044"]}', '179', NULL, NULL, 'content:登录 :m044');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9170', '1', 'tofly-base', 'm044', TO_DATE('2020-02-11 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '7', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9171', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '121', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9174', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9118', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["42075d443448f2de026938522e948330abea51e8"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '147', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9119', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f7a0d2d946b17a6652e99d15915dc145ce13e26c"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m033"]}', '186', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m033');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9120', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '122', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9121', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9128', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:17:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:17:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["t02"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13012345678"],"roleid":[""],"departmentId":["1"],"email":["123@126.com"],"username":["21102"]}', '124', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9129', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9130', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9131', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["21101"]}', '210', NULL, NULL, 'content:登录 :21101');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9133', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9134', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["t02"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13012345678"],"roleid":["undefined"],"departmentId":["1"],"id":["56"],"isupdate":["1"],"email":["123@126.com"],"username":["21102"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9135', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["t02"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13012345678"],"roleid":["undefined"],"departmentId":["1"],"id":["56"],"isupdate":["1"],"email":["123@126.com"],"username":["21102"]}', '7', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9141', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["56"]}', '9', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9142', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '97', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7968', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '11', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7969', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '318', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7971', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["3331112222@163.com"],"username":["dou1"]}', '128', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7972', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '179', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8112', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '10', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8113', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'POST', '{}', '13', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8114', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8115', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code', 'POST', '{}', '12', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8121', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454"],"ulevel":["1"]}', '10', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9557', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 10:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '121', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9558', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 10:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '122', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9559', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-27 10:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9560', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-27 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9561', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-27 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9025', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '29', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9026', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9027', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 11:22:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:22:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9028', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 11:23:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:23:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '126', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9029', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '132', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9030', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9031', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '127', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9032', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '126', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9033', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '66', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9034', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '125', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9035', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '128', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9036', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:31:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:31:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '122', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9037', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:31:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:31:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '123', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9038', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '122', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9039', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '124', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9040', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '125', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9045', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 11:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '20', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9046', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:55:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:55:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '122', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9047', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 11:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9048', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9049', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9052', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7174', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379354.6053247002,\"y\":5258464.292752868,\"z\":3336545.3555046553},\"label\":{\"text\":\"长度：3.741m;坡度：千分之795.2\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379355.1148787467,\"y\":5258467.983090163,\"z\":3336545.0154621108},{\"x\":-1379354.6053247002,\"y\":5258464.292752868,\"z\":3336545.3555046553},{\"x\":-1379354.6053247002,\"y\":5258464.292752868,\"z\":3336545.3555046553}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7175', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-03 10:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-03 10:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379347.9774738715,\"y\":5258466.042940104,\"z\":3336545.379538656},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01XF30,01XF31,300,PVC,2.1,2.2\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379350.242075786,\"y\":5258468.143239359,\"z\":3336543.2931150007},{\"x\":-1379347.9774738715,\"y\":5258466.042940104,\"z\":3336545.379538656}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7060', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 09:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '220', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7061', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 09:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7062', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 09:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhh"]}', '40', NULL, 'hhh用户不存在', 'content:登录 :hhh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7063', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-02 09:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7064', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-02 09:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7065', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 09:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 09:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69842746525742,\"ymax\":31.598927476843517,\"xmax\":104.70774348610483,\"ymin\":31.536275620718516,\"height\":480}"],"notes":["护城河01"],"file":[],"markName":["护城河01"],"camera":["{\"direction\":{\"x\":-0.16451473473235528,\"y\":-0.8727458029246578,\"z\":0.45961904391934993},\"up\":{\"x\":-0.3227770684586817,\"y\":0.48794648732628443,\"z\":0.8110013499268418},\"position\":{\"x\":-1379834.6369825772,\"y\":5258663.345625378,\"z\":3336055.6065529943}}"]}', '649', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6699', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '500', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6700', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '142', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6701', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '132', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6702', '1', 'tofly-base', 'wanghai', TO_DATE('2019-12-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6703', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '160', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6704', '1', 'tofly-base', 'tianjie', TO_DATE('2019-12-27 11:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6705', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379297.051064367,\"y\":5258497.024588082,\"z\":3336527.712842123},\"label\":{\"text\":\"弯管角度：156.45 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379296.4715468904,\"y\":5258494.815208372,\"z\":3336526.3109859284},{\"x\":-1379297.051064367,\"y\":5258497.024588082,\"z\":3336527.712842123}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '36', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6706', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379102.7194746747,\"y\":5258542.30025338,\"z\":3336539.3982319846},\"label\":{\"text\":\"弯管角度：89.98 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379102.0924733598,\"y\":5258539.909486627,\"z\":3336537.881293068},{\"x\":-1379102.7194746747,\"y\":5258542.30025338,\"z\":3336539.3982319846}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '11', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10234', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-25 16:04:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-25 16:04:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '164', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10251', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-10 10:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 10:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10252', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-10 10:28:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 10:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10253', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-10 10:30:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 10:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10254', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-10 10:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 10:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10255', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-10 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '642', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10256', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10257', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-10 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8273', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 13:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 13:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '95', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8277', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '306', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8287', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'PUT', '{}', '20', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8321', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8325', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8326', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306,311,312,308"]}', '40', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8327', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["307,309,310"]}', '60', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8333', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["hld"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["3"],"phone":["19999999999"],"roleid":["undefined"],"departmentId":["3"],"id":["47"],"isupdate":["1"],"email":["999@163.com"],"username":["红绿灯"]}', '152', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8335', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '89', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8336', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:46:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:46:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["ll"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["17777777777"],"roleid":[""],"departmentId":["5"],"email":["22@163.com"],"username":["兰兰"]}', '135', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8339', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["兰兰"]}', '255', NULL, NULL, 'content:登录 :兰兰');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8340', '1', 'tofly-base', '兰兰', TO_DATE('2020-01-10 14:48:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:48:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '81', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8378', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 15:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '103', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8555', '1', 'tofly-base', 'pra', TO_DATE('2020-01-15 10:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8556', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 10:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '490', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8557', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 10:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8558', '1', 'tofly-base', 'pra', TO_DATE('2020-01-15 10:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '194', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8559', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 10:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '144', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8560', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 10:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8561', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 10:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 10:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '105', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8562', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '164', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7747', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["bf5fc3deae42dc9821b1dfc6907c12f985c8008b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '128', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7748', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '123', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7749', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["TR"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["13111111111"],"roleid":[""],"departmentId":["2"],"email":["111@qq.com"],"username":["test"]}', '127', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7754', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7758', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["TR"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13111111112"],"roleid":["undefined"],"departmentId":["2"],"id":["39"],"isupdate":["1"],"email":["111@qq.com"],"username":["test"]}', '127', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7759', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7764', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"id":["38"],"statusFlag":["1"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7765', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '182', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9143', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '125', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9154', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["55"]}', '12', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9155', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3ef919cac2187e7dc6efd53cbb996049079a2d30"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '147', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9156', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '189', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9157', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 11:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 11:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.123', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '160', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9206', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 08:55:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 08:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '167', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9207', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9208', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'POST', '{}', '20', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9209', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '17', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9215', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9216', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '128', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9217', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 09:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9218', '1', 'tofly-xnkd', 'xiao3', TO_DATE('2020-02-12 09:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '25', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9220', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '127', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9221', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 09:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9222', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9226', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:39:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:39:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'POST', '{}', '2', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9227', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9228', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9229', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '9', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9230', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '38', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9231', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '20', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9232', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '124', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9233', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8777', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 09:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8778', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-20 09:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8779', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '149', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8780', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-20 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8781', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '128', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8782', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 09:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9181', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:23:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:23:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9182', '1', 'tofly-base', 'sd', TO_DATE('2020-02-11 13:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.228', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9183', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'POST', '{}', '23', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9184', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'POST', '{}', '28', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9185', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source/removeByIds', 'DELETE', '{"ids":["47"]}', '10', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9186', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9187', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '6', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9188', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/sourcedic', 'POST', '{}', '3', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9189', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-11 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'POST', '{}', '4', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9202', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-11 15:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 15:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '138', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9203', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-11 15:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 15:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9204', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-11 15:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 15:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9053', '1', 'tofly-xnkd', 'bkkw', TO_DATE('2020-02-10 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.53826866169378,\"ymax\":31.81066053747664,\"xmax\":104.70559066439898,\"ymin\":31.547198373342546,\"height\":477}"],"notes":[""],"file":[],"markName":["22"],"camera":["{\"direction\":{\"x\":0.1760006958412592,\"y\":-0.7042869001998964,\"z\":0.6877526570433691},\"up\":{\"x\":-0.1767323613195116,\"y\":0.6646994665302228,\"z\":0.7259065309369155},\"position\":{\"x\":-1379523.2343907577,\"y\":5258377.848393791,\"z\":3336628.275930713}}"]}', '406', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9054', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9100', '1', 'tofly-base', 'm02', TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '30', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9101', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '126', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9102', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9103', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9104', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '126', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9105', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9106', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 16:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 16:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8525', '1', 'tofly-base', 'm01', TO_DATE('2020-01-14 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '108', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8526', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 15:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 15:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8527', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8528', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8529', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 16:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8530', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-14 16:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8531', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 16:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8532', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8533', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 16:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '230', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8534', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '290', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8535', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8536', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-14 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8537', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8538', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-14 17:08:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:08:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8539', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 17:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra123456"]}', '110', NULL, 'pra123456用户不存在', 'content:登录 :pra123456');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8540', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-14 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8541', '1', 'tofly-base', 'pra', TO_DATE('2020-01-14 17:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-14 17:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8542', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 09:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '170', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8543', '1', 'tofly-base', 'pra', TO_DATE('2020-01-15 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8544', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 09:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8545', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 09:44:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:44:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8546', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 09:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '200', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9008', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 10:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 10:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '596', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9042', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 11:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '30', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9043', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '123', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9044', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:54:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '127', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9050', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '34', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9051', '1', 'tofly-base', 'bkkw', TO_DATE('2020-02-10 13:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 13:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6707', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379102.4491901093,\"y\":5258542.538847072,\"z\":3336539.3846062776},\"label\":{\"text\":\"弯管角度：179.07 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379101.7789474705,\"y\":5258539.983199792,\"z\":3336537.7630509227},{\"x\":-1379102.4491901093,\"y\":5258542.538847072,\"z\":3336539.3846062776}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6708', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379021.651273282,\"y\":5258574.163906846,\"z\":3336525.8273439575},\"label\":{\"text\":\"弯管角度：83.16 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379021.2167221669,\"y\":5258572.506848552,\"z\":3336524.7759529105},{\"x\":-1379021.651273282,\"y\":5258574.163906846,\"z\":3336525.8273439575}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6709', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["WTBZ"],"remark":["弯头标注"],"geometry":["{\"name\":\"WTBZ\",\"position\":{\"x\":-1379008.3083015287,\"y\":5258572.6183312535,\"z\":3336521.3620639723},\"label\":{\"text\":\"弯管角度：83.16 °\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379007.8737541758,\"y\":5258570.961271759,\"z\":3336520.3106732615},{\"x\":-1379008.3083015287,\"y\":5258572.6183312535,\"z\":3336521.3620639723}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6710', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2019-12-27 11:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379053.8825472246,\"y\":5258555.294559187,\"z\":3336541.3931701626},\"label\":{\"text\":\"标高：471.29 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379052.8966768065,\"y\":5258551.535275985,\"z\":3336539.0079135075},{\"x\":-1379053.8825472246,\"y\":5258555.294559187,\"z\":3336541.3931701626}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6530', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-25 16:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-25 16:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '3677', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6715', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '231', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('6716', '2', 'tofly-auth', 'tofly', TO_DATE('2019-12-27 11:34:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-27 11:34:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '252', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7137', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379453.570137184,\"y\":5258456.350001881,\"z\":3336526.5737607083},\"label\":{\"text\":\"标高：469.75 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379452.8780974674,\"y\":5258453.711956846,\"z\":3336524.899903063},{\"x\":-1379453.570137184,\"y\":5258456.350001881,\"z\":3336526.5737607083}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7138', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379452.4690093715,\"y\":5258455.253104694,\"z\":3336528.5000161254},\"label\":{\"text\":\"标高：470.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379451.9067275377,\"y\":5258453.109693504,\"z\":3336527.140005975},{\"x\":-1379452.4690093715,\"y\":5258455.253104694,\"z\":3336528.5000161254}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7139', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-02 17:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-02 17:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379036.6261796164,\"y\":5258794.51341839,\"z\":3336162.7840258437},\"label\":{\"text\":\"标高：469.05 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379036.139736138,\"y\":5258792.658423213,\"z\":3336161.607222707},{\"x\":-1379036.6261796164,\"y\":5258794.51341839,\"z\":3336162.7840258437}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '0', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7766', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '125', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7771', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"id":["38"],"statusFlag":["1"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7772', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7776', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '8', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7777', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7783', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '7', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7785', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["玩儿"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["1"],"id":["38"],"isupdate":["1"],"email":["111@qq.com"],"username":["wanerr"]}', '134', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7786', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8255', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f18f057ea44a945a083a00e6fcc11637d186042d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '321', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8256', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["f18f057ea44a945a083a00e6fcc11637d186042d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '336', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8259', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '134', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8260', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '130', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8261', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["ssss"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["15882194562"],"roleid":["undefined"],"departmentId":["2"],"id":["45"],"isupdate":["1"],"email":["000@qq.com"],"username":["liangluo3"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8262', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo3"]}', '135', NULL, NULL, 'content:登录 :liangluo3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8549', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 09:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '250', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8550', '1', 'tofly-base', 'm01', TO_DATE('2020-01-15 09:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8551', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 09:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '150', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8552', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '130', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10323', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 15:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10324', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-15 15:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10330', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10331', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 16:41:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 16:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '144', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10332', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-15 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10333', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 18:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 18:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '139', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10334', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10335', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 18:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 18:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10336', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-15 18:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 18:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10367', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 10:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10368', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 10:54:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:54:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10369', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 10:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '125', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10370', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 10:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10371', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:27:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10372', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10373', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10374', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 13:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 13:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9205', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-11 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9510', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '22', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9511', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9512', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '4', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9513', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '17', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9514', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '4', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9515', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:25:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:25:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9554', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 09:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 09:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '162', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9621', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '26', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9622', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '15', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8031', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:27:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:27:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '127', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8032', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 15:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8033', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-09 15:29:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:29:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.38865272638519,\"ymax\":31.444984795132715,\"xmax\":104.68834169404929,\"ymin\":31.544385475725267,\"height\":484}"],"notes":[""],"file":[],"markName":["7979"],"camera":["{\"direction\":{\"x\":0.9802864491590026,\"y\":0.19526423070032967,\"z\":-0.030172136222727085},\"up\":{\"x\":-0.15111382042223365,\"y\":0.8393279667245497,\"z\":0.5222003232011927},\"position\":{\"x\":-1379818.2037027695,\"y\":5258496.107712826,\"z\":3336332.438337199}}"]}', '28', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8034', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '17', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8035', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hhx"]}', '127', NULL, NULL, 'content:登录 :hhx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8036', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["1"]}', '14', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8037', '1', 'tofly-base', 'hhx', TO_DATE('2020-01-09 15:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '20', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8038', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '169', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8039', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '218', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8040', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["h2"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["17777777777"],"roleid":[""],"departmentId":["3"],"email":["77@163.com"],"username":["hh2"]}', '126', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8041', '1', 'tofly-base', 'hh1', TO_DATE('2020-01-09 15:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8043', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '171', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8044', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '217', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7791', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '290', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7792', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '234', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7793', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '37', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7794', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code', 'POST', '{}', '6', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7795', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/removeByIds', 'DELETE', '{"ids":["454,455"],"ulevel":["1"]}', '17', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7800', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:58:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:58:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7801', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["aaa"]}', '127', NULL, NULL, 'content:登录 :aaa');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7802', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '122', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7808', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 12:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["aaa"]}', '125', NULL, NULL, 'content:登录 :aaa');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7809', '1', 'tofly-base', 'aaa', TO_DATE('2020-01-09 12:01:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:01:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '58', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7810', '1', 'tofly-base', 'aaa', TO_DATE('2020-01-09 12:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '115', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7811', '1', 'tofly-base', 'aaa', TO_DATE('2020-01-09 12:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 12:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '55', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7812', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 13:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 13:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["trianjie"]}', '58', NULL, 'trianjie用户不存在', 'content:登录 :trianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9055', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '128', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9056', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["46"]}', '15', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9057', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["缪阳"],"id":["30"],"statusFlag":["1"]}', '8', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9058', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["31"]}', '20', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9064', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["33"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18999999999"],"roleid":[""],"departmentId":["3"],"email":["111@qq.com"],"username":["m03"]}', '144', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9065', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m03"]}', '136', NULL, NULL, 'content:登录 :m03');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9066', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '123', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9069', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["44"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18144444444"],"roleid":[""],"departmentId":["3"],"email":["222@163.com"],"username":["m04"]}', '124', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9070', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9071', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m03"]}', '124', NULL, NULL, 'content:登录 :m03');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9717', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '130', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9718', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '131', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9719', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '17', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9720', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9721', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '128', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9723', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9724', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9725', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:25:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["1"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '6', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9726', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:26:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '6', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9727', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '18', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9728', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9729', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user/removeByIds', 'DELETE', '{"ids":["39"]}', '33', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9730', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '18', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9736', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '122', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9739', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '21', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9742', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 15:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 15:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '121', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9748', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9767', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 17:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8090', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 16:08:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8095', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 16:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '127', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8293', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["309"]}', '23', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8306', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8309', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '100', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8310', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10812', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-02 09:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '188', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10813', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10814', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/user/removeByIds', 'DELETE', '{"ids":["63,62"]}', '74', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10815', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 09:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '54', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10816', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 09:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10817', '1', 'tofly-base', 'pra1', TO_DATE('2020-09-02 09:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '23', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10818', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 09:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/user', 'POST', '{"realName":["缪阳"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18333333333"],"roleid":[""],"departmentId":["1"],"email":["33@128.com"],"username":["miaoyang"]}', '216', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10819', '2', 'tofly-auth', 'liangluo2', TO_DATE('2020-09-02 09:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '194', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10820', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/userrole', 'PUT', '{}', '47', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10821', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 09:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10822', '2', 'tofly-auth', 'pra1', TO_DATE('2020-09-02 09:49:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:49:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '224', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10823', '2', 'tofly-auth', 'miaoyang', TO_DATE('2020-09-02 09:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '198', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10824', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-09-02 09:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10877', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-03 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '120183', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10878', '2', 'tofly-auth', 'yck', TO_DATE('2020-09-03 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 09:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.225', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["yck"]}', '524549', NULL, NULL, 'content:登录 :yck');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9740', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 15:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 15:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '12', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9741', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 15:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 15:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9743', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 15:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 15:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '120', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9745', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 16:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '23', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9746', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 16:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '18', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9766', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 17:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9768', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 17:19:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:19:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra2"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["57"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra2"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9854', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:25:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:25:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '124', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9855', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '123', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9856', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["8"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '12', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9862', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-05 16:52:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:52:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '4264', NULL, 'java.net.SocketTimeoutException: Read timed out; nested exception is redis.clients.jedis.exceptions.JedisConnectionException: java.net.SocketTimeoutException: Read timed out', 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9863', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-05 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '128', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10082', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '142', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10083', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10084', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10085', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10086', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '132', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10087', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10089', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10090', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '16', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10091', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '16', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10092', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '12', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10093', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10094', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '132', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10095', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10096', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '167', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10097', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 11:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 11:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10098', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:22:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:22:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10099', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10100', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10101', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10102', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:30:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10103', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10709', '2', 'tofly-auth', 'ch', TO_DATE('2020-09-01 11:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '16', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10710', '2', 'tofly-auth', 'chenhao', TO_DATE('2020-09-01 11:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7d81e2ac2fd274bbe80d9d0ae9d2d6312b3cf0d4"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["chenhao"]}', '13', NULL, 'chenhao用户不存在', 'content:登录 :chenhao');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10711', '2', 'tofly-auth', 'adming', TO_DATE('2020-09-01 11:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["adming"]}', '14', NULL, 'adming用户不存在', 'content:登录 :adming');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10712', '1', 'tofly-sxgk', 'zhuby', TO_DATE('2020-09-01 12:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 12:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/prj/deleteByIds', 'DELETE', '{"ids":["2"]}', '12', NULL, NULL, 'content:通过id批量删除工程项目信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10713', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-01 13:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 13:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '204', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10714', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 13:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 13:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/structure/createPdf', 'POST', '{"file":[]}', '1', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10715', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/structure/createPdf', 'POST', '{"file":[],"pbss":["[{\"1\":\"WJH1-D-YYS-GDGC-PSG-001\"},{\"2\":\"WJH1-D-YYS-GDGC-PSG-002\"},{\"3\":\"WJH1-D-YYS-GDGC-JCJ-002\"}]"]}', '120', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10716', '1', 'tofly-base', 'wanghai', TO_DATE('2020-09-01 13:59:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 13:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10717', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 14:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 14:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '191', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10718', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 14:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 14:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '197', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10719', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-01 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '193', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10720', '1', 'tofly-base', 'wanghai', TO_DATE('2020-09-01 14:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 14:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'PUT', '{}', '8', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10721', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-01 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10722', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-01 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '208', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10723', '1', 'tofly-base', 'wanghai', TO_DATE('2020-09-01 15:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10724', '2', 'tofly-auth', 'zhuby', TO_DATE('2020-09-01 15:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zhuby"]}', '209', NULL, NULL, 'content:登录 :zhuby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10993', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-17 09:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-17 09:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '270', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10994', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-17 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-17 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '184', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10995', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-17 09:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-17 09:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '193', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10996', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-17 11:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-17 11:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.245', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '197', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9424', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9425', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9426', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9427', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:19:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9428', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '24', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8573', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '72', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8574', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:41:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9009', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '686', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9010', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-10 11:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '212', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9011', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjjie"]}', '120', NULL, 'tianjjie用户不存在', 'content:登录 :tianjjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9012', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '136', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9013', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 11:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9014', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["mm2"]}', '43', NULL, 'mm2用户不存在', 'content:登录 :mm2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9015', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '132', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9016', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 11:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9017', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '130', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9018', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9019', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-10 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9020', '1', 'tofly-base', 'm02', TO_DATE('2020-02-10 11:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '161', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9021', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-10 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9022', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["h2"]}', '34', NULL, 'h2用户不存在', 'content:登录 :h2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9023', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["h1"]}', '33', NULL, 'h1用户不存在', 'content:登录 :h1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9024', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 11:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 11:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '189', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9821', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["2"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '10', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9822', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 13:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 13:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '130', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8274', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/user/updatePassword', 'PUT', '{}', '145', NULL, NULL, 'content:修改密码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8275', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tiabjie"]}', '124', NULL, 'tiabjie用户不存在', 'content:登录 :tiabjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8276', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '209', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8278', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'POST', '{}', '10', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8279', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department/removeByIds', 'DELETE', '{"ids":["5"]}', '10', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8280', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'POST', '{}', '10', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8281', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department', 'POST', '{}', '10', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8282', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/department/removeByIds', 'DELETE', '{"ids":["6"]}', '10', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8283', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/system', 'POST', '{}', '10', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8286', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8290', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '51', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8297', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 14:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '21', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8299', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '261', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8300', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '1', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9864', '1', 'tofly-base', 'lstest', TO_DATE('2020-03-05 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9865', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-05 16:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '126', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9866', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-05 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9867', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-05 16:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 16:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9868', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-05 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9869', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-05 17:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 17:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9870', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-05 17:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-05 17:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9930', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '212', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9931', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9932', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9933', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9934', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8810', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m011"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["46"],"isupdate":["1"],"email":["61122@163.com"],"username":["m011"]}', '920', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8811', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '125', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8812', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '123', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8817', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '113', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8818', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '7', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8819', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '127', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8820', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '124', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10825', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-02 10:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '851', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10826', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-02 10:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '204', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10827', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 10:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '204', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10828', '1', 'tofly-base', 'lzw', TO_DATE('2020-09-02 10:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/user', 'POST', '{"birthday":[""],"belong":[""],"lastIp":[""],"departmentId":[""],"qqOpenid":[""],"Authorization":["Bearer 033f45d7-f2fd-4156-9f00-8833fd96c7b4"],"password":["123456"],"loginTime":[""],"userLevel":[""],"pwderrtimes":[""],"id":[""],"email":[""],"departmentName":[""],"salt":[""],"findpwdkey":[""],"wxOpenid":[""],"updateTime":[""],"avatar":[""],"lockFlag":[""],"realName":["汪截流"],"aliasname":["flash"],"worknumber":[""],"createTime":[""],"phone":[""],"createUser":[""],"statusFlag":[""],"username":["wjl"]}', '208', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10829', '1', 'tofly-base', 'lzw', TO_DATE('2020-09-02 10:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/user', 'POST', '{"birthday":[""],"belong":[""],"lastIp":[""],"departmentId":[""],"qqOpenid":[""],"Authorization":["Bearer 033f45d7-f2fd-4156-9f00-8833fd96c7b4"],"password":["123456"],"loginTime":[""],"userLevel":[""],"pwderrtimes":[""],"id":[""],"email":[""],"departmentName":[""],"salt":[""],"findpwdkey":[""],"wxOpenid":[""],"updateTime":[""],"avatar":[""],"lockFlag":[""],"realName":["陈浩"],"aliasname":["昊子哥"],"worknumber":[""],"createTime":[""],"phone":[""],"createUser":[""],"statusFlag":[""],"username":["ch"]}', '195', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10830', '1', 'tofly-base', 'pra', TO_DATE('2020-09-02 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/projectinfo', 'PUT', '{"projectInfo":["null"],"file":[],"tel":["null"],"id":["1"],"projectName":["13123"]}', '234', NULL, NULL, 'content:修改项目基本信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10831', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10832', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 10:27:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:27:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10833', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-02 10:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/structure/createPdf', 'POST', '{"file":[]}', '4', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10834', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 10:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '194', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10725', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-01 15:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '198', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10726', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 15:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/pbs', 'POST', '{}', '22', NULL, NULL, 'content:新增PBS模板信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10727', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 15:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/pbsLevel/save', 'PUT', '{}', '34', NULL, NULL, 'content:修改或新增PBS层级信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10728', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 15:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/pbsLevel/save', 'PUT', '{}', '17', NULL, NULL, 'content:修改或新增PBS层级信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10729', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 15:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":113.0409198206374,\"ymax\":29.278623740453444,\"xmax\":113.1455540972992,\"ymin\":29.373727661136655,\"height\":77}"],"notes":["巴陵东路管道"],"file":[],"markName":["巴陵东路"],"camera":["{\"direction\":{\"x\":0.8711059391554836,\"y\":0.26442494860600874,\"z\":-0.4138283331560959},\"up\":{\"x\":-0.09440852961731747,\"y\":0.9171149033781187,\"z\":0.38728191738995527},\"position\":{\"x\":-2184900.7561231065,\"y\":5110780.833234616,\"z\":3128535.909591818}}"]}', '5', NULL, 'String index out of range: -1', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10730', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 15:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '14', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10731', '1', 'tofly-base', 'huangweihang', TO_DATE('2020-09-01 15:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/menu', 'PUT', '{}', '6', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10732', '1', 'tofly-base', 'huangweihang', TO_DATE('2020-09-01 15:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 15:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/menu', 'PUT', '{}', '10', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10733', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '27', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10734', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-01 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":113.0409198206374,\"ymax\":29.278623740453444,\"xmax\":113.1455540972992,\"ymin\":29.373727661136655,\"height\":77}"],"notes":["ceshi"],"file":[],"markName":["ceshi"],"camera":["{\"direction\":{\"x\":0.8711059391554836,\"y\":0.26442494860600874,\"z\":-0.4138283331560959},\"up\":{\"x\":-0.09440852961731747,\"y\":0.9171149033781187,\"z\":0.38728191738995527},\"position\":{\"x\":-2184900.7561231065,\"y\":5110780.833234616,\"z\":3128535.909591818}}"]}', '6', NULL, 'String index out of range: -1', 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10735', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '13', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10736', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '27', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10737', '1', 'tofly-base', 'wanghai', TO_DATE('2020-09-01 16:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/user', 'POST', '{"realName":["牟旭阳"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13988888888"],"roleid":[""],"departmentId":["1"],"email":["126@126.com"],"username":["mxy"]}', '195', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10738', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-01 16:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '198', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10739', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '9', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10740', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/userrole', 'PUT', '{}', '18', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10741', '1', 'tofly-sxgk', 'admin', TO_DATE('2020-09-01 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/userprj/update', 'PUT', '{}', '38', NULL, NULL, 'content:更新用户项目信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10547', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '45', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10548', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '27', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10549', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10550', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c4f9375f9834b4e7f0a528cc65c055702bf5f24a"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '79', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10551', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '533', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10552', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 15:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["dddef3b2cf47f88ae3dfecaa4c064707919a329a"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10553', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 15:15:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:15:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["dddef3b2cf47f88ae3dfecaa4c064707919a329a"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '353', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10558', '1', 'tofly-base', 'lzw', TO_DATE('2020-08-31 15:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/user/saveNew', 'POST', '{"birthday":[""],"belong":[""],"lastIp":[""],"departmentId":[""],"roles":["1,2,3"],"qqOpenid":[""],"Authorization":["bearer 033f45d7-f2fd-4156-9f00-8833fd96c7b4"],"password":["ch"],"loginTime":[""],"userLevel":[""],"pwderrtimes":[""],"id":[""],"email":[""],"departmentName":[""],"salt":[""],"findpwdkey":[""],"wxOpenid":[""],"updateTime":[""],"avatar":[""],"lockFlag":[""],"realName":["陈浩"],"aliasname":[""],"worknumber":[""],"createTime":[""],"phone":["13111111111"],"createUser":[""],"statusFlag":[""],"username":["ch"]}', '234', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10565', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '18', NULL, 'rx用户不存在', 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10566', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/role/removeByIds', 'DELETE', '{"ids":["6,5,4,3,1"]}', '443', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10567', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/removeByIds', 'DELETE', '{"ids":["48,36,22,31,49,25,56,57,55"]}', '164', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10568', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/removeByIds', 'DELETE', '{"ids":["28,33,29,4,26"]}', '112', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10951', '2', 'tofly-auth', 'test', TO_DATE('2020-09-11 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '181', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10952', '1', 'tofly-base', 'admin', TO_DATE('2020-09-11 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/source', 'PUT', '{}', '29', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10953', '1', 'tofly-base', 'admin', TO_DATE('2020-09-11 17:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/source', 'PUT', '{}', '15', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10954', '2', 'tofly-auth', 'test', TO_DATE('2020-09-11 17:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '184', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10955', '2', 'tofly-auth', 'test', TO_DATE('2020-09-11 17:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10956', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-11 17:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10957', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-11 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '184', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11056', '2', 'tofly-auth', 'ch123', TO_DATE('2020-09-23 15:43:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 15:43:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch123"]}', '182', NULL, NULL, 'content:登录 :ch123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11057', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-23 17:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 17:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '245', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8307', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '50', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8323', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8324', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '50', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8337', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '129', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8338', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8341', '1', 'tofly-base', '兰兰', TO_DATE('2020-01-10 14:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '91', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8248', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '236', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8249', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["ssss"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["15882194562"],"roleid":["undefined"],"departmentId":["2"],"id":["45"],"isupdate":["1"],"email":["000@qq.com"],"username":["liangluo3"]}', '135', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8250', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo3"]}', '160', NULL, NULL, 'content:登录 :liangluo3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8251', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '132', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8257', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '244', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8258', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '148', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8284', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8301', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8311', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'PUT', '{}', '3', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8312', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["309,313"]}', '42', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8313', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["311"]}', '14', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8314', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:26:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["314"]}', '16', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8315', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["316"]}', '15', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8317', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '8', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8328', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:38:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:38:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/system/removeByIds', 'DELETE', '{"ids":["4"]}', '10', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8329', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8332', '1', 'tofly-base', '红绿灯', TO_DATE('2020-01-10 14:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["3"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["43"],"isupdate":["1"],"email":["666@163.com"],"username":["m02"]}', '38', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8347', '1', 'tofly-base', '兰兰', TO_DATE('2020-01-10 14:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '87', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8351', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 15:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8365', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '279', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8392', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-11 09:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 09:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '160', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8394', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-11 09:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 09:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '130', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8395', '1', 'tofly-base', 'm01', TO_DATE('2020-01-11 09:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 09:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8396', '1', 'tofly-base', 'm01', TO_DATE('2020-01-11 11:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 11:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8397', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-11 11:27:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 11:27:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '350', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8398', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-11 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '250', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8399', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8400', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-11 11:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 11:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["62,67,70,49,50,51,52,63,53,54,55,56,57,58,66,59,69,60,64,65,61"]}', '150', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8401', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-11 16:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 16:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '160', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8402', '1', 'tofly-base', 'pra', TO_DATE('2020-01-11 16:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 16:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8403', '1', 'tofly-base', 'pra', TO_DATE('2020-01-11 17:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-11 17:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8629', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '40', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8630', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '428', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10835', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 10:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '191', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10836', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '194', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10837', '1', 'tofly-base', 'pra', TO_DATE('2020-09-02 10:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/sourcedic', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10838', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 10:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '88', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10839', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '3', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10840', '2', 'tofly-auth', NULL, TO_DATE('2020-09-02 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10841', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 10:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '235', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10842', '1', 'tofly-base', 'pra', TO_DATE('2020-09-02 10:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10843', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '25', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10844', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10845', '1', 'tofly-base', 'pra', TO_DATE('2020-09-02 11:03:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:03:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10846', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '69', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10882', '1', 'tofly-base', 'admin', TO_DATE('2020-09-03 15:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/userrole', 'PUT', '{}', '15', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10883', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-03 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '190', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10884', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-03 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.50', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '203', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10885', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-03 15:45:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:45:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.50', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '189', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10886', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-03 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.245', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '213', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10910', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '189', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10911', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-03 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '184', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10581', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10582', '2', 'tofly-auth', 'lishun', TO_DATE('2020-08-31 16:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '351', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10583', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10847', '2', 'tofly-auth', NULL, TO_DATE('2020-09-02 11:20:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:20:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10848', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '204', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10849', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 11:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '202', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10850', '2', 'tofly-auth', NULL, TO_DATE('2020-09-02 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10851', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 11:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 11:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10852', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-02 12:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 12:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '196', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10853', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 13:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 13:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '6', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10569', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/role/removeByIds', 'DELETE', '{"ids":["6,5,4,3,1"]}', '526', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10570', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user', 'PUT', '{"id":["2"],"statusFlag":["1"]}', '331', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10571', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user', 'POST', '{"realName":["test"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[],"phone":["13567899098"],"departmentId":["2"],"roles":["1"],"email":["123@qq.com"],"username":["test"]}', '221', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10575', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/saveNew', 'POST', '{"realName":["1111"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[],"phone":["13456789098"],"departmentId":["8"],"roles":["1"],"email":["123@qq.com"],"username":["1111"]}', '216', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10576', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 16:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '200', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10577', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user', 'PUT', '{"realName":["admin001"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["15676789098"],"departmentId":["6"],"roles":["1"],"id":["4"],"email":["123@qq.com"],"username":["admin001"]}', '179', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10578', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '194', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10579', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user', 'PUT', '{"realName":["admin001"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["15676789098"],"departmentId":["6"],"roles":["1"],"id":["4"],"email":["123@qq.com"],"username":["admin001"]}', '177', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10580', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 16:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '409', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10927', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-07 14:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 14:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '215', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10928', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-07 15:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 15:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '191', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10929', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-07 17:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 17:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '256', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10930', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-08 11:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-08 11:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '194', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10931', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-08 13:44:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-08 13:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '295', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10935', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-09 17:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 17:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '55091', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10936', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-09 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '182', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10938', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-10 09:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 09:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '183', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10939', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-10 10:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 10:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '174', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10940', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-10 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '183', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10942', '2', 'tofly-auth', 'test', TO_DATE('2020-09-10 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '182', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10945', '2', 'tofly-auth', 'test', TO_DATE('2020-09-11 09:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 09:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.137', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '227', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10971', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-14 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '201', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10972', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-14 11:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 11:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '198', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10973', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-14 15:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 15:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '183', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10974', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-15 08:54:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 08:54:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '219', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10975', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-15 09:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 09:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '192', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10976', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-15 09:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 09:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '182', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8587', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 13:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '141', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8588', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 13:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '137', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8589', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 13:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '137', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8590', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8591', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 13:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8592', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9775', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '48', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9776', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '47', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9777', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '40', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9778', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '30078', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9889', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9890', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '136', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9843', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 14:18:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:18:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9844', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 14:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9845', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:26:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:26:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9847', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '959', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9848', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '131', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9887', '1', 'tofly-base', 'xj', TO_DATE('2020-03-09 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 10:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.154', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9893', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '203', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9894', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9895', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 15:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9896', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 15:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 15:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9897', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '185', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9898', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 16:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 16:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9899', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '134', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9900', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-09 16:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 16:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9978', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9979', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9980', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9981', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9982', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:16:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:16:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9983', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9984', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '149', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9985', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9986', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 11:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '129', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9987', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-12 11:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9988', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '150', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9989', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '64', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9990', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9991', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9992', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-12 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9993', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10854', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-02 13:51:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 13:51:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '196', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10855', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 13:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 13:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '29', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8821', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"file":["undefined"],"maxView":["500"],"name":[""],"labelType":["DBBZ"],"isSelect":["0"],"remark":[""],"geometry":["{\"name\":\"DBBZ\",\"position\":{\"x\":-1379608.2968535258,\"y\":5258405.817204386,\"z\":3336530.3089628024},\"label\":{\"text\":\"\",\"font\":\"bold 14pt fangsong\",\"fillColor\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":18,\"y\":-18}},\"billboard\":{\"image\":\"./widgets/LandMarkMarking/images/db.png\",\"width\":36,\"height\":36,\"verticalOrigin\":1},\"polyline\":{\"positions\":[{\"x\":-1379608.2968535258,\"y\":5258405.817204386,\"z\":3336530.3089628024},{\"x\":-1379608.7294272862,\"y\":5258407.465968301,\"z\":3336531.355126025}],\"show\":false,\"material\":{\"red\":\"0.000\",\"green\":\"0.941\",\"blue\":\"0.941\",\"alpha\":1},\"width\":2},\"minscale\":0,\"maxscale\":500,\"isselect\":\"0\",\"txt\":\"\",\"notes\":\"\",\"isshow\":true}"],"minView":["0"]}', '61', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8822', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379647.574817368,\"y\":5258410.56399046,\"z\":3336518.151847741},\"label\":{\"text\":\"标高：470.24 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379647.029759428,\"y\":5258408.4865480205,\"z\":3336516.833688133},{\"x\":-1379647.574817368,\"y\":5258410.56399046,\"z\":3336518.151847741}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8823', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379644.753394657,\"y\":5258411.228872722,\"z\":3336518.0659174896},\"label\":{\"text\":\"标高：470.13 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379644.2083378234,\"y\":5258409.151429986,\"z\":3336516.7477578926},{\"x\":-1379644.753394657,\"y\":5258411.228872722,\"z\":3336518.0659174896}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8824', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '113', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8825', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '122', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8826', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:39:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '124', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8827', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379648.385291772,\"y\":5258410.35241401,\"z\":3336518.1250796067},\"label\":{\"text\":\"管径：400X400 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379647.8402335113,\"y\":5258408.274971651,\"z\":3336516.806920006},{\"x\":-1379648.385291772,\"y\":5258410.35241401,\"z\":3336518.1250796067}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8828', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '122', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8829', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '123', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8830', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379645.5059403826,\"y\":5258411.109031602,\"z\":3336518.1247532377},\"label\":{\"text\":\"埋深：0.52 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379644.96088326,\"y\":5258409.031588943,\"z\":3336516.8065936374},{\"x\":-1379645.5059403826,\"y\":5258411.109031602,\"z\":3336518.1247532377}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9935', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9936', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9937', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9938', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9939', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9940', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9941', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10983', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-15 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 14:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10984', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-15 15:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 15:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '192', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10985', '1', 'tofly-base', 'rx', TO_DATE('2020-09-15 17:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 17:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/role', 'POST', '{}', '23', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10986', '1', 'tofly-base', 'rx', TO_DATE('2020-09-15 17:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 17:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/role', 'PUT', '{}', '3', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10987', '2', 'tofly-auth', 'text123', TO_DATE('2020-09-15 17:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 17:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["text123"]}', '8', NULL, NULL, 'content:登录 :text123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10988', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-16 09:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 09:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '266', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10990', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-16 09:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 09:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '174', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10992', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-09-16 10:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 10:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '183', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11000', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-18 16:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-18 16:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '182', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11001', '2', 'tofly-auth', 'test', TO_DATE('2020-09-18 17:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-18 17:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '184', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11007', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-21 14:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 14:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11008', '1', 'tofly-base', 'admin', TO_DATE('2020-09-21 15:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 15:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/role', 'PUT', '{}', '5', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11014', '2', 'tofly-auth', 'ch', TO_DATE('2020-09-21 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '180', NULL, NULL, 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11015', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-21 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '182', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11016', '1', 'tofly-base', 'rx', TO_DATE('2020-09-21 16:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/user/saveNew', 'POST', '{"realName":["ch"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[""],"phone":[""],"departmentId":["1"],"roles":["2"],"email":[""],"username":["ch"]}', '7', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11017', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-22 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 09:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '185', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11018', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-22 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '182', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11019', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-22 10:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 10:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '191', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11020', '2', 'tofly-auth', '张三', TO_DATE('2020-09-22 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["张三"]}', '181', NULL, NULL, 'content:登录 :张三');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11021', '2', 'tofly-auth', '张三', TO_DATE('2020-09-22 11:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 11:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["张三"]}', '183', NULL, NULL, 'content:登录 :张三');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11022', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-22 13:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 13:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '183', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11023', '1', 'tofly-dyrqwj', 'wangjian', TO_DATE('2020-09-22 16:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 16:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/plan', 'POST', '{"periodId":3,"deviceTypeId":2,"description":"922七天巡检线","planEnddate":"2020-09-29 00:00:00","userId":21,"planBegindate":"2020-09-23 00:00:00","planMode":"0","companyid":1,"geoType":"1","planRate":80,"gisInfo":[{"address":"21","code":"21","pipe_length":358.05,"device_type_id":2,"name":"21","geometry":{"paths":[[[103.96214493642533,30.673242608921417],[103.96192079157679,30.673400129433425],[103.96169664600087,30.673557649554958],[103.96217491701827,30.673688520791817],[103.96265318932522,30.673819390265603],[103.96307911356038,30.673656397904974],[103.9635050363653,30.67349340414411],[103.96316191749223,30.673320655714072],[103.96281879984028,30.673147906373384]]],"spatialReference":{"wkid":4490}},"content":"''{}''","sid":19}],"intervalDays":7}', '56843', NULL, NULL, 'content:新增巡检计划表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11024', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-23 09:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '253', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11025', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-23 09:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '173', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11026', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '190', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10997', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-17 17:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-17 17:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '182', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10998', '2', 'tofly-auth', 'test', TO_DATE('2020-09-18 10:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-18 10:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10999', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-18 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-18 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9994', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '31', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9995', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 11:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 11:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '65', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10013', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10014', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10015', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10016', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10017', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 15:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10018', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 15:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '137', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10019', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 15:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 15:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '91', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10104', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10105', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10106', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10107', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10108', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10109', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10110', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 13:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 13:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10111', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10112', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10113', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10114', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10115', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10116', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 14:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 14:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10117', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10118', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 16:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 16:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10119', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10135', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10136', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10137', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10138', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8615', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 09:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '241', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8616', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 09:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '395', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8617', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 09:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8618', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 09:25:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8619', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-16 09:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8620', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-16 09:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 09:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.69556534807478,\"ymax\":31.538080007042627,\"xmax\":104.7023234008031,\"ymin\":31.53598994229785,\"height\":516}"],"notes":["2根"],"file":[],"markName":["开挖排水"],"camera":["{\"direction\":{\"x\":0.24787635028095883,\"y\":-0.8748331914781157,\"z\":-0.4162021168370076},\"up\":{\"x\":0.2437624316235399,\"y\":-0.3594673909638326,\"z\":0.9007569437770847},\"position\":{\"x\":-1379497.8988101098,\"y\":5258643.563166828,\"z\":3336294.2756825145}}"]}', '580', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8621', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-16 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '144', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8624', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-16 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-16 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10454', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-15 16:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 16:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '230', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10455', '1', 'tofly-base', 'lishun', TO_DATE('2020-06-15 16:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 16:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10456', '1', 'tofly-xnkd', 'lishun', TO_DATE('2020-06-15 16:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 16:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/usersky', 'POST', '{}', '138', NULL, NULL, 'content:新增用户天空信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10457', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-15 16:46:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 16:46:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '136', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9942', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9943', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9944', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 10:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '130', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9945', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 10:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 10:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10912', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:51:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:51:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '185', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10913', '2', 'tofly-auth', NULL, TO_DATE('2020-09-03 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10914', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-03 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '188', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10915', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-03 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '186', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10916', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-03 16:57:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '192', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10917', '2', 'tofly-auth', 'dhq', TO_DATE('2020-09-03 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.50', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dhq"]}', '200', NULL, NULL, 'content:登录 :dhq');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10918', '2', 'tofly-auth', 'test', TO_DATE('2020-09-04 15:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 15:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '188', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10919', '2', 'tofly-auth', 'wjl', TO_DATE('2020-09-04 15:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 15:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '174', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10924', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-07 09:16:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 09:16:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.56', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10925', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-07 09:23:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 09:23:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '245', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10926', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-07 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-07 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '211', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10584', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '264', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10585', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '190', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10586', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 16:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '189', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10638', '2', 'tofly-auth', 'zhuby', TO_DATE('2020-09-01 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zhuby"]}', '195', NULL, NULL, 'content:登录 :zhuby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9946', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:08:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:08:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9947', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9948', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '133', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9949', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:25:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:25:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '62', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9950', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9951', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 11:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '138', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9952', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9953', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 11:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9998', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 13:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9999', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 13:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10270', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 14:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 14:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10271', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 15:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 15:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10272', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 15:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 15:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10273', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11027', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-23 09:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '174', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11028', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-23 09:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["4a236515c291c6af51b26f23886f5eb85ca5e5f0"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '184', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11029', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '183', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11030', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-23 09:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '199', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11032', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '184', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11033', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-23 09:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '183', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11034', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '185', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11035', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-23 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '189', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11048', '1', 'tofly-base', 'admin', TO_DATE('2020-09-23 10:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/saveNew', 'POST', '{"realName":["zdj"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"phone":["15756300930"],"departmentId":["3"],"roles":["3"],"email":["123@qq.com"],"username":["zdj"]}', '186', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11049', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-23 10:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '186', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11055', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-23 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '185', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11058', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-24 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '174', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11059', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-24 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '182', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11060', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-24 09:47:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 09:47:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '193', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11061', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-24 10:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 10:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '218', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11062', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 14:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 14:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '181', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11063', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 15:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 15:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '183', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11064', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 15:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 15:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '183', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11065', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 16:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '181', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11066', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 16:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '182', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11067', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-24 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '174', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11068', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-24 16:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '182', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11069', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-24 16:28:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["000000"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '203', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11070', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-24 16:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11071', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-24 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '190', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11072', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 17:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 17:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '182', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10941', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-10 15:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 15:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '184', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10944', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-10 17:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 17:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '185', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10458', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-15 17:03:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 17:03:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '134', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10459', '1', 'tofly-base', 'wanghai', TO_DATE('2020-06-15 17:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 17:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10460', '1', 'tofly-base', 'wanghai', TO_DATE('2020-06-15 17:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-15 17:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10492', '2', 'tofly-auth', 'tofly', TO_DATE('2020-06-23 15:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-06-23 15:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.104', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '244', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10139', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10140', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10141', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10142', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 11:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 11:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10143', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 13:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 13:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '479', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10144', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 13:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 13:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10742', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-09-01 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '272', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10743', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/role', 'PUT', '{}', '8', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10744', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-01 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '216', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10745', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 16:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1868', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10746', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 16:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '39', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''2020-01-01'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10747', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 16:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '31', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''2020-01-01-18-00-00'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10748', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 16:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '36', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''2020-09-01 11:42:36'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10749', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '19', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''2020-09-01 11:42:36'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10750', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-01 17:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '197', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10751', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-01 17:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '200', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10274', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 15:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10275', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10276', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '131', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10277', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-14 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10278', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-14 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10279', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-14 16:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10280', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-14 16:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10281', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:18:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:18:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '139', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10282', '1', 'tofly-base', 'pra', TO_DATE('2020-04-14 16:19:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:19:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10283', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10284', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-14 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10285', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:23:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10286', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10287', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10288', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '131', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10289', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-14 16:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8831', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379647.32988156,\"y\":5258410.653684515,\"z\":3336518.0873384364},\"label\":{\"text\":\"坐标：104.701316 , 31.539026 , 470.227\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379646.7848237169,\"y\":5258408.576242036,\"z\":3336516.769178852},{\"x\":-1379647.32988156,\"y\":5258410.653684515,\"z\":3336518.0873384364}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8832', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379647.0133599506,\"y\":5258410.736875329,\"z\":3336518.087297828},\"label\":{\"text\":\"埋深：0.52 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379646.4683022301,\"y\":5258408.659432818,\"z\":3336516.7691382426},{\"x\":-1379647.0133599506,\"y\":5258410.736875329,\"z\":3336518.087297828}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8833', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '122', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10786', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-02 09:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '192', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10787', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 09:18:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:18:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '85', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10788', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 09:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '27', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set Acceptance_Date = ''2020-04-01 18:00:00'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10789', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 09:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '43', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set Acceptance_Date = ''2020-01-01 18:00:00'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11012', '2', 'tofly-auth', 'ch', TO_DATE('2020-09-21 16:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '181', NULL, NULL, 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11013', '1', 'tofly-base', 'rx', TO_DATE('2020-09-21 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/user/updateNew', 'PUT', '{"id":["8"],"statusFlag":["1"]}', '6', NULL, NULL, 'content:修改用户及其权限');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11073', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-24 17:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 17:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11074', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-24 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11075', '1', 'tofly-base', 'admin', TO_DATE('2020-09-24 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 17:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/role', 'PUT', '{}', '3', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11076', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-24 18:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 18:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '182', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11077', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-25 09:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '284', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11081', '2', 'tofly-auth', 'test', TO_DATE('2020-09-25 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '10004', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10958', '2', 'tofly-auth', 'test', TO_DATE('2020-09-14 09:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10959', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-14 09:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10960', '1', 'tofly-base', 'admin', TO_DATE('2020-09-14 09:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10961', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-14 09:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '182', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10962', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-14 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8010"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10963', '2', 'tofly-auth', 'test', TO_DATE('2020-09-14 09:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.169', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10964', '2', 'tofly-auth', 'test', TO_DATE('2020-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '182', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10965', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-14 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '184', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10966', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-14 10:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 10:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '184', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10967', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-14 10:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 10:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10981', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-15 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '183', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10982', '2', 'tofly-auth', 'test', TO_DATE('2020-09-15 14:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 14:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10752', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '61', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01840: 输入值对于日期格式不够长

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''3'' where code=?
### Cause: java.sql.SQLDataException: ORA-01840: 输入值对于日期格式不够长

; ORA-01840: 输入值对于日期格式不够长
; nested exception is java.sql.SQLDataException: ORA-01840: 输入值对于日期格式不够长
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10753', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 17:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '30', NULL, '
### Error updating database.  Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

### The error may exist in URL [jar:file:/data/jars/sxgk/tofly-sxgk-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/customMapper/CustomPsInfoMapper.xml]
### The error may involve com.tofly.sxgk.custom.mapper.CustomPsInfoMapper.updateSpatialData-Inline
### The error occurred while setting parameters
### SQL: update SMDTV_10 set CreateTime = ''2020-01-01 18:00:00'' where code=?
### Cause: java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配

; ORA-01861: 文字与格式字符串不匹配
; nested exception is java.sql.SQLDataException: ORA-01861: 文字与格式字符串不匹配
', 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10754', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10755', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:25:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:25:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["dd5fef9c1c1da1394d6d34b248c51be2ad740840"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '192', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10756', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-01 17:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10758', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-01 17:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/projectinfo', 'PUT', '{"projectInfo":[""],"file":[],"tel":[""],"id":["1"],"projectName":["德阳燃气管网运维信息化综合管理系统"]}', '62', NULL, NULL, 'content:修改项目基本信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10759', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:27:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:27:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10145', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1077', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10146', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10158', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 14:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '135', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10159', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10160', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '66', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10161', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-18 14:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '132', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10162', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 14:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 14:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10163', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 15:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 15:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10164', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-18 15:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-18 15:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10188', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10189', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:30:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:30:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10190', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10191', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10192', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 11:36:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10193', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-03-19 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10194', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10195', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 11:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10196', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 11:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '135', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10197', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 11:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 11:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10198', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 13:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 13:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '159', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10199', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-19 13:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 13:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10200', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '421', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10201', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-19 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '74', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10202', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 16:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 16:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.211', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["555"]}', '679', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :555');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10790', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 09:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '22', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10791', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.77', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10792', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.77', NULL, '/user', 'PUT', '{"realName":["looking"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["13912345678"],"roleid":["undefined"],"departmentId":["9"],"id":["59"],"isupdate":["1"],"email":["123@qq.com"],"username":["pp"]}', '219', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10793', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-02 09:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '343', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10794', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10795', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '180', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10796', '2', 'tofly-auth', 'wjl', TO_DATE('2020-09-02 09:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '31', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10797', '2', 'tofly-auth', 'test', TO_DATE('2020-09-02 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '175', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10887', '1', 'tofly-base', 'dhq', TO_DATE('2020-09-03 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.50', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1115', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10888', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-03 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '199', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10889', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 15:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '190', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10890', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '198', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10891', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-03 16:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.50', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '196', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10892', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '250', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10893', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-03 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '12', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10894', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-03 16:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["40bd001563085fc35165329ea1ff5c5ecbdbbeef"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '190', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10895', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '187', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10896', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '189', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10897', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-03 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '189', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10907', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '191', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10908', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '208', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10909', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '212', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8839', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '115', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8840', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '126', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8844', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["76,77,78,79,80,82,81,83,84"]}', '29', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8845', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '217', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11031', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '183', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11036', '1', 'tofly-base', 'admin', TO_DATE('2020-09-23 09:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/updateNew', 'PUT', '{"realName":["test"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["13567899098"],"departmentId":["2"],"roles":["3"],"id":["3"],"email":["123@qq.com"],"username":["test"]}', '188', NULL, NULL, 'content:修改用户及其权限');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11037', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '6', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11038', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '23', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11039', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '15', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11040', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '15', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11041', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '8', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11042', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '5', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11043', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '9', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11044', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '182', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11050', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-23 10:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '189', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11051', '2', 'tofly-auth', 'wjl', TO_DATE('2020-09-23 10:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '180', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11054', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-23 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '183', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11002', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-21 09:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 09:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '181', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11003', '2', 'tofly-auth', 'test', TO_DATE('2020-09-21 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '183', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11004', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-21 09:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 09:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11005', '1', 'tofly-base', 'lzw', TO_DATE('2020-09-21 09:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 09:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/basesys', 'POST', '{"notes":"测试","sysid":"2","sysname":"测试","id":0,"type":"tofly-test"}', '11', NULL, NULL, 'content:新增');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11006', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-21 10:46:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 10:46:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '183', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10203', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-19 16:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 16:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.211', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '145', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10204', '1', 'tofly-base', 'xj', TO_DATE('2020-03-19 16:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-19 16:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.211', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10208', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 13:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 13:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10209', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '112', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10210', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 13:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 13:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '141', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10211', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 13:59:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 13:59:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10212', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 14:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '138', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10213', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10214', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '86', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10219', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '55', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10220', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-20 14:34:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:34:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10221', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '269', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10222', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-20 14:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-20 14:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9297', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-20 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '655', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9313', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '5', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9314', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9315', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9316', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9317', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10757', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-01 17:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/projectinfo', 'PUT', '{"projectInfo":[""],"file":[],"tel":[""],"id":["1"],"projectName":["德阳燃气管网运维信息化综合管理系统"]}', '26', NULL, '
### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00942: 表或视图不存在

### The error may exist in com/tofly/base/mapper/ProjectinfoMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT  *  FROM TF_SMPN_PROJECTINFO_X
### Cause: java.sql.SQLSyntaxErrorException: ORA-00942: 表或视图不存在

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00942: 表或视图不存在
', 'content:修改项目基本信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10760', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-01 17:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10761', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10762', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10763', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10764', '1', 'tofly-base', 'tian', TO_DATE('2020-09-01 17:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10765', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:32:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:32:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10766', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10767', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10768', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10769', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '12', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10770', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10771', '2', 'tofly-auth', 'pp', TO_DATE('2020-09-01 17:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pp"]}', '173', NULL, NULL, 'content:登录 :pp');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10772', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 17:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10773', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '16', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8846', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379646.5841657787,\"y\":5258408.463290877,\"z\":3336516.788844526},\"label\":{\"text\":\"长度：0.271m;坡度：千分之850.5\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379646.5650881364,\"y\":5258408.599883119,\"z\":3336517.0222588577},{\"x\":-1379646.5841657787,\"y\":5258408.463290877,\"z\":3336516.788844526},{\"x\":-1379646.5841657787,\"y\":5258408.463290877,\"z\":3336516.788844526}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8847', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '122', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8848', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["76"]}', '11', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8849', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8850', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379643.4418685224,\"y\":5258401.0549486615,\"z\":3336523.525914914},\"label\":{\"text\":\"长度：10.368m;坡度：千分之337.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379644.7284611037,\"y\":5258409.058354653,\"z\":3336517.0600252547},{\"x\":-1379643.4418685224,\"y\":5258401.0549486615,\"z\":3336523.525914914},{\"x\":-1379643.4418685224,\"y\":5258401.0549486615,\"z\":3336523.525914914}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8851', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '124', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8860', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m011"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["6"],"id":["46"],"isupdate":["1"],"email":["61122@163.com"],"username":["m011"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8861', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '136', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8862', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 13:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8863', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:32:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '124', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8876', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 13:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '59', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8877', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["bkkw"]}', '122', NULL, NULL, 'content:登录 :bkkw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8878', '1', 'tofly-base', 'bkkw', TO_DATE('2020-01-20 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '21', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10290', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-04-14 16:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.67227842098622,\"ymax\":31.522762157507056,\"xmax\":104.69726483300342,\"ymin\":31.54134967203683,\"height\":553}"],"notes":["8888"],"file":[],"markName":["888"],"camera":["{\"direction\":{\"x\":0.9683932840343219,\"y\":-0.1436853423684227,\"z\":-0.20388469737989223},\"up\":{\"x\":0.22708689491944667,\"y\":0.8460167176169678,\"z\":0.4823766740509496},\"position\":{\"x\":-1379926.1369523485,\"y\":5258532.206763027,\"z\":3336362.934570825}}"]}', '589', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10291', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-04-14 16:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.67227842098622,\"ymax\":31.522762157507056,\"xmax\":104.69726483300342,\"ymin\":31.54134967203683,\"height\":553}"],"notes":["undefined"],"file":[],"markName":["undefined"],"camera":["{\"direction\":{\"x\":0.9683932840343219,\"y\":-0.1436853423684227,\"z\":-0.20388469737989223},\"up\":{\"x\":0.22708689491944667,\"y\":0.8460167176169678,\"z\":0.4823766740509496},\"position\":{\"x\":-1379926.1369523485,\"y\":5258532.206763027,\"z\":3336362.934570825}}"]}', '20', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10292', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-04-14 16:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/99', 'DELETE', '{"id":["99"]}', '27', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10293', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-04-14 16:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/100', 'DELETE', '{"id":["100"]}', '22', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10294', '1', 'tofly-xnkd', 'liangluo2', TO_DATE('2020-04-14 16:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/views/85', 'DELETE', '{"id":["85"]}', '24', NULL, NULL, 'content:通过id删除用户视图信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10295', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10296', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-14 16:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10297', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.43089232247509,\"ymax\":31.813585185644047,\"xmax\":104.68962150991199,\"ymin\":31.546348047771673,\"height\":547}"],"notes":["梧桐大道"],"file":[],"markName":["梧桐大道"],"camera":["{\"direction\":{\"x\":0.37570515229329465,\"y\":-0.594380199329942,\"z\":0.7110258906571341},\"up\":{\"x\":-0.14406694788557034,\"y\":0.7204472643463693,\"z\":0.6783807587356596},\"position\":{\"x\":-1378234.0482181658,\"y\":5259046.231001336,\"z\":3336241.8390912516}}"]}', '18', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10298', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 16:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10601', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '49', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10934', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-09 11:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 11:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8547', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-15 09:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '120', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8548', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '250', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8783', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 09:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8784', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 09:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8785', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-20 09:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8786', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '129', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7943', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7944', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["3"],"id":["39"],"isupdate":["1"],"email":["3331112222@163.com"],"username":["dou1"]}', '125', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7945', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7946', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7947', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '129', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7948', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '179', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7949', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '200', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7950', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '123', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7957', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '375', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7958', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b7c40b9c66bc88d38a59e554c639d743e77f1b65"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '382', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7959', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["b7c40b9c66bc88d38a59e554c639d743e77f1b65"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '173', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7960', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '232', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9676', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9677', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9678', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9679', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9680', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9681', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9682', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9683', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 15:55:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 15:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9684', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9685', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 16:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 16:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9686', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 16:16:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 16:16:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9703', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["pra"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["18711111111"],"roleid":[""],"departmentId":["3"],"email":["028@qq.com"],"username":["pra1"]}', '118', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9704', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 14:18:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:18:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'POST', '{"realName":["pra2"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["18711111111"],"roleid":[""],"departmentId":["3"],"email":["028@qq.com"],"username":["pra2"]}', '118', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9705', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '147', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9706', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '129', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10774', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '12', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10775', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '12', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10776', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '13', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10777', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '6', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10778', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '12', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10779', '2', 'tofly-auth', 'tian', TO_DATE('2020-09-01 17:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tian"]}', '5', NULL, NULL, 'content:登录 :tian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10780', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 17:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 17:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '645', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10781', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 18:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 18:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10782', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 18:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 18:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10783', '2', 'tofly-auth', NULL, TO_DATE('2020-09-01 18:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 18:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.212', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '2', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10920', '2', 'tofly-auth', 'test', TO_DATE('2020-09-04 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '192', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10921', '2', 'tofly-auth', 'liangluo2', TO_DATE('2020-09-04 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.56', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '204', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10922', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-04 17:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 17:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.56', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9318', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9319', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9320', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9321', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9322', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 09:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9323', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9324', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9325', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9326', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9327', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9328', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9329', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9330', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:08:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9331', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9332', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9333', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9334', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9335', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9336', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9337', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9338', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9339', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9340', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9341', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9342', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9343', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:46:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10602', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '18', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10603', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '40', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10604', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '30', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10605', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:56:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:56:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '20', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10606', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '238', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10607', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '212', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10608', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 16:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/updateNew', 'PUT', '{"realName":["1111"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["13456789098"],"departmentId":["8"],"roles":[""],"id":["5"],"email":["123@qq.com"],"username":["1111"]}', '197', NULL, NULL, 'content:修改用户及其权限');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10609', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 17:03:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '230', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10611', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/role', 'POST', '{}', '32', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10612', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '190', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10613', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-08-31 17:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '328', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10614', '2', 'tofly-auth', 'lishun', TO_DATE('2020-08-31 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '192', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10615', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-08-31 17:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '192', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10616', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,6,7,8"]}', '50', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10617', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '20', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10618', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/department/removeByIds', 'DELETE', '{"ids":["7"]}', '26', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10619', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/user/removeByIds', 'DELETE', '{"ids":["2,4,3,57,56,55,54,53,52,51,50,49,48,47,45,43,42,41,40,39,38,37,36,35,33,32,31,30,29,28,27,26,25,24,22,20"]}', '578', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10620', '1', 'tofly-sxgk', 'admin', TO_DATE('2020-08-31 17:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/userprj/update', 'PUT', '{}', '124', NULL, NULL, 'content:更新用户项目信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10621', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '86', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10622', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '19', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10623', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/system/removeByIds', 'DELETE', '{"ids":["2"]}', '48', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10624', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '2410', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10625', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10626', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["98,99,100,101,102,103,104,105,106,107"]}', '65', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10627', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:50:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:50:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '1206', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10628', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/system/removeByIds', 'DELETE', '{"ids":["3"]}', '16', NULL, NULL, 'content:通过id删除子系统');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10629', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code/removeByIds', 'DELETE', '{"ids":["96"],"ulevel":["2"]}', '38', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10630', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code', 'PUT', '{}', '13', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10631', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code/removeByIds', 'DELETE', '{"ids":["344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394"],"ulevel":["2"]}', '341', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10632', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code', 'POST', '{}', '19', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10633', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 17:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '203', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10634', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code/removeByIds', 'DELETE', '{"ids":["449,450,451,448"],"ulevel":["2"]}', '51', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10635', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10636', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 17:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/code', 'PUT', '{}', '2240', NULL, NULL, 'content:修改系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10707', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/uoloadVersion', 'PUT', '{}', '99', NULL, NULL, 'content:版本发布');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10937', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-09 17:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 17:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11078', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-25 09:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '183', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11079', '2', 'tofly-auth', 'test', TO_DATE('2020-09-25 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["a8803f9ed887f2bdaff770a533cf2f251187a94f"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '173', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11080', '2', 'tofly-auth', 'test', TO_DATE('2020-09-25 09:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '186', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11082', '2', 'tofly-auth', 'test', TO_DATE('2020-09-25 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '196', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11083', '1', 'tofly-base', 'admin', TO_DATE('2020-09-25 09:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/role', 'PUT', '{}', '27068', NULL, NULL, 'content:修改角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11084', '2', 'tofly-auth', 'ch123', TO_DATE('2020-09-25 10:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 10:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch123"]}', '183', NULL, NULL, 'content:登录 :ch123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9707', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '123', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9708', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '122', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9709', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra2"]}', '121', NULL, NULL, 'content:登录 :pra2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9710', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["4e079d0555e5a2b460969c789d3ad968a795921f"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tofly"]}', '55', NULL, 'tofly用户不存在', 'content:登录 :tofly');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9711', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tofly"]}', '43', NULL, 'tofly用户不存在', 'content:登录 :tofly');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9714', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '129', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9800', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 09:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 09:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '156', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9801', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 09:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 09:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9802', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 09:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 09:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '123', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9803', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9804', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 09:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 09:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.236', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9805', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '178', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9901', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 09:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 09:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '182', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9902', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 09:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 09:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9903', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 10:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9904', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '41', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9905', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '69', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9906', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 10:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 10:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9907', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 10:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 10:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9908', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9909', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9910', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9911', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9912', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '56', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9913', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8192', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"id":["42"],"statusFlag":["0"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8193', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"id":["42"],"statusFlag":["1"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8194', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:17:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:17:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"id":["43"],"statusFlag":["0"]}', '25', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8195', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '26', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8196', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:17:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:17:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '197', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8199', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '124', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8200', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-10 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8202', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:25:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:25:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '126', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8207', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '123', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8209', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 10:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"id":["42"],"statusFlag":["0"]}', '26', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8210', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 10:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '127', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8211', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 10:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 10:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m用户"],"id":["43"],"statusFlag":["0"]}', '26', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8220', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9344', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9345', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9346', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9347', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 10:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 10:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9348', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9349', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9350', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9351', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '126', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9352', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 11:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9353', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9354', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9355', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9356', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 11:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9357', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9358', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9359', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9360', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9361', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9362', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9059', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["31"]}', '18', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9060', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["44"]}', '8', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9061', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9062', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["40"]}', '22', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9063', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-10 14:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9067', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:20:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:20:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '8', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9068', '1', 'tofly-base', 'hh2', TO_DATE('2020-02-10 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '247', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10639', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-01 09:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '192', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10640', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source/removeByIds', 'DELETE', '{"ids":["37,36,35,34"]}', '32', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10641', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source', 'POST', '{}', '12', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10642', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source/removeByIds', 'DELETE', '{"ids":["40"]}', '11', NULL, NULL, 'content:通过id删除资源');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10643', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 09:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '189', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10644', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10645', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:34:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/sourcedic', 'PUT', '{}', '9', NULL, NULL, 'content:修改系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10646', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/prjsource/update', 'PUT', '{}', '13', NULL, NULL, 'content:修改项目资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10647', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/system', 'POST', '{}', '17', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10648', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/system', 'PUT', '{}', '10', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10649', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '25', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10650', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10651', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 09:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '195', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10652', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10653', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '14', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10654', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10655', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10656', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10657', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '7', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10658', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10659', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '12', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10660', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '17', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10661', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '15', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10662', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '14', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10663', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '16', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10708', '2', 'tofly-auth', 'ch', TO_DATE('2020-09-01 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["482bd64c6c9f098c9ef8b77b8f870517bf33a1b9"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '180', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10879', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-03 11:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 11:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10880', '2', 'tofly-auth', 'test', TO_DATE('2020-09-03 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '232', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10881', '2', 'tofly-auth', 'test', TO_DATE('2020-09-03 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '236', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10858', '2', 'tofly-auth', 'pp', TO_DATE('2020-09-02 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.77', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pp"]}', '194', NULL, NULL, 'content:登录 :pp');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10859', '2', 'tofly-auth', 'pp', TO_DATE('2020-09-02 15:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.77', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pp"]}', '190', NULL, NULL, 'content:登录 :pp');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10860', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-02 15:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '191', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10861', '2', 'tofly-auth', 'my4', TO_DATE('2020-09-02 15:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["my4"]}', '189', NULL, NULL, 'content:登录 :my4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10862', '2', 'tofly-auth', 'my4', TO_DATE('2020-09-02 15:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["my4"]}', '188', NULL, NULL, 'content:登录 :my4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10863', '1', 'tofly-sxgk', 'wanghai', TO_DATE('2020-09-02 15:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/structure/spatialProperty', 'PUT', '{}', '29', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10864', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-02 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '205', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10865', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-02 15:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '191', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10866', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 16:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10867', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 16:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10868', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10869', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-02 16:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '196', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10870', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-02 16:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '195', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10871', '2', 'tofly-auth', 'test', TO_DATE('2020-09-02 16:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '188', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10872', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-02 16:59:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 16:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '233', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10873', '1', 'tofly-base', 'pra', TO_DATE('2020-09-02 17:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 17:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10874', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-02 17:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 17:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/structure/createPdf', 'POST', '{"file":[]}', '172', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10875', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 17:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 17:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '61', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10299', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379742.4720052904,\"y\":5258494.926690157,\"z\":3336345.9692048784},\"label\":{\"text\":\"标高：468.97 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379741.6500359925,\"y\":5258491.793988607,\"z\":3336343.9816064625},{\"x\":-1379742.4720052904,\"y\":5258494.926690157,\"z\":3336345.9692048784}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '33', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10932', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-09 09:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 09:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10933', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-09 09:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 09:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '183', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10946', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-11 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '183', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10947', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-11 11:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 11:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10948', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-11 11:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 11:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10949', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-11 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '182', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10977', '1', 'tofly-base', 'admin', TO_DATE('2020-09-15 09:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 09:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/updateNew', 'PUT', '{"realName":["张道军"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["15767890987"],"departmentId":["4"],"roles":["3,2,1"],"id":["11"],"email":["123@qq.com"],"username":["zdj"]}', '201', NULL, NULL, 'content:修改用户及其权限');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11045', '2', 'tofly-auth', 'zby', TO_DATE('2020-09-23 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zby"]}', '191', NULL, NULL, 'content:登录 :zby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11046', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-23 09:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '8', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11047', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-23 09:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '6', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8221', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '124', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8222', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 11:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.108', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8223', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m02"]}', '130', NULL, NULL, 'content:登录 :m02');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8224', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 11:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8225', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '121', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8226', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '61', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8227', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8228', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 11:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '42', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8229', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '75', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8230', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-10 11:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/views/save', 'POST', '{"extent":["{\"xmin\":104.6907907890333,\"ymax\":31.528128403379597,\"xmax\":104.70055241101394,\"ymin\":31.54183567643086,\"height\":952}"],"notes":[""],"file":[],"markName":["hhhhh"],"camera":["{\"direction\":{\"x\":0.7747249718920451,\"y\":-0.47115176969631967,\"z\":-0.421683800778375},\"up\":{\"x\":0.6115556691432882,\"y\":0.7277601633176868,\"z\":0.31042681621683255},\"position\":{\"x\":-1380117.9874871795,\"y\":5258843.444490735,\"z\":3336557.126326499}}"]}', '28', NULL, NULL, 'content:新增用户视点');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8233', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["ssss"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["15882194562"],"roleid":["undefined"],"departmentId":["2"],"id":["45"],"isupdate":["1"],"email":["000@qq.com"],"username":["liangluo3"]}', '133', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8234', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo3"]}', '228', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :liangluo3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8235', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '135', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8239', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 11:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m011"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["16666666666"],"roleid":["undefined"],"departmentId":["3"],"id":["46"],"isupdate":["1"],"email":["611@163.com"],"username":["m011"]}', '159', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8242', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '227', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8243', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 11:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/user', 'PUT', '{"realName":["ssss"],"file":["undefined"],"notes":[""],"userLevel":["3"],"phone":["15882194562"],"roleid":["undefined"],"departmentId":["2"],"id":["45"],"isupdate":["1"],"email":["000@qq.com"],"username":["liangluo3"]}', '16', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8029', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 15:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 15:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh1"]}', '123', NULL, NULL, 'content:登录 :hh1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8091', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'POST', '{}', '25', NULL, NULL, 'content:新增子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8094', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/menu', 'POST', '{}', '6', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8096', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'PUT', '{}', '3', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8097', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'PUT', '{}', '5', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8099', '1', 'tofly-base', 'hh2', TO_DATE('2020-01-09 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/system', 'PUT', '{}', '5', NULL, NULL, 'content:修改子系统配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9838', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9839', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9840', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["8"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '5', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9841', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 14:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9842', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 14:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 14:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '128', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8834', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '4', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8835', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '123', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8836', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10664', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10665', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'PUT', '{}', '10', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10666', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:13:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:13:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10667', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 10:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '885', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10668', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:25:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:25:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/pbsLevel/save', 'PUT', '{}', '64', NULL, NULL, 'content:修改或新增PBS层级信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10669', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/pbsLevel/save', 'PUT', '{}', '41', NULL, NULL, 'content:修改或新增PBS层级信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10670', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/structure/createPdf', 'POST', '{"file":[],"pbss":["[{\"1\":\"WJH1-D-YYS-GDGC-PSG-016\"},{\"2\":\"WJH1-D-YYS-GDGC-PSG-017\"},{\"3\":\"WJH1-D-YYS-GDGC-PSG-018\"},{\"4\":\"WJH1-D-YYS-GDGC-PSG-019\"},{\"5\":\"WJH1-D-YYS-GDGC-PSG-020\"},{\"6\":\"WJH1-D-YYS-GDGC-PSG-021\"},{\"7\":\"WJH1-D-YYS-GDGC-PSG-022\"},{\"8\":\"WJH1-D-YYS-GDGC-JCJ-017\"},{\"9\":\"WJH1-D-YYS-GDGC-JCJ-018\"},{\"10\":\"WJH1-D-YYS-GDGC-JCJ-019\"},{\"11\":\"WJH1-D-YYS-GDGC-JCJ-020\"}]"]}', '308', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10671', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:28:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:28:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/pbs/deleteAll/3', 'DELETE', '{"ids":[""]}', '23', NULL, NULL, 'content:通过id删除PBS模板信息表-层级一起删除');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10672', '1', 'tofly-base', 'huangweihang', TO_DATE('2020-09-01 10:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/menu', 'PUT', '{}', '10', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10673', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/bo', 'POST', '{}', '15', NULL, NULL, 'content:新增业务对象建模信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10674', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 10:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/bo', 'POST', '{}', '17', NULL, NULL, 'content:新增业务对象建模信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10675', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 10:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/boinfo', 'POST', '{}', '19', NULL, NULL, 'content:新增业务对象信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10676', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 10:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/boinfo/237', 'DELETE', '{"ids":[""]}', '5', NULL, NULL, 'content:通过id删除业务对象信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10677', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 10:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/bo', 'PUT', '{}', '8', NULL, NULL, 'content:修改业务对象建模信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10678', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-01 10:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '193', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10679', '2', 'tofly-auth', 'zhuby', TO_DATE('2020-09-01 10:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zhuby"]}', '187', NULL, NULL, 'content:登录 :zhuby');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10680', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/code', 'POST', '{}', '34', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10681', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/code', 'POST', '{}', '17', NULL, NULL, 'content:新增系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10682', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/code/removeByIds', 'DELETE', '{"ids":["456"],"ulevel":["1"]}', '20', NULL, NULL, 'content:通过id删除系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10683', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/sourcedic', 'POST', '{}', '21', NULL, NULL, 'content:新增系统资源配置字典表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10684', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/sourcedic/removeByIds', 'DELETE', '{"ids":["24"]}', '13', NULL, NULL, 'content:通过id删除资源字典');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10685', '1', 'tofly-sxgk', 'zhuby', TO_DATE('2020-09-01 10:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/prj', 'POST', '{}', '16', NULL, NULL, 'content:新增工程项目信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10686', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/prjsource/update', 'PUT', '{}', '126', NULL, NULL, 'content:修改项目资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10687', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/menu', 'POST', '{}', '13', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10688', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/structure/createPdf', 'POST', '{"file":[]}', '2', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10689', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-01 10:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '188', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10690', '1', 'tofly-sxgk', 'lishun', TO_DATE('2020-09-01 10:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 10:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/structure/createPdf', 'POST', '{"file":[]}', '1', NULL, NULL, 'content:生成PBS二维码');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9072', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["333"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":[""],"departmentId":["3"],"email":["777@126.com"],"username":["m033"]}', '124', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9073', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '4', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9074', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-10 14:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:23:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m04"]}', '177', NULL, NULL, 'content:登录 :m04');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9075', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:25:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:25:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["444"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15666666666"],"roleid":[""],"departmentId":["3"],"email":["666@163.com"],"username":["m044"]}', '121', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9076', '1', 'tofly-base', 'm04', TO_DATE('2020-02-10 14:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '4', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9091', '1', 'tofly-base', 'm03', TO_DATE('2020-02-10 14:29:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-10 14:29:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["442"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18144444444"],"roleid":["undefined"],"departmentId":["3"],"id":["52"],"isupdate":["1"],"email":["222@163.com"],"username":["m04"]}', '9', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9124', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-11 09:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-11 09:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9210', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["3个小东西"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13012345678"],"roleid":[""],"departmentId":["5"],"email":["123@qq.com"],"username":["xiao3"]}', '124', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9211', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9212', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '136', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9213', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '124', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10300', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379742.2036152568,\"y\":5258493.520516278,\"z\":3336348.2987178513},\"label\":{\"text\":\"管径：600X200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379741.3816461186,\"y\":5258490.387815566,\"z\":3336346.311118047},{\"x\":-1379742.2036152568,\"y\":5258493.520516278,\"z\":3336348.2987178513}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '7', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10301', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["MSBZ"],"remark":["埋深标注"],"geometry":["{\"name\":\"MSBZ\",\"position\":{\"x\":-1379741.895030911,\"y\":5258491.8955487795,\"z\":3336350.99066211},\"label\":{\"text\":\"埋深：1.81 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379741.0730619568,\"y\":5258488.762849038,\"z\":3336349.0030607022},{\"x\":-1379741.895030911,\"y\":5258491.8955487795,\"z\":3336350.99066211}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10302', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["ZBBZ"],"remark":["坐标标注"],"geometry":["{\"name\":\"ZBBZ\",\"position\":{\"x\":-1379740.4975306112,\"y\":5258489.313935988,\"z\":3336351.5389930694},\"label\":{\"text\":\"坐标：104.702056 , 31.537282 , 466.830\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379739.6755622134,\"y\":5258486.18123673,\"z\":3336349.5513906674},{\"x\":-1379740.4975306112,\"y\":5258489.313935988,\"z\":3336351.5389930694}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '6', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10303', '1', 'tofly-xnkd', 'wanghai', TO_DATE('2020-04-14 16:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379740.7009253146,\"y\":5258490.364603602,\"z\":3336349.799263222},\"label\":{\"text\":\"坡度：千分之 0.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379739.8789567952,\"y\":5258487.231903719,\"z\":3336347.8116618562},{\"x\":-1379740.7009253146,\"y\":5258490.364603602,\"z\":3336349.799263222}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10304', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-14 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10305', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10306', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8879', '1', 'tofly-xnkd', 'bkkw', TO_DATE('2020-01-20 13:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["BGBZ"],"remark":["管高标注"],"geometry":["{\"name\":\"BGBZ\",\"position\":{\"x\":-1379742.2090663798,\"y\":5258468.640819714,\"z\":3336387.1264186273},\"label\":{\"text\":\"标高：470.22 m\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379741.7007433418,\"y\":5258466.703500749,\"z\":3336385.897230722},{\"x\":-1379742.2090663798,\"y\":5258468.640819714,\"z\":3336387.1264186273}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '24', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8880', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 13:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '120', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9625', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '7', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9626', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '15', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9630', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["e6c9da68beda1baa33e998a7f83f1323a3a5ecef"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9631', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-28 11:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '119', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9632', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '13', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9633', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '6', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9744', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 16:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '1474', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9747', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '189242', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10637', '1', 'tofly-base', 'admin', TO_DATE('2020-08-31 18:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 18:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/source', 'PUT', '{}', '8', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10898', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '194', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10899', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-03 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '188', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11009', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-21 15:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 15:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '219', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11010', '2', 'tofly-auth', 'test123', TO_DATE('2020-09-21 15:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 15:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test123"]}', '183', NULL, NULL, 'content:登录 :test123');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11011', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-21 16:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '182', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11052', '2', 'tofly-auth', 'wjl', TO_DATE('2020-09-23 10:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '179', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('11053', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-23 10:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '174', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8837', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["PDBZ"],"remark":["坡度标注"],"geometry":["{\"name\":\"PDBZ\",\"position\":{\"x\":-1379647.2935118107,\"y\":5258410.551749263,\"z\":3336517.93255146},\"label\":{\"text\":\"坡度：千分之 0.0\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379646.7484539675,\"y\":5258408.474306769,\"z\":3336516.6143919006},{\"x\":-1379647.2935118107,\"y\":5258410.551749263,\"z\":3336517.93255146}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8838', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '126', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8841', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["SDBZ"],"remark":["栓点标注"],"geometry":["{\"name\":\"SDBZ\",\"position\":{\"x\":-1379642.974080499,\"y\":5258400.324734163,\"z\":3336524.869660618},\"label\":{\"text\":\"长度：11.713m;坡度：千分之298.4\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379643.4860629658,\"y\":5258409.239802219,\"z\":3336517.2887507416},{\"x\":-1379642.974080499,\"y\":5258400.324734163,\"z\":3336524.869660618},{\"x\":-1379642.974080499,\"y\":5258400.324734163,\"z\":3336524.869660618}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8842', '1', 'tofly-base', 'm011', TO_DATE('2020-01-20 11:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '132', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8843', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '124', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8852', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379642.3086034649,\"y\":5258400.271672821,\"z\":3336525.227050065},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS56,01YS55,400X400,砖混,0.52,0.52\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379644.1474934097,\"y\":5258409.235148372,\"z\":3336516.8219567896},{\"x\":-1379642.3086034649,\"y\":5258400.271672821,\"z\":3336525.227050065}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8853', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["76,77"]}', '11', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8854', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["CQBZ"],"remark":["扯旗标注"],"geometry":["{\"name\":\"CQBZ\",\"position\":{\"x\":-1379642.3349380565,\"y\":5258400.874902883,\"z\":3336524.265570076},\"label\":{\"text\":\"起点编码,终点编码,管径（mm）,材质类型,起点埋深（m）,终点埋深（m）\\n01YS56,01YS55,400X400,砖混,0.52,0.52\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"show\":true,\"positions\":[{\"x\":-1379643.199455248,\"y\":5258409.4592759665,\"z\":3336516.8613377246},{\"x\":-1379642.3349380565,\"y\":5258400.874902883,\"z\":3336524.265570076}],\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '3', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8855', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["76"]}', '4', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8856', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379647.140857281,\"y\":5258410.595567901,\"z\":3336518.2564969333},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXPSHS0000000064\\n起点编号：01YS56\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379646.595799511,\"y\":5258408.518125445,\"z\":3336516.93833728},{\"x\":-1379647.140857281,\"y\":5258410.595567901,\"z\":3336518.2564969333}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '4', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8857', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo/removeByIds', 'DELETE', '{"ids":["76"]}', '5', NULL, NULL, 'content:通过ids删除标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7961', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '250', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7962', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '189', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7963', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:35:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '47', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7964', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:43:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '257', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7965', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '171', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9214', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9219', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9223', '1', 'tofly-base', 'tianjie', TO_DATE('2020-02-12 09:26:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:26:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '65', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9224', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xiao3"]}', '126', NULL, NULL, 'content:登录 :xiao3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9225', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9245', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '11', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9246', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["8"]}', '17', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9247', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["7"]}', '15', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9248', '1', 'tofly-base', 'xiao3', TO_DATE('2020-02-12 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["56"]}', '35', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9249', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 10:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 10:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9253', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-12 11:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-12 11:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '122', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9501', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 09:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '157', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9502', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 09:09:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:09:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9503', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 09:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9504', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-26 09:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '129', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9505', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9506', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 09:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 09:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9507', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '211', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9508', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '201', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9509', '1', 'tofly-base', 'pra', TO_DATE('2020-02-26 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-26 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '4', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9363', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 11:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9364', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9365', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9366', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9367', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10691', '1', 'tofly-base', 'huangweihang', TO_DATE('2020-09-01 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/menu', 'PUT', '{}', '1100', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10692', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 11:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department/removeByIds', 'DELETE', '{"ids":["4,5"]}', '44', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10693', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 11:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/department', 'POST', '{}', '7', NULL, NULL, 'content:新增部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10694', '1', 'tofly-base', 'zhuby', TO_DATE('2020-09-01 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.199', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["343"]}', '33', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10695', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 11:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '25', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10696', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/uoloadVersion', 'PUT', '{}', '9', NULL, NULL, 'content:版本发布');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10697', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-01 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10698', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-01 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '367', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10699', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-01 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '201', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10700', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-01 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '196', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10701', '1', 'tofly-base', 'admin', TO_DATE('2020-09-01 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/userrole', 'PUT', '{}', '48', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10923', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-04 17:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-04 17:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.56', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9368', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:09:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9369', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10900', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '188', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10901', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '195', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10902', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '233', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10903', '2', 'tofly-auth', 'miao4', TO_DATE('2020-09-03 16:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miao4"]}', '193', NULL, NULL, 'content:登录 :miao4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10904', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-03 16:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.187', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '190', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10905', '2', 'tofly-auth', NULL, TO_DATE('2020-09-03 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.69', NULL, '/oauth/token', 'POST', '{"password":[""],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":[""]}', '1', NULL, NULL, 'content:登录 :');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10906', '2', 'tofly-auth', 'test', TO_DATE('2020-09-03 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '187', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9749', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"username":[" pra1"],"id":[" 56"],"realName":[" pra"],"phone":[" 18711111111"],"file":[" undefined"],"departmentId":[" 4"],"email":[" 028@qq.com"],"roleid":[" undefined"],"notes":[" "],"isupdate":[" 1"],"userLevel":[" 2"]}', '176900', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9750', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/user', 'PUT', '{"username":[" pra1"],"id":[" 56"],"realName":[" pra"],"phone":[" 18711111111"],"file":[" undefined"],"departmentId":[" 4"],"email":[" 028@qq.com"],"roleid":[" undefined"],"notes":[" "],"isupdate":[" 1"],"userLevel":[" 2"]}', '383280', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9795', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["1a47f0b7b9841eb71211d47374a23477370a7f2c"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '175', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9796', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-03 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '167', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9797', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-03 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9798', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-03 16:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 16:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/userrole', 'PUT', '{}', '12', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9799', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-03 17:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-03 17:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9806', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9810', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 11:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["3"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9811', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '121', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9846', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9849', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9850', '1', 'tofly-xnkd', 'pra1', TO_DATE('2020-03-04 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/romingpathfly/savePath', 'POST', '{}', '27', NULL, NULL, 'content:新增路径');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9851', '1', 'tofly-base', 'pra', TO_DATE('2020-03-04 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/department/removeByIds', 'DELETE', '{"ids":["8"]}', '12', NULL, NULL, 'content:通过id删除单位');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9852', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tofly"]}', '48', NULL, 'tofly用户不存在', 'content:登录 :tofly');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9853', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '127', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9857', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '124', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9858', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '8', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9859', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '122', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9860', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-04 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9861', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-04 15:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-04 15:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '128', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9871', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-06 09:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '155', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10307', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-14 16:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10308', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-14 16:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10989', '2', 'tofly-auth', 'wanghai', TO_DATE('2020-09-16 09:34:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 09:34:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '183', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7966', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '233', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7967', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '199', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7970', '1', 'tofly-base', 'pra', TO_DATE('2020-01-09 14:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7975', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '124', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7976', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '174', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7977', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '239', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7978', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '236', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7979', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '191', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7986', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '198', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7987', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '127', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7715', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '82', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7716', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '12', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7717', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:15:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:15:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '4', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7718', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:16:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:16:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7719', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role/removeByIds', 'DELETE', '{"ids":["5"]}', '5', NULL, NULL, 'content:通过id删除角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7723', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '1304', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7724', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:20:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:20:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7725', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '129', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7726', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '123', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7727', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7728', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '126', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7729', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '116', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7730', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '128', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7731', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/unlock', 'PUT', '{}', '10', NULL, NULL, 'content:解锁用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7732', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:22:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '239', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9914', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '234', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9915', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '139', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9916', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '137', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9917', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '217', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9370', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '122', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9371', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9372', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9373', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9374', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '127', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9375', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9376', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '23', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9377', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9378', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '121', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9379', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9380', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9381', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9382', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 13:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9383', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9384', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9385', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9386', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '121', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9387', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9388', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '126', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9389', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9390', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 13:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9391', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 13:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9392', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 13:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 13:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9393', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '128', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9394', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 14:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9395', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9396', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9397', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9398', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9399', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9400', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 14:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9401', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9402', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9403', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9404', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7702', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7703', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '114', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7894', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanerr"]}', '131', NULL, NULL, 'content:登录 :wanerr');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7895', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 14:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '53', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7896', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"id":["39"],"statusFlag":["0"]}', '23', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10309', '1', 'tofly-base', 'pra', TO_DATE('2020-04-14 16:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10310', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-14 16:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 16:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10311', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 17:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10312', '1', 'tofly-base', 'wanghai', TO_DATE('2020-04-14 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10313', '1', 'tofly-base', 'pra', TO_DATE('2020-04-14 17:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 17:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10314', '1', 'tofly-base', 'pra', TO_DATE('2020-04-14 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-14 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10325', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 15:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.104', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '135', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10326', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.153', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '137', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10327', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 15:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10328', '1', 'tofly-base', 'xj', TO_DATE('2020-04-15 15:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 15:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.153', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '82', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10329', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-15 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-15 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '200', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10494', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '229', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10495', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-08-31 13:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 13:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '1489', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10496', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 13:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 13:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '209', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10497', '2', 'tofly-auth', 'test', TO_DATE('2020-08-31 13:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 13:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '38', NULL, 'test用户不存在', 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10498', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 14:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '202', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10499', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '40', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10500', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '36', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10501', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '28', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10502', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:24:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '20', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10503', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '23', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10504', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '18', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10505', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '19', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10506', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '23', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10507', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '28', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10508', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '180', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10509', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '211', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10510', '2', 'tofly-auth', 'wjl', TO_DATE('2020-08-31 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '17', NULL, 'wjl用户不存在', 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10511', '2', 'tofly-auth', 'wjl', TO_DATE('2020-08-31 14:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '22', NULL, 'wjl用户不存在', 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10512', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '17', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10978', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-15 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '173', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10979', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-15 09:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 09:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["lzw"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '183', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10980', '2', 'tofly-auth', 'lzw', TO_DATE('2020-09-15 10:00:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-15 10:00:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["lzw"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '187', NULL, NULL, 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9918', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '137', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9919', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9920', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '139', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9921', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '144', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9922', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9923', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '144', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9924', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '146', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9925', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '140', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9926', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-10 11:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9927', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-10 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '166', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9928', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 17:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 17:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '211', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9929', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-10 17:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-10 17:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '126', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9954', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-11 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9955', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-11 13:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-11 13:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '136', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8437', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:24:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:24:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '330', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8438', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '260', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8439', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-13 10:25:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:25:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8440', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 10:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '90', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8441', '1', 'tofly-base', 'manager', TO_DATE('2020-01-13 10:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8442', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 10:39:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:39:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8443', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '237', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8444', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '270', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8445', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-13 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '77', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8446', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8447', '1', 'tofly-base', 'manager', TO_DATE('2020-01-13 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8448', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-13 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '175', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8449', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/source', 'POST', '{}', '20', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8450', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8451', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-13 16:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-13 16:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8571', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'POST', '{}', '15', NULL, NULL, 'content:新增系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8572', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8155', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '120', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8156', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 09:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8157', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hh2"]}', '118', NULL, NULL, 'content:登录 :hh2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8285', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8289', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '11', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10572', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '185', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10573', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '191', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10574', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10706', '1', 'tofly-base', 'rx', TO_DATE('2020-09-01 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/user/saveNew', 'POST', '{"realName":["李四"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[""],"phone":[""],"departmentId":["1"],"roles":[""],"email":[""],"username":["李四"]}', '235', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7897', '1', 'tofly-base', 'wanerr', TO_DATE('2020-01-09 14:01:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:01:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '22', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7900', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '332', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7902', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 14:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7903', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["3"],"id":["39"],"isupdate":["1"],"email":["333@163.com"],"username":["dou1"]}', '155', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7906', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '128', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7907', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 14:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7908', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:18:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '130', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7909', '1', 'tofly-base', 'pra', TO_DATE('2020-01-09 14:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7910', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '126', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7911', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-09 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7912', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:20:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:20:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7913', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '29', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7914', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7915', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/departmentsource', 'PUT', '{}', '113', NULL, NULL, 'content:修改单位资源配置关联信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7918', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:24:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/department', 'PUT', '{}', '5', NULL, NULL, 'content:修改部门表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7924', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:26:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:26:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '28', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7928', '1', 'tofly-base', 'dou1', TO_DATE('2020-01-09 14:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["933f868ccf7ece7601793d3887f5522fbb341418"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["333111@163.com"],"username":["dou1"]}', '126', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7929', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '170', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7930', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '373', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7931', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '366', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7932', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["1411678a0b9e25ee2f7c8b2f7ac92b6a74b3f9c5"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '374', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7933', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '368', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7934', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '169', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7935', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '251', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7936', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 14:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7937', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '198', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7938', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10514', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '196', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10515', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '201', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10516', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '24', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10517', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '26', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10518', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '35', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10519', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '32', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10520', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"projet":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '27', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10521', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '50', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10513', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:28:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:28:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '195', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10337', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 09:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 09:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '570', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10338', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-21 09:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 09:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '114', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10339', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-21 09:23:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 09:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10340', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-21 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10341', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-21 09:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 09:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10342', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-21 10:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-21 10:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.82', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '133', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10358', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '173', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10359', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10360', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 09:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '128', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10361', '1', 'tofly-base', 'lishun', TO_DATE('2020-04-22 09:26:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:26:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10362', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10363', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 09:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 09:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10364', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10365', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-04-22 10:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10366', '2', 'tofly-auth', 'tofly', TO_DATE('2020-04-22 10:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-22 10:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '144', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9872', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9873', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9874', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9875', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9876', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '15', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9877', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9878', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9879', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9880', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9881', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9882', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9883', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '19', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9884', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10950', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-11 16:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-11 16:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '183', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8291', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8292', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["306,310,308"]}', '54', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8294', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '9', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8295', '1', 'tofly-base', 'm02', TO_DATE('2020-01-10 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["hld"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":[],"notes":[""],"userLevel":["3"],"phone":["19999999999"],"roleid":[""],"departmentId":["3"],"email":["999@163.com"],"username":["红绿灯"]}', '154', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8296', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8303', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '20', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8304', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '130', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8305', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 14:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8316', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '6', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8318', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '120', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8319', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-10 14:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '30', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8320', '1', 'tofly-base', 'tianjie', TO_DATE('2020-01-10 14:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/menu', 'POST', '{}', '10', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8331', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 14:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 14:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["红绿灯"]}', '132', NULL, NULL, 'content:登录 :红绿灯');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8380', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '128', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8384', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '266', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8385', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '68', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8386', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8387', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '79', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8388', '1', 'tofly-base', 'm01', TO_DATE('2020-01-10 17:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8389', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '81', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8390', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '70', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8391', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-10 17:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 17:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8575', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '14', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8576', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '58', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8577', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '50', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8578', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '54', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8579', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-15 11:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '63', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8580', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 11:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '172', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8581', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8582', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '142', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8583', '1', 'tofly-base', 'wanghai', TO_DATE('2020-01-15 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8584', '1', 'tofly-base', 'pra', TO_DATE('2020-01-15 13:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '60', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8585', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 13:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '131', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8586', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-15 13:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8245', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '199', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8246', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '305', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8247', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-10 11:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-10 11:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["df2983700ffecb52e6649f0cb3981b66537083a4"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '326', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7940', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["d1"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["13333333333"],"roleid":["undefined"],"departmentId":["4"],"id":["39"],"isupdate":["1"],"email":["333111@163.com"],"username":["dou1"]}', '127', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7941', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '320', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7942', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou1"]}', '125', NULL, NULL, 'content:登录 :dou1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10554', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 15:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["dddef3b2cf47f88ae3dfecaa4c064707919a329a"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '354', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10876', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-03 09:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-03 09:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '10008', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10784', '2', 'tofly-auth', 'huangweihang', TO_DATE('2020-09-02 09:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["huangweihang"]}', '28353', NULL, NULL, 'content:登录 :huangweihang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10785', '2', 'tofly-auth', 'pra', TO_DATE('2020-09-02 09:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '68778', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10856', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 14:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10857', '2', 'tofly-auth', 'test', TO_DATE('2020-09-02 15:08:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 15:08:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '199', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10555', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '14', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10556', '2', 'tofly-auth', 'pra', TO_DATE('2020-08-31 15:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra"]}', '388', NULL, NULL, 'content:登录 :pra');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10557', '2', 'tofly-auth', 'ch', TO_DATE('2020-08-31 15:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', NULL, '/oauth/token', 'POST', '{"password":["ch"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["ch"]}', '22', NULL, 'ch用户不存在', 'content:登录 :ch');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10559', '2', 'tofly-auth', 'lzw', TO_DATE('2020-08-31 15:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["a1d7e9f25fac0c3da8f65753945576552ab9c412"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '175', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10560', '2', 'tofly-auth', 'wjl', TO_DATE('2020-08-31 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '466', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10561', '2', 'tofly-auth', 'lzw', TO_DATE('2020-08-31 15:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["a1d7e9f25fac0c3da8f65753945576552ab9c412"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '415', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10562', '2', 'tofly-auth', 'lzw', TO_DATE('2020-08-31 15:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["a1d7e9f25fac0c3da8f65753945576552ab9c412"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lzw"]}', '495', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :lzw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10563', '2', 'tofly-auth', 'test', TO_DATE('2020-08-31 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '15', NULL, 'test用户不存在', 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10564', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 15:51:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:51:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '21', NULL, 'rx用户不存在', 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10588', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '22', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10589', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-08-31 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '16', NULL, 'wangjian用户不存在', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10590', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '22', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10591', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-08-31 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '17', NULL, 'wangjian用户不存在', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10592', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-08-31 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '17', NULL, 'wangjian用户不存在', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10593', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '24', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9885', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-06 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-06 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9886', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-09 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-09 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.154', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["xj"]}', '187', NULL, NULL, 'content:登录 :xj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9996', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 13:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '175', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9997', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 13:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10000', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10001', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 13:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 13:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '35', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10002', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '37', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10003', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-12 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10020', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 16:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '6', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10021', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 16:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10022', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 16:03:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:03:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '5', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10023', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 16:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/source', 'PUT', '{}', '7', NULL, NULL, 'content:修改系统资源配置信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10024', '1', 'tofly-base', 'wanghai', TO_DATE('2020-03-12 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '33', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10025', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-12 16:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-12 16:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.215', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '152', NULL, NULL, 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10034', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '43', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10035', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 10:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '184', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10036', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 10:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10587', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '196', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10522', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '90', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10523', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '23', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10524', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '126', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10525', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["$2a$10$BJqIDM3BWUMghoqW87AX6..3b4g4bN5bMiQkwrXiwzvCfK9OuCsZG"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '24', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10526', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["$2a$10$BJqIDM3BWUMghoqW87AX6..3b4g4bN5bMiQkwrXiwzvCfK9OuCsZG"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '26', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10527', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '30', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10528', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '22', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10529', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '27', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10530', '2', 'tofly-auth', 'wjl', TO_DATE('2020-08-31 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '21', NULL, 'wjl用户不存在', 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10531', '2', 'tofly-auth', '123456', TO_DATE('2020-08-31 14:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["admin"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["123456"]}', '25', NULL, '123456用户不存在', 'content:登录 :123456');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10532', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '26', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10533', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '18', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10534', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '20', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10535', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["123"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '27', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10968', '1', 'tofly-base', 'admin', TO_DATE('2020-09-14 11:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 11:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/user/updateNew', 'PUT', '{"realName":["张道军"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":["undefined"],"phone":["15767890987"],"departmentId":["4"],"roles":["1,2,3"],"id":["11"],"email":["123@qq.com"],"username":["zdj"]}', '528', NULL, NULL, 'content:修改用户及其权限');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10969', '2', 'tofly-auth', 'zdj', TO_DATE('2020-09-14 11:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 11:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["zdj"]}', '258', NULL, NULL, 'content:登录 :zdj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10970', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-14 11:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-14 11:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '194', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8858', '1', 'tofly-xnkd', 'tianjie', TO_DATE('2020-01-20 11:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/labelinfo', 'POST', '{"labelType":["ZDYBZ"],"remark":["自定义标注"],"geometry":["{\"name\":\"ZDYBZ\",\"position\":{\"x\":-1379656.3476224288,\"y\":5258409.921018719,\"z\":3336515.3437320814},\"label\":{\"text\":\"\\n标识码：GWXXXXXXXXXPSHS0000000076\\n起点编号：01YS58-1\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379655.761465114,\"y\":5258407.686943953,\"z\":3336513.9261885933},{\"x\":-1379656.3476224288,\"y\":5258409.921018719,\"z\":3336515.3437320814}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '5', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8601', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-15 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-15 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '4321', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9582', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9583', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 15:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 15:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '36', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9584', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-27 15:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 15:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '123', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9585', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 15:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 15:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '31', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9586', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '14', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9587', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9588', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:03:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:03:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9589', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9590', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '17', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9591', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9592', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9593', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9594', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9595', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9596', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-27 16:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-27 16:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9641', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'PUT', '{}', '9', NULL, NULL, 'content:修改菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9642', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '3', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9643', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu/removeByIds', 'DELETE', '{"ids":["33,307"]}', '4', NULL, NULL, 'content:通过id删除菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9644', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '112', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9645', '1', 'tofly-base', 'lishun', TO_DATE('2020-02-28 11:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9657', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/menu', 'POST', '{}', '7', NULL, NULL, 'content:新增菜单表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9658', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '220', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9659', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '248', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9660', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-28 11:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/rolemenu/updateBatch', 'PUT', '{}', '141', NULL, NULL, 'content:修改角色菜单');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9751', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '21354', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9752', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '97953', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9753', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '107032', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9754', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '2', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9755', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '3', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9756', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 16:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 16:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '5016', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9757', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '10727', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9758', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '4753', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9759', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '4048', NULL, 'java.lang.Integer cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9760', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '3450', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9761', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '1432', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9762', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '1874', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9763', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '4193', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9764', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '6998', NULL, 'java.lang.String cannot be cast to java.lang.Long', 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9765', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '5737', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9769', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '2690', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9770', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '59835', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9771', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '15750', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10594', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '25', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10595', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '21', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10596', '2', 'tofly-auth', 'rx', TO_DATE('2020-08-31 16:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '251', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10597', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '24', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10598', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '33', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10599', '2', 'tofly-auth', 'wangjian', TO_DATE('2020-08-31 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.177', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wangjian"]}', '17', NULL, 'wangjian用户不存在', 'content:登录 :wangjian');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10600', '2', 'tofly-auth', 'test', TO_DATE('2020-08-31 16:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '188', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10610', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '200', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10702', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-01 11:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/uoloadVersion', 'PUT', '{}', '20', NULL, NULL, 'content:版本发布');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10703', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 11:32:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:32:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '192', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8737', '1', 'tofly-xnkd', 'm01', TO_DATE('2020-01-17 13:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/labelinfo', 'POST', '{"labelType":["GJBZ"],"remark":["管径标注"],"geometry":["{\"name\":\"GJBZ\",\"position\":{\"x\":-1379398.3877848715,\"y\":5258460.355318735,\"z\":3336543.437836527},\"label\":{\"text\":\"管径：200 mm\",\"font\":\"bold 10pt sans-serif\",\"fillColor\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"style\":0,\"scale\":1,\"outlineWidth\":2,\"horizontalOrigin\":1,\"verticalOrigin\":1,\"pixelOffset\":{\"x\":3,\"y\":0}},\"polyline\":{\"positions\":[{\"x\":-1379397.5119571665,\"y\":5258457.016540543,\"z\":3336541.3193498},{\"x\":-1379398.3877848715,\"y\":5258460.355318735,\"z\":3336543.437836527}],\"show\":true,\"material\":{\"red\":1,\"green\":1,\"blue\":1,\"alpha\":1},\"width\":2},\"isshow\":true}"]}', '16', NULL, NULL, 'content:新增标注信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8738', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 13:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '182', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8739', '1', 'tofly-base', 'lishun', TO_DATE('2020-01-17 13:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '71', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8740', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 13:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '84', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8741', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 13:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 13:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '127', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8742', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '88', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8743', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-17 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lstest"]}', '158', NULL, NULL, 'content:登录 :lstest');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8744', '1', 'tofly-base', 'lstest', TO_DATE('2020-01-17 14:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 14:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '59', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8745', '1', 'tofly-base', 'm01', TO_DATE('2020-01-17 15:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-17 15:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '94', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8788', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["43"]}', '30', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8789', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["43"]}', '16', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8790', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["41"]}', '15', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8793', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '35', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8794', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '7', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8795', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 10:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["manager"]}', '127', NULL, NULL, 'content:登录 :manager');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8796', '1', 'tofly-base', 'manager', TO_DATE('2020-01-20 10:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8798', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user/removeByIds', 'DELETE', '{"ids":["50"]}', '10', NULL, NULL, 'content:通过id删除用户');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8799', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'POST', '{"realName":["ss"],"password":["1e3633c9d2260d5131566a467958c05cf97aad1a"],"file":["undefined"],"notes":[""],"userLevel":[""],"phone":["19999999999"],"roleid":[""],"departmentId":["3"],"email":["156@163.com"],"username":["ss"]}', '122', NULL, NULL, 'content:新增用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8801', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 10:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["m管理员"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["15555555554"],"roleid":["undefined"],"departmentId":["4"],"id":["42"],"isupdate":["1"],"email":["1111111@163.com"],"username":["m01"]}', '2', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8802', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '121', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8804', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/role', 'POST', '{}', '5', NULL, NULL, 'content:新增角色信息表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8805', '1', 'tofly-base', 'm01', TO_DATE('2020-01-20 11:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/userrole', 'PUT', '{}', '9', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10536', '2', 'tofly-auth', 'test', TO_DATE('2020-08-31 14:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '20', NULL, 'test用户不存在', 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10537', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '29', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10538', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:53:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:53:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '24', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10539', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '30', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10540', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '20', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10541', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '22', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10542', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '25', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10543', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '19', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10544', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '29', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10545', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '28', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10546', '2', 'tofly-auth', 'admin', TO_DATE('2020-08-31 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.90', NULL, '/oauth/token', 'POST', '{"password":["admin"],"grant_type":["password"],"name":[""],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '28', NULL, '用户已处于锁定状态，不能登录', 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10037', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '136', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10038', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10039', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 11:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 11:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '57', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10040', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 13:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 13:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '49', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10041', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 13:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 13:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '46', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10042', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '51', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10043', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '52', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10044', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-13 14:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 14:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '340', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10045', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-13 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '67', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10046', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-13 14:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-13 14:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.180', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '44', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10071', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 09:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 09:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '194', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10072', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 09:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 09:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '40', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10073', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["lishun"]}', '125', NULL, NULL, 'content:登录 :lishun');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10074', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '48', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10075', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '34', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10076', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '135', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10077', '1', 'tofly-base', 'lishun', TO_DATE('2020-03-17 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '38', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10078', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '132', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10079', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 10:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '39', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10080', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-17 10:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["tianjie"]}', '129', NULL, NULL, 'content:登录 :tianjie');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10081', '1', 'tofly-base', 'tianjie', TO_DATE('2020-03-17 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-17 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.85', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10943', '2', 'tofly-auth', 'admin', TO_DATE('2020-09-10 17:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-10 17:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.76', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8020"],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '288', NULL, NULL, 'content:登录 :admin');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10991', '2', 'tofly-auth', 'hwh', TO_DATE('2020-09-16 09:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 09:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["hwh"]}', '194', NULL, NULL, 'content:登录 :hwh');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9772', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '6927', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9773', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '8561', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9774', '1', 'tofly-base', 'admin', TO_DATE('2020-03-02 17:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 17:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/userrole', 'PUT', '{}', '76', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7733', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '242', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7734', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '124', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7735', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:23:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '124', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7736', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '186', NULL, NULL, 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7737', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '124', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7738', '1', 'tofly-base', 'dou', TO_DATE('2020-01-09 11:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '45', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7739', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-01-09 11:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7740', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:23:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:23:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["miaoyang"]}', '129', NULL, NULL, 'content:登录 :miaoyang');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7741', '1', 'tofly-base', 'miaoyang', TO_DATE('2020-01-09 11:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/user', 'PUT', '{"realName":["豆"],"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"file":[],"notes":[""],"userLevel":["2"],"phone":["18777777777"],"roleid":["undefined"],"departmentId":["3"],"id":["37"],"isupdate":["1"],"email":["123@qq.com"],"username":["dou"]}', '141', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7742', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '183', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7743', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["601f1889667efaebb33b8c12572835da3f027f78"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '236', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7744', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '236', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7745', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '246', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('7746', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-09 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-09 11:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["dou"]}', '234', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :dou');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9405', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9406', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9407', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 14:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9408', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:44:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:44:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9409', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '18', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9410', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '25', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9411', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '20', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9412', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9413', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '13', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9414', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 14:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9415', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 14:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '10', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9416', '2', 'tofly-auth', 'tofly', TO_DATE('2020-02-24 14:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wanghai"]}', '124', NULL, NULL, 'content:登录 :wanghai');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9417', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 14:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 14:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '22', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9418', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9419', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-02-24 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.57', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '27', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9420', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 15:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '11', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9421', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 15:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9422', '1', 'tofly-base', 'wanghai', TO_DATE('2020-02-24 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.188', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '16', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9423', '1', 'tofly-base', 'lstest', TO_DATE('2020-02-24 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.107', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8806', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '143', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8807', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '184', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8808', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:28:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["da39a3ee5e6b4b0d3255bfef95601890afd80709"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m011"]}', '121', NULL, NULL, 'content:登录 :m011');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('8809', '2', 'tofly-auth', 'tofly', TO_DATE('2020-01-20 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-01-20 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.66', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["m01"]}', '124', NULL, NULL, 'content:登录 :m01');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9692', '1', 'tofly-base', 'pra', TO_DATE('2020-03-02 10:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 10:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["1"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9731', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '4', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9732', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["pra"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["18711111111"],"roleid":["undefined"],"departmentId":["4"],"id":["56"],"isupdate":["1"],"email":["028@qq.com"],"username":["pra1"]}', '3', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9733', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9734', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '122', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9735', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:43:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9737', '1', 'tofly-base', 'pra1', TO_DATE('2020-03-02 14:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["0007,0005"]}', '12', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('9738', '2', 'tofly-auth', 'tofly', TO_DATE('2020-03-02 14:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-03-02 14:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '120', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10704', '2', 'tofly-auth', 'test', TO_DATE('2020-09-01 11:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["test"]}', '185', NULL, NULL, 'content:登录 :test');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10705', '1', 'tofly-base', 'rx', TO_DATE('2020-09-01 11:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.172', NULL, '/user/saveNew', 'POST', '{"realName":["张三"],"password":["7c4a8d09ca3762af61e59520943dc26494f8941b"],"file":[""],"phone":[""],"departmentId":["1"],"roles":[""],"email":[""],"username":["张三"]}', '193', NULL, NULL, 'content:新增用户表-新');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10798', '2', 'tofly-auth', 'wjl', TO_DATE('2020-09-02 09:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["wjl"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["wjl"]}', '24', NULL, NULL, 'content:登录 :wjl');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10799', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 09:33:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:33:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '9', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10800', '2', 'tofly-auth', 'pra1', TO_DATE('2020-09-02 09:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '206', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10801', '2', 'tofly-auth', 'rx', TO_DATE('2020-09-02 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', NULL, '/oauth/token', 'POST', '{"password":["123456"],"grant_type":["password"],"project":["8030"],"client_secret":["tofly"],"client_id":["tofly"],"username":["rx"]}', '175', NULL, NULL, 'content:登录 :rx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10802', '1', 'tofly-sxgk', 'huangweihang', TO_DATE('2020-09-02 09:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', NULL, '/structure/spatialProperty', 'PUT', '{}', '29', NULL, NULL, 'content:修改PBS固件属性信息');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10803', '2', 'tofly-auth', 'pra1', TO_DATE('2020-09-02 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '194', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10804', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 09:36:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:36:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '32', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10805', '2', 'tofly-auth', 'pra1', TO_DATE('2020-09-02 09:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["pra1"]}', '193', NULL, NULL, 'content:登录 :pra1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10806', '1', 'tofly-base', 'pra1', TO_DATE('2020-09-02 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '7', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10807', '2', 'tofly-auth', 'liangluo2', TO_DATE('2020-09-02 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"project":["8000"],"client_secret":["tofly"],"client_id":["tofly"],"username":["liangluo2"]}', '193', NULL, NULL, 'content:登录 :liangluo2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10808', '1', 'tofly-base', 'liangluo2', TO_DATE('2020-09-02 09:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.182', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10809', '1', 'tofly-base', 'admin', TO_DATE('2020-09-02 09:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/user', 'PUT', '{"realName":["庞荣安11111"],"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"file":["undefined"],"notes":[""],"userLevel":["2"],"phone":["028-87348740"],"roleid":["undefined"],"departmentId":["3"],"id":["27"],"isupdate":["1"],"email":["tofly.cn@126.com"],"username":["pra"]}', '215', NULL, NULL, 'content:修改用户表');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10810', '1', 'tofly-base', 'my2', TO_DATE('2020-09-02 09:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.63', NULL, '/userrole', 'PUT', '{}', '18', NULL, NULL, 'content:修改用户角色');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_LOG_X" VALUES ('10811', '1', 'tofly-base', 'pra1', TO_DATE('2020-09-02 09:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-02 09:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.174', NULL, '/code/getByKeys', 'GET', '{"keys":["调压设备,套管,监测点,节点,气表（箱）,燃气桩,管线,气源,立管,阀门,阴极保护,阴极保护测试桩,阴极保护绝缘接头"]}', '8', NULL, NULL, 'content:通过key查询系统码表');

-- ----------------------------
-- Table structure for TF_SMPN_MENU_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "NAME" VARCHAR2(32 BYTE),
  "PERMISSION" VARCHAR2(32 BYTE),
  "PATH" VARCHAR2(128 BYTE),
  "PARENT_ID" NUMBER(15,0),
  "ICON" VARCHAR2(200 BYTE),
  "SORT" NUMBER(8,0),
  "KEEP_ALIVE" CHAR(1 BYTE) DEFAULT 1
,
  "TYPE" CHAR(1 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "CODE" VARCHAR2(50 BYTE),
  "MOUSE_ICON" VARCHAR2(200 BYTE),
  "INPANEL" CHAR(1 BYTE),
  "PANEL" VARCHAR2(50 BYTE),
  "AUTORUN" CHAR(1 BYTE),
  "SYS_ID" NUMBER(15,0),
  "CREATE_USER" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."ID" IS '菜单ID，主键';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."NAME" IS '菜单名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."PERMISSION" IS '菜单权限标识（保留字段）';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."PATH" IS '前端URL';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."PARENT_ID" IS '父菜单ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."ICON" IS '默认图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."SORT" IS '排序';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."KEEP_ALIVE" IS '开启关闭 1开启，0关闭';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."TYPE" IS '菜单类型 0菜单 1功能 2工具 3按钮';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."STATUS_FLAG" IS '是否启用禁用 1启用，0禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."CODE" IS '菜单编码（自定义菜单）';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."MOUSE_ICON" IS '鼠标经过图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."INPANEL" IS '是否放置在模板内  1放置在模板内，0不放置。';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."PANEL" IS '放置模板';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."AUTORUN" IS '是否跟随系统启动 1启动 2不启动';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."SYS_ID" IS '所属子系统';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_MENU_X"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X" IS '菜单表';

-- ----------------------------
-- Records of TF_SMPN_MENU_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('238', '颜色管理', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('239', '拓扑', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('240', '数据处理', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('241', '工具', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('242', '数据入库', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('243', '规范管理', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('244', '系统管理', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('245', '数据导出', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('246', '历史数据对比', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('247', '数据发布', NULL, NULL, '19', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('248', '查询', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('249', '矢量分析', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('250', '设施网络分析', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('251', '栅格分析', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('252', '空间统计分析', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('253', '路网分析', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('254', '动态分段', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('255', '导航分析', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('256', '路径规划', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('257', '公交分析', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('258', '在线分析', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('259', '室内导航', NULL, NULL, '202', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('260', '窗口', NULL, NULL, '5', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('261', '视图', NULL, NULL, '5', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('262', '自定义', NULL, NULL, '5', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('263', '主题', NULL, NULL, '5', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('264', '账户', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('265', '发布iServer服务', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('266', '服务', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('267', '资源', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('268', '管理', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('269', '分析', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('270', '实时流数据', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('271', '浏览', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('272', '地图卷帘', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('273', '操作', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('274', '制图', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('275', '数据', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('276', '属性', NULL, NULL, '8', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('277', '单值', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('278', '分段', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('279', '标签', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('280', '统计', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('281', '等级符号', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('282', '点密度', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('283', '聚合图', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('284', '自定义', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('285', '工具', NULL, NULL, '9', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('286', '风格', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('287', '点风格', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('288', '线风格', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('289', '填充风格', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('290', '栅格影像', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('291', '文本风格', NULL, NULL, '10', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('292', '对象操作', NULL, NULL, '11', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('293', '对象绘制', NULL, NULL, '11', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('294', '栅格矢量化', NULL, NULL, '11', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('295', '对象编辑', NULL, NULL, '11', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('296', '工具条', NULL, NULL, '11', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('297', '浏览', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('298', '量算', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('299', '数据', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('300', '地下', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('301', '视口管理', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('302', '属性', NULL, NULL, '201', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('303', '遥感测绘', NULL, NULL, '240', NULL, NULL, '1', '2', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('304', '管线抬升', NULL, 'widgets/LayerUpOrDown', '50', '/images/choose.png', '5', '1', '1', TO_DATE('2019-11-27 16:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-27 16:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanxiantaisheng', '/images/choose.png', '1', 'Panel', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('305', '建筑信息', NULL, '/widgets/BuildingInfo', '31', '/images/choose.png', '6', '1', '2', TO_DATE('2019-12-02 10:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-02 10:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jianzhuxinxi', '/images/choose.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('307', '地表透明', NULL, 'widgets/ImageOpacity', '31', '/widgets/ToolBar/images/dibiaotouming0.png', '2', '1', '2', TO_DATE('2020-02-28 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'imageopacity', '/widgets/ToolBar/images/dibiaotouming1.png', '0', '0', '0', '2', '49');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('306', '三维横断面', NULL, 'widgets\PipeAcrossSection3D', '55', NULL, '3', '1', '1', TO_DATE('2020-01-16 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 09:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sanweihengduanmian', NULL, '0', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('308', '碰撞检测', NULL, 'widgets/CollisionDetection', '31', '/widgets/ToolBar/images/collisiondetection01.png', '1', '1', '2', TO_DATE('2020-02-28 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-28 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'collisiondetection', '/widgets/ToolBar/images/collisiondetection02.png', '0', '0', '0', '2', '49');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('37', '地图量算', NULL, 'tool', NULL, '/widgets/ToolBar/images/mapMeasure.png', '3', '1', '2', TO_DATE('2019-10-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'mapMeasure', '/widgets/ToolBar/images/mapMeasure2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('31', '场景', NULL, 'tool', NULL, '/widgets/ToolBar/images/scene.png', '2', '1', '2', TO_DATE('2019-10-31 15:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'scene', '/widgets/ToolBar/images/scene2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('40', '高度测量', NULL, 'measurementTool', '37', '/widgets/ToolBar/images/length01.png', '3', '1', '2', TO_DATE('2019-10-31 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'measurez', '/widgets/ToolBar/images/length02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('41', '角度测量', NULL, 'measurementTool', '37', '/widgets/ToolBar/images/angle01.png', '4', '1', '2', TO_DATE('2019-10-31 16:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'measureangle', '/widgets/ToolBar/images/angle02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('42', '管间测量', NULL, 'measurementTool', '37', '/widgets/ToolBar/images/angle01.png', '5', '1', '2', TO_DATE('2019-10-31 16:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'measurekj', '/widgets/ToolBar/images/angle02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('43', '清除测量', NULL, 'tool', '37', '/widgets/ToolBar/images/qingchuceliang0.png', '6', '1', '2', TO_DATE('2019-10-31 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'clear', '/widgets/ToolBar/images/qingchuceliang1.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('45', '雨效', NULL, 'widgets/RainEffect', '44', '/widgets/ToolBar/images/rain01.png', '1', '1', '2', TO_DATE('2019-10-31 16:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'rain', '/widgets/ToolBar/images/rain02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('46', '雪效', NULL, 'widgets/SnowEffect', '44', '/widgets/ToolBar/images/snow01.png', '2', '1', '2', TO_DATE('2019-10-31 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'snow', '/widgets/ToolBar/images/snow02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('47', '光效', NULL, 'widgets/LightEffect', '44', '/widgets/ToolBar/images/light01.png', '3', '1', '2', TO_DATE('2019-10-31 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'light', '/widgets/ToolBar/images/light02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('48', '雾效', NULL, 'widgets/FogEffect', '44', '/widgets/ToolBar/images/fog01.png', '4', '1', '2', TO_DATE('2019-10-31 16:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fog', '/widgets/ToolBar/images/fog02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('217', '附属物查询', NULL, 'widgets/SubObjectQuery', '58', '/images/choose.png', '6', '1', '1', TO_DATE('2019-11-04 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fushuwuchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('53', '路径飞行', NULL, 'widgets/FlyViewTool', '50', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 16:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 17:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'lujingfeixing', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('55', '辅助分析', NULL, 'tool', NULL, '/images/fuzhufenxi.png', '7', '1', '0', TO_DATE('2019-10-31 16:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fuzhufenxi', '/images/fuzhufenxi2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('56', '范围分析', NULL, 'widgets/BufferAnalysis', '55', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fanweifenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('57', '路径分析', NULL, 'widgets/PathAnalysis', '55', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'lujingfenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('58', '管网查询', NULL, 'tool', NULL, '/images/guanwangchaxun.png', '8', '1', '0', TO_DATE('2019-10-31 16:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanwangchaxun', '/images/guanwangchaxun2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('60', '空间查询', NULL, 'widgets/SpatialQuery', '58', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 16:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'kongjianchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('61', 'SQL查询', NULL, 'widgets/SQLQuery', '58', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sqlchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('65', '管线标注', NULL, 'tool', NULL, '/images/guanxianbiaozhu.png', '10', '1', '0', TO_DATE('2019-10-31 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanxianbiaozhu', '/images/guanxianbiaozhu2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('62', '管网统计', NULL, 'tool', NULL, '/images/guanwangtongji.png', '8', '1', '0', TO_DATE('2019-10-31 16:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanwangtongji', '/images/guanwangtongji2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('230', '井盖开盖', NULL, 'widgets/OpenWell', '50', NULL, '3', '1', '1', TO_DATE('2019-11-06 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jinggaikaigai', NULL, '1', 'Panel', '0', '2', '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('68', '管径标注', NULL, 'widgets/DiameterMarking', '65', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanjingbiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('71', '坡度标注', NULL, 'widgets/SlopeMarking', '65', '/images/choose.png', '6', '1', '1', TO_DATE('2019-10-31 16:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'podubiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('73', '栓点标注', NULL, 'widgets/PinpointMarking', '65', '/images/choose.png', '8', '1', '1', TO_DATE('2019-10-31 16:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'shuandianbiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('99', '角色管理', NULL, 'widgets/RoleManagement', '98', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 17:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jiaosheguanli', '/images/choose.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('227', '背景音乐', NULL, 'widgets/BackgroundMedia', '44', '/images/choose.png', '7', '1', '2', TO_DATE('2019-11-06 11:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'beijingyinyue', '/images/choose.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('98', '权限管理', NULL, 'tool', NULL, '/images/quanxianguanli.png', '1', '1', '0', TO_DATE('2019-10-31 16:59:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:59:53', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'quanxianguanli', '/images/quanxianguanli.png', '0', '0', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('100', '用户管理', NULL, 'widgets/UserManagement', '98', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'yonghuguanli', '/images/choose.png', '1', 'FullPanel', '1', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('101', '系统设置', NULL, 'tool', NULL, '/images/xitongshezhi.png', '2', '1', '0', TO_DATE('2019-10-31 17:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'xitongshezhi', '/images/xitongshezhi.png', '0', '0', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('102', '单位管理', NULL, 'widgets/CompanyManagement', '101', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 17:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'danweiguanli', '/images/choose.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('103', '系统管理', NULL, 'widgets/SystemManagement', '101', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 17:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'xitongguanlimodel', '/images/choose.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('104', '服务配置', NULL, 'widgets/ResourceManagement', '101', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 17:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fuwupeizhi', '/images/tongyonggongju.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('107', '日志管理', NULL, 'widgets/LogManagement', '106', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 17:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'rizhiguanli', '/images/choose.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('202', '交通分析', NULL, 'tool', NULL, NULL, '2', '1', '0', TO_DATE('2019-11-01 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jiaotongwangluo', NULL, '0', '0', '0', '1', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('29', '初始位置', NULL, 'tool', '22', '/widgets/ToolBar/images/full01.png', '7', '1', '2', TO_DATE('2019-10-31 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fullmap', '/widgets/ToolBar/images/full02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('201', '场景', NULL, 'tool', NULL, NULL, '1', '1', '0', TO_DATE('2019-11-01 15:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-01 15:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'changjing', NULL, '0', '0', '0', '1', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('211', '废弃统计', NULL, 'widgets/PipeDiscardStatistics', '62', '/images/choose.png', '7', '1', '1', TO_DATE('2019-11-04 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'feiqitongji', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('214', '道路统计', NULL, 'widgets/PipeRoadStatistics', '62', '/images/choose.png', '10', '1', '1', TO_DATE('2019-11-04 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'daolutongji', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('218', '特征搜索', NULL, 'widgets/FeatureSearch', '58', '/images/choose.png', '7', '1', '1', TO_DATE('2019-11-04 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tezhengsousuo', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('219', '附属物搜索', NULL, 'widgets/SubObjectSearch', '58', '/images/choose.png', '8', '1', '1', TO_DATE('2019-11-04 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fushuwusousuo', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('220', '管径查询', NULL, 'widgets/PipeDiameterQuery', '58', '/images/choose.png', '9', '1', '1', TO_DATE('2019-11-04 10:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-22 12:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanjingchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('221', '材质查询', NULL, 'widgets/PipeMaterialQuery', '58', '/images/choose.png', '10', '1', '1', TO_DATE('2019-11-04 10:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'caizhichaxun', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('2', '开始', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('3', '数据', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('4', '空间分析', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('5', '视图', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('6', '在线', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('7', '地图编辑', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('8', '地图', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('9', '专题图', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('10', '风格设置', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('11', '对象操作', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('12', '发布服务', NULL, NULL, '6', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('13', '数据发布', NULL, NULL, '247', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('44', '场景特效', NULL, 'tool', NULL, '/widgets/ToolBar/images/sceneEffects.png', '4', '1', '2', TO_DATE('2019-10-31 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sceneEffects', '/widgets/ToolBar/images/sceneEffects2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('35', '分屏模式', NULL, 'widgets/LinkViewPanel', '31', '/widgets/ToolBar/images/23d01.png', '4', '1', '2', TO_DATE('2019-10-31 16:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'swatchview3dto2d', '/widgets/ToolBar/images/23d02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('52', '视点管理', NULL, 'widgets/ViewManagement', '50', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 09:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'shidianguanli', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('66', '地标', NULL, 'widgets/LandMarkMarking', '65', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-05 10:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'dibiaobiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('69', '埋深标注', NULL, 'widgets/DepthMarking', '65', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'maishenbiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('74', '扯旗标注', NULL, 'widgets/FlagMarking', '65', '/images/choose.png', '9', '1', '1', TO_DATE('2019-10-31 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'cheqibiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('75', '自定义标注', NULL, 'widgets/CustomMarking', '65', '/images/choose.png', '10', '1', '1', TO_DATE('2019-10-31 16:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zidingyibiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('76', '标注管理', NULL, 'widgets/ManageMarking', '65', '/images/choose.png', '11', '1', '1', TO_DATE('2019-10-31 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'biaozhuguanli', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('77', '管网分析', NULL, 'tool', NULL, '/images/guanwangfenxi.png', '11', '1', '0', TO_DATE('2019-10-31 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanwangfenxi', '/images/guanwangfenxi2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('78', '水平净距', NULL, 'widgets/HorizontalDistanceAnalysis', '77', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 16:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'shuipingjingju', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('81', '覆土分析', NULL, 'widgets/CoveringDepthAnalysis', '77', '/images/choose.png', '4', '1', '1', TO_DATE('2019-10-31 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'futushengdufenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('82', '流向分析', NULL, 'widgets/PipeDirectionAnalysis', '77', '/images/choose.png', '5', '1', '1', TO_DATE('2019-10-31 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guandaoliuxiang', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('83', '设施搜索', NULL, 'widgets/FacilitySearchAnalysis', '77', '/images/choose.png', '6', '1', '1', TO_DATE('2019-10-31 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sheshisousuofenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('86', '纵剖面分析', NULL, 'widgets/PipeVerticalSectionAnalysis', '77', '/images/choose.png', '10', '1', '1', TO_DATE('2019-10-31 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-12-12 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zongpoumianfenxi', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('84', '爆管分析', NULL, 'widgets/BurstAnalysis', '77', '/images/choose.png', '7', '1', '1', TO_DATE('2019-10-31 16:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'baoguanfenxinew', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('85', '横剖面分析', NULL, 'widgets/PipeAcrossSection3D', '77', '/images/choose.png', '8', '1', '1', TO_DATE('2019-10-31 16:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-25 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'hengpoumianfenxi', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('87', '连通性分析', NULL, 'widgets/ConnectedAnalysis', '77', '/images/choose.png', '10', '1', '1', TO_DATE('2019-10-31 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'liantongxingfenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('88', '开挖分析', NULL, 'widgets/ExcavationAnalysis', '77', '/images/choose.png', '11', '1', '1', TO_DATE('2019-10-31 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'kaiwafenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('89', '年限分析', NULL, 'widgets/YearAnalysis', '77', '/images/choose.png', '12', '1', '1', TO_DATE('2019-10-31 16:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'nianxianfenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('105', '字典管理', NULL, 'widgets/DictionaryManagement', '101', '/images/choose.png', '4', '1', '1', TO_DATE('2019-10-31 17:04:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:04:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zidianguanli', '/images/choose.png', '1', 'FullPanel', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('106', '系统管理', NULL, 'tool', NULL, '/images/xitongguanli.png', '3', '1', '0', TO_DATE('2019-10-31 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'xitongguanlicaidan', '/images/xitongguanli.png', '0', '0', '0', '3', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('204', '管径分段统计', NULL, 'widgets/PipeDiameterSectionStatistics', '62', '/images/choose.png', '1', '1', '1', TO_DATE('2019-11-04 09:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanjingfenduan', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('213', '埋设统计', NULL, 'widgets/PipeHideStatistics', '62', '/images/choose.png', '9', '1', '1', TO_DATE('2019-11-04 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'maishetongji', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('1', '文件', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('24', '缩小', NULL, 'tool', '22', '/widgets/ToolBar/images/zoomout01.png', '2', '1', '2', TO_DATE('2019-10-31 15:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zoomout', '/widgets/ToolBar/images/zoomout02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('26', '后一视图', NULL, 'tool', '22', '/widgets/ToolBar/images/afterView01.png', '4', '1', '2', TO_DATE('2019-10-31 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'afterView', '/widgets/ToolBar/images/afterView02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('22', '视图浏览', NULL, 'tool', NULL, '/widgets/ToolBar/images/view.png', '1', '1', '2', TO_DATE('2019-10-31 15:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'view', '/widgets/ToolBar/images/view2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('23', '放大', NULL, 'tool', '22', '/widgets/ToolBar/images/zoomin01.png', '1', '1', '2', TO_DATE('2019-10-31 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zoomin', '/widgets/ToolBar/images/zoomin02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('36', '信息查看', NULL, 'widgets/LookInfo', '31', '/widgets/ToolBar/images/zhibeizhen0.png', '5', '1', '2', TO_DATE('2019-10-31 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'lookinfo', '/widgets/ToolBar/images/zhibeizhen1.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('38', '距离测量', NULL, 'measurementTool', '37', '/widgets/ToolBar/images/length01.png', '1', '1', '2', TO_DATE('2019-10-31 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'measurelen', '/widgets/ToolBar/images/length02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('39', '面积测量', NULL, 'measurementTool', '37', '/widgets/ToolBar/images/area01.png', '2', '1', '2', TO_DATE('2019-10-31 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'measurearea', '/widgets/ToolBar/images/area02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('54', '场景漫游', NULL, 'widgets/SceneRoam', '50', '/images/choose.png', '5', '1', '1', TO_DATE('2019-10-31 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'changjingmanyou', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('59', '基础查询', NULL, 'widgets/BasicQuery', '58', '/images/choose.png', '1', '1', '1', TO_DATE('2019-10-31 16:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jichuchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('19', '管网数据管理', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('20', '图层字段值域管理', NULL, NULL, '244', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('21', '重建三维网络', NULL, NULL, '244', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('200', '数据导出', NULL, NULL, '245', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('209', '管径统计', NULL, 'widgets/PipeDiameterStatistics', '62', '/images/choose.png', '5', '1', '1', TO_DATE('2019-11-04 10:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'guanjingfenlei', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('212', '权属统计', NULL, 'widgets/PipeBelongStatistics', '62', '/images/choose.png', '8', '1', '1', TO_DATE('2019-11-04 10:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'quanshutongji', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('216', '特征查询', NULL, 'widgets/FeatureQuery', '58', '/images/choose.png', '5', '1', '1', TO_DATE('2019-11-04 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tezhengchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('225', '日照阴影', NULL, 'widgets/EnvironmentSetting', '44', '/images/choose.png', '5', '1', '2', TO_DATE('2019-11-06 11:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'rizhaoyinying', '/images/choose.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('14', '版本对比', NULL, NULL, '246', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('15', '成果表导入', NULL, NULL, '242', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('16', '最小水平净距规范管理', NULL, NULL, '243', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('17', '最小覆土深度规范管理', NULL, NULL, '243', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('18', '最小垂直净距规范管理', NULL, NULL, '243', NULL, NULL, '1', '2', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('25', '前一视图', NULL, 'tool', '22', '/widgets/ToolBar/images/preView01.png', '3', '1', '2', TO_DATE('2019-10-31 15:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'preView', '/widgets/ToolBar/images/preView02.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('203', '图层管理', NULL, 'tool', NULL, '/widgets/ToolBar/images/tucengkongzhi.png', '5', '1', '2', TO_DATE('2019-11-04 09:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 09:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tucengkongzhi', '/widgets/ToolBar/images/tucengkongzhi2.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('205', '埋深分段统计', NULL, 'widgets/PipeDepthStatistics', '62', '/images/choose.png', '2', '1', '1', TO_DATE('2019-11-04 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'maishenfenduan', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('27', '指北针', NULL, 'tool', '22', '/widgets/ToolBar/images/zhibeizhen0.png', '5', '1', '2', TO_DATE('2019-10-31 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'compass', '/widgets/ToolBar/images/zhibeizhen1.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('50', '三维浏览', NULL, 'tool', NULL, '/images/sanweiliulan.png', '6', '1', '0', TO_DATE('2019-10-31 16:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sanweiliulan', '/images/sanweiliulan2.png', '0', '0', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('67', '标高标注', NULL, 'widgets/ElevationMarking', '65', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 16:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'biaogaobiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('70', '坐标标注', NULL, 'widgets/CoordinateMarking', '65', '/images/choose.png', '5', '1', '1', TO_DATE('2019-10-31 16:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zuobiaobiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('72', '弯头标注', NULL, 'widgets/ElbowMarking', '65', '/images/choose.png', '7', '1', '1', TO_DATE('2019-10-31 16:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-07 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'wantoubiaozhu', '/images/choose.png', '0', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('79', '垂直净距', NULL, 'widgets/VerticalDistanceAnalysis', '77', '/images/choose.png', '2', '1', '1', TO_DATE('2019-10-31 16:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'chuizhijingju', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('80', '碰撞分析', NULL, 'widgets/ImpactAnalysis', '77', '/images/choose.png', '3', '1', '1', TO_DATE('2019-10-31 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-10-31 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'pengzhuangfenxi', '/images/choose.png', '1', 'Panel', '0', '2', '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('228', '视频监控', NULL, 'tool', NULL, '/images/shipinjiankong.png', '12', '1', '0', TO_DATE('2019-11-06 11:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'shipinjiankong', '/images/shipinjiankong2.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('229', '视频监控', NULL, 'widgets/RideoMapWatching', '228', '/images/choose.png', '1', '1', '1', TO_DATE('2019-11-06 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-06 11:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'shipingjiankong', '/images/choose.png', '1', 'Panel', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('206', '特征统计', NULL, 'widgets/PipeFeatureStatistics', '62', '/images/choose.png', '3', '1', '1', TO_DATE('2019-11-04 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tezhengfenlei', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('207', '附属物统计', NULL, 'widgets/PipeSubObjStatistics', '62', '/images/choose.png', '4', '1', '1', TO_DATE('2019-11-04 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'fushuwufenlei', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('210', '材质统计', NULL, 'widgets/PipeMaterialStatistics', '62', '/images/choose.png', '6', '1', '1', TO_DATE('2019-11-04 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'caizhifenlei', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('226', '天空效果', NULL, 'widgets/SkyBoxSetting', '44', '/images/choose.png', '6', '1', '2', TO_DATE('2019-11-06 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-28 15:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tiankongxiaoguo', '/images/choose.png', '0', '0', '0', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('215', '缓冲区查询', NULL, 'widgets/BufferQuery', '58', '/images/choose.png', '4', '1', '1', TO_DATE('2019-11-04 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-11-04 10:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'huanchongchaxun', '/images/choose.png', '1', 'Panel', '0', '2', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('233', '工作空间', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('234', '数据源', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('235', '新建数据集', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('236', '浏览', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_MENU_X" VALUES ('237', '数据处理', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', NULL);

-- ----------------------------
-- Table structure for TF_SMPN_OAUTHCLIENTDETAILS_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X" (
  "CLIENT_ID" VARCHAR2(32 BYTE) NOT NULL,
  "RESOURCE_IDS" VARCHAR2(200 BYTE),
  "CLIENT_SECRET" VARCHAR2(200 BYTE),
  "SCOPE" VARCHAR2(200 BYTE),
  "AUTHORIZED_GRANT_TYPES" VARCHAR2(200 BYTE),
  "WEB_SERVER_REDIRECT_URI" VARCHAR2(200 BYTE),
  "AUTHORITIES" VARCHAR2(200 BYTE),
  "ACCESS_TOKEN_VALIDITY" NUMBER(11,0),
  "REFRESH_TOKEN_VALIDITY" NUMBER(11,0),
  "ADDITIONAL_INFORMATION" VARCHAR2(4000 BYTE),
  "AUTOAPPROVE" VARCHAR2(200 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."CLIENT_ID" IS '客户端ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."RESOURCE_IDS" IS '资源ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."CLIENT_SECRET" IS '客户端密钥';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."SCOPE" IS '作用域';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."AUTHORIZED_GRANT_TYPES" IS '授权方式';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."WEB_SERVER_REDIRECT_URI" IS '重定向地址';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."AUTHORITIES" IS '登录信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."ACCESS_TOKEN_VALIDITY" IS '请求令牌有效时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."REFRESH_TOKEN_VALIDITY" IS '刷新令牌有效时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."ADDITIONAL_INFORMATION" IS '扩展信息';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X"."AUTOAPPROVE" IS '是否自动放行';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X" IS '终端 信息表';

-- ----------------------------
-- Records of TF_SMPN_OAUTHCLIENTDETAILS_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X" VALUES ('tofly', NULL, 'tofly', 'server', 'password,refresh_token,authorization_code,client_credentials', 'http://localhost:4040/sso1/login,http://localhost:4041/sso1/login', NULL, NULL, NULL, NULL, 'true');

-- ----------------------------
-- Table structure for TF_SMPN_OTHERAPPLYLOGIN_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X" (
  "LOGINID" NUMBER(8,0),
  "USERNAME" VARCHAR2(50 BYTE),
  "PASSWORD" VARCHAR2(200 BYTE),
  "APPID" NUMBER(8,0),
  "TYPE" CHAR(1 BYTE),
  "DEL_FLAG" CHAR(1 BYTE),
  "KEEP_ALIVE" CHAR(1 BYTE),
  "GRANT_TYPE" CHAR(1 BYTE),
  "CREATE_USER" NUMBER(15,0),
  "CREATE_DATE" DATE,
  "UPDATE_DATE" DATE
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."LOGINID" IS '登录表ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."USERNAME" IS '登陆用户名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."PASSWORD" IS '登录密码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."APPID" IS '应用ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."TYPE" IS '登录类型';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."DEL_FLAG" IS '删除标志 1正常 0 删除';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."KEEP_ALIVE" IS '开启关闭 1开启 0 关闭';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."GRANT_TYPE" IS '授权范围 1公开 2 私有';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."CREATE_DATE" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X"."UPDATE_DATE" IS '修改时间';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYLOGIN_X" IS '第三方应用登录信息表';

-- ----------------------------
-- Records of TF_SMPN_OTHERAPPLYLOGIN_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_OTHERAPPLYROLEMENU_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLEMENU_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLEMENU_X" (
  "ROLE_ID" NUMBER(8,0),
  "APP_ID" NUMBER(8,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLEMENU_X"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLEMENU_X"."APP_ID" IS '菜单ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLEMENU_X" IS '第三方角色菜单表';

-- ----------------------------
-- Records of TF_SMPN_OTHERAPPLYROLEMENU_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_OTHERAPPLYROLE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X" (
  "ROLE_ID" NUMBER(8,0),
  "ROLE_NAME" VARCHAR2(50 BYTE),
  "ROLE_CODE" VARCHAR2(50 BYTE),
  "ROLE_DESC" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "DEL_FLAG" CHAR(1 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."ROLE_NAME" IS '角色名字';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."ROLE_CODE" IS '角色标识';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."ROLE_DESC" IS '角色描述';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X"."DEL_FLAG" IS '修改标志';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYROLE_X" IS '第三方应用角色信息表';

-- ----------------------------
-- Records of TF_SMPN_OTHERAPPLYROLE_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_OTHERAPPLYUSERROLE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYUSERROLE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYUSERROLE_X" (
  "USER_ID" NUMBER(15,0),
  "ROLE_ID" NUMBER(8,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYUSERROLE_X"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYUSERROLE_X"."ROLE_ID" IS '角色ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLYUSERROLE_X" IS '第三方用户角色表';

-- ----------------------------
-- Records of TF_SMPN_OTHERAPPLYUSERROLE_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_OTHERAPPLY_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X" (
  "APPID" NUMBER(8,0),
  "APP_NAME" VARCHAR2(50 BYTE),
  "PATH" VARCHAR2(1000 BYTE),
  "ICON" VARCHAR2(32 BYTE),
  "PARENT_ID" NUMBER(8,0),
  "KEEP_ALIVE" CHAR(1 BYTE),
  "TYPE" CHAR(1 BYTE),
  "CREATE_USER" NUMBER(15,0),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "DEL_FLAG" CHAR(1 BYTE),
  "SECRET" VARCHAR2(200 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."APPID" IS '应用ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."APP_NAME" IS '应用名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."PATH" IS '应用路径';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."ICON" IS '图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."PARENT_ID" IS '父级应用ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."KEEP_ALIVE" IS '开启关闭 1开启0关闭';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."TYPE" IS '菜单类型 0 菜单 1 功能模块';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."DEL_FLAG" IS '删除标记 1正常 0删除';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X"."SECRET" IS '密钥';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_OTHERAPPLY_X" IS '第三方应用';

-- ----------------------------
-- Records of TF_SMPN_OTHERAPPLY_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_PORTALUSER_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "USER_NAME" VARCHAR2(50 BYTE),
  "PASSWORD" VARCHAR2(50 BYTE),
  "NOTES" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "CREATE_USER" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."USER_NAME" IS '用户名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."PASSWORD" IS '密码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."NOTES" IS '备注';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."STATUS_FLAG" IS '是否启用禁用 1启用 2禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X" IS '地图资源用户表';

-- ----------------------------
-- Records of TF_SMPN_PORTALUSER_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_POSITION_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_POSITION_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_POSITION_X" (
  "ID" NUMBER(15,0),
  "NAME" VARCHAR2(50 BYTE),
  "CATEGORY" VARCHAR2(2 BYTE),
  "HEAD" VARCHAR2(2 BYTE),
  "DEPTAUDIT" VARCHAR2(2 BYTE),
  "DEPARTMENT_ID" NUMBER(15,0),
  "USER_ID" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."ID" IS '唯一ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."NAME" IS '职位名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."CATEGORY" IS '职位类别， 1 一级审核，2 二级审核，3，三级审核， 9 普通员工';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."HEAD" IS '是否部门负责人  0 不是，1是';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."DEPTAUDIT" IS '是否为部门审核人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."DEPARTMENT_ID" IS '部门ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_POSITION_X"."USER_ID" IS '用户ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_POSITION_X" IS '职位表';

-- ----------------------------
-- Records of TF_SMPN_POSITION_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_ROLEDEPT_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "ROLE_ID" NUMBER(15,0),
  "DEPARTMENT_ID" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X"."ID" IS 'ID，主键';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X"."DEPARTMENT_ID" IS '部门ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X" IS '角色部门关系表';

-- ----------------------------
-- Records of TF_SMPN_ROLEDEPT_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_ROLEMENU_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X" (
  "ROLE_ID" NUMBER(15,0),
  "MENU_ID" NUMBER(15,0),
  "ID" NUMBER(15,0) NOT NULL
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X"."MENU_ID" IS '菜单ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X" IS '角色菜单表';

-- ----------------------------
-- Records of TF_SMPN_ROLEMENU_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_ROLE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "ROLE_NAME" VARCHAR2(50 BYTE),
  "ROLE_CODE" VARCHAR2(50 BYTE),
  "ROLE_DESC" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "PORTALUSER_ID" VARCHAR2(32 BYTE),
  "CREATE_USER" NUMBER(15,0),
  "SYS_ID" NVARCHAR2(255),
  "TREE_VALUE" CLOB
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."ID" IS '角色ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."ROLE_NAME" IS '角色名字';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."ROLE_CODE" IS '角色标识';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."ROLE_DESC" IS '角色描述';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."STATUS_FLAG" IS '是否启用禁用 1启用 2禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."PORTALUSER_ID" IS '地图资源角色';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."SYS_ID" IS '系统ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_ROLE_X"."TREE_VALUE" IS '菜单树状结构';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X" IS '角色信息表';

-- ----------------------------
-- Records of TF_SMPN_ROLE_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_ROLE_X" VALUES ('1', '角色1', NULL, '全部', TO_DATE('2020-08-31 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '1', '1', 'sys,rightsManagement,RoleManagement,UserManagement,section,journal,code,builder,market,work,register,check,sell,handle,returnVisit,writeOff,monitor,fieldWorkers,workCode,workOrderType,workOrderSource,fault,companyInfo,buildTeam,meter,verification,first,cycle,dispute,exception,circulation,store,deliver,sendBack ,adjustment,install,scrapMeter,workOrder,dismantleOrder,recoverOrder,migrationOrder,exchangeOrder,alterOrder,epitopeData,meterSite,meterTransposition,period,importingData,reports,exchangeStats,alterStats,migrationStats,dismantleStats,recoverStats,scrapStats,siteStats,meterCode,sbcj,sbxh,ccck,hotline,serviceHotline,control,workTwo,returnVisitTwo,workOrderQuery,monitorT,classMonitor,knowledge,manage,knowledgeCheck,callCenter,IVRflowPathSet,IVRflowPathDefine,voices,waterOff,SMSMsg,rushRepair,comprehensiveData,userSearch,callLog,seatStatus,customerSatisfaction,meterReading,device,plan,reviewPlan,meterReader,meterReadingData,waterInspection,lllegalReporting,census,surface,business,reportForm');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_ROLE_X" VALUES ('2', 'test', NULL, 'test', TO_DATE('2020-09-01 11:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '1', '1', 'sys,rightsManagement,RoleManagement,UserManagement,section,journal,code,builder,market,work,register,check,sell,handle,returnVisit,writeOff,monitor,fieldWorkers,workCode,workOrderType,workOrderSource,fault,companyInfo,buildTeam,meter,verification,first,cycle,dispute,exception,circulation,store,deliver,sendBack ,adjustment,install,scrapMeter,workOrder,dismantleOrder,recoverOrder,migrationOrder,exchangeOrder,alterOrder,epitopeData,meterSite,meterTransposition,period,importingData,reports,exchangeStats,alterStats,migrationStats,dismantleStats,recoverStats,scrapStats,siteStats,meterCode,sbcj,sbxh,ccck,hotline,serviceHotline,control,workTwo,returnVisitTwo,workOrderQuery,monitorT,classMonitor,knowledge,manage,knowledgeCheck,callCenter,IVRflowPathSet,IVRflowPathDefine,voices,waterOff,SMSMsg,rushRepair,comprehensiveData,userSearch,callLog,seatStatus,customerSatisfaction,meterReading,device,plan,reviewPlan,meterReader,meterReadingData,waterInspection,lllegalReporting,census,surface,business,reportForm');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_ROLE_X" VALUES ('3', '测试', NULL, '全部', TO_DATE('2020-09-14 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '1', '1', 'sys,rightsManagement,RoleManagement,UserManagement,section,journal,code,builder,market,work,register,check,sell,handle,returnVisit,writeOff,monitor,fieldWorkers,workCode,workOrderType,workOrderSource,fault,companyInfo,buildTeam,meter,verification,first,cycle,dispute,exception,circulation,store,deliver,sendBack ,adjustment,install,scrapMeter,workOrder,dismantleOrder,recoverOrder,migrationOrder,exchangeOrder,alterOrder,epitopeData,meterSite,meterTransposition,period,importingData,reports,exchangeStats,alterStats,migrationStats,dismantleStats,recoverStats,scrapStats,siteStats,meterCode,sbcj,sbxh,ccck,hotline,serviceHotline,control,workTwo,returnVisitTwo,workOrderQuery,monitorT,classMonitor,knowledge,manage,knowledgeCheck,callCenter,IVRflowPathSet,IVRflowPathDefine,voices,waterOff,SMSMsg,SMSInfo,rushRepair,comprehensiveData,userSearch,callLog,seatStatus,customerSatisfaction,meterReading,device,plan,reviewPlan,meterReader,meterReadingData,waterInspection,lllegalReporting,census,surface,business,reportForm');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_ROLE_X" VALUES ('4', 'test123', NULL, 'test123', TO_DATE('2020-09-15 17:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, '2', '1', 'sys,rightsManagement,RoleManagement,UserManagement,section,journal,code,builder,market,work,register,check,sell,handle,returnVisit,writeOff,monitor,fieldWorkers,workCode,workOrderType,workOrderSource,fault,companyInfo,buildTeam,meter,verification,first,cycle,dispute,exception,circulation,store,deliver,sendBack ,adjustment,install,scrapMeter,workOrder,dismantleOrder,recoverOrder,migrationOrder,exchangeOrder,alterOrder,epitopeData,meterSite,meterTransposition,period,importingData,reports,exchangeStats,alterStats,migrationStats,dismantleStats,recoverStats,scrapStats,siteStats,meterCode,sbcj,sbxh,ccck,hotline,serviceHotline,control,workTwo,returnVisitTwo,workOrderQuery,monitorT,classMonitor,knowledge,manage,knowledgeCheck,callCenter,IVRflowPathSet,IVRflowPathDefine,voices,waterOff,SMSMsg,rushRepair,comprehensiveData,userSearch,callLog,seatStatus,customerSatisfaction,meterReading,device,plan,reviewPlan,meterReader,meterReadingData,waterInspection,lllegalReporting,census,surface,business,reportForm');

-- ----------------------------
-- Table structure for TF_SMPN_SOURCEDIC_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "NAME" VARCHAR2(100 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "CODE" VARCHAR2(50 BYTE) NOT NULL,
  "TYPE" VARCHAR2(50 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."ID" IS '编号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."NAME" IS '资源名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."CREATE_USER" IS '创建用户';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."CODE" IS '资源编码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X"."TYPE" IS '资源类型';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" IS '系统资源配置字典表';

-- ----------------------------
-- Records of TF_SMPN_SOURCEDIC_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('4', '场景服务', TO_DATE('2019-10-31 15:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'scenes', 'scene');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('12', '路径分析服务', TO_DATE('2019-10-31 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'pathanalysis', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('10', '几何服务', TO_DATE('2019-10-31 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'geometry', NULL);
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('1', '地形', TO_DATE('2019-10-31 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'terrain', 'terrain');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('2', '天地图影像注记', TO_DATE('2019-10-31 15:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tdtimgano', 'cia_c');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('3', '天地图影像', TO_DATE('2019-10-31 15:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tdtimg', 'img_c');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('5', '数据服务', TO_DATE('2019-10-31 15:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tiplayers', 'data');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('7', '注记', TO_DATE('2019-10-31 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'poi', 'data');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('9', '管网分析服务', TO_DATE('2019-10-31 15:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'pipe', 'data');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('22', '场景服务', TO_DATE('2019-12-18 16:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'maps', 'map');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" VALUES ('23', '离线影像服务', TO_DATE('2020-01-02 10:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '23', 'img', 'tiled');

-- ----------------------------
-- Table structure for TF_SMPN_SOURCE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "PID" NUMBER(15,0),
  "NAME" VARCHAR2(50 BYTE),
  "CVAL" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "CKEY" VARCHAR2(200 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."ID" IS '编号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."PID" IS '字典编号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."NAME" IS '名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."CVAL" IS '资源值';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."CREATE_USER" IS '创建用户';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SOURCE_X"."CKEY" IS '资源编码';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" IS '系统资源配置信息表';

-- ----------------------------
-- Records of TF_SMPN_SOURCE_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('40', '12', '西南科大道路', 'http://192.168.2.66:8090/iserver/services/transportationAnalyst-xnkd/rest/networkanalyst/NETWORK_ROAD@xnkd', TO_DATE('2019-12-18 16:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'ljfxfw2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('34', '4', '西南科大地上场景', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_ds/rest/realspace', TO_DATE('2019-12-18 16:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'dscj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('35', '4', '西南科大地下场景', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_dx1/rest/realspace', TO_DATE('2019-12-18 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'dxcj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('41', '9', '流向分析场景', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_dxlx/rest/realspace/datas/%E6%8E%92%E6%B0%B4%E7%AE%A1%E7%BA%BF/config', TO_DATE('2019-12-19 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'lxfxcj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('42', '9', '挖方服务', 'http://192.168.2.66:8090/iserver/services/spatialAnalysis-xnkd/restjsr/spatialanalyst/datasets/TF_PAPN_DEM_B@xnkd/terraincalculation/cutfill.json?returnContent=true', TO_DATE('2019-12-19 16:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'kwfxfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('11', '7', '地名图层', 'http://192.168.2.66:8090/iserver/services/data-xnkd/rest/data', TO_DATE('2019-10-31 15:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'zjsjfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('20', '10', '几何服务', 'http://192.168.2.66:8090/iserver/services/spatialAnalysis-xnkd/restjsr/spatialanalyst', TO_DATE('2019-10-31 15:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jhfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('1', '1', '地形', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_dem/rest/realspace/datas/xnkd_dem@pp34', TO_DATE('2019-10-31 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'dixing');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('2', '2', '天地图影像注记', '1ed02fd051894454aafad779315f718c', TO_DATE('2019-10-31 15:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tdtyxbz');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('3', '3', '天地图影像', '1ed02fd051894454aafad779315f718c', TO_DATE('2019-10-31 15:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'tdtyx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('7', '5', '西南科大整个数据服务', 'http://192.168.2.66:8090/iserver/services/data-xnkd/rest/data', TO_DATE('2019-10-31 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sjfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('8', '5', '西南科大道路', 'http://192.168.2.238:8090/iserver/services/map-xnkd/rest/maps/pathmap', TO_DATE('2019-10-31 15:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sjfw2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('38', '22', '西南科大二维管线', 'http://192.168.2.66:8090/iserver/services/map-xnkd/rest/maps/pipemap', TO_DATE('2019-12-18 16:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'dtcj');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('39', '22', '西南科大管线查询服务', 'http://192.168.2.66:8090/iserver/services/map-xnkd/rest/maps/mdata', TO_DATE('2019-12-18 16:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'gxcx');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('36', '4', '西南科大地下场景', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_dx2/rest/realspace', TO_DATE('2019-12-18 16:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'dxcj2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('37', '4', '西南科大地下场景', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_dx3/rest/realspace', TO_DATE('2019-12-18 16:26:36', 'SYYYY-MM-DD HH24:MI:SS'), '27', 'dxcj3');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('45', '9', '地形高度服务', 'http://192.168.2.66:8090/iserver/services/spatialAnalysis-xnkd_jsdem/restjsr/spatialanalyst/geometry/3d/extractvector3d.json?returnContent=true', TO_DATE('2020-01-13 16:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '20', 'dxgdfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('46', '9', '地面模型高度服务', 'http://192.168.2.66:8090/iserver/services/spatialAnalysis-xnkd_dmdem/restjsr/spatialanalyst/geometry/3d/extractvector3d.json?returnContent=true', TO_DATE('2020-01-15 11:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '21', 'dmmxgdfw');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('43', '23', '三维离线影像', 'http://192.168.2.66:8090/iserver/services/3D-xnkd_img/rest/realspace/datas/TF_PAPN_IMG_B@xnkd_img', TO_DATE('2020-01-02 11:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '23', 'img3d');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" VALUES ('44', '23', '二维离线街道', 'http://192.168.2.238:8090/iserver/services/map-xnkd_img/rest/maps/xnkd_vec', TO_DATE('2020-01-02 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '23', 'img2d');

-- ----------------------------
-- Table structure for TF_SMPN_SYSTEM_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "SYSTEM_NAME" VARCHAR2(50 BYTE),
  "NOTES" VARCHAR2(200 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "CODE" VARCHAR2(50 BYTE),
  "ICON" VARCHAR2(200 BYTE),
  "MOUSE_ICON" VARCHAR2(200 BYTE),
  "SORT" NUMBER(4,0),
  "SYSTEM_TYPE" VARCHAR2(50 BYTE),
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "LOGIN_ICON" VARCHAR2(200 BYTE),
  "LOGIN_MOUSE_ICON" VARCHAR2(200 BYTE),
  "PLATFORM" CHAR(1 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."ID" IS '编号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."SYSTEM_NAME" IS '系统名称';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."NOTES" IS '备注';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."CREATE_USER" IS '创建用户';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."CODE" IS '子系统编码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."ICON" IS '默认显示图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."MOUSE_ICON" IS '鼠标经过显示图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."SORT" IS '排序号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."SYSTEM_TYPE" IS '子系统类型（保留字段）';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."STATUS_FLAG" IS '是否启用禁用 1启用 2禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."LOGIN_ICON" IS '登录时图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."LOGIN_MOUSE_ICON" IS '登录时鼠标经过图标';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X"."PLATFORM" IS '所属平台，1 BS。2CS ';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" IS '子系统配置信息表';

-- ----------------------------
-- Records of TF_SMPN_SYSTEM_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" VALUES ('1', 'CS桌面端', '客户端管理', TO_DATE('2019-10-24 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'cs', NULL, NULL, '3', 'list', '1', NULL, NULL, '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" VALUES ('2', '管网管理', '管网管理', TO_DATE('2019-10-25 17:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'gis', '/widgets/Header/images/guanwang_01.png', '/widgets/Header/images/guanwang_02.png', '1', 'map', '1', NULL, NULL, '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" VALUES ('3', '权限管理', '权限管理', TO_DATE('2019-10-25 17:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'sys', '/widgets/Header/images/quanxian_01.png', '/widgets/Header/images/quanxian_02.png', '2', 'list', '1', NULL, NULL, '1');

-- ----------------------------
-- Table structure for TF_SMPN_TABLEDETAILGEN_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "TABLE_NAME" VARCHAR2(100 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "NUMBERS" NUMBER(4,0),
  "TYPE" VARCHAR2(2 BYTE),
  "TABLEGEN_ID" NUMBER(15,0),
  "COLUMN_NAME" VARCHAR2(100 BYTE),
  "DEFAULT_VALUE" VARCHAR2(100 BYTE),
  "QUERY_LIKE" VARCHAR2(2 BYTE),
  "CODE_KEY" VARCHAR2(100 BYTE)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."TABLE_NAME" IS '表名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."NUMBERS" IS '使用次数';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."TYPE" IS '类型。0 默认类型，1 子表，2. 下拉框，3 多选框，4 单选框';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."TABLEGEN_ID" IS 'tablegen表的ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."COLUMN_NAME" IS '列名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."DEFAULT_VALUE" IS '默认值';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."QUERY_LIKE" IS '使用模糊查询。 0不使用模糊查询。1. 使用模糊查询';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X"."CODE_KEY" IS '使用下拉多选单选框时对应码表的key值';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X" IS '表细节处理';

-- ----------------------------
-- Records of TF_SMPN_TABLEDETAILGEN_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_TABLEGEN_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "TABLE_NAME" VARCHAR2(100 BYTE),
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "NUMBERS" NUMBER(4,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X"."TABLE_NAME" IS '表名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X"."NUMBERS" IS '使用次数';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X" IS '表处理';

-- ----------------------------
-- Records of TF_SMPN_TABLEGEN_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_USERPERMISSION_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "USERID" NUMBER(15,0),
  "TIMELIMIT" CHAR(1 BYTE),
  "STARTDATE" DATE,
  "ENDDATE" DATE,
  "CREATE_USER" NUMBER(15,0),
  "CREATETIME" DATE,
  "EFFTIVE" CHAR(1 BYTE),
  "STOPTIME" DATE,
  "STOPUSER" NUMBER(15,0)
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."USERID" IS '用户ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."TIMELIMIT" IS '期限  1永久 2 一个月 3一季度 4一年 5 自定义';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."STARTDATE" IS '开始时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."ENDDATE" IS '到期时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."CREATETIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."EFFTIVE" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."STOPTIME" IS '终止时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X"."STOPUSER" IS '终止人';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X" IS '用户许可表';

-- ----------------------------
-- Records of TF_SMPN_USERPERMISSION_X
-- ----------------------------

-- ----------------------------
-- Table structure for TF_SMPN_USERROLE_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" (
  "USER_ID" NUMBER(15,0),
  "ROLE_ID" NUMBER(15,0),
  "ID" NUMBER(15,0) NOT NULL
)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERROLE_X"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USERROLE_X"."ROLE_ID" IS '角色ID';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" IS '用户角色表';

-- ----------------------------
-- Records of TF_SMPN_USERROLE_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('17', '2', '22');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('17', '3', '23');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('18', '2', '24');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('18', '3', '25');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('22', '4', '33');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('4', '1', '4');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('5', '1', '5');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('12', '2', '12');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('14', '1', '16');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('12', '1', '13');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('14', '2', '17');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('15', '2', '18');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('15', '3', '19');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('16', '2', '20');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('16', '3', '21');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('19', '2', '26');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('19', '3', '27');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('20', '1', '28');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('21', '1', '29');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('2', '3', '51');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('24', '1', '45');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('24', '2', '46');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('24', '3', '47');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('24', '4', '48');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('25', '3', '50');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('23', '2', '42');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('23', '3', '43');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('3', '3', '49');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" VALUES ('10', '1', '41');

-- ----------------------------
-- Table structure for TF_SMPN_USER_X
-- ----------------------------
DROP TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X";
CREATE TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" (
  "ID" NUMBER(15,0) NOT NULL,
  "USERNAME" VARCHAR2(64 BYTE),
  "PASSWORD" VARCHAR2(255 BYTE) NOT NULL,
  "SALT" VARCHAR2(255 BYTE),
  "PHONE" VARCHAR2(20 BYTE),
  "AVATAR" VARCHAR2(255 BYTE),
  "DEPARTMENT_ID" NUMBER(15,0),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "LOCK_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "STATUS_FLAG" CHAR(1 BYTE) DEFAULT 1
,
  "WX_OPENID" VARCHAR2(32 BYTE),
  "QQ_OPENID" VARCHAR2(32 BYTE),
  "EMAIL" VARCHAR2(50 BYTE),
  "REAL_NAME" VARCHAR2(100 BYTE),
  "LOGIN_TIME" DATE,
  "LAST_IP" VARCHAR2(50 BYTE),
  "PWDERRTIMES" NUMBER(3,0),
  "WORKNUMBER" VARCHAR2(30 BYTE),
  "FINDPWDKEY" VARCHAR2(30 BYTE),
  "ALIASNAME" VARCHAR2(50 BYTE),
  "BIRTHDAY" DATE,
  "BELONG" VARCHAR2(50 BYTE),
  "CREATE_USER" NUMBER(15,0),
  "USER_LEVEL" CHAR(1 BYTE) DEFAULT 2


)
TABLESPACE "TF_XNKD_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."ID" IS '用户ID，主键';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."USERNAME" IS '用户名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."PASSWORD" IS '密码';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."SALT" IS '随机数';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."PHONE" IS '电话';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."AVATAR" IS '头像';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."DEPARTMENT_ID" IS '部门ID';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."LOCK_FLAG" IS '是否锁定，1正常，0锁定';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."STATUS_FLAG" IS '是否启用禁用，1启用，0禁用';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."WX_OPENID" IS '扩展功能，微信openid';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."QQ_OPENID" IS '扩展功能，QQ openid';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."EMAIL" IS '用户email';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."REAL_NAME" IS '用户姓名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."LOGIN_TIME" IS '最后一次登录时间';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."LAST_IP" IS '最后一次访问IP';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."PWDERRTIMES" IS '密码错误次数';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."WORKNUMBER" IS '工号';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."FINDPWDKEY" IS '找回密码关键字';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."ALIASNAME" IS '别名';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."BELONG" IS '属于（学院/部门）';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY_SMS"."TF_SMPN_USER_X"."USER_LEVEL" IS '用户级别  用于超级管理员与其他用户区分等  。0 超级管理员，1普通管理员';
COMMENT ON TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" IS '用户表';

-- ----------------------------
-- Records of TF_SMPN_USER_X
-- ----------------------------
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('4', 'admin001', '$2a$10$oEZpvRUVN9Q47feaNuLHAu9EfUQ9xoRLePiLs6wSXDGoOfdp.vv86', NULL, '15676789098', '/base/useravatar/1300344454233735170.jpg', '6', TO_DATE('2020-08-31 16:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'admin001', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('6', '张三', '$2a$10$cuBDN78tzMM3zjeb0OI.d.fy4sZJGth4/T7XOf/TemxEQp8Cx1lDS', NULL, NULL, NULL, '1', TO_DATE('2020-09-01 11:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-22 11:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '张三', TO_DATE('2020-09-22 11:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', '0', NULL, NULL, NULL, NULL, NULL, '2', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('12', 'wh', '$2a$10$wTyDoQnPniIDBntirVYkhuk4OSgftQy2xF8Z238vqXSc4LA5VQDHG', NULL, '13678900987', '/base/useravatar/1302905775290662913.jpg', '7', TO_DATE('2020-09-07 17:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-16 09:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'wanghai', TO_DATE('2020-09-16 09:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', '0', NULL, NULL, NULL, NULL, NULL, '11', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('25', 'zdj', '$2a$10$cP3twkk4VKXvgKG2Fhm3WOD1x.v3/2yh67codYfPFfwvK2JPve/iO', NULL, '15756300930', '/base/useravatar/1308587217433698306.jpg', '3', TO_DATE('2020-09-23 10:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'zdj', TO_DATE('2020-09-25 09:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', '0', NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('14', 'hwh', '$2a$10$lg40k2ntsZa33TSmvsVQiODzTN9jOypmpn3gX/HuicRSSnMQuBBKW', NULL, '13567890987', '/base/useravatar/1302908888126930946.jpg', '2', TO_DATE('2020-09-07 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', '黄伟航', TO_DATE('2020-09-25 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.97', '0', NULL, NULL, NULL, NULL, NULL, '11', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('7', '李四', '$2a$10$bbMtuaACFgbdk3hQoLOfZu5Rt4/AgsMEHH/GoOpikTg9IRiv.i/1q', NULL, NULL, NULL, '1', TO_DATE('2020-09-01 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-01 11:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '李四', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('5', '1111', '$2a$10$LFq7L/2vjYt9he.rWybmOurGO1t.uUDvyaJgzS7vDVOAvWu2zlIeS', NULL, '13456789098', '/base/useravatar/1300345537886699521.jpg', '8', TO_DATE('2020-08-31 16:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-08-31 16:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', '1111', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('8', 'ch', '$2a$10$4tCHFBFkZDr3bjCHm.QXt.gX7514iThyenoaLDJTd5R1J3BV8DWp2', NULL, NULL, NULL, NULL, TO_DATE('2020-09-02 10:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-21 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '陈浩', NULL, NULL, '2', NULL, NULL, '昊子哥', NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('9', 'wjl', '$2a$10$s3rC6Peviihi35b2ZjmFB.39bnmM3AA0yczE3.f7peupBKNlHwi3.', NULL, NULL, NULL, NULL, TO_DATE('2020-09-02 10:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 10:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '汪截流', TO_DATE('2020-09-02 10:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.79', '3', NULL, NULL, 'flash', NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('10', 'lzw', '$2a$10$4LHGeP5JNSZ1BtSIpZiQsuGZtLCyvVKBkcaQHUeO105BOUqKxrnjK', NULL, NULL, NULL, NULL, TO_DATE('2020-09-02 10:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '李忠威', TO_DATE('2020-09-23 10:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', '2', NULL, NULL, '翘皮嫩猫', NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('1', 'admin', '$2a$10$BJqIDM3BWUMghoqW87AX6..3b4g4bN5bMiQkwrXiwzvCfK9OuCsZG', NULL, '13312345678', NULL, NULL, TO_DATE('2019-09-10 07:15:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '超级管理员', TO_DATE('2020-09-25 09:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', '0', NULL, NULL, NULL, NULL, NULL, NULL, '1');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('2', 'rx', '$2a$10$W8pc4yVKFgluK6k/V1mh.uk3jiKjMaHObiW.aI/3.7yJIterFik1y', NULL, '15778900934', '/base/useravatar/1304226109436542977.jpg', '1', TO_DATE('2020-08-31 16:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'rx', TO_DATE('2020-09-25 09:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.152', '0', NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('3', 'test', '$2a$10$PipS0qX8ujqrrff8fb1S8ehaP8u8rO.H/jLQBjta/kw5quuDO7Pam', NULL, '13567899098', '/base/useravatar/1300343418886569986.jpg', '2', TO_DATE('2020-08-31 16:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'test', TO_DATE('2020-09-25 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.155', '0', NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('17', 'zj', '$2a$10$D3hkDEejUKeBiyd6GRu6geEa8YW4GLDtUZfQFfDLOCLlktiBWZd/q', NULL, NULL, NULL, NULL, TO_DATE('2020-09-09 10:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 10:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '主角', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('18', 'ne', '$2a$10$IUmaw/o.Kzjl7BqwLfpg6eiifKUvV2Bkfo3pq9cKFs6pzB1h/PaKW', NULL, '123121212', NULL, NULL, TO_DATE('2020-09-09 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '尼尔', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('22', 'test123', '$2a$10$dzvruzDl8uciixA./kHKg..jJhQzey6fo5aa0A9K0.h33Z2SveymW', NULL, NULL, '/base/useravatar/1305804643770605570.jpg', '1', TO_DATE('2020-09-15 17:44:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-24 16:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '测试123', TO_DATE('2020-09-24 16:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.137', '0', NULL, NULL, NULL, NULL, NULL, '2', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('15', 'wyz', '$2a$10$LdTzeL6qVp6dK2JrWVMxhOfn23q8oHQ/dx8R7bN0iSU0nOxoIx.ru', NULL, '13131313213', NULL, NULL, TO_DATE('2020-09-08 13:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-08 13:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '吴彦祖', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('16', 'ldh', '$2a$10$oJFTz1Ptd.MXQlY20Yh3POv/r22ekbIhAj9NZ6QDApK0WrytuJk3G', NULL, '13131313213', NULL, NULL, TO_DATE('2020-09-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '刘德华', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('19', 'tenet', '$2a$10$.BAwBwkXvVMZ0jl0daaeI.0JIsH.EMjgHvReYSLzR7El6GXVMtPje', NULL, '123121212', NULL, NULL, TO_DATE('2020-09-09 14:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 14:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '信条', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('20', 'bld', '$2a$10$bfWjDR8W0kRG44pTqC39auF51K1DyhZ.fKjwqww1kvpxcYr47qW8.', NULL, '123213123', NULL, NULL, TO_DATE('2020-09-09 15:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 15:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '布拉德皮特', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('21', 'kq', '$2a$10$SAEXPjxzVDeEAPLXk3V.tOwjsZlkrCJFBNEqShB0.4UITnhI/DZpy', NULL, '12312313', NULL, NULL, TO_DATE('2020-09-09 15:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-09 15:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, NULL, '尼古拉斯凯奇', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '10', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('24', 'zby', '$2a$10$QP0I6pbqA7m4Zruq7osFFe9JktYqnTaRhqlOOHmddGMJFFgdf41.u', NULL, '13778900987', '/base/useravatar/1308582905882124290.jpg', '1', TO_DATE('2020-09-23 09:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-23 09:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, '123@qq.com', 'zby', TO_DATE('2020-09-23 09:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.129', '0', NULL, NULL, NULL, NULL, NULL, '1', '2');
INSERT INTO "TF_XRTY_SMS"."TF_SMPN_USER_X" VALUES ('23', 'ch123', '$2a$10$VPqqQoWfLt0stEW6uvRGfu3pjpa3lxazhW7slLtRK7NxieTx3XG.O', NULL, 'null', NULL, '1', TO_DATE('2020-09-21 16:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-09-25 10:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', NULL, NULL, 'null', 'ch', TO_DATE('2020-09-25 10:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.175', '0', NULL, NULL, NULL, NULL, NULL, '2', '2');

-- ----------------------------
-- Primary Key structure for table TF_BASE_ROLESYS
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_ROLESYS" ADD CONSTRAINT "SYS_C0022934" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_BASE_ROLESYS
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_ROLESYS" ADD CONSTRAINT "SYS_C0016632" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_ROLESYS" ADD CONSTRAINT "SYS_C0022933" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_BASE_SYS
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYS" ADD CONSTRAINT "SYS_C0022936" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_BASE_SYS
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYS" ADD CONSTRAINT "SYS_C0016630" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYS" ADD CONSTRAINT "SYS_C0022935" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_BASE_SYSMENU
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYSMENU" ADD CONSTRAINT "SYS_C0022938" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_BASE_SYSMENU
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYSMENU" ADD CONSTRAINT "SYS_C0016631" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_BASE_SYSMENU" ADD CONSTRAINT "SYS_C0022937" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_CODE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X" ADD CONSTRAINT "PK_CODE_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_CODE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X" ADD CONSTRAINT "SYS_C0016633" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CODE_X" ADD CONSTRAINT "SYS_C0022822" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_CONFIG_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X" ADD CONSTRAINT "PK_CONFIG_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_CONFIG_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X" ADD CONSTRAINT "SYS_C0016634" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONFIG_X" ADD CONSTRAINT "SYS_C0022824" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_CONNECTION_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X" ADD CONSTRAINT "PK_TF_SMPN_CONNECTION_X" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_CONNECTION_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X" ADD CONSTRAINT "SYS_C0016635" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_CONNECTION_X" ADD CONSTRAINT "SYS_C0022826" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_DEPARTMENTSOURCE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" ADD CONSTRAINT "PK_DEPARTIMENTSOURCE_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_DEPARTMENTSOURCE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" ADD CONSTRAINT "SYS_C0016636" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENTSOURCE_X" ADD CONSTRAINT "SYS_C0022828" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_DEPARTMENT_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" ADD CONSTRAINT "FK_DEPARTMENT_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_DEPARTMENT_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" ADD CONSTRAINT "SYS_C0016637" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_DEPARTMENT_X" ADD CONSTRAINT "SYS_C0022830" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_LOG_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X" ADD CONSTRAINT "PK_LOG_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_LOG_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0016638" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0022832" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_MENU_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X" ADD CONSTRAINT "PK_MENU_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_MENU_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X" ADD CONSTRAINT "SYS_C0016639" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_MENU_X" ADD CONSTRAINT "SYS_C0022834" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Checks structure for table TF_SMPN_OAUTHCLIENTDETAILS_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X" ADD CONSTRAINT "SYS_C0016640" CHECK ("CLIENT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_OAUTHCLIENTDETAILS_X" ADD CONSTRAINT "SYS_C0022836" CHECK ("CLIENT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_PORTALUSER_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X" ADD CONSTRAINT "PK_PORTALUSER_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_PORTALUSER_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X" ADD CONSTRAINT "SYS_C0016641" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_PORTALUSER_X" ADD CONSTRAINT "SYS_C0022837" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_ROLEDEPT_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X" ADD CONSTRAINT "PK_ROLE_DEPT_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_ROLEDEPT_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X" ADD CONSTRAINT "SYS_C0016642" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEDEPT_X" ADD CONSTRAINT "SYS_C0022839" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_ROLEMENU_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X" ADD CONSTRAINT "PK_ROLE_MENU_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_ROLEMENU_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X" ADD CONSTRAINT "SYS_C0016643" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLEMENU_X" ADD CONSTRAINT "SYS_C0022841" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_ROLE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X" ADD CONSTRAINT "PK_ROLE_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_ROLE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X" ADD CONSTRAINT "SYS_C0016644" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_ROLE_X" ADD CONSTRAINT "SYS_C0022843" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_SOURCEDIC_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" ADD CONSTRAINT "PK_TF_SMPN_SOURCEDIC_X" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_SOURCEDIC_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" ADD CONSTRAINT "SYS_C0016645" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" ADD CONSTRAINT "SYS_C0016646" CHECK ("CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" ADD CONSTRAINT "SYS_C0022845" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCEDIC_X" ADD CONSTRAINT "SYS_C0022846" CHECK ("CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_SOURCE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" ADD CONSTRAINT "PK_TF_SMPN_SOURCE_X" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_SOURCE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" ADD CONSTRAINT "SYS_C0016647" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SOURCE_X" ADD CONSTRAINT "SYS_C0022848" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_SYSTEM_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" ADD CONSTRAINT "PK_TF_SMPN_SYSTEM_X" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_SYSTEM_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" ADD CONSTRAINT "SYS_C0016648" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_SYSTEM_X" ADD CONSTRAINT "SYS_C0022850" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_TABLEDETAILGEN_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X" ADD CONSTRAINT "PK_TABLEDETAILGEN_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_TABLEDETAILGEN_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X" ADD CONSTRAINT "SYS_C0016649" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEDETAILGEN_X" ADD CONSTRAINT "SYS_C0022852" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_TABLEGEN_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X" ADD CONSTRAINT "PK_TABLEGEN_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_TABLEGEN_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_TABLEGEN_X" ADD CONSTRAINT "SYS_C0016650" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_USERPERMISSION_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X" ADD CONSTRAINT "PK_USERPERMISSION_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_USERPERMISSION_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X" ADD CONSTRAINT "SYS_C0016651" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERPERMISSION_X" ADD CONSTRAINT "SYS_C0022855" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_USERROLE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" ADD CONSTRAINT "PK_USER_ROLE_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_USERROLE_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" ADD CONSTRAINT "SYS_C0016652" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USERROLE_X" ADD CONSTRAINT "SYS_C0022857" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_SMPN_USER_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" ADD CONSTRAINT "PK_USER_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_SMPN_USER_X
-- ----------------------------
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" ADD CONSTRAINT "SYS_C0016653" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" ADD CONSTRAINT "SYS_C0016654" CHECK ("PASSWORD" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" ADD CONSTRAINT "SYS_C0022859" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY_SMS"."TF_SMPN_USER_X" ADD CONSTRAINT "SYS_C0022860" CHECK ("PASSWORD" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
